import math


class Data:
    alpha2List = [
        'AD',
        'AE',
        'AF',
        'AG',
        'AI',
        'AL',
        'AM',
        'AO',
        'AR',
        'AS',
        'AT',
        'AU',
        'AW',
        'AX',
        'AZ',
        'BA',
        'BB',
        'BD',
        'BE',
        'BF',
        'BG',
        'BH',
        'BI',
        'BJ',
        'BL',
        'BM',
        'BN',
        'BO',
        'BQ',
        'BR',
        'BS',
        'BT',
        'BW',
        'BY',
        'BZ',
        'CA',
        'CC',
        'CD',
        'CF',
        'CG',
        'CH',
        'CI',
        'CK',
        'CL',
        'CM',
        'CN',
        'CO',
        'CR',
        'CU',
        'CV',
        'CW',
        'CX',
        'CY',
        'CZ',
        'DE',
        'DJ',
        'DK',
        'DM',
        'DO',
        'DZ',
        'EC',
        'EE',
        'EG',
        'ER',
        'ES',
        'ET',
        'FI',
        'FJ',
        'FK',
        'FM',
        'FO',
        'FR',
        'GA',
        'GB',
        'GD',
        'GE',
        'GF',
        'GG',
        'GH',
        'GI',
        'GL',
        'GM',
        'GN',
        'GP',
        'GQ',
        'GR',
        'GS',
        'GT',
        'GU',
        'GW',
        'GY',
        'HK',
        'HM',
        'HN',
        'HR',
        'HT',
        'HU',
        'ID',
        'IE',
        'IL',
        'IM',
        'IN',
        'IO',
        'IQ',
        'IR',
        'IS',
        'IT',
        'JE',
        'JM',
        'JO',
        'JP',
        'KE',
        'KG',
        'KH',
        'KI',
        'KM',
        'KN',
        'KP',
        'KR',
        'KW',
        'KY',
        'KZ',
        'LA',
        'LB',
        'LC',
        'LI',
        'LK',
        'LR',
        'LS',
        'LT',
        'LU',
        'LV',
        'LY',
        'MA',
        'MC',
        'MD',
        'ME',
        'MF',
        'MG',
        'MH',
        'MK',
        'ML',
        'MM',
        'MN',
        'MO',
        'MP',
        'MQ',
        'MR',
        'MS',
        'MT',
        'MU',
        'MV',
        'MW',
        'MX',
        'MY',
        'MZ',
        'NA',
        'NC',
        'NE',
        'NF',
        'NG',
        'NI',
        'NL',
        'NO',
        'NP',
        'NR',
        'NU',
        'NZ',
        'OM',
        'PA',
        'PE',
        'PF',
        'PG',
        'PH',
        'PK',
        'PL',
        'PM',
        'PN',
        'PR',
        'PS',
        'PT',
        'PW',
        'PY',
        'QA',
        'RE',
        'RO',
        'RS',
        'RU',
        'RW',
        'SA',
        'SB',
        'SC',
        'SD',
        'SE',
        'SG',
        'SH',
        'SI',
        'SJ',
        'SK',
        'SL',
        'SM',
        'SN',
        'SO',
        'SR',
        'SS',
        'ST',
        'SV',
        'SX',
        'SY',
        'SZ',
        'TC',
        'TD',
        'TF',
        'TG',
        'TH',
        'TJ',
        'TK',
        'TL',
        'TM',
        'TN',
        'TO',
        'TR',
        'TT',
        'TV',
        'TW',
        'TZ',
        'UA',
        'UG',
        'UM',
        'US',
        'UY',
        'UZ',
        'VA',
        'VC',
        'VE',
        'VG',
        'VI',
        'VN',
        'VU',
        'WF',
        'WS',
        'YE',
        'YT',
        'ZA',
        'ZM',
        'ZW'
    ]
    alpha2ToAlpha3 = {'AD': 'AND',
                      'AE': 'ARE',
                      'AF': 'AFG',
                      'AG': 'ATG',
                      'AI': 'AIA',
                      'AL': 'ALB',
                      'AM': 'ARM',
                      'AO': 'AGO',
                      'AR': 'ARG',
                      'AS': 'ASM',
                      'AT': 'AUT',
                      'AU': 'AUS',
                      'AW': 'ABW',
                      'AX': 'ALA',
                      'AZ': 'AZE',
                      'BA': 'BIH',
                      'BB': 'BRB',
                      'BD': 'BGD',
                      'BE': 'BEL',
                      'BF': 'BFA',
                      'BG': 'BGR',
                      'BH': 'BHR',
                      'BI': 'BDI',
                      'BJ': 'BEN',
                      'BL': 'BLM',
                      'BM': 'BMU',
                      'BN': 'BRN',
                      'BO': 'BOL',
                      'BQ': 'BES',
                      'BR': 'BRA',
                      'BS': 'BHS',
                      'BT': 'BTN',
                      'BW': 'BWA',
                      'BY': 'BLR',
                      'BZ': 'BLZ',
                      'CA': 'CAN',
                      'CC': 'CCK',
                      'CD': 'COD',
                      'CF': 'CAF',
                      'CG': 'COG',
                      'CH': 'CHE',
                      'CI': 'CIV',
                      'CK': 'COK',
                      'CL': 'CHL',
                      'CM': 'CMR',
                      'CN': 'CHN',
                      'CO': 'COL',
                      'CR': 'CRI',
                      'CU': 'CUB',
                      'CV': 'CPV',
                      'CW': 'CUW',
                      'CX': 'CXR',
                      'CY': 'CYP',
                      'CZ': 'CZE',
                      'DE': 'DEU',
                      'DJ': 'DJI',
                      'DK': 'DNK',
                      'DM': 'DMA',
                      'DO': 'DOM',
                      'DZ': 'DZA',
                      'EC': 'ECU',
                      'EE': 'EST',
                      'EG': 'EGY',
                      'ER': 'ERI',
                      'ES': 'ESP',
                      'ET': 'ETH',
                      'FI': 'FIN',
                      'FJ': 'FJI',
                      'FK': 'FLK',
                      'FM': 'FSM',
                      'FO': 'FRO',
                      'FR': 'FRA',
                      'GA': 'GAB',
                      'GB': 'GBR',
                      'GD': 'GRD',
                      'GE': 'GEO',
                      'GF': 'GUF',
                      'GG': 'GGY',
                      'GH': 'GHA',
                      'GI': 'GIB',
                      'GL': 'GRL',
                      'GM': 'GMB',
                      'GN': 'GIN',
                      'GP': 'GLP',
                      'GQ': 'GNQ',
                      'GR': 'GRC',
                      'GS': 'SGS',
                      'GT': 'GTM',
                      'GU': 'GUM',
                      'GW': 'GNB',
                      'GY': 'GUY',
                      'HK': 'HKG',
                      'HM': 'HMD',
                      'HN': 'HND',
                      'HR': 'HRV',
                      'HT': 'HTI',
                      'HU': 'HUN',
                      'ID': 'IDN',
                      'IE': 'IRL',
                      'IL': 'ISR',
                      'IM': 'IMN',
                      'IN': 'IND',
                      'IO': 'IOT',
                      'IQ': 'IRQ',
                      'IR': 'IRN',
                      'IS': 'ISL',
                      'IT': 'ITA',
                      'JE': 'JEY',
                      'JM': 'JAM',
                      'JO': 'JOR',
                      'JP': 'JPN',
                      'KE': 'KEN',
                      'KG': 'KGZ',
                      'KH': 'KHM',
                      'KI': 'KIR',
                      'KM': 'COM',
                      'KN': 'KNA',
                      'KP': 'PRK',
                      'KR': 'KOR',
                      'KW': 'KWT',
                      'KY': 'CYM',
                      'KZ': 'KAZ',
                      'LA': 'LAO',
                      'LB': 'LBN',
                      'LC': 'LCA',
                      'LI': 'LIE',
                      'LK': 'LKA',
                      'LR': 'LBR',
                      'LS': 'LSO',
                      'LT': 'LTU',
                      'LU': 'LUX',
                      'LV': 'LVA',
                      'LY': 'LBY',
                      'MA': 'MAR',
                      'MC': 'MCO',
                      'MD': 'MDA',
                      'ME': 'MNE',
                      'MF': 'MAF',
                      'MG': 'MDG',
                      'MH': 'MHL',
                      'MK': 'MKD',
                      'ML': 'MLI',
                      'MM': 'MMR',
                      'MN': 'MNG',
                      'MO': 'MAC',
                      'MP': 'MNP',
                      'MQ': 'MTQ',
                      'MR': 'MRT',
                      'MS': 'MSR',
                      'MT': 'MLT',
                      'MU': 'MUS',
                      'MV': 'MDV',
                      'MW': 'MWI',
                      'MX': 'MEX',
                      'MY': 'MYS',
                      'MZ': 'MOZ',
                      'NA': 'NAM',
                      'NC': 'NCL',
                      'NE': 'NER',
                      'NF': 'NFK',
                      'NG': 'NGA',
                      'NI': 'NIC',
                      'NL': 'NLD',
                      'NO': 'NOR',
                      'NP': 'NPL',
                      'NR': 'NRU',
                      'NU': 'NIU',
                      'NZ': 'NZL',
                      'OM': 'OMN',
                      'PA': 'PAN',
                      'PE': 'PER',
                      'PF': 'PYF',
                      'PG': 'PNG',
                      'PH': 'PHL',
                      'PK': 'PAK',
                      'PL': 'POL',
                      'PM': 'SPM',
                      'PN': 'PCN',
                      'PR': 'PRI',
                      'PS': 'PSE',
                      'PT': 'PRT',
                      'PW': 'PLW',
                      'PY': 'PRY',
                      'QA': 'QAT',
                      'RE': 'REU',
                      'RO': 'ROU',
                      'RS': 'SRB',
                      'RU': 'RUS',
                      'RW': 'RWA',
                      'SA': 'SAU',
                      'SB': 'SLB',
                      'SC': 'SYC',
                      'SD': 'SDN',
                      'SE': 'SWE',
                      'SG': 'SGP',
                      'SH': 'SHN',
                      'SI': 'SVN',
                      'SJ': 'SJM',
                      'SK': 'SVK',
                      'SL': 'SLE',
                      'SM': 'SMR',
                      'SN': 'SEN',
                      'SO': 'SOM',
                      'SR': 'SUR',
                      'SS': 'SSD',
                      'ST': 'STP',
                      'SV': 'SLV',
                      'SX': 'SXM',
                      'SY': 'SYR',
                      'SZ': 'SWZ',
                      'TC': 'TCA',
                      'TD': 'TCD',
                      'TF': 'ATF',
                      'TG': 'TGO',
                      'TH': 'THA',
                      'TJ': 'TJK',
                      'TK': 'TKL',
                      'TL': 'TLS',
                      'TM': 'TKM',
                      'TN': 'TUN',
                      'TO': 'TON',
                      'TR': 'TUR',
                      'TT': 'TTO',
                      'TV': 'TUV',
                      'TW': 'TWN',
                      'TZ': 'TZA',
                      'UA': 'UKR',
                      'UG': 'UGA',
                      'UM': 'UMI',
                      'US': 'USA',
                      'UY': 'URY',
                      'UZ': 'UZB',
                      'VA': 'VAT',
                      'VC': 'VCT',
                      'VE': 'VEN',
                      'VG': 'VGB',
                      'VI': 'VIR',
                      'VN': 'VNM',
                      'VU': 'VUT',
                      'WF': 'WLF',
                      'WS': 'WSM',
                      'YE': 'YEM',
                      'YT': 'MYT',
                      'ZA': 'ZAF',
                      'ZM': 'ZMB',
                      'ZW': 'ZWE'
                      }
    alpha3List = [
        "ABW",
        "AFG",
        "AGO",
        "AIA",
        "ALA",
        "ALB",
        "AND",
        "ARE",
        "ARG",
        "ARM",
        "ASM",
        "ATF",
        "ATG",
        "AUS",
        "AUT",
        "AZE",
        "BDI",
        "BEL",
        "BEN",
        "BES",
        "BFA",
        "BGD",
        "BGR",
        "BHR",
        "BHS",
        "BIH",
        "BLM",
        "BLR",
        "BLZ",
        "BMU",
        "BOL",
        "BRA",
        "BRB",
        "BRN",
        "BTN",
        "BWA",
        "CAF",
        "CAN",
        "CCK",
        "CHE",
        "CHL",
        "CHN",
        "CIV",
        "CMR",
        "COD",
        "COG",
        "COK",
        "COL",
        "COM",
        "CPV",
        "CRI",
        "CUB",
        "CUW",
        "CXR",
        "CYM",
        "CYP",
        "CZE",
        "DEU",
        "DJI",
        "DMA",
        "DNK",
        "DOM",
        "DZA",
        "ECU",
        "EGY",
        "ERI",
        "ESP",
        "EST",
        "ETH",
        "FIN",
        "FJI",
        "FLK",
        "FRA",
        "FRO",
        "FSM",
        "GAB",
        "GBR",
        "GEO",
        "GGY",
        "GHA",
        "GIB",
        "GIN",
        "GLP",
        "GMB",
        "GNB",
        "GNQ",
        "GRC",
        "GRD",
        "GRL",
        "GTM",
        "GUF",
        "GUM",
        "GUY",
        "HKG",
        "HMD",
        "HND",
        "HRV",
        "HTI",
        "HUN",
        "IDN",
        "IMN",
        "IND",
        "IOT",
        "IRL",
        "IRN",
        "IRQ",
        "ISL",
        "ISR",
        "ITA",
        "JAM",
        "JEY",
        "JOR",
        "JPN",
        "KAZ",
        "KEN",
        "KGZ",
        "KHM",
        "KIR",
        "KNA",
        "KOR",
        "KOS",
        "KWT",
        "LAO",
        "LBN",
        "LBR",
        "LBY",
        "LCA",
        "LIE",
        "LKA",
        "LSO",
        "LTU",
        "LUX",
        "LVA",
        "MAC",
        "MAF",
        "MAR",
        "MCO",
        "MDA",
        "MDG",
        "MDV",
        "MEX",
        "MHL",
        "MKD",
        "MLI",
        "MLT",
        "MMR",
        "MNE",
        "MNG",
        "MNP",
        "MOZ",
        "MRT",
        "MSR",
        "MTQ",
        "MUS",
        "MWI",
        "MYS",
        "MYT",
        "NAM",
        "NCL",
        "NER",
        "NFK",
        "NGA",
        "NIC",
        "NIU",
        "NLD",
        "NOR",
        "NPL",
        "NRU",
        "NZL",
        "OMN",
        "PAK",
        "PAN",
        "PCN",
        "PER",
        "PHL",
        "PLW",
        "PNG",
        "POL",
        "PRI",
        "PRK",
        "PRT",
        "PRY",
        "PSE",
        "PYF",
        "QAT",
        "REU",
        "ROU",
        "RUS",
        "RWA",
        "SAU",
        "SDN",
        "SEN",
        "SGP",
        "SGS",
        "SHN",
        "SJM",
        "SLB",
        "SLE",
        "SLV",
        "SMR",
        "SOM",
        "SPM",
        "SRB",
        "SSD",
        "STP",
        "SUR",
        "SVK",
        "SVN",
        "SWE",
        "SWZ",
        "SXM",
        "SYC",
        "SYR",
        "TCA",
        "TCD",
        "TGO",
        "THA",
        "TJK",
        "TKL",
        "TKM",
        "TLS",
        "TON",
        "TTO",
        "TUN",
        "TUR",
        "TUV",
        "TWN",
        "TZA",
        "UGA",
        "UKR",
        "UMI",
        "URY",
        "USA",
        "UZB",
        "VAT",
        "VCT",
        "VEN",
        "VGB",
        "VIR",
        "VNM",
        "VUT",
        "WLF",
        "WSM",
        "YEM",
        "ZAF",
        "ZMB",
        "ZWE"
    ]
    alpha3ToAlpha2 = {'ABW': 'AW',
                      'AFG': 'AF',
                      'AGO': 'AO',
                      'AIA': 'AI',
                      'ALA': 'AX',
                      'ALB': 'AL',
                      'AND': 'AD',
                      'ARE': 'AE',
                      'ARG': 'AR',
                      'ARM': 'AM',
                      'ASM': 'AS',
                      'ATF': 'TF',
                      'ATG': 'AG',
                      'AUS': 'AU',
                      'AUT': 'AT',
                      'AZE': 'AZ',
                      'BDI': 'BI',
                      'BEL': 'BE',
                      'BEN': 'BJ',
                      'BES': 'BQ',
                      'BFA': 'BF',
                      'BGD': 'BD',
                      'BGR': 'BG',
                      'BHR': 'BH',
                      'BHS': 'BS',
                      'BIH': 'BA',
                      'BLM': 'BL',
                      'BLR': 'BY',
                      'BLZ': 'BZ',
                      'BMU': 'BM',
                      'BOL': 'BO',
                      'BRA': 'BR',
                      'BRB': 'BB',
                      'BRN': 'BN',
                      'BTN': 'BT',
                      'BWA': 'BW',
                      'CAF': 'CF',
                      'CAN': 'CA',
                      'CCK': 'CC',
                      'CHE': 'CH',
                      'CHL': 'CL',
                      'CHN': 'CN',
                      'CIV': 'CI',
                      'CMR': 'CM',
                      'COD': 'CD',
                      'COG': 'CG',
                      'COK': 'CK',
                      'COL': 'CO',
                      'COM': 'KM',
                      'CPV': 'CV',
                      'CRI': 'CR',
                      'CUB': 'CU',
                      'CUW': 'CW',
                      'CXR': 'CX',
                      'CYM': 'KY',
                      'CYP': 'CY',
                      'CZE': 'CZ',
                      'DEU': 'DE',
                      'DJI': 'DJ',
                      'DMA': 'DM',
                      'DNK': 'DK',
                      'DOM': 'DO',
                      'DZA': 'DZ',
                      'ECU': 'EC',
                      'EGY': 'EG',
                      'ERI': 'ER',
                      'ESP': 'ES',
                      'EST': 'EE',
                      'ETH': 'ET',
                      'FIN': 'FI',
                      'FJI': 'FJ',
                      'FLK': 'FK',
                      'FRA': 'FR',
                      'FRO': 'FO',
                      'FSM': 'FM',
                      'GAB': 'GA',
                      'GBR': 'GB',
                      'GEO': 'GE',
                      'GGY': 'GG',
                      'GHA': 'GH',
                      'GIB': 'GI',
                      'GIN': 'GN',
                      'GLP': 'GP',
                      'GMB': 'GM',
                      'GNB': 'GW',
                      'GNQ': 'GQ',
                      'GRC': 'GR',
                      'GRD': 'GD',
                      'GRL': 'GL',
                      'GTM': 'GT',
                      'GUF': 'GF',
                      'GUM': 'GU',
                      'GUY': 'GY',
                      'HKG': 'HK',
                      'HMD': 'HM',
                      'HND': 'HN',
                      'HRV': 'HR',
                      'HTI': 'HT',
                      'HUN': 'HU',
                      'IDN': 'ID',
                      'IMN': 'IM',
                      'IND': 'IN',
                      'IOT': 'IO',
                      'IRL': 'IE',
                      'IRN': 'IR',
                      'IRQ': 'IQ',
                      'ISL': 'IS',
                      'ISR': 'IL',
                      'ITA': 'IT',
                      'JAM': 'JM',
                      'JEY': 'JE',
                      'JOR': 'JO',
                      'JPN': 'JP',
                      'KAZ': 'KZ',
                      'KEN': 'KE',
                      'KGZ': 'KG',
                      'KHM': 'KH',
                      'KIR': 'KI',
                      'KNA': 'KN',
                      'KOR': 'KR',
                      'KWT': 'KW',
                      'LAO': 'LA',
                      'LBN': 'LB',
                      'LBR': 'LR',
                      'LBY': 'LY',
                      'LCA': 'LC',
                      'LIE': 'LI',
                      'LKA': 'LK',
                      'LSO': 'LS',
                      'LTU': 'LT',
                      'LUX': 'LU',
                      'LVA': 'LV',
                      'MAC': 'MO',
                      'MAF': 'MF',
                      'MAR': 'MA',
                      'MCO': 'MC',
                      'MDA': 'MD',
                      'MDG': 'MG',
                      'MDV': 'MV',
                      'MEX': 'MX',
                      'MHL': 'MH',
                      'MKD': 'MK',
                      'MLI': 'ML',
                      'MLT': 'MT',
                      'MMR': 'MM',
                      'MNE': 'ME',
                      'MNG': 'MN',
                      'MNP': 'MP',
                      'MOZ': 'MZ',
                      'MRT': 'MR',
                      'MSR': 'MS',
                      'MTQ': 'MQ',
                      'MUS': 'MU',
                      'MWI': 'MW',
                      'MYS': 'MY',
                      'MYT': 'YT',
                      'NAM': 'NA',
                      'NCL': 'NC',
                      'NER': 'NE',
                      'NFK': 'NF',
                      'NGA': 'NG',
                      'NIC': 'NI',
                      'NIU': 'NU',
                      'NLD': 'NL',
                      'NOR': 'NO',
                      'NPL': 'NP',
                      'NRU': 'NR',
                      'NZL': 'NZ',
                      'OMN': 'OM',
                      'PAK': 'PK',
                      'PAN': 'PA',
                      'PCN': 'PN',
                      'PER': 'PE',
                      'PHL': 'PH',
                      'PLW': 'PW',
                      'PNG': 'PG',
                      'POL': 'PL',
                      'PRI': 'PR',
                      'PRK': 'KP',
                      'PRT': 'PT',
                      'PRY': 'PY',
                      'PSE': 'PS',
                      'PYF': 'PF',
                      'QAT': 'QA',
                      'REU': 'RE',
                      'ROU': 'RO',
                      'RUS': 'RU',
                      'RWA': 'RW',
                      'SAU': 'SA',
                      'SDN': 'SD',
                      'SEN': 'SN',
                      'SGP': 'SG',
                      'SGS': 'GS',
                      'SHN': 'SH',
                      'SJM': 'SJ',
                      'SLB': 'SB',
                      'SLE': 'SL',
                      'SLV': 'SV',
                      'SMR': 'SM',
                      'SOM': 'SO',
                      'SPM': 'PM',
                      'SRB': 'RS',
                      'SSD': 'SS',
                      'STP': 'ST',
                      'SUR': 'SR',
                      'SVK': 'SK',
                      'SVN': 'SI',
                      'SWE': 'SE',
                      'SWZ': 'SZ',
                      'SXM': 'SX',
                      'SYC': 'SC',
                      'SYR': 'SY',
                      'TCA': 'TC',
                      'TCD': 'TD',
                      'TGO': 'TG',
                      'THA': 'TH',
                      'TJK': 'TJ',
                      'TKL': 'TK',
                      'TKM': 'TM',
                      'TLS': 'TL',
                      'TON': 'TO',
                      'TTO': 'TT',
                      'TUN': 'TN',
                      'TUR': 'TR',
                      'TUV': 'TV',
                      'TWN': 'TW',
                      'TZA': 'TZ',
                      'UGA': 'UG',
                      'UKR': 'UA',
                      'UMI': 'UM',
                      'URY': 'UY',
                      'USA': 'US',
                      'UZB': 'UZ',
                      'VAT': 'VA',
                      'VCT': 'VC',
                      'VEN': 'VE',
                      'VGB': 'VG',
                      'VIR': 'VI',
                      'VNM': 'VN',
                      'VUT': 'VU',
                      'WLF': 'WF',
                      'WSM': 'WS',
                      'YEM': 'YE',
                      'ZAF': 'ZA',
                      'ZMB': 'ZM',
                      'ZWE': 'ZW'
                      }
    alpha3ToAreaKMm = {
        "ABW": 193,
        "AFG": 652230,
        "AGO": 1246700,
        "AIA": 91,
        "ALA": 1580,
        "ALB": 27398,
        "AND": 468,
        "ARE": 83600,
        "ARG": 2736690,
        "ARM": 28342,
        "ASM": 200,
        "ATG": 442,
        "AUS": 7633565,
        "AUT": 82445,
        "AZE": 86100,
        "BDI": 25680,
        "BEL": 30278,
        "BEN": 114305,
        "BES": 322,
        "BFA": 273602,
        "BGD": 130168,
        "BGR": 108612,
        "BHR": 778,
        "BHS": 10010,
        "BIH": 51187,
        "BLM": 25,
        "BLR": 202900,
        "BLZ": 22806,
        "BMU": 53,
        "BOL": 1083301,
        "BRA": 8460415,
        "BRB": 431,
        "BRN": 5265,
        "BTN": 38394,
        "BWA": 566730,
        "CAF": 622984,
        "CAN": 9093507,
        "CPV": 4033,
        "CHE": 39997,
        "CHL": 743812,
        "CHN": 9326410,
        "CIV": 318003,
        "CMR": 472710,
        "CCK": 14,
        "COD": 2267048,
        "COK": 237,
        "COL": 1038700,
        "COM": 1862,
        "CRI": 51060,
        "CUB": 109884,
        "CUW": 444,
        "CXR": 135,
        "CYM": 264,
        "CYP": 9241,
        "CZE": 77247,
        "DEU": 348672,
        "DJI": 23180,
        "DMA": 751,
        "DNK": 42434,
        "DOM": 48320,
        "DZA": 2381741,
        "ECU": 256369,
        "EGY": 995450,
        "ERI": 101000,
        "ESP": 498980,
        "EST": 42388,
        "SWZ": 17204,
        "ETH": 1000000,
        "FIN": 303815,
        "FJI": 18274,
        "FLK": 12173,
        "FRA": 543940,
        "ATF": 11249,
        "FRO": 1399,
        "FSM": 702,
        "GAB": 257667,
        "GBR": 242495,
        "GEO": 69700,
        "GGY": 65,
        "GHA": 227533,
        "GIB": 7,
        "GIN": 245717,
        "GMB": 10000,
        "GNQ": 28051,
        "GRC": 130647,
        "GRD": 344,
        "GRL": 2166086,
        "GTM": 107159,
        "GLP": 1628,
        "GUF": 83534,
        "GNB": 28120,
        "GUM": 540,
        "GUY": 196849,
        "HKG": 1106,
        "HMD": 368,
        "HND": 111890,
        "HRV": 55974,
        "HTI": 27560,
        "HUN": 89608,
        "IDN": 1811569,
        "IMN": 572,
        "IND": 2973190,
        "IOT": 54400,
        "IRL": 68883,
        "IRN": 1531595,
        "IRQ": 437367,
        "ISL": 100250,
        "ISR": 20330,
        "ITA": 294140,
        "JAM": 10831,
        "JEY": 118,
        "JOR": 88802,
        "JPN": 364546,
        "KAZ": 2699700,
        "KEN": 569140,
        "KGZ": 191801,
        "KHM": 176515,
        "KIR": 811,
        "KNA": 261,
        "KOR": 99909,
        "KOS": 10887,
        "KWT": 17818,
        "LAO": 230800,
        "LBN": 10230,
        "LBR": 96320,
        "LBY": 1759540,
        "LCA": 606,
        "LIE": 160,
        "LKA": 62732,
        "LSO": 30355,
        "LTU": 62680,
        "LUX": 2586,
        "LVA": 62249,
        "MAC": 115,
        "MAF": 25,
        "MAR": 446300,
        "MCO": 2,
        "MDA": 32891,
        "MDG": 581540,
        "MDV": 298,
        "MEX": 1943945,
        "MHL": 181,
        "MLI": 1220190,
        "MLT": 316,
        "MMR": 653508,
        "MNE": 13452,
        "MNG": 1553556,
        "MNP": 464,
        "MOZ": 786380,
        "MRT": 1025520,
        "MSR": 102,
        "MTQ": 1128,
        "MUS": 2030,
        "MWI": 94080,
        "MYS": 329613,
        "MYT": 374,
        "NAM": 823290,
        "NCL": 18576,
        "NER": 1266700,
        "NFK": 35,
        "NGA": 910768,
        "NIC": 119990,
        "NIU": 261,
        "NLD": 33893,
        "NOR": 365957,
        "MKD": 25433,
        "NPL": 143351,
        "NRU": 21,
        "NZL": 262443,
        "OMN": 309500,
        "PAK": 882623,
        "PAN": 74340,
        "PER": 1279996,
        "PHL": 298170,
        "PCN": 47,
        "PLW": 459,
        "PNG": 452860,
        "POL": 311888,
        "PRI": 9104,
        "PRK": 120538,
        "PRT": 91119,
        "PRY": 397302,
        "PSE": 6000,
        "PYF": 4167,
        "QAT": 11856,
        "COG": 342000,
        "REU": 2511,
        "ROU": 231291,
        "RUS": 16377742,
        "RWA": 24668,
        "SAU": 2149690,
        "SDN": 1731671,
        "SEN": 192530,
        "SGP": 716,
        "SGS": 3903,
        "SJM": 61022,
        "SLB": 27986,
        "SLE": 71620,
        "SLV": 20721,
        "SMR": 61,
        "SOM": 627337,
        "SPM": 242,
        "SRB": 88246,
        "SSD": 644329,
        "STP": 964,
        "SHN": 121,
        "SUR": 156000,
        "SVK": 48105,
        "SVN": 20151,
        "SWE": 410335,
        "SXM": 34,
        "SYC": 455,
        "SYR": 183630,
        "TCD": 1259200,
        "TGO": 54385,
        "THA": 510890,
        "TLS": 15007,
        "TJK": 141510,
        "TKL": 10,
        "TKM": 469930,
        "TON": 717,
        "TTO": 5128,
        "TUN": 155360,
        "TUR": 769632,
        "TCA": 616,
        "TUV": 26,
        "TWN": 32260,
        "TZA": 885800,
        "UGA": 197100,
        "UKR": 579300,
        "UMI": 34,
        "URY": 175015,
        "USA": 9147593,
        "UZB": 425400,
        "VAT": 1,
        "VCT": 389,
        "VEN": 882050,
        "VGB": 153,
        "VIR": 346,
        "VNM": 310070,
        "VUT": 12189,
        "WLF": 142,
        "WSM": 2821,
        "YEM": 527968,
        "ZAF": 1214470,
        "ZMB": 743398,
        "ZWE": 386847
    }
    alpha3ToBorders = {'ABW': None,
                       'AFG': ['IRN', 'PAK', 'TKM', 'UZB', 'TJK', 'CHN'],
                       'AGO': ['COG', 'COD', 'ZMB', 'NAM'],
                       'AIA': None,
                       'ALA': None,
                       'ALB': ['MNE', 'GRC', 'MKD', 'UNK'],
                       'AND': ['FRA', 'ESP'],
                       'ARE': ['OMN', 'SAU'],
                       'ARG': ['BOL', 'BRA', 'CHL', 'PRY', 'URY'],
                       'ARM': ['AZE', 'GEO', 'IRN', 'TUR'],
                       'ASM': None,
                       'ATF': None,
                       'ATG': None,
                       'AUS': None,
                       'AUT': ['CZE', 'DEU', 'HUN', 'ITA', 'LIE', 'SVK', 'SVN', 'CHE'],
                       'AZE': ['ARM', 'GEO', 'IRN', 'RUS', 'TUR'],
                       'BDI': ['COD', 'RWA', 'TZA'],
                       'BEL': ['FRA', 'DEU', 'LUX', 'NLD'],
                       'BEN': ['BFA', 'NER', 'NGA', 'TGO'],
                       'BES': None,
                       'BFA': ['BEN', 'CIV', 'GHA', 'MLI', 'NER', 'TGO'],
                       'BGD': ['MMR', 'IND'],
                       'BGR': ['GRC', 'MKD', 'ROU', 'SRB', 'TUR'],
                       'BHR': None,
                       'BHS': None,
                       'BIH': ['HRV', 'MNE', 'SRB'],
                       'BLM': None,
                       'BLR': ['LVA', 'LTU', 'POL', 'RUS', 'UKR'],
                       'BLZ': ['GTM', 'MEX'],
                       'BMU': None,
                       'BOL': ['ARG', 'BRA', 'CHL', 'PRY', 'PER'],
                       'BRA': ['ARG',
                               'BOL',
                               'COL',
                               'FRA',
                               'GUF',
                               'GUY',
                               'PRY',
                               'PER',
                               'SUR',
                               'URY',
                               'VEN'],
                       'BRB': None,
                       'BRN': ['MYS'],
                       'BTN': ['CHN', 'IND'],
                       'BWA': ['NAM', 'ZAF', 'ZMB', 'ZWE'],
                       'CAF': ['CMR', 'TCD', 'COD', 'COG', 'SSD', 'SDN'],
                       'CAN': ['USA'],
                       'CCK': None,
                       'CHE': ['AUT', 'FRA', 'ITA', 'LIE', 'DEU'],
                       'CHL': ['ARG', 'BOL', 'PER'],
                       'CHN': ['AFG',
                               'BTN',
                               'MMR',
                               'HKG',
                               'IND',
                               'KAZ',
                               'PRK',
                               'KGZ',
                               'LAO',
                               'MAC',
                               'MNG',
                               'PAK',
                               'RUS',
                               'TJK',
                               'VNM',
                               'NPL'],
                       'CIV': ['BFA', 'GHA', 'GIN', 'LBR', 'MLI'],
                       'CMR': ['CAF', 'TCD', 'COG', 'GNQ', 'GAB', 'NGA'],
                       'COD': ['AGO', 'BDI', 'CAF', 'COG', 'RWA', 'SSD', 'TZA', 'UGA', 'ZMB'],
                       'COG': ['AGO', 'CMR', 'CAF', 'COD', 'GAB'],
                       'COK': None,
                       'COL': ['BRA', 'ECU', 'PAN', 'PER', 'VEN'],
                       'COM': None,
                       'CPV': None,
                       'CRI': ['NIC', 'PAN'],
                       'CUB': None,
                       'CUW': None,
                       'CXR': None,
                       'CYM': None,
                       'CYP': ['GBR'],
                       'CZE': None,
                       'DEU': ['AUT', 'BEL', 'CZE', 'DNK', 'FRA', 'LUX', 'NLD', 'POL', 'CHE'],
                       'DJI': ['ERI', 'ETH', 'SOM'],
                       'DMA': None,
                       'DNK': ['DEU'],
                       'DOM': ['HTI'],
                       'DZA': ['TUN', 'LBY', 'NER', 'ESH', 'MRT', 'MLI', 'MAR'],
                       'ECU': ['COL', 'PER'],
                       'EGY': ['ISR', 'LBY', 'SDN'],
                       'ERI': ['DJI', 'ETH', 'SDN'],
                       'ESP': ['AND', 'FRA', 'GIB', 'PRT', 'MAR'],
                       'EST': ['LVA', 'RUS'],
                       'ETH': ['DJI', 'ERI', 'KEN', 'SOM', 'SSD', 'SDN'],
                       'FIN': ['NOR', 'SWE', 'RUS'],
                       'FJI': None,
                       'FLK': None,
                       'FRA': ['AND', 'BEL', 'DEU', 'ITA', 'LUX', 'MCO', 'ESP', 'CHE'],
                       'FRO': None,
                       'FSM': None,
                       'GAB': ['CMR', 'COG', 'GNQ'],
                       'GBR': ['IRL'],
                       'GEO': ['ARM', 'AZE', 'RUS', 'TUR'],
                       'GGY': None,
                       'GHA': ['BFA', 'CIV', 'TGO'],
                       'GIB': ['ESP'],
                       'GIN': ['CIV', 'GNB', 'LBR', 'MLI', 'SEN', 'SLE'],
                       'GLP': None,
                       'GMB': ['SEN'],
                       'GNB': ['GIN', 'SEN'],
                       'GNQ': ['CMR', 'GAB'],
                       'GRC': ['ALB', 'BGR', 'TUR', 'MKD'],
                       'GRD': None,
                       'GRL': None,
                       'GTM': ['BLZ', 'SLV', 'HND', 'MEX'],
                       'GUF': ['BRA', 'SUR'],
                       'GUM': None,
                       'GUY': ['BRA', 'SUR', 'VEN'],
                       'HKG': ['CHN'],
                       'HMD': None,
                       'HND': ['GTM', 'SLV', 'NIC'],
                       'HRV': ['BIH', 'HUN', 'MNE', 'SRB', 'SVN'],
                       'HTI': ['DOM'],
                       'HUN': ['AUT', 'HRV', 'ROU', 'SRB', 'SVK', 'SVN', 'UKR'],
                       'IDN': ['TLS', 'MYS', 'PNG'],
                       'IMN': None,
                       'IND': ['AFG', 'BGD', 'BTN', 'MMR', 'CHN', 'NPL', 'PAK', 'LKA'],
                       'IOT': None,
                       'IRL': ['GBR'],
                       'IRN': ['AFG', 'ARM', 'AZE', 'IRQ', 'PAK', 'TUR', 'TKM'],
                       'IRQ': ['IRN', 'JOR', 'KWT', 'SAU', 'SYR', 'TUR'],
                       'ISL': None,
                       'ISR': ['EGY', 'JOR', 'LBN', 'SYR'],
                       'ITA': ['AUT', 'FRA', 'SMR', 'SVN', 'CHE', 'VAT'],
                       'JAM': None,
                       'JEY': None,
                       'JOR': ['IRQ', 'ISR', 'SAU', 'SYR'],
                       'JPN': None,
                       'KAZ': ['CHN', 'KGZ', 'RUS', 'TKM', 'UZB'],
                       'KEN': ['ETH', 'SOM', 'SSD', 'TZA', 'UGA'],
                       'KGZ': ['CHN', 'KAZ', 'TJK', 'UZB'],
                       'KHM': ['LAO', 'THA', 'VNM'],
                       'KIR': None,
                       'KNA': None,
                       'KOR': ['PRK'],
                       'KWT': ['IRQ', 'SAU'],
                       'LAO': ['MMR', 'KHM', 'CHN', 'THA', 'VNM'],
                       'LBN': ['ISR', 'SYR'],
                       'LBR': ['GIN', 'CIV', 'SLE'],
                       'LBY': ['DZA', 'TCD', 'EGY', 'NER', 'SDN', 'TUN'],
                       'LCA': None,
                       'LIE': ['AUT', 'CHE'],
                       'LKA': ['IND'],
                       'LSO': ['ZAF'],
                       'LTU': ['BLR', 'LVA', 'POL', 'RUS'],
                       'LUX': ['BEL', 'FRA', 'DEU'],
                       'LVA': ['BLR', 'EST', 'LTU', 'RUS'],
                       'MAC': ['CHN'],
                       'MAF': ['SXM', 'NLD'],
                       'MAR': ['DZA', 'ESH', 'ESP'],
                       'MCO': ['FRA'],
                       'MDA': ['ROU', 'UKR'],
                       'MDG': None,
                       'MDV': None,
                       'MEX': ['BLZ', 'GTM', 'USA'],
                       'MHL': None,
                       'MKD': ['ALB', 'BGR', 'GRC', 'UNK', 'SRB'],
                       'MLI': ['DZA', 'BFA', 'GIN', 'CIV', 'MRT', 'NER', 'SEN'],
                       'MLT': None,
                       'MMR': ['BGD', 'CHN', 'IND', 'LAO', 'THA'],
                       'MNE': ['ALB', 'BIH', 'HRV', 'UNK', 'SRB'],
                       'MNG': ['CHN', 'RUS'],
                       'MNP': None,
                       'MOZ': ['MWI', 'ZAF', 'SWZ', 'TZA', 'ZMB', 'ZWE'],
                       'MRT': ['DZA', 'MLI', 'SEN', 'ESH'],
                       'MSR': None,
                       'MTQ': None,
                       'MUS': None,
                       'MWI': ['MOZ', 'TZA', 'ZMB'],
                       'MYS': ['BRN', 'IDN', 'THA'],
                       'MYT': None,
                       'NAM': ['AGO', 'BWA', 'ZAF', 'ZMB'],
                       'NCL': None,
                       'NER': ['DZA', 'BEN', 'BFA', 'TCD', 'LBY', 'MLI', 'NGA'],
                       'NFK': None,
                       'NGA': ['BEN', 'CMR', 'TCD', 'NER'],
                       'NIC': ['CRI', 'HND'],
                       'NIU': None,
                       'NLD': ['BEL', 'DEU'],
                       'NOR': ['FIN', 'SWE', 'RUS'],
                       'NPL': ['CHN', 'IND'],
                       'NRU': None,
                       'NZL': None,
                       'OMN': ['SAU', 'ARE', 'YEM'],
                       'PAK': ['AFG', 'CHN', 'IND', 'IRN'],
                       'PAN': ['COL', 'CRI'],
                       'PCN': None,
                       'PER': ['BOL', 'BRA', 'CHL', 'COL', 'ECU'],
                       'PHL': None,
                       'PLW': None,
                       'PNG': ['IDN'],
                       'POL': ['BLR', 'CZE', 'DEU', 'LTU', 'RUS', 'SVK', 'UKR'],
                       'PRI': None,
                       'PRK': ['CHN', 'KOR', 'RUS'],
                       'PRT': ['ESP'],
                       'PRY': ['ARG', 'BOL', 'BRA'],
                       'PSE': ['ISR', 'EGY', 'JOR'],
                       'PYF': None,
                       'QAT': ['SAU'],
                       'REU': None,
                       'ROU': ['BGR', 'HUN', 'MDA', 'SRB', 'UKR'],
                       'RUS': ['AZE',
                               'BLR',
                               'CHN',
                               'EST',
                               'FIN',
                               'GEO',
                               'KAZ',
                               'PRK',
                               'LVA',
                               'LTU',
                               'MNG',
                               'NOR',
                               'POL',
                               'UKR'],
                       'RWA': ['BDI', 'COD', 'TZA', 'UGA'],
                       'SAU': ['IRQ', 'JOR', 'KWT', 'OMN', 'QAT', 'ARE', 'YEM'],
                       'SDN': ['CAF', 'TCD', 'EGY', 'ERI', 'ETH', 'LBY', 'SSD'],
                       'SEN': ['GMB', 'GIN', 'GNB', 'MLI', 'MRT'],
                       'SGP': None,
                       'SGS': None,
                       'SHN': None,
                       'SJM': None,
                       'SLB': None,
                       'SLE': ['GIN', 'LBR'],
                       'SLV': ['GTM', 'HND'],
                       'SMR': ['ITA'],
                       'SOM': ['DJI', 'ETH', 'KEN'],
                       'SPM': None,
                       'SRB': ['BIH', 'BGR', 'HRV', 'HUN', 'UNK', 'MKD', 'MNE', 'ROU'],
                       'SSD': ['CAF', 'COD', 'ETH', 'KEN', 'SDN', 'UGA'],
                       'STP': None,
                       'SUR': ['BRA', 'FRA', 'GUF', 'GUY'],
                       'SVK': ['AUT', 'CZE', 'HUN', 'POL', 'UKR'],
                       'SVN': ['AUT', 'HRV', 'ITA', 'HUN'],
                       'SWE': ['FIN', 'NOR'],
                       'SWZ': ['MOZ', 'ZAF'],
                       'SXM': ['MAF'],
                       'SYC': None,
                       'SYR': ['IRQ', 'ISR', 'JOR', 'LBN', 'TUR'],
                       'TCA': None,
                       'TCD': ['CMR', 'CAF', 'LBY', 'NER', 'NGA', 'SDN'],
                       'TGO': ['BEN', 'BFA', 'GHA'],
                       'THA': ['MMR', 'KHM', 'LAO', 'MYS'],
                       'TJK': ['AFG', 'CHN', 'KGZ', 'UZB'],
                       'TKL': None,
                       'TKM': ['AFG', 'IRN', 'KAZ', 'UZB'],
                       'TLS': ['IDN'],
                       'TON': None,
                       'TTO': None,
                       'TUN': ['DZA', 'LBY'],
                       'TUR': ['ARM', 'AZE', 'BGR', 'GEO', 'GRC', 'IRN', 'IRQ', 'SYR'],
                       'TUV': None,
                       'TWN': None,
                       'TZA': ['BDI', 'COD', 'KEN', 'MWI', 'MOZ', 'RWA', 'UGA', 'ZMB'],
                       'UGA': ['COD', 'KEN', 'RWA', 'SSD', 'TZA'],
                       'UKR': ['BLR', 'HUN', 'MDA', 'POL', 'ROU', 'RUS', 'SVK'],
                       'UMI': None,
                       'URY': ['ARG', 'BRA'],
                       'USA': ['CAN', 'MEX'],
                       'UZB': ['AFG', 'KAZ', 'KGZ', 'TJK', 'TKM'],
                       'VAT': ['ITA'],
                       'VCT': None,
                       'VEN': ['BRA', 'COL', 'GUY'],
                       'VGB': None,
                       'VIR': None,
                       'VNM': ['KHM', 'CHN', 'LAO'],
                       'VUT': None,
                       'WLF': None,
                       'WSM': None,
                       'YEM': ['OMN', 'SAU'],
                       'ZAF': ['BWA', 'LSO', 'MOZ', 'NAM', 'SWZ', 'ZWE'],
                       'ZMB': ['AGO', 'BWA', 'COD', 'MWI', 'MOZ', 'NAM', 'TZA', 'ZWE'],
                       'ZWE': ['BWA', 'MOZ', 'ZAF', 'ZMB']
                       }
    alpha3ToBorderPolygonCoordinates = {
        "ABW": None,
        "AFG": [
            [
                61.210817,
                35.650072
            ],
            [
                62.230651,
                35.270664
            ],
            [
                62.984662,
                35.404041
            ],
            [
                63.193538,
                35.857166
            ],
            [
                63.982896,
                36.007957
            ],
            [
                64.546479,
                36.312073
            ],
            [
                64.746105,
                37.111818
            ],
            [
                65.588948,
                37.305217
            ],
            [
                65.745631,
                37.661164
            ],
            [
                66.217385,
                37.39379
            ],
            [
                66.518607,
                37.362784
            ],
            [
                67.075782,
                37.356144
            ],
            [
                67.83,
                37.144994
            ],
            [
                68.135562,
                37.023115
            ],
            [
                68.859446,
                37.344336
            ],
            [
                69.196273,
                37.151144
            ],
            [
                69.518785,
                37.608997
            ],
            [
                70.116578,
                37.588223
            ],
            [
                70.270574,
                37.735165
            ],
            [
                70.376304,
                38.138396
            ],
            [
                70.806821,
                38.486282
            ],
            [
                71.348131,
                38.258905
            ],
            [
                71.239404,
                37.953265
            ],
            [
                71.541918,
                37.905774
            ],
            [
                71.448693,
                37.065645
            ],
            [
                71.844638,
                36.738171
            ],
            [
                72.193041,
                36.948288
            ],
            [
                72.63689,
                37.047558
            ],
            [
                73.260056,
                37.495257
            ],
            [
                73.948696,
                37.421566
            ],
            [
                74.980002,
                37.41999
            ],
            [
                75.158028,
                37.133031
            ],
            [
                74.575893,
                37.020841
            ],
            [
                74.067552,
                36.836176
            ],
            [
                72.920025,
                36.720007
            ],
            [
                71.846292,
                36.509942
            ],
            [
                71.262348,
                36.074388
            ],
            [
                71.498768,
                35.650563
            ],
            [
                71.613076,
                35.153203
            ],
            [
                71.115019,
                34.733126
            ],
            [
                71.156773,
                34.348911
            ],
            [
                70.881803,
                33.988856
            ],
            [
                69.930543,
                34.02012
            ],
            [
                70.323594,
                33.358533
            ],
            [
                69.687147,
                33.105499
            ],
            [
                69.262522,
                32.501944
            ],
            [
                69.317764,
                31.901412
            ],
            [
                68.926677,
                31.620189
            ],
            [
                68.556932,
                31.71331
            ],
            [
                67.792689,
                31.58293
            ],
            [
                67.683394,
                31.303154
            ],
            [
                66.938891,
                31.304911
            ],
            [
                66.381458,
                30.738899
            ],
            [
                66.346473,
                29.887943
            ],
            [
                65.046862,
                29.472181
            ],
            [
                64.350419,
                29.560031
            ],
            [
                64.148002,
                29.340819
            ],
            [
                63.550261,
                29.468331
            ],
            [
                62.549857,
                29.318572
            ],
            [
                60.874248,
                29.829239
            ],
            [
                61.781222,
                30.73585
            ],
            [
                61.699314,
                31.379506
            ],
            [
                60.941945,
                31.548075
            ],
            [
                60.863655,
                32.18292
            ],
            [
                60.536078,
                32.981269
            ],
            [
                60.9637,
                33.528832
            ],
            [
                60.52843,
                33.676446
            ],
            [
                60.803193,
                34.404102
            ],
            [
                61.210817,
                35.650072
            ]
        ],
        "AGO": [
            [
                [
                    16.326528,
                    -5.87747
                ],
                [
                    16.57318,
                    -6.622645
                ],
                [
                    16.860191,
                    -7.222298
                ],
                [
                    17.089996,
                    -7.545689
                ],
                [
                    17.47297,
                    -8.068551
                ],
                [
                    18.134222,
                    -7.987678
                ],
                [
                    18.464176,
                    -7.847014
                ],
                [
                    19.016752,
                    -7.988246
                ],
                [
                    19.166613,
                    -7.738184
                ],
                [
                    19.417502,
                    -7.155429
                ],
                [
                    20.037723,
                    -7.116361
                ],
                [
                    20.091622,
                    -6.94309
                ],
                [
                    20.601823,
                    -6.939318
                ],
                [
                    20.514748,
                    -7.299606
                ],
                [
                    21.728111,
                    -7.290872
                ],
                [
                    21.746456,
                    -7.920085
                ],
                [
                    21.949131,
                    -8.305901
                ],
                [
                    21.801801,
                    -8.908707
                ],
                [
                    21.875182,
                    -9.523708
                ],
                [
                    22.208753,
                    -9.894796
                ],
                [
                    22.155268,
                    -11.084801
                ],
                [
                    22.402798,
                    -10.993075
                ],
                [
                    22.837345,
                    -11.017622
                ],
                [
                    23.456791,
                    -10.867863
                ],
                [
                    23.912215,
                    -10.926826
                ],
                [
                    24.017894,
                    -11.237298
                ],
                [
                    23.904154,
                    -11.722282
                ],
                [
                    24.079905,
                    -12.191297
                ],
                [
                    23.930922,
                    -12.565848
                ],
                [
                    24.016137,
                    -12.911046
                ],
                [
                    21.933886,
                    -12.898437
                ],
                [
                    21.887843,
                    -16.08031
                ],
                [
                    22.562478,
                    -16.898451
                ],
                [
                    23.215048,
                    -17.523116
                ],
                [
                    21.377176,
                    -17.930636
                ],
                [
                    18.956187,
                    -17.789095
                ],
                [
                    18.263309,
                    -17.309951
                ],
                [
                    14.209707,
                    -17.353101
                ],
                [
                    14.058501,
                    -17.423381
                ],
                [
                    13.462362,
                    -16.971212
                ],
                [
                    12.814081,
                    -16.941343
                ],
                [
                    12.215461,
                    -17.111668
                ],
                [
                    11.734199,
                    -17.301889
                ],
                [
                    11.640096,
                    -16.673142
                ],
                [
                    11.778537,
                    -15.793816
                ],
                [
                    12.123581,
                    -14.878316
                ],
                [
                    12.175619,
                    -14.449144
                ],
                [
                    12.500095,
                    -13.5477
                ],
                [
                    12.738479,
                    -13.137906
                ],
                [
                    13.312914,
                    -12.48363
                ],
                [
                    13.633721,
                    -12.038645
                ],
                [
                    13.738728,
                    -11.297863
                ],
                [
                    13.686379,
                    -10.731076
                ],
                [
                    13.387328,
                    -10.373578
                ],
                [
                    13.120988,
                    -9.766897
                ],
                [
                    12.87537,
                    -9.166934
                ],
                [
                    12.929061,
                    -8.959091
                ],
                [
                    13.236433,
                    -8.562629
                ],
                [
                    12.93304,
                    -7.596539
                ],
                [
                    12.728298,
                    -6.927122
                ],
                [
                    12.227347,
                    -6.294448
                ],
                [
                    12.322432,
                    -6.100092
                ],
                [
                    12.735171,
                    -5.965682
                ],
                [
                    13.024869,
                    -5.984389
                ],
                [
                    13.375597,
                    -5.864241
                ],
                [
                    16.326528,
                    -5.87747
                ]
            ]
        ],
        "AIA": None,
        "ALA": None,
        "ALB": [
            [
                20.590247,
                41.855404
            ],
            [
                20.463175,
                41.515089
            ],
            [
                20.605182,
                41.086226
            ],
            [
                21.02004,
                40.842727
            ],
            [
                20.99999,
                40.580004
            ],
            [
                20.674997,
                40.435
            ],
            [
                20.615,
                40.110007
            ],
            [
                20.150016,
                39.624998
            ],
            [
                19.98,
                39.694993
            ],
            [
                19.960002,
                39.915006
            ],
            [
                19.406082,
                40.250773
            ],
            [
                19.319059,
                40.72723
            ],
            [
                19.40355,
                41.409566
            ],
            [
                19.540027,
                41.719986
            ],
            [
                19.371769,
                41.877548
            ],
            [
                19.304486,
                42.195745
            ],
            [
                19.738051,
                42.688247
            ],
            [
                19.801613,
                42.500093
            ],
            [
                20.0707,
                42.58863
            ],
            [
                20.283755,
                42.32026
            ],
            [
                20.52295,
                42.21787
            ],
            [
                20.590247,
                41.855404
            ]
        ],
        "AND": None,
        "ARE": [
            [
                51.579519,
                24.245497
            ],
            [
                51.757441,
                24.294073
            ],
            [
                51.794389,
                24.019826
            ],
            [
                52.577081,
                24.177439
            ],
            [
                53.404007,
                24.151317
            ],
            [
                54.008001,
                24.121758
            ],
            [
                54.693024,
                24.797892
            ],
            [
                55.439025,
                25.439145
            ],
            [
                56.070821,
                26.055464
            ],
            [
                56.261042,
                25.714606
            ],
            [
                56.396847,
                24.924732
            ],
            [
                55.886233,
                24.920831
            ],
            [
                55.804119,
                24.269604
            ],
            [
                55.981214,
                24.130543
            ],
            [
                55.528632,
                23.933604
            ],
            [
                55.525841,
                23.524869
            ],
            [
                55.234489,
                23.110993
            ],
            [
                55.208341,
                22.70833
            ],
            [
                55.006803,
                22.496948
            ],
            [
                52.000733,
                23.001154
            ],
            [
                51.617708,
                24.014219
            ],
            [
                51.579519,
                24.245497
            ]
        ],
        "ARG": [
            [
                [
                    -65.5,
                    -55.2
                ],
                [
                    -66.45,
                    -55.25
                ],
                [
                    -66.95992,
                    -54.89681
                ],
                [
                    -67.56244,
                    -54.87001
                ],
                [
                    -68.63335,
                    -54.8695
                ],
                [
                    -68.63401,
                    -52.63637
                ],
                [
                    -68.25,
                    -53.1
                ],
                [
                    -67.75,
                    -53.85
                ],
                [
                    -66.45,
                    -54.45
                ],
                [
                    -65.05,
                    -54.7
                ],
                [
                    -65.5,
                    -55.2
                ]
            ]
        ],
        "ARM": [
            [
                43.582746,
                41.092143
            ],
            [
                44.97248,
                41.248129
            ],
            [
                45.179496,
                40.985354
            ],
            [
                45.560351,
                40.81229
            ],
            [
                45.359175,
                40.561504
            ],
            [
                45.891907,
                40.218476
            ],
            [
                45.610012,
                39.899994
            ],
            [
                46.034534,
                39.628021
            ],
            [
                46.483499,
                39.464155
            ],
            [
                46.50572,
                38.770605
            ],
            [
                46.143623,
                38.741201
            ],
            [
                45.735379,
                39.319719
            ],
            [
                45.739978,
                39.473999
            ],
            [
                45.298145,
                39.471751
            ],
            [
                45.001987,
                39.740004
            ],
            [
                44.79399,
                39.713003
            ],
            [
                44.400009,
                40.005
            ],
            [
                43.656436,
                40.253564
            ],
            [
                43.752658,
                40.740201
            ],
            [
                43.582746,
                41.092143
            ]
        ],
        "ASM": None,
        "ATF": None,
        "ATG": None,
        "AUS": [
            [
                [
                    145.397978,
                    -40.792549
                ],
                [
                    146.364121,
                    -41.137695
                ],
                [
                    146.908584,
                    -41.000546
                ],
                [
                    147.689259,
                    -40.808258
                ],
                [
                    148.289068,
                    -40.875438
                ],
                [
                    148.359865,
                    -42.062445
                ],
                [
                    148.017301,
                    -42.407024
                ],
                [
                    147.914052,
                    -43.211522
                ],
                [
                    147.564564,
                    -42.937689
                ],
                [
                    146.870343,
                    -43.634597
                ],
                [
                    146.663327,
                    -43.580854
                ],
                [
                    146.048378,
                    -43.549745
                ],
                [
                    145.43193,
                    -42.693776
                ],
                [
                    145.29509,
                    -42.03361
                ],
                [
                    144.718071,
                    -41.162552
                ],
                [
                    144.743755,
                    -40.703975
                ],
                [
                    145.397978,
                    -40.792549
                ]
            ]
        ],
        "AUT": [
            [
                16.979667,
                48.123497
            ],
            [
                16.903754,
                47.714866
            ],
            [
                16.340584,
                47.712902
            ],
            [
                16.534268,
                47.496171
            ],
            [
                16.202298,
                46.852386
            ],
            [
                16.011664,
                46.683611
            ],
            [
                15.137092,
                46.658703
            ],
            [
                14.632472,
                46.431817
            ],
            [
                13.806475,
                46.509306
            ],
            [
                12.376485,
                46.767559
            ],
            [
                12.153088,
                47.115393
            ],
            [
                11.164828,
                46.941579
            ],
            [
                11.048556,
                46.751359
            ],
            [
                10.442701,
                46.893546
            ],
            [
                9.932448,
                46.920728
            ],
            [
                9.47997,
                47.10281
            ],
            [
                9.632932,
                47.347601
            ],
            [
                9.594226,
                47.525058
            ],
            [
                9.896068,
                47.580197
            ],
            [
                10.402084,
                47.302488
            ],
            [
                10.544504,
                47.566399
            ],
            [
                11.426414,
                47.523766
            ],
            [
                12.141357,
                47.703083
            ],
            [
                12.62076,
                47.672388
            ],
            [
                12.932627,
                47.467646
            ],
            [
                13.025851,
                47.637584
            ],
            [
                12.884103,
                48.289146
            ],
            [
                13.243357,
                48.416115
            ],
            [
                13.595946,
                48.877172
            ],
            [
                14.338898,
                48.555305
            ],
            [
                14.901447,
                48.964402
            ],
            [
                15.253416,
                49.039074
            ],
            [
                16.029647,
                48.733899
            ],
            [
                16.499283,
                48.785808
            ],
            [
                16.960288,
                48.596982
            ],
            [
                16.879983,
                48.470013
            ],
            [
                16.979667,
                48.123497
            ]
        ],
        "AZE": [
            [
                [
                    45.001987,
                    39.740004
                ],
                [
                    45.298145,
                    39.471751
                ],
                [
                    45.739978,
                    39.473999
                ],
                [
                    45.735379,
                    39.319719
                ],
                [
                    46.143623,
                    38.741201
                ],
                [
                    45.457722,
                    38.874139
                ],
                [
                    44.952688,
                    39.335765
                ],
                [
                    44.79399,
                    39.713003
                ],
                [
                    45.001987,
                    39.740004
                ]
            ]
        ],
        "BDI": [
            [
                29.339998,
                -4.499983
            ],
            [
                29.276384,
                -3.293907
            ],
            [
                29.024926,
                -2.839258
            ],
            [
                29.632176,
                -2.917858
            ],
            [
                29.938359,
                -2.348487
            ],
            [
                30.469696,
                -2.413858
            ],
            [
                30.527677,
                -2.807632
            ],
            [
                30.743013,
                -3.034285
            ],
            [
                30.752263,
                -3.35933
            ],
            [
                30.50556,
                -3.568567
            ],
            [
                30.116333,
                -4.090138
            ],
            [
                29.753512,
                -4.452389
            ],
            [
                29.339998,
                -4.499983
            ]
        ],
        "BEL": [
            [
                3.314971,
                51.345781
            ],
            [
                4.047071,
                51.267259
            ],
            [
                4.973991,
                51.475024
            ],
            [
                5.606976,
                51.037298
            ],
            [
                6.156658,
                50.803721
            ],
            [
                6.043073,
                50.128052
            ],
            [
                5.782417,
                50.090328
            ],
            [
                5.674052,
                49.529484
            ],
            [
                4.799222,
                49.985373
            ],
            [
                4.286023,
                49.907497
            ],
            [
                3.588184,
                50.378992
            ],
            [
                3.123252,
                50.780363
            ],
            [
                2.658422,
                50.796848
            ],
            [
                2.513573,
                51.148506
            ],
            [
                3.314971,
                51.345781
            ]
        ],
        "BEN": [
            [
                2.691702,
                6.258817
            ],
            [
                1.865241,
                6.142158
            ],
            [
                1.618951,
                6.832038
            ],
            [
                1.664478,
                9.12859
            ],
            [
                1.463043,
                9.334624
            ],
            [
                1.425061,
                9.825395
            ],
            [
                1.077795,
                10.175607
            ],
            [
                0.772336,
                10.470808
            ],
            [
                0.899563,
                10.997339
            ],
            [
                1.24347,
                11.110511
            ],
            [
                1.447178,
                11.547719
            ],
            [
                1.935986,
                11.64115
            ],
            [
                2.154474,
                11.94015
            ],
            [
                2.490164,
                12.233052
            ],
            [
                2.848643,
                12.235636
            ],
            [
                3.61118,
                11.660167
            ],
            [
                3.572216,
                11.327939
            ],
            [
                3.797112,
                10.734746
            ],
            [
                3.60007,
                10.332186
            ],
            [
                3.705438,
                10.06321
            ],
            [
                3.220352,
                9.444153
            ],
            [
                2.912308,
                9.137608
            ],
            [
                2.723793,
                8.506845
            ],
            [
                2.749063,
                7.870734
            ],
            [
                2.691702,
                6.258817
            ]
        ],
        "BES": None,
        "BFA": [
            [
                -2.827496,
                9.642461
            ],
            [
                -3.511899,
                9.900326
            ],
            [
                -3.980449,
                9.862344
            ],
            [
                -4.330247,
                9.610835
            ],
            [
                -4.779884,
                9.821985
            ],
            [
                -4.954653,
                10.152714
            ],
            [
                -5.404342,
                10.370737
            ],
            [
                -5.470565,
                10.95127
            ],
            [
                -5.197843,
                11.375146
            ],
            [
                -5.220942,
                11.713859
            ],
            [
                -4.427166,
                12.542646
            ],
            [
                -4.280405,
                13.228444
            ],
            [
                -4.006391,
                13.472485
            ],
            [
                -3.522803,
                13.337662
            ],
            [
                -3.103707,
                13.541267
            ],
            [
                -2.967694,
                13.79815
            ],
            [
                -2.191825,
                14.246418
            ],
            [
                -2.001035,
                14.559008
            ],
            [
                -1.066363,
                14.973815
            ],
            [
                -0.515854,
                15.116158
            ],
            [
                -0.266257,
                14.924309
            ],
            [
                0.374892,
                14.928908
            ],
            [
                0.295646,
                14.444235
            ],
            [
                0.429928,
                13.988733
            ],
            [
                0.993046,
                13.33575
            ],
            [
                1.024103,
                12.851826
            ],
            [
                2.177108,
                12.625018
            ],
            [
                2.154474,
                11.94015
            ],
            [
                1.935986,
                11.64115
            ],
            [
                1.447178,
                11.547719
            ],
            [
                1.24347,
                11.110511
            ],
            [
                0.899563,
                10.997339
            ],
            [
                0.023803,
                11.018682
            ],
            [
                -0.438702,
                11.098341
            ],
            [
                -0.761576,
                10.93693
            ],
            [
                -1.203358,
                11.009819
            ],
            [
                -2.940409,
                10.96269
            ],
            [
                -2.963896,
                10.395335
            ],
            [
                -2.827496,
                9.642461
            ]
        ],
        "BGD": [
            [
                92.672721,
                22.041239
            ],
            [
                92.652257,
                21.324048
            ],
            [
                92.303234,
                21.475485
            ],
            [
                92.368554,
                20.670883
            ],
            [
                92.082886,
                21.192195
            ],
            [
                92.025215,
                21.70157
            ],
            [
                91.834891,
                22.182936
            ],
            [
                91.417087,
                22.765019
            ],
            [
                90.496006,
                22.805017
            ],
            [
                90.586957,
                22.392794
            ],
            [
                90.272971,
                21.836368
            ],
            [
                89.847467,
                22.039146
            ],
            [
                89.70205,
                21.857116
            ],
            [
                89.418863,
                21.966179
            ],
            [
                89.031961,
                22.055708
            ],
            [
                88.876312,
                22.879146
            ],
            [
                88.52977,
                23.631142
            ],
            [
                88.69994,
                24.233715
            ],
            [
                88.084422,
                24.501657
            ],
            [
                88.306373,
                24.866079
            ],
            [
                88.931554,
                25.238692
            ],
            [
                88.209789,
                25.768066
            ],
            [
                88.563049,
                26.446526
            ],
            [
                89.355094,
                26.014407
            ],
            [
                89.832481,
                25.965082
            ],
            [
                89.920693,
                25.26975
            ],
            [
                90.872211,
                25.132601
            ],
            [
                91.799596,
                25.147432
            ],
            [
                92.376202,
                24.976693
            ],
            [
                91.915093,
                24.130414
            ],
            [
                91.46773,
                24.072639
            ],
            [
                91.158963,
                23.503527
            ],
            [
                91.706475,
                22.985264
            ],
            [
                91.869928,
                23.624346
            ],
            [
                92.146035,
                23.627499
            ],
            [
                92.672721,
                22.041239
            ]
        ],
        "BGR": [
            [
                22.65715,
                44.234923
            ],
            [
                22.944832,
                43.823785
            ],
            [
                23.332302,
                43.897011
            ],
            [
                24.100679,
                43.741051
            ],
            [
                25.569272,
                43.688445
            ],
            [
                26.065159,
                43.943494
            ],
            [
                27.2424,
                44.175986
            ],
            [
                27.970107,
                43.812468
            ],
            [
                28.558081,
                43.707462
            ],
            [
                28.039095,
                43.293172
            ],
            [
                27.673898,
                42.577892
            ],
            [
                27.99672,
                42.007359
            ],
            [
                27.135739,
                42.141485
            ],
            [
                26.117042,
                41.826905
            ],
            [
                26.106138,
                41.328899
            ],
            [
                25.197201,
                41.234486
            ],
            [
                24.492645,
                41.583896
            ],
            [
                23.692074,
                41.309081
            ],
            [
                22.952377,
                41.337994
            ],
            [
                22.881374,
                41.999297
            ],
            [
                22.380526,
                42.32026
            ],
            [
                22.545012,
                42.461362
            ],
            [
                22.436595,
                42.580321
            ],
            [
                22.604801,
                42.898519
            ],
            [
                22.986019,
                43.211161
            ],
            [
                22.500157,
                43.642814
            ],
            [
                22.410446,
                44.008063
            ],
            [
                22.65715,
                44.234923
            ]
        ],
        "BHR": None,
        "BHS": None,
        "BIH": [
            [
                19.005486,
                44.860234
            ],
            [
                19.36803,
                44.863
            ],
            [
                19.11761,
                44.42307
            ],
            [
                19.59976,
                44.03847
            ],
            [
                19.454,
                43.5681
            ],
            [
                19.21852,
                43.52384
            ],
            [
                19.03165,
                43.43253
            ],
            [
                18.70648,
                43.20011
            ],
            [
                18.56,
                42.65
            ],
            [
                17.674922,
                43.028563
            ],
            [
                17.297373,
                43.446341
            ],
            [
                16.916156,
                43.667722
            ],
            [
                16.456443,
                44.04124
            ],
            [
                16.23966,
                44.351143
            ],
            [
                15.750026,
                44.818712
            ],
            [
                15.959367,
                45.233777
            ],
            [
                16.318157,
                45.004127
            ],
            [
                16.534939,
                45.211608
            ],
            [
                17.002146,
                45.233777
            ],
            [
                17.861783,
                45.06774
            ],
            [
                18.553214,
                45.08159
            ],
            [
                19.005486,
                44.860234
            ]
        ],
        "BLM": None,
        "BLR": [
            [
                23.484128,
                53.912498
            ],
            [
                24.450684,
                53.905702
            ],
            [
                25.536354,
                54.282423
            ],
            [
                25.768433,
                54.846963
            ],
            [
                26.588279,
                55.167176
            ],
            [
                26.494331,
                55.615107
            ],
            [
                27.10246,
                55.783314
            ],
            [
                28.176709,
                56.16913
            ],
            [
                29.229513,
                55.918344
            ],
            [
                29.371572,
                55.670091
            ],
            [
                29.896294,
                55.789463
            ],
            [
                30.873909,
                55.550976
            ],
            [
                30.971836,
                55.081548
            ],
            [
                30.757534,
                54.811771
            ],
            [
                31.384472,
                54.157056
            ],
            [
                31.791424,
                53.974639
            ],
            [
                31.731273,
                53.794029
            ],
            [
                32.405599,
                53.618045
            ],
            [
                32.693643,
                53.351421
            ],
            [
                32.304519,
                53.132726
            ],
            [
                31.497644,
                53.167427
            ],
            [
                31.305201,
                53.073996
            ],
            [
                31.540018,
                52.742052
            ],
            [
                31.785998,
                52.101678
            ],
            [
                30.927549,
                52.042353
            ],
            [
                30.619454,
                51.822806
            ],
            [
                30.555117,
                51.319503
            ],
            [
                30.157364,
                51.416138
            ],
            [
                29.254938,
                51.368234
            ],
            [
                28.992835,
                51.602044
            ],
            [
                28.617613,
                51.427714
            ],
            [
                28.241615,
                51.572227
            ],
            [
                27.454066,
                51.592303
            ],
            [
                26.337959,
                51.832289
            ],
            [
                25.327788,
                51.910656
            ],
            [
                24.553106,
                51.888461
            ],
            [
                24.005078,
                51.617444
            ],
            [
                23.527071,
                51.578454
            ],
            [
                23.508002,
                52.023647
            ],
            [
                23.199494,
                52.486977
            ],
            [
                23.799199,
                52.691099
            ],
            [
                23.804935,
                53.089731
            ],
            [
                23.527536,
                53.470122
            ],
            [
                23.484128,
                53.912498
            ]
        ],
        "BLZ": [
            [
                -89.14308,
                17.808319
            ],
            [
                -89.150909,
                17.955468
            ],
            [
                -89.029857,
                18.001511
            ],
            [
                -88.848344,
                17.883198
            ],
            [
                -88.490123,
                18.486831
            ],
            [
                -88.300031,
                18.499982
            ],
            [
                -88.296336,
                18.353273
            ],
            [
                -88.106813,
                18.348674
            ],
            [
                -88.123479,
                18.076675
            ],
            [
                -88.285355,
                17.644143
            ],
            [
                -88.197867,
                17.489475
            ],
            [
                -88.302641,
                17.131694
            ],
            [
                -88.239518,
                17.036066
            ],
            [
                -88.355428,
                16.530774
            ],
            [
                -88.551825,
                16.265467
            ],
            [
                -88.732434,
                16.233635
            ],
            [
                -88.930613,
                15.887273
            ],
            [
                -89.229122,
                15.886938
            ],
            [
                -89.150806,
                17.015577
            ],
            [
                -89.14308,
                17.808319
            ]
        ],
        "BMU": [
            [
                -64.7799734332998,
                32.3072000581802
            ],
            [
                -64.7873319183061,
                32.3039237143428
            ],
            [
                -64.7946942710173,
                32.3032682700388
            ],
            [
                -64.8094297981283,
                32.3098175728414
            ],
            [
                -64.8167896352437,
                32.3058845718466
            ],
            [
                -64.8101968029642,
                32.3022833180511
            ],
            [
                -64.7962291465484,
                32.2934409732427
            ],
            [
                -64.7815086336978,
                32.2868973114514
            ],
            [
                -64.7997025513437,
                32.2796896417328
            ],
            [
                -64.8066707691087,
                32.2747767569465
            ],
            [
                -64.8225587873683,
                32.2669111289395
            ],
            [
                -64.8287548840306,
                32.2669075473817
            ],
            [
                -64.8306732143498,
                32.2583944840235
            ],
            [
                -64.8399924854972,
                32.254782282336
            ],
            [
                -64.8566090462354,
                32.2547740387514
            ],
            [
                -64.8682296789446,
                32.2616393614322
            ],
            [
                -64.8628241459563,
                32.2724481933959
            ],
            [
                -64.8748651338951,
                32.2757120264753
            ],
            [
                -64.8717752856644,
                32.2819371582026
            ],
            [
                -64.8671422127295,
                32.2930760547989
            ],
            [
                -64.8559068764437,
                32.2960321186471
            ],
            [
                -64.8597429072279,
                32.3015842021933
            ],
            [
                -64.8439233486717,
                32.3140553852543
            ],
            [
                -64.8350242329311,
                32.3242161760006
            ],
            [
                -64.8338690593672,
                32.3294587561557
            ],
            [
                -64.8520298651164,
                32.3110911879954
            ],
            [
                -64.8635922932573,
                32.3048469433363
            ],
            [
                -64.8686668994079,
                32.30910745083
            ],
            [
                -64.8721354593415,
                32.3041908606301
            ],
            [
                -64.8779667328485,
                32.3038632800462
            ],
            [
                -64.8780046844321,
                32.2907757831692
            ],
            [
                -64.8849776658292,
                32.2819261366004
            ],
            [
                -64.8783230004629,
                32.2613001418681
            ],
            [
                -64.863194968877,
                32.2465799485801
            ],
            [
                -64.8519819555722,
                32.2485519134663
            ],
            [
                -64.842311980074,
                32.2492123317296
            ],
            [
                -64.8388242605209,
                32.2475773472534
            ],
            [
                -64.8334002575532,
                32.2462714714698
            ],
            [
                -64.8256389530584,
                32.2472637398594
            ],
            [
                -64.8205697556026,
                32.2531698880328
            ],
            [
                -64.8105087275579,
                32.2561208974156
            ],
            [
                -64.7900177727338,
                32.2659446936992
            ],
            [
                -64.7745415970416,
                32.2718413023427
            ],
            [
                -64.7644742436426,
                32.2855931353214
            ],
            [
                -64.7551803442276,
                32.2908326702531
            ],
            [
                -64.7423982971436,
                32.2996734994024
            ],
            [
                -64.7206991797682,
                32.3137542201258
            ],
            [
                -64.7117851247134,
                32.3176823360806
            ],
            [
                -64.6962778813133,
                32.3275029115532
            ],
            [
                -64.6768921127452,
                32.3324095397555
            ],
            [
                -64.6567136927777,
                32.3451776458469
            ],
            [
                -64.6532168823499,
                32.3494356627941
            ],
            [
                -64.6605720384429,
                32.3589423487763
            ],
            [
                -64.65125819471,
                32.3615600906466
            ],
            [
                -64.6462011670816,
                32.36975169749
            ],
            [
                -64.6613227512832,
                32.3763135008721
            ],
            [
                -64.6690666074397,
                32.388444543924
            ],
            [
                -64.6834270548595,
                32.3854968316788
            ],
            [
                -64.6954617672714,
                32.3763221285869
            ],
            [
                -64.70438689565,
                32.3704254760469
            ],
            [
                -64.7117569982798,
                32.368132600249
            ],
            [
                -64.7061764744404,
                32.3600110593559
            ],
            [
                -64.700531552697,
                32.3590601356818
            ],
            [
                -64.6940348033967,
                32.3640708659835
            ],
            [
                -64.6895164826082,
                32.3633598579866
            ],
            [
                -64.6864150099255,
                32.3547797587266
            ],
            [
                -64.6824635995504,
                32.3540628176846
            ],
            [
                -64.6835876652835,
                32.3626447677968
            ],
            [
                -64.6801998697415,
                32.3631199096979
            ],
            [
                -64.6672170444687,
                32.3597751617473
            ],
            [
                -64.6598811264978,
                32.3497625771755
            ],
            [
                -64.6737331235384,
                32.3390281851635
            ],
            [
                -64.6887090648183,
                32.3342439408053
            ],
            [
                -64.706732854446,
                32.3429010723036
            ],
            [
                -64.7149301576112,
                32.3552188753513
            ],
            [
                -64.7185967666669,
                32.3552239212394
            ],
            [
                -64.7214189847314,
                32.3518830231342
            ],
            [
                -64.7270616067222,
                32.3466461715475
            ],
            [
                -64.734962460882,
                32.3442819830499
            ],
            [
                -64.7383521549094,
                32.3407216514918
            ],
            [
                -64.7411729976333,
                32.3311790864627
            ],
            [
                -64.7423019216485,
                32.323311561213
            ],
            [
                -64.7462482354281,
                32.318538611581
            ],
            [
                -64.7566773739613,
                32.3130509130175
            ],
            [
                -64.768738200563,
                32.3088369816572
            ],
            [
                -64.7799734332998,
                32.3072000581802
            ]
        ],
        "BOL": [
            [
                -62.846468,
                -22.034985
            ],
            [
                -63.986838,
                -21.993644
            ],
            [
                -64.377021,
                -22.798091
            ],
            [
                -64.964892,
                -22.075862
            ],
            [
                -66.273339,
                -21.83231
            ],
            [
                -67.106674,
                -22.735925
            ],
            [
                -67.82818,
                -22.872919
            ],
            [
                -68.219913,
                -21.494347
            ],
            [
                -68.757167,
                -20.372658
            ],
            [
                -68.442225,
                -19.405068
            ],
            [
                -68.966818,
                -18.981683
            ],
            [
                -69.100247,
                -18.260125
            ],
            [
                -69.590424,
                -17.580012
            ],
            [
                -68.959635,
                -16.500698
            ],
            [
                -69.389764,
                -15.660129
            ],
            [
                -69.160347,
                -15.323974
            ],
            [
                -69.339535,
                -14.953195
            ],
            [
                -68.948887,
                -14.453639
            ],
            [
                -68.929224,
                -13.602684
            ],
            [
                -68.88008,
                -12.899729
            ],
            [
                -68.66508,
                -12.5613
            ],
            [
                -69.529678,
                -10.951734
            ],
            [
                -68.786158,
                -11.03638
            ],
            [
                -68.271254,
                -11.014521
            ],
            [
                -68.048192,
                -10.712059
            ],
            [
                -67.173801,
                -10.306812
            ],
            [
                -66.646908,
                -9.931331
            ],
            [
                -65.338435,
                -9.761988
            ],
            [
                -65.444837,
                -10.511451
            ],
            [
                -65.321899,
                -10.895872
            ],
            [
                -65.402281,
                -11.56627
            ],
            [
                -64.316353,
                -12.461978
            ],
            [
                -63.196499,
                -12.627033
            ],
            [
                -62.80306,
                -13.000653
            ],
            [
                -62.127081,
                -13.198781
            ],
            [
                -61.713204,
                -13.489202
            ],
            [
                -61.084121,
                -13.479384
            ],
            [
                -60.503304,
                -13.775955
            ],
            [
                -60.459198,
                -14.354007
            ],
            [
                -60.264326,
                -14.645979
            ],
            [
                -60.251149,
                -15.077219
            ],
            [
                -60.542966,
                -15.09391
            ],
            [
                -60.15839,
                -16.258284
            ],
            [
                -58.24122,
                -16.299573
            ],
            [
                -58.388058,
                -16.877109
            ],
            [
                -58.280804,
                -17.27171
            ],
            [
                -57.734558,
                -17.552468
            ],
            [
                -57.498371,
                -18.174188
            ],
            [
                -57.676009,
                -18.96184
            ],
            [
                -57.949997,
                -19.400004
            ],
            [
                -57.853802,
                -19.969995
            ],
            [
                -58.166392,
                -20.176701
            ],
            [
                -58.183471,
                -19.868399
            ],
            [
                -59.115042,
                -19.356906
            ],
            [
                -60.043565,
                -19.342747
            ],
            [
                -61.786326,
                -19.633737
            ],
            [
                -62.265961,
                -20.513735
            ],
            [
                -62.291179,
                -21.051635
            ],
            [
                -62.685057,
                -22.249029
            ],
            [
                -62.846468,
                -22.034985
            ]
        ],
        "BRA": [
            [
                -57.625133,
                -30.216295
            ],
            [
                -56.2909,
                -28.852761
            ],
            [
                -55.162286,
                -27.881915
            ],
            [
                -54.490725,
                -27.474757
            ],
            [
                -53.648735,
                -26.923473
            ],
            [
                -53.628349,
                -26.124865
            ],
            [
                -54.13005,
                -25.547639
            ],
            [
                -54.625291,
                -25.739255
            ],
            [
                -54.428946,
                -25.162185
            ],
            [
                -54.293476,
                -24.5708
            ],
            [
                -54.29296,
                -24.021014
            ],
            [
                -54.652834,
                -23.839578
            ],
            [
                -55.027902,
                -24.001274
            ],
            [
                -55.400747,
                -23.956935
            ],
            [
                -55.517639,
                -23.571998
            ],
            [
                -55.610683,
                -22.655619
            ],
            [
                -55.797958,
                -22.35693
            ],
            [
                -56.473317,
                -22.0863
            ],
            [
                -56.88151,
                -22.282154
            ],
            [
                -57.937156,
                -22.090176
            ],
            [
                -57.870674,
                -20.732688
            ],
            [
                -58.166392,
                -20.176701
            ],
            [
                -57.853802,
                -19.969995
            ],
            [
                -57.949997,
                -19.400004
            ],
            [
                -57.676009,
                -18.96184
            ],
            [
                -57.498371,
                -18.174188
            ],
            [
                -57.734558,
                -17.552468
            ],
            [
                -58.280804,
                -17.27171
            ],
            [
                -58.388058,
                -16.877109
            ],
            [
                -58.24122,
                -16.299573
            ],
            [
                -60.15839,
                -16.258284
            ],
            [
                -60.542966,
                -15.09391
            ],
            [
                -60.251149,
                -15.077219
            ],
            [
                -60.264326,
                -14.645979
            ],
            [
                -60.459198,
                -14.354007
            ],
            [
                -60.503304,
                -13.775955
            ],
            [
                -61.084121,
                -13.479384
            ],
            [
                -61.713204,
                -13.489202
            ],
            [
                -62.127081,
                -13.198781
            ],
            [
                -62.80306,
                -13.000653
            ],
            [
                -63.196499,
                -12.627033
            ],
            [
                -64.316353,
                -12.461978
            ],
            [
                -65.402281,
                -11.56627
            ],
            [
                -65.321899,
                -10.895872
            ],
            [
                -65.444837,
                -10.511451
            ],
            [
                -65.338435,
                -9.761988
            ],
            [
                -66.646908,
                -9.931331
            ],
            [
                -67.173801,
                -10.306812
            ],
            [
                -68.048192,
                -10.712059
            ],
            [
                -68.271254,
                -11.014521
            ],
            [
                -68.786158,
                -11.03638
            ],
            [
                -69.529678,
                -10.951734
            ],
            [
                -70.093752,
                -11.123972
            ],
            [
                -70.548686,
                -11.009147
            ],
            [
                -70.481894,
                -9.490118
            ],
            [
                -71.302412,
                -10.079436
            ],
            [
                -72.184891,
                -10.053598
            ],
            [
                -72.563033,
                -9.520194
            ],
            [
                -73.226713,
                -9.462213
            ],
            [
                -73.015383,
                -9.032833
            ],
            [
                -73.571059,
                -8.424447
            ],
            [
                -73.987235,
                -7.52383
            ],
            [
                -73.723401,
                -7.340999
            ],
            [
                -73.724487,
                -6.918595
            ],
            [
                -73.120027,
                -6.629931
            ],
            [
                -73.219711,
                -6.089189
            ],
            [
                -72.964507,
                -5.741251
            ],
            [
                -72.891928,
                -5.274561
            ],
            [
                -71.748406,
                -4.593983
            ],
            [
                -70.928843,
                -4.401591
            ],
            [
                -70.794769,
                -4.251265
            ],
            [
                -69.893635,
                -4.298187
            ],
            [
                -69.444102,
                -1.556287
            ],
            [
                -69.420486,
                -1.122619
            ],
            [
                -69.577065,
                -0.549992
            ],
            [
                -70.020656,
                -0.185156
            ],
            [
                -70.015566,
                0.541414
            ],
            [
                -69.452396,
                0.706159
            ],
            [
                -69.252434,
                0.602651
            ],
            [
                -69.218638,
                0.985677
            ],
            [
                -69.804597,
                1.089081
            ],
            [
                -69.816973,
                1.714805
            ],
            [
                -67.868565,
                1.692455
            ],
            [
                -67.53781,
                2.037163
            ],
            [
                -67.259998,
                1.719999
            ],
            [
                -67.065048,
                1.130112
            ],
            [
                -66.876326,
                1.253361
            ],
            [
                -66.325765,
                0.724452
            ],
            [
                -65.548267,
                0.789254
            ],
            [
                -65.354713,
                1.095282
            ],
            [
                -64.611012,
                1.328731
            ],
            [
                -64.199306,
                1.492855
            ],
            [
                -64.083085,
                1.916369
            ],
            [
                -63.368788,
                2.2009
            ],
            [
                -63.422867,
                2.411068
            ],
            [
                -64.269999,
                2.497006
            ],
            [
                -64.408828,
                3.126786
            ],
            [
                -64.368494,
                3.79721
            ],
            [
                -64.816064,
                4.056445
            ],
            [
                -64.628659,
                4.148481
            ],
            [
                -63.888343,
                4.02053
            ],
            [
                -63.093198,
                3.770571
            ],
            [
                -62.804533,
                4.006965
            ],
            [
                -62.08543,
                4.162124
            ],
            [
                -60.966893,
                4.536468
            ],
            [
                -60.601179,
                4.918098
            ],
            [
                -60.733574,
                5.200277
            ],
            [
                -60.213683,
                5.244486
            ],
            [
                -59.980959,
                5.014061
            ],
            [
                -60.111002,
                4.574967
            ],
            [
                -59.767406,
                4.423503
            ],
            [
                -59.53804,
                3.958803
            ],
            [
                -59.815413,
                3.606499
            ],
            [
                -59.974525,
                2.755233
            ],
            [
                -59.718546,
                2.24963
            ],
            [
                -59.646044,
                1.786894
            ],
            [
                -59.030862,
                1.317698
            ],
            [
                -58.540013,
                1.268088
            ],
            [
                -58.429477,
                1.463942
            ],
            [
                -58.11345,
                1.507195
            ],
            [
                -57.660971,
                1.682585
            ],
            [
                -57.335823,
                1.948538
            ],
            [
                -56.782704,
                1.863711
            ],
            [
                -56.539386,
                1.899523
            ],
            [
                -55.995698,
                1.817667
            ],
            [
                -55.9056,
                2.021996
            ],
            [
                -56.073342,
                2.220795
            ],
            [
                -55.973322,
                2.510364
            ],
            [
                -55.569755,
                2.421506
            ],
            [
                -55.097587,
                2.523748
            ],
            [
                -54.524754,
                2.311849
            ],
            [
                -54.088063,
                2.105557
            ],
            [
                -53.778521,
                2.376703
            ],
            [
                -53.554839,
                2.334897
            ],
            [
                -53.418465,
                2.053389
            ],
            [
                -52.939657,
                2.124858
            ],
            [
                -52.556425,
                2.504705
            ],
            [
                -52.249338,
                3.241094
            ],
            [
                -51.657797,
                4.156232
            ],
            [
                -51.317146,
                4.203491
            ],
            [
                -51.069771,
                3.650398
            ],
            [
                -50.508875,
                1.901564
            ],
            [
                -49.974076,
                1.736483
            ],
            [
                -49.947101,
                1.04619
            ],
            [
                -50.699251,
                0.222984
            ],
            [
                -50.388211,
                -0.078445
            ],
            [
                -48.620567,
                -0.235489
            ],
            [
                -48.584497,
                -1.237805
            ],
            [
                -47.824956,
                -0.581618
            ],
            [
                -46.566584,
                -0.941028
            ],
            [
                -44.905703,
                -1.55174
            ],
            [
                -44.417619,
                -2.13775
            ],
            [
                -44.581589,
                -2.691308
            ],
            [
                -43.418791,
                -2.38311
            ],
            [
                -41.472657,
                -2.912018
            ],
            [
                -39.978665,
                -2.873054
            ],
            [
                -38.500383,
                -3.700652
            ],
            [
                -37.223252,
                -4.820946
            ],
            [
                -36.452937,
                -5.109404
            ],
            [
                -35.597796,
                -5.149504
            ],
            [
                -35.235389,
                -5.464937
            ],
            [
                -34.89603,
                -6.738193
            ],
            [
                -34.729993,
                -7.343221
            ],
            [
                -35.128212,
                -8.996401
            ],
            [
                -35.636967,
                -9.649282
            ],
            [
                -37.046519,
                -11.040721
            ],
            [
                -37.683612,
                -12.171195
            ],
            [
                -38.423877,
                -13.038119
            ],
            [
                -38.673887,
                -13.057652
            ],
            [
                -38.953276,
                -13.79337
            ],
            [
                -38.882298,
                -15.667054
            ],
            [
                -39.161092,
                -17.208407
            ],
            [
                -39.267339,
                -17.867746
            ],
            [
                -39.583521,
                -18.262296
            ],
            [
                -39.760823,
                -19.599113
            ],
            [
                -40.774741,
                -20.904512
            ],
            [
                -40.944756,
                -21.937317
            ],
            [
                -41.754164,
                -22.370676
            ],
            [
                -41.988284,
                -22.97007
            ],
            [
                -43.074704,
                -22.967693
            ],
            [
                -44.647812,
                -23.351959
            ],
            [
                -45.352136,
                -23.796842
            ],
            [
                -46.472093,
                -24.088969
            ],
            [
                -47.648972,
                -24.885199
            ],
            [
                -48.495458,
                -25.877025
            ],
            [
                -48.641005,
                -26.623698
            ],
            [
                -48.474736,
                -27.175912
            ],
            [
                -48.66152,
                -28.186135
            ],
            [
                -48.888457,
                -28.674115
            ],
            [
                -49.587329,
                -29.224469
            ],
            [
                -50.696874,
                -30.984465
            ],
            [
                -51.576226,
                -31.777698
            ],
            [
                -52.256081,
                -32.24537
            ],
            [
                -52.7121,
                -33.196578
            ],
            [
                -53.373662,
                -33.768378
            ],
            [
                -53.650544,
                -33.202004
            ],
            [
                -53.209589,
                -32.727666
            ],
            [
                -53.787952,
                -32.047243
            ],
            [
                -54.572452,
                -31.494511
            ],
            [
                -55.60151,
                -30.853879
            ],
            [
                -55.973245,
                -30.883076
            ],
            [
                -56.976026,
                -30.109686
            ],
            [
                -57.625133,
                -30.216295
            ]
        ],
        "BRB": None,
        "BRN": [
            [
                114.204017,
                4.525874
            ],
            [
                114.599961,
                4.900011
            ],
            [
                115.45071,
                5.44773
            ],
            [
                115.4057,
                4.955228
            ],
            [
                115.347461,
                4.316636
            ],
            [
                114.869557,
                4.348314
            ],
            [
                114.659596,
                4.007637
            ],
            [
                114.204017,
                4.525874
            ]
        ],
        "BTN": [
            [
                91.696657,
                27.771742
            ],
            [
                92.103712,
                27.452614
            ],
            [
                92.033484,
                26.83831
            ],
            [
                91.217513,
                26.808648
            ],
            [
                90.373275,
                26.875724
            ],
            [
                89.744528,
                26.719403
            ],
            [
                88.835643,
                27.098966
            ],
            [
                88.814248,
                27.299316
            ],
            [
                89.47581,
                28.042759
            ],
            [
                90.015829,
                28.296439
            ],
            [
                90.730514,
                28.064954
            ],
            [
                91.258854,
                28.040614
            ],
            [
                91.696657,
                27.771742
            ]
        ],
        "BWA": [
            [
                25.649163,
                -18.536026
            ],
            [
                25.850391,
                -18.714413
            ],
            [
                26.164791,
                -19.293086
            ],
            [
                27.296505,
                -20.39152
            ],
            [
                27.724747,
                -20.499059
            ],
            [
                27.727228,
                -20.851802
            ],
            [
                28.02137,
                -21.485975
            ],
            [
                28.794656,
                -21.639454
            ],
            [
                29.432188,
                -22.091313
            ],
            [
                28.017236,
                -22.827754
            ],
            [
                27.11941,
                -23.574323
            ],
            [
                26.786407,
                -24.240691
            ],
            [
                26.485753,
                -24.616327
            ],
            [
                25.941652,
                -24.696373
            ],
            [
                25.765849,
                -25.174845
            ],
            [
                25.664666,
                -25.486816
            ],
            [
                25.025171,
                -25.71967
            ],
            [
                24.211267,
                -25.670216
            ],
            [
                23.73357,
                -25.390129
            ],
            [
                23.312097,
                -25.26869
            ],
            [
                22.824271,
                -25.500459
            ],
            [
                22.579532,
                -25.979448
            ],
            [
                22.105969,
                -26.280256
            ],
            [
                21.605896,
                -26.726534
            ],
            [
                20.889609,
                -26.828543
            ],
            [
                20.66647,
                -26.477453
            ],
            [
                20.758609,
                -25.868136
            ],
            [
                20.165726,
                -24.917962
            ],
            [
                19.895768,
                -24.76779
            ],
            [
                19.895458,
                -21.849157
            ],
            [
                20.881134,
                -21.814327
            ],
            [
                20.910641,
                -18.252219
            ],
            [
                21.65504,
                -18.219146
            ],
            [
                23.196858,
                -17.869038
            ],
            [
                23.579006,
                -18.281261
            ],
            [
                24.217365,
                -17.889347
            ],
            [
                24.520705,
                -17.887125
            ],
            [
                25.084443,
                -17.661816
            ],
            [
                25.264226,
                -17.73654
            ],
            [
                25.649163,
                -18.536026
            ]
        ],
        "CAF": [
            [
                15.27946,
                7.421925
            ],
            [
                16.106232,
                7.497088
            ],
            [
                16.290562,
                7.754307
            ],
            [
                16.456185,
                7.734774
            ],
            [
                16.705988,
                7.508328
            ],
            [
                17.96493,
                7.890914
            ],
            [
                18.389555,
                8.281304
            ],
            [
                18.911022,
                8.630895
            ],
            [
                18.81201,
                8.982915
            ],
            [
                19.094008,
                9.074847
            ],
            [
                20.059685,
                9.012706
            ],
            [
                21.000868,
                9.475985
            ],
            [
                21.723822,
                10.567056
            ],
            [
                22.231129,
                10.971889
            ],
            [
                22.864165,
                11.142395
            ],
            [
                22.977544,
                10.714463
            ],
            [
                23.554304,
                10.089255
            ],
            [
                23.55725,
                9.681218
            ],
            [
                23.394779,
                9.265068
            ],
            [
                23.459013,
                8.954286
            ],
            [
                23.805813,
                8.666319
            ],
            [
                24.567369,
                8.229188
            ],
            [
                25.114932,
                7.825104
            ],
            [
                25.124131,
                7.500085
            ],
            [
                25.796648,
                6.979316
            ],
            [
                26.213418,
                6.546603
            ],
            [
                26.465909,
                5.946717
            ],
            [
                27.213409,
                5.550953
            ],
            [
                27.374226,
                5.233944
            ],
            [
                27.044065,
                5.127853
            ],
            [
                26.402761,
                5.150875
            ],
            [
                25.650455,
                5.256088
            ],
            [
                25.278798,
                5.170408
            ],
            [
                25.128833,
                4.927245
            ],
            [
                24.805029,
                4.897247
            ],
            [
                24.410531,
                5.108784
            ],
            [
                23.297214,
                4.609693
            ],
            [
                22.84148,
                4.710126
            ],
            [
                22.704124,
                4.633051
            ],
            [
                22.405124,
                4.02916
            ],
            [
                21.659123,
                4.224342
            ],
            [
                20.927591,
                4.322786
            ],
            [
                20.290679,
                4.691678
            ],
            [
                19.467784,
                5.031528
            ],
            [
                18.932312,
                4.709506
            ],
            [
                18.542982,
                4.201785
            ],
            [
                18.453065,
                3.504386
            ],
            [
                17.8099,
                3.560196
            ],
            [
                17.133042,
                3.728197
            ],
            [
                16.537058,
                3.198255
            ],
            [
                16.012852,
                2.26764
            ],
            [
                15.907381,
                2.557389
            ],
            [
                15.862732,
                3.013537
            ],
            [
                15.405396,
                3.335301
            ],
            [
                15.03622,
                3.851367
            ],
            [
                14.950953,
                4.210389
            ],
            [
                14.478372,
                4.732605
            ],
            [
                14.558936,
                5.030598
            ],
            [
                14.459407,
                5.451761
            ],
            [
                14.53656,
                6.226959
            ],
            [
                14.776545,
                6.408498
            ],
            [
                15.27946,
                7.421925
            ]
        ],
        "CAN": [
            [
                [
                    -63.6645,
                    46.55001
                ],
                [
                    -62.9393,
                    46.41587
                ],
                [
                    -62.01208,
                    46.44314
                ],
                [
                    -62.50391,
                    46.03339
                ],
                [
                    -62.87433,
                    45.96818
                ],
                [
                    -64.1428,
                    46.39265
                ],
                [
                    -64.39261,
                    46.72747
                ],
                [
                    -64.01486,
                    47.03601
                ],
                [
                    -63.6645,
                    46.55001
                ]
            ]
        ],
        "CCK": None,
        "CHE": [
            [
                9.594226,
                47.525058
            ],
            [
                9.632932,
                47.347601
            ],
            [
                9.47997,
                47.10281
            ],
            [
                9.932448,
                46.920728
            ],
            [
                10.442701,
                46.893546
            ],
            [
                10.363378,
                46.483571
            ],
            [
                9.922837,
                46.314899
            ],
            [
                9.182882,
                46.440215
            ],
            [
                8.966306,
                46.036932
            ],
            [
                8.489952,
                46.005151
            ],
            [
                8.31663,
                46.163642
            ],
            [
                7.755992,
                45.82449
            ],
            [
                7.273851,
                45.776948
            ],
            [
                6.843593,
                45.991147
            ],
            [
                6.5001,
                46.429673
            ],
            [
                6.022609,
                46.27299
            ],
            [
                6.037389,
                46.725779
            ],
            [
                6.768714,
                47.287708
            ],
            [
                6.736571,
                47.541801
            ],
            [
                7.192202,
                47.449766
            ],
            [
                7.466759,
                47.620582
            ],
            [
                8.317301,
                47.61358
            ],
            [
                8.522612,
                47.830828
            ],
            [
                9.594226,
                47.525058
            ]
        ],
        "CHL": [
            [
                [
                    -68.63401,
                    -52.63637
                ],
                [
                    -68.63335,
                    -54.8695
                ],
                [
                    -67.56244,
                    -54.87001
                ],
                [
                    -66.95992,
                    -54.89681
                ],
                [
                    -67.29103,
                    -55.30124
                ],
                [
                    -68.14863,
                    -55.61183
                ],
                [
                    -68.639991,
                    -55.580018
                ],
                [
                    -69.2321,
                    -55.49906
                ],
                [
                    -69.95809,
                    -55.19843
                ],
                [
                    -71.00568,
                    -55.05383
                ],
                [
                    -72.2639,
                    -54.49514
                ],
                [
                    -73.2852,
                    -53.95752
                ],
                [
                    -74.66253,
                    -52.83749
                ],
                [
                    -73.8381,
                    -53.04743
                ],
                [
                    -72.43418,
                    -53.7154
                ],
                [
                    -71.10773,
                    -54.07433
                ],
                [
                    -70.59178,
                    -53.61583
                ],
                [
                    -70.26748,
                    -52.93123
                ],
                [
                    -69.34565,
                    -52.5183
                ],
                [
                    -68.63401,
                    -52.63637
                ]
            ]
        ],
        "CHN": [
            [
                [
                    110.339188,
                    18.678395
                ],
                [
                    109.47521,
                    18.197701
                ],
                [
                    108.655208,
                    18.507682
                ],
                [
                    108.626217,
                    19.367888
                ],
                [
                    109.119056,
                    19.821039
                ],
                [
                    110.211599,
                    20.101254
                ],
                [
                    110.786551,
                    20.077534
                ],
                [
                    111.010051,
                    19.69593
                ],
                [
                    110.570647,
                    19.255879
                ],
                [
                    110.339188,
                    18.678395
                ]
            ]
        ],
        "CIV": None,
        "CMR": [
            [
                13.075822,
                2.267097
            ],
            [
                12.951334,
                2.321616
            ],
            [
                12.35938,
                2.192812
            ],
            [
                11.751665,
                2.326758
            ],
            [
                11.276449,
                2.261051
            ],
            [
                9.649158,
                2.283866
            ],
            [
                9.795196,
                3.073404
            ],
            [
                9.404367,
                3.734527
            ],
            [
                8.948116,
                3.904129
            ],
            [
                8.744924,
                4.352215
            ],
            [
                8.488816,
                4.495617
            ],
            [
                8.500288,
                4.771983
            ],
            [
                8.757533,
                5.479666
            ],
            [
                9.233163,
                6.444491
            ],
            [
                9.522706,
                6.453482
            ],
            [
                10.118277,
                7.03877
            ],
            [
                10.497375,
                7.055358
            ],
            [
                11.058788,
                6.644427
            ],
            [
                11.745774,
                6.981383
            ],
            [
                11.839309,
                7.397042
            ],
            [
                12.063946,
                7.799808
            ],
            [
                12.218872,
                8.305824
            ],
            [
                12.753672,
                8.717763
            ],
            [
                12.955468,
                9.417772
            ],
            [
                13.1676,
                9.640626
            ],
            [
                13.308676,
                10.160362
            ],
            [
                13.57295,
                10.798566
            ],
            [
                14.415379,
                11.572369
            ],
            [
                14.468192,
                11.904752
            ],
            [
                14.577178,
                12.085361
            ],
            [
                14.181336,
                12.483657
            ],
            [
                14.213531,
                12.802035
            ],
            [
                14.495787,
                12.859396
            ],
            [
                14.893386,
                12.219048
            ],
            [
                14.960152,
                11.555574
            ],
            [
                14.923565,
                10.891325
            ],
            [
                15.467873,
                9.982337
            ],
            [
                14.909354,
                9.992129
            ],
            [
                14.627201,
                9.920919
            ],
            [
                14.171466,
                10.021378
            ],
            [
                13.954218,
                9.549495
            ],
            [
                14.544467,
                8.965861
            ],
            [
                14.979996,
                8.796104
            ],
            [
                15.120866,
                8.38215
            ],
            [
                15.436092,
                7.692812
            ],
            [
                15.27946,
                7.421925
            ],
            [
                14.776545,
                6.408498
            ],
            [
                14.53656,
                6.226959
            ],
            [
                14.459407,
                5.451761
            ],
            [
                14.558936,
                5.030598
            ],
            [
                14.478372,
                4.732605
            ],
            [
                14.950953,
                4.210389
            ],
            [
                15.03622,
                3.851367
            ],
            [
                15.405396,
                3.335301
            ],
            [
                15.862732,
                3.013537
            ],
            [
                15.907381,
                2.557389
            ],
            [
                16.012852,
                2.26764
            ],
            [
                15.940919,
                1.727673
            ],
            [
                15.146342,
                1.964015
            ],
            [
                14.337813,
                2.227875
            ],
            [
                13.075822,
                2.267097
            ]
        ],
        "COD": [
            [
                30.83386,
                3.509166
            ],
            [
                30.773347,
                2.339883
            ],
            [
                31.174149,
                2.204465
            ],
            [
                30.85267,
                1.849396
            ],
            [
                30.468508,
                1.583805
            ],
            [
                30.086154,
                1.062313
            ],
            [
                29.875779,
                0.59738
            ],
            [
                29.819503,
                -0.20531
            ],
            [
                29.587838,
                -0.587406
            ],
            [
                29.579466,
                -1.341313
            ],
            [
                29.291887,
                -1.620056
            ],
            [
                29.254835,
                -2.21511
            ],
            [
                29.117479,
                -2.292211
            ],
            [
                29.024926,
                -2.839258
            ],
            [
                29.276384,
                -3.293907
            ],
            [
                29.339998,
                -4.499983
            ],
            [
                29.519987,
                -5.419979
            ],
            [
                29.419993,
                -5.939999
            ],
            [
                29.620032,
                -6.520015
            ],
            [
                30.199997,
                -7.079981
            ],
            [
                30.740015,
                -8.340007
            ],
            [
                30.346086,
                -8.238257
            ],
            [
                29.002912,
                -8.407032
            ],
            [
                28.734867,
                -8.526559
            ],
            [
                28.449871,
                -9.164918
            ],
            [
                28.673682,
                -9.605925
            ],
            [
                28.49607,
                -10.789884
            ],
            [
                28.372253,
                -11.793647
            ],
            [
                28.642417,
                -11.971569
            ],
            [
                29.341548,
                -12.360744
            ],
            [
                29.616001,
                -12.178895
            ],
            [
                29.699614,
                -13.257227
            ],
            [
                28.934286,
                -13.248958
            ],
            [
                28.523562,
                -12.698604
            ],
            [
                28.155109,
                -12.272481
            ],
            [
                27.388799,
                -12.132747
            ],
            [
                27.16442,
                -11.608748
            ],
            [
                26.553088,
                -11.92444
            ],
            [
                25.75231,
                -11.784965
            ],
            [
                25.418118,
                -11.330936
            ],
            [
                24.78317,
                -11.238694
            ],
            [
                24.314516,
                -11.262826
            ],
            [
                24.257155,
                -10.951993
            ],
            [
                23.912215,
                -10.926826
            ],
            [
                23.456791,
                -10.867863
            ],
            [
                22.837345,
                -11.017622
            ],
            [
                22.402798,
                -10.993075
            ],
            [
                22.155268,
                -11.084801
            ],
            [
                22.208753,
                -9.894796
            ],
            [
                21.875182,
                -9.523708
            ],
            [
                21.801801,
                -8.908707
            ],
            [
                21.949131,
                -8.305901
            ],
            [
                21.746456,
                -7.920085
            ],
            [
                21.728111,
                -7.290872
            ],
            [
                20.514748,
                -7.299606
            ],
            [
                20.601823,
                -6.939318
            ],
            [
                20.091622,
                -6.94309
            ],
            [
                20.037723,
                -7.116361
            ],
            [
                19.417502,
                -7.155429
            ],
            [
                19.166613,
                -7.738184
            ],
            [
                19.016752,
                -7.988246
            ],
            [
                18.464176,
                -7.847014
            ],
            [
                18.134222,
                -7.987678
            ],
            [
                17.47297,
                -8.068551
            ],
            [
                17.089996,
                -7.545689
            ],
            [
                16.860191,
                -7.222298
            ],
            [
                16.57318,
                -6.622645
            ],
            [
                16.326528,
                -5.87747
            ],
            [
                13.375597,
                -5.864241
            ],
            [
                13.024869,
                -5.984389
            ],
            [
                12.735171,
                -5.965682
            ],
            [
                12.322432,
                -6.100092
            ],
            [
                12.182337,
                -5.789931
            ],
            [
                12.436688,
                -5.684304
            ],
            [
                12.468004,
                -5.248362
            ],
            [
                12.631612,
                -4.991271
            ],
            [
                12.995517,
                -4.781103
            ],
            [
                13.25824,
                -4.882957
            ],
            [
                13.600235,
                -4.500138
            ],
            [
                14.144956,
                -4.510009
            ],
            [
                14.209035,
                -4.793092
            ],
            [
                14.582604,
                -4.970239
            ],
            [
                15.170992,
                -4.343507
            ],
            [
                15.75354,
                -3.855165
            ],
            [
                16.00629,
                -3.535133
            ],
            [
                15.972803,
                -2.712392
            ],
            [
                16.407092,
                -1.740927
            ],
            [
                16.865307,
                -1.225816
            ],
            [
                17.523716,
                -0.74383
            ],
            [
                17.638645,
                -0.424832
            ],
            [
                17.663553,
                -0.058084
            ],
            [
                17.82654,
                0.288923
            ],
            [
                17.774192,
                0.855659
            ],
            [
                17.898835,
                1.741832
            ],
            [
                18.094276,
                2.365722
            ],
            [
                18.393792,
                2.900443
            ],
            [
                18.453065,
                3.504386
            ],
            [
                18.542982,
                4.201785
            ],
            [
                18.932312,
                4.709506
            ],
            [
                19.467784,
                5.031528
            ],
            [
                20.290679,
                4.691678
            ],
            [
                20.927591,
                4.322786
            ],
            [
                21.659123,
                4.224342
            ],
            [
                22.405124,
                4.02916
            ],
            [
                22.704124,
                4.633051
            ],
            [
                22.84148,
                4.710126
            ],
            [
                23.297214,
                4.609693
            ],
            [
                24.410531,
                5.108784
            ],
            [
                24.805029,
                4.897247
            ],
            [
                25.128833,
                4.927245
            ],
            [
                25.278798,
                5.170408
            ],
            [
                25.650455,
                5.256088
            ],
            [
                26.402761,
                5.150875
            ],
            [
                27.044065,
                5.127853
            ],
            [
                27.374226,
                5.233944
            ],
            [
                27.979977,
                4.408413
            ],
            [
                28.428994,
                4.287155
            ],
            [
                28.696678,
                4.455077
            ],
            [
                29.159078,
                4.389267
            ],
            [
                29.715995,
                4.600805
            ],
            [
                29.9535,
                4.173699
            ],
            [
                30.83386,
                3.509166
            ]
        ],
        "COG": [
            [
                12.995517,
                -4.781103
            ],
            [
                12.62076,
                -4.438023
            ],
            [
                12.318608,
                -4.60623
            ],
            [
                11.914963,
                -5.037987
            ],
            [
                11.093773,
                -3.978827
            ],
            [
                11.855122,
                -3.426871
            ],
            [
                11.478039,
                -2.765619
            ],
            [
                11.820964,
                -2.514161
            ],
            [
                12.495703,
                -2.391688
            ],
            [
                12.575284,
                -1.948511
            ],
            [
                13.109619,
                -2.42874
            ],
            [
                13.992407,
                -2.470805
            ],
            [
                14.29921,
                -1.998276
            ],
            [
                14.425456,
                -1.333407
            ],
            [
                14.316418,
                -0.552627
            ],
            [
                13.843321,
                0.038758
            ],
            [
                14.276266,
                1.19693
            ],
            [
                14.026669,
                1.395677
            ],
            [
                13.282631,
                1.314184
            ],
            [
                13.003114,
                1.830896
            ],
            [
                13.075822,
                2.267097
            ],
            [
                14.337813,
                2.227875
            ],
            [
                15.146342,
                1.964015
            ],
            [
                15.940919,
                1.727673
            ],
            [
                16.012852,
                2.26764
            ],
            [
                16.537058,
                3.198255
            ],
            [
                17.133042,
                3.728197
            ],
            [
                17.8099,
                3.560196
            ],
            [
                18.453065,
                3.504386
            ],
            [
                18.393792,
                2.900443
            ],
            [
                18.094276,
                2.365722
            ],
            [
                17.898835,
                1.741832
            ],
            [
                17.774192,
                0.855659
            ],
            [
                17.82654,
                0.288923
            ],
            [
                17.663553,
                -0.058084
            ],
            [
                17.638645,
                -0.424832
            ],
            [
                17.523716,
                -0.74383
            ],
            [
                16.865307,
                -1.225816
            ],
            [
                16.407092,
                -1.740927
            ],
            [
                15.972803,
                -2.712392
            ],
            [
                16.00629,
                -3.535133
            ],
            [
                15.75354,
                -3.855165
            ],
            [
                15.170992,
                -4.343507
            ],
            [
                14.582604,
                -4.970239
            ],
            [
                14.209035,
                -4.793092
            ],
            [
                14.144956,
                -4.510009
            ],
            [
                13.600235,
                -4.500138
            ],
            [
                13.25824,
                -4.882957
            ],
            [
                12.995517,
                -4.781103
            ]
        ],
        "COK": None,
        "COL": [
            [
                -75.373223,
                -0.152032
            ],
            [
                -75.801466,
                0.084801
            ],
            [
                -76.292314,
                0.416047
            ],
            [
                -76.57638,
                0.256936
            ],
            [
                -77.424984,
                0.395687
            ],
            [
                -77.668613,
                0.825893
            ],
            [
                -77.855061,
                0.809925
            ],
            [
                -78.855259,
                1.380924
            ],
            [
                -78.990935,
                1.69137
            ],
            [
                -78.617831,
                1.766404
            ],
            [
                -78.662118,
                2.267355
            ],
            [
                -78.42761,
                2.629556
            ],
            [
                -77.931543,
                2.696606
            ],
            [
                -77.510431,
                3.325017
            ],
            [
                -77.12769,
                3.849636
            ],
            [
                -77.496272,
                4.087606
            ],
            [
                -77.307601,
                4.667984
            ],
            [
                -77.533221,
                5.582812
            ],
            [
                -77.318815,
                5.845354
            ],
            [
                -77.476661,
                6.691116
            ],
            [
                -77.881571,
                7.223771
            ],
            [
                -77.753414,
                7.70984
            ],
            [
                -77.431108,
                7.638061
            ],
            [
                -77.242566,
                7.935278
            ],
            [
                -77.474723,
                8.524286
            ],
            [
                -77.353361,
                8.670505
            ],
            [
                -76.836674,
                8.638749
            ],
            [
                -76.086384,
                9.336821
            ],
            [
                -75.6746,
                9.443248
            ],
            [
                -75.664704,
                9.774003
            ],
            [
                -75.480426,
                10.61899
            ],
            [
                -74.906895,
                11.083045
            ],
            [
                -74.276753,
                11.102036
            ],
            [
                -74.197223,
                11.310473
            ],
            [
                -73.414764,
                11.227015
            ],
            [
                -72.627835,
                11.731972
            ],
            [
                -72.238195,
                11.95555
            ],
            [
                -71.75409,
                12.437303
            ],
            [
                -71.399822,
                12.376041
            ],
            [
                -71.137461,
                12.112982
            ],
            [
                -71.331584,
                11.776284
            ],
            [
                -71.973922,
                11.608672
            ],
            [
                -72.227575,
                11.108702
            ],
            [
                -72.614658,
                10.821975
            ],
            [
                -72.905286,
                10.450344
            ],
            [
                -73.027604,
                9.73677
            ],
            [
                -73.304952,
                9.152
            ],
            [
                -72.78873,
                9.085027
            ],
            [
                -72.660495,
                8.625288
            ],
            [
                -72.439862,
                8.405275
            ],
            [
                -72.360901,
                8.002638
            ],
            [
                -72.479679,
                7.632506
            ],
            [
                -72.444487,
                7.423785
            ],
            [
                -72.198352,
                7.340431
            ],
            [
                -71.960176,
                6.991615
            ],
            [
                -70.674234,
                7.087785
            ],
            [
                -70.093313,
                6.960376
            ],
            [
                -69.38948,
                6.099861
            ],
            [
                -68.985319,
                6.206805
            ],
            [
                -68.265052,
                6.153268
            ],
            [
                -67.695087,
                6.267318
            ],
            [
                -67.34144,
                6.095468
            ],
            [
                -67.521532,
                5.55687
            ],
            [
                -67.744697,
                5.221129
            ],
            [
                -67.823012,
                4.503937
            ],
            [
                -67.621836,
                3.839482
            ],
            [
                -67.337564,
                3.542342
            ],
            [
                -67.303173,
                3.318454
            ],
            [
                -67.809938,
                2.820655
            ],
            [
                -67.447092,
                2.600281
            ],
            [
                -67.181294,
                2.250638
            ],
            [
                -66.876326,
                1.253361
            ],
            [
                -67.065048,
                1.130112
            ],
            [
                -67.259998,
                1.719999
            ],
            [
                -67.53781,
                2.037163
            ],
            [
                -67.868565,
                1.692455
            ],
            [
                -69.816973,
                1.714805
            ],
            [
                -69.804597,
                1.089081
            ],
            [
                -69.218638,
                0.985677
            ],
            [
                -69.252434,
                0.602651
            ],
            [
                -69.452396,
                0.706159
            ],
            [
                -70.015566,
                0.541414
            ],
            [
                -70.020656,
                -0.185156
            ],
            [
                -69.577065,
                -0.549992
            ],
            [
                -69.420486,
                -1.122619
            ],
            [
                -69.444102,
                -1.556287
            ],
            [
                -69.893635,
                -4.298187
            ],
            [
                -70.394044,
                -3.766591
            ],
            [
                -70.692682,
                -3.742872
            ],
            [
                -70.047709,
                -2.725156
            ],
            [
                -70.813476,
                -2.256865
            ],
            [
                -71.413646,
                -2.342802
            ],
            [
                -71.774761,
                -2.16979
            ],
            [
                -72.325787,
                -2.434218
            ],
            [
                -73.070392,
                -2.308954
            ],
            [
                -73.659504,
                -1.260491
            ],
            [
                -74.122395,
                -1.002833
            ],
            [
                -74.441601,
                -0.53082
            ],
            [
                -75.106625,
                -0.057205
            ],
            [
                -75.373223,
                -0.152032
            ]
        ],
        "COM": None,
        "CPV": None,
        "CRI": [
            [
                -82.965783,
                8.225028
            ],
            [
                -83.508437,
                8.446927
            ],
            [
                -83.711474,
                8.656836
            ],
            [
                -83.596313,
                8.830443
            ],
            [
                -83.632642,
                9.051386
            ],
            [
                -83.909886,
                9.290803
            ],
            [
                -84.303402,
                9.487354
            ],
            [
                -84.647644,
                9.615537
            ],
            [
                -84.713351,
                9.908052
            ],
            [
                -84.97566,
                10.086723
            ],
            [
                -84.911375,
                9.795992
            ],
            [
                -85.110923,
                9.55704
            ],
            [
                -85.339488,
                9.834542
            ],
            [
                -85.660787,
                9.933347
            ],
            [
                -85.797445,
                10.134886
            ],
            [
                -85.791709,
                10.439337
            ],
            [
                -85.659314,
                10.754331
            ],
            [
                -85.941725,
                10.895278
            ],
            [
                -85.71254,
                11.088445
            ],
            [
                -85.561852,
                11.217119
            ],
            [
                -84.903003,
                10.952303
            ],
            [
                -84.673069,
                11.082657
            ],
            [
                -84.355931,
                10.999226
            ],
            [
                -84.190179,
                10.79345
            ],
            [
                -83.895054,
                10.726839
            ],
            [
                -83.655612,
                10.938764
            ],
            [
                -83.40232,
                10.395438
            ],
            [
                -83.015677,
                9.992982
            ],
            [
                -82.546196,
                9.566135
            ],
            [
                -82.932891,
                9.476812
            ],
            [
                -82.927155,
                9.07433
            ],
            [
                -82.719183,
                8.925709
            ],
            [
                -82.868657,
                8.807266
            ],
            [
                -82.829771,
                8.626295
            ],
            [
                -82.913176,
                8.423517
            ],
            [
                -82.965783,
                8.225028
            ]
        ],
        "CUB": [
            [
                -82.268151,
                23.188611
            ],
            [
                -81.404457,
                23.117271
            ],
            [
                -80.618769,
                23.10598
            ],
            [
                -79.679524,
                22.765303
            ],
            [
                -79.281486,
                22.399202
            ],
            [
                -78.347434,
                22.512166
            ],
            [
                -77.993296,
                22.277194
            ],
            [
                -77.146422,
                21.657851
            ],
            [
                -76.523825,
                21.20682
            ],
            [
                -76.19462,
                21.220565
            ],
            [
                -75.598222,
                21.016624
            ],
            [
                -75.67106,
                20.735091
            ],
            [
                -74.933896,
                20.693905
            ],
            [
                -74.178025,
                20.284628
            ],
            [
                -74.296648,
                20.050379
            ],
            [
                -74.961595,
                19.923435
            ],
            [
                -75.63468,
                19.873774
            ],
            [
                -76.323656,
                19.952891
            ],
            [
                -77.755481,
                19.855481
            ],
            [
                -77.085108,
                20.413354
            ],
            [
                -77.492655,
                20.673105
            ],
            [
                -78.137292,
                20.739949
            ],
            [
                -78.482827,
                21.028613
            ],
            [
                -78.719867,
                21.598114
            ],
            [
                -79.285,
                21.559175
            ],
            [
                -80.217475,
                21.827324
            ],
            [
                -80.517535,
                22.037079
            ],
            [
                -81.820943,
                22.192057
            ],
            [
                -82.169992,
                22.387109
            ],
            [
                -81.795002,
                22.636965
            ],
            [
                -82.775898,
                22.68815
            ],
            [
                -83.494459,
                22.168518
            ],
            [
                -83.9088,
                22.154565
            ],
            [
                -84.052151,
                21.910575
            ],
            [
                -84.54703,
                21.801228
            ],
            [
                -84.974911,
                21.896028
            ],
            [
                -84.447062,
                22.20495
            ],
            [
                -84.230357,
                22.565755
            ],
            [
                -83.77824,
                22.788118
            ],
            [
                -83.267548,
                22.983042
            ],
            [
                -82.510436,
                23.078747
            ],
            [
                -82.268151,
                23.188611
            ]
        ],
        "CUW": None,
        "CXR": None,
        "CYM": None,
        "CYP": [
            [
                33.973617,
                35.058506
            ],
            [
                34.004881,
                34.978098
            ],
            [
                32.979827,
                34.571869
            ],
            [
                32.490296,
                34.701655
            ],
            [
                32.256667,
                35.103232
            ],
            [
                32.73178,
                35.140026
            ],
            [
                32.919572,
                35.087833
            ],
            [
                33.190977,
                35.173125
            ],
            [
                33.383833,
                35.162712
            ],
            [
                33.455922,
                35.101424
            ],
            [
                33.475817,
                35.000345
            ],
            [
                33.525685,
                35.038688
            ],
            [
                33.675392,
                35.017863
            ],
            [
                33.86644,
                35.093595
            ],
            [
                33.973617,
                35.058506
            ]
        ],
        "CZE": [
            [
                16.960288,
                48.596982
            ],
            [
                16.499283,
                48.785808
            ],
            [
                16.029647,
                48.733899
            ],
            [
                15.253416,
                49.039074
            ],
            [
                14.901447,
                48.964402
            ],
            [
                14.338898,
                48.555305
            ],
            [
                13.595946,
                48.877172
            ],
            [
                13.031329,
                49.307068
            ],
            [
                12.521024,
                49.547415
            ],
            [
                12.415191,
                49.969121
            ],
            [
                12.240111,
                50.266338
            ],
            [
                12.966837,
                50.484076
            ],
            [
                13.338132,
                50.733234
            ],
            [
                14.056228,
                50.926918
            ],
            [
                14.307013,
                51.117268
            ],
            [
                14.570718,
                51.002339
            ],
            [
                15.016996,
                51.106674
            ],
            [
                15.490972,
                50.78473
            ],
            [
                16.238627,
                50.697733
            ],
            [
                16.176253,
                50.422607
            ],
            [
                16.719476,
                50.215747
            ],
            [
                16.868769,
                50.473974
            ],
            [
                17.554567,
                50.362146
            ],
            [
                17.649445,
                50.049038
            ],
            [
                18.392914,
                49.988629
            ],
            [
                18.853144,
                49.49623
            ],
            [
                18.554971,
                49.495015
            ],
            [
                18.399994,
                49.315001
            ],
            [
                18.170498,
                49.271515
            ],
            [
                18.104973,
                49.043983
            ],
            [
                17.913512,
                48.996493
            ],
            [
                17.886485,
                48.903475
            ],
            [
                17.545007,
                48.800019
            ],
            [
                17.101985,
                48.816969
            ],
            [
                16.960288,
                48.596982
            ]
        ],
        "DEU": [
            [
                9.921906,
                54.983104
            ],
            [
                9.93958,
                54.596642
            ],
            [
                10.950112,
                54.363607
            ],
            [
                10.939467,
                54.008693
            ],
            [
                11.956252,
                54.196486
            ],
            [
                12.51844,
                54.470371
            ],
            [
                13.647467,
                54.075511
            ],
            [
                14.119686,
                53.757029
            ],
            [
                14.353315,
                53.248171
            ],
            [
                14.074521,
                52.981263
            ],
            [
                14.4376,
                52.62485
            ],
            [
                14.685026,
                52.089947
            ],
            [
                14.607098,
                51.745188
            ],
            [
                15.016996,
                51.106674
            ],
            [
                14.570718,
                51.002339
            ],
            [
                14.307013,
                51.117268
            ],
            [
                14.056228,
                50.926918
            ],
            [
                13.338132,
                50.733234
            ],
            [
                12.966837,
                50.484076
            ],
            [
                12.240111,
                50.266338
            ],
            [
                12.415191,
                49.969121
            ],
            [
                12.521024,
                49.547415
            ],
            [
                13.031329,
                49.307068
            ],
            [
                13.595946,
                48.877172
            ],
            [
                13.243357,
                48.416115
            ],
            [
                12.884103,
                48.289146
            ],
            [
                13.025851,
                47.637584
            ],
            [
                12.932627,
                47.467646
            ],
            [
                12.62076,
                47.672388
            ],
            [
                12.141357,
                47.703083
            ],
            [
                11.426414,
                47.523766
            ],
            [
                10.544504,
                47.566399
            ],
            [
                10.402084,
                47.302488
            ],
            [
                9.896068,
                47.580197
            ],
            [
                9.594226,
                47.525058
            ],
            [
                8.522612,
                47.830828
            ],
            [
                8.317301,
                47.61358
            ],
            [
                7.466759,
                47.620582
            ],
            [
                7.593676,
                48.333019
            ],
            [
                8.099279,
                49.017784
            ],
            [
                6.65823,
                49.201958
            ],
            [
                6.18632,
                49.463803
            ],
            [
                6.242751,
                49.902226
            ],
            [
                6.043073,
                50.128052
            ],
            [
                6.156658,
                50.803721
            ],
            [
                5.988658,
                51.851616
            ],
            [
                6.589397,
                51.852029
            ],
            [
                6.84287,
                52.22844
            ],
            [
                7.092053,
                53.144043
            ],
            [
                6.90514,
                53.482162
            ],
            [
                7.100425,
                53.693932
            ],
            [
                7.936239,
                53.748296
            ],
            [
                8.121706,
                53.527792
            ],
            [
                8.800734,
                54.020786
            ],
            [
                8.572118,
                54.395646
            ],
            [
                8.526229,
                54.962744
            ],
            [
                9.282049,
                54.830865
            ],
            [
                9.921906,
                54.983104
            ]
        ],
        "DJI": [
            [
                43.081226,
                12.699639
            ],
            [
                43.317852,
                12.390148
            ],
            [
                43.286381,
                11.974928
            ],
            [
                42.715874,
                11.735641
            ],
            [
                43.145305,
                11.46204
            ],
            [
                42.776852,
                10.926879
            ],
            [
                42.55493,
                11.10511
            ],
            [
                42.31414,
                11.0342
            ],
            [
                41.75557,
                11.05091
            ],
            [
                41.73959,
                11.35511
            ],
            [
                41.66176,
                11.6312
            ],
            [
                42,
                12.1
            ],
            [
                42.35156,
                12.54223
            ],
            [
                42.779642,
                12.455416
            ],
            [
                43.081226,
                12.699639
            ]
        ],
        "DMA": None,
        "DNK": [
            [
                [
                    12.690006,
                    55.609991
                ],
                [
                    12.089991,
                    54.800015
                ],
                [
                    11.043543,
                    55.364864
                ],
                [
                    10.903914,
                    55.779955
                ],
                [
                    12.370904,
                    56.111407
                ],
                [
                    12.690006,
                    55.609991
                ]
            ]
        ],
        "DOM": [
            [
                -71.712361,
                19.714456
            ],
            [
                -71.587304,
                19.884911
            ],
            [
                -70.806706,
                19.880286
            ],
            [
                -70.214365,
                19.622885
            ],
            [
                -69.950815,
                19.648
            ],
            [
                -69.76925,
                19.293267
            ],
            [
                -69.222126,
                19.313214
            ],
            [
                -69.254346,
                19.015196
            ],
            [
                -68.809412,
                18.979074
            ],
            [
                -68.317943,
                18.612198
            ],
            [
                -68.689316,
                18.205142
            ],
            [
                -69.164946,
                18.422648
            ],
            [
                -69.623988,
                18.380713
            ],
            [
                -69.952934,
                18.428307
            ],
            [
                -70.133233,
                18.245915
            ],
            [
                -70.517137,
                18.184291
            ],
            [
                -70.669298,
                18.426886
            ],
            [
                -70.99995,
                18.283329
            ],
            [
                -71.40021,
                17.598564
            ],
            [
                -71.657662,
                17.757573
            ],
            [
                -71.708305,
                18.044997
            ],
            [
                -71.687738,
                18.31666
            ],
            [
                -71.945112,
                18.6169
            ],
            [
                -71.701303,
                18.785417
            ],
            [
                -71.624873,
                19.169838
            ],
            [
                -71.712361,
                19.714456
            ]
        ],
        "DZA": [
            [
                11.999506,
                23.471668
            ],
            [
                8.572893,
                21.565661
            ],
            [
                5.677566,
                19.601207
            ],
            [
                4.267419,
                19.155265
            ],
            [
                3.158133,
                19.057364
            ],
            [
                3.146661,
                19.693579
            ],
            [
                2.683588,
                19.85623
            ],
            [
                2.060991,
                20.142233
            ],
            [
                1.823228,
                20.610809
            ],
            [
                -1.550055,
                22.792666
            ],
            [
                -4.923337,
                24.974574
            ],
            [
                -8.6844,
                27.395744
            ],
            [
                -8.665124,
                27.589479
            ],
            [
                -8.66559,
                27.656426
            ],
            [
                -8.674116,
                28.841289
            ],
            [
                -7.059228,
                29.579228
            ],
            [
                -6.060632,
                29.7317
            ],
            [
                -5.242129,
                30.000443
            ],
            [
                -4.859646,
                30.501188
            ],
            [
                -3.690441,
                30.896952
            ],
            [
                -3.647498,
                31.637294
            ],
            [
                -3.06898,
                31.724498
            ],
            [
                -2.616605,
                32.094346
            ],
            [
                -1.307899,
                32.262889
            ],
            [
                -1.124551,
                32.651522
            ],
            [
                -1.388049,
                32.864015
            ],
            [
                -1.733455,
                33.919713
            ],
            [
                -1.792986,
                34.527919
            ],
            [
                -2.169914,
                35.168396
            ],
            [
                -1.208603,
                35.714849
            ],
            [
                -0.127454,
                35.888662
            ],
            [
                0.503877,
                36.301273
            ],
            [
                1.466919,
                36.605647
            ],
            [
                3.161699,
                36.783905
            ],
            [
                4.815758,
                36.865037
            ],
            [
                5.32012,
                36.716519
            ],
            [
                6.26182,
                37.110655
            ],
            [
                7.330385,
                37.118381
            ],
            [
                7.737078,
                36.885708
            ],
            [
                8.420964,
                36.946427
            ],
            [
                8.217824,
                36.433177
            ],
            [
                8.376368,
                35.479876
            ],
            [
                8.140981,
                34.655146
            ],
            [
                7.524482,
                34.097376
            ],
            [
                7.612642,
                33.344115
            ],
            [
                8.430473,
                32.748337
            ],
            [
                8.439103,
                32.506285
            ],
            [
                9.055603,
                32.102692
            ],
            [
                9.48214,
                30.307556
            ],
            [
                9.805634,
                29.424638
            ],
            [
                9.859998,
                28.95999
            ],
            [
                9.683885,
                28.144174
            ],
            [
                9.756128,
                27.688259
            ],
            [
                9.629056,
                27.140953
            ],
            [
                9.716286,
                26.512206
            ],
            [
                9.319411,
                26.094325
            ],
            [
                9.910693,
                25.365455
            ],
            [
                9.948261,
                24.936954
            ],
            [
                10.303847,
                24.379313
            ],
            [
                10.771364,
                24.562532
            ],
            [
                11.560669,
                24.097909
            ],
            [
                11.999506,
                23.471668
            ]
        ],
        "ECU": [
            [
                -80.302561,
                -3.404856
            ],
            [
                -79.770293,
                -2.657512
            ],
            [
                -79.986559,
                -2.220794
            ],
            [
                -80.368784,
                -2.685159
            ],
            [
                -80.967765,
                -2.246943
            ],
            [
                -80.764806,
                -1.965048
            ],
            [
                -80.933659,
                -1.057455
            ],
            [
                -80.58337,
                -0.906663
            ],
            [
                -80.399325,
                -0.283703
            ],
            [
                -80.020898,
                0.36034
            ],
            [
                -80.09061,
                0.768429
            ],
            [
                -79.542762,
                0.982938
            ],
            [
                -78.855259,
                1.380924
            ],
            [
                -77.855061,
                0.809925
            ],
            [
                -77.668613,
                0.825893
            ],
            [
                -77.424984,
                0.395687
            ],
            [
                -76.57638,
                0.256936
            ],
            [
                -76.292314,
                0.416047
            ],
            [
                -75.801466,
                0.084801
            ],
            [
                -75.373223,
                -0.152032
            ],
            [
                -75.233723,
                -0.911417
            ],
            [
                -75.544996,
                -1.56161
            ],
            [
                -76.635394,
                -2.608678
            ],
            [
                -77.837905,
                -3.003021
            ],
            [
                -78.450684,
                -3.873097
            ],
            [
                -78.639897,
                -4.547784
            ],
            [
                -79.205289,
                -4.959129
            ],
            [
                -79.624979,
                -4.454198
            ],
            [
                -80.028908,
                -4.346091
            ],
            [
                -80.442242,
                -4.425724
            ],
            [
                -80.469295,
                -4.059287
            ],
            [
                -80.184015,
                -3.821162
            ],
            [
                -80.302561,
                -3.404856
            ]
        ],
        "EGY": [
            [
                34.9226,
                29.50133
            ],
            [
                34.64174,
                29.09942
            ],
            [
                34.42655,
                28.34399
            ],
            [
                34.15451,
                27.8233
            ],
            [
                33.92136,
                27.6487
            ],
            [
                33.58811,
                27.97136
            ],
            [
                33.13676,
                28.41765
            ],
            [
                32.42323,
                29.85108
            ],
            [
                32.32046,
                29.76043
            ],
            [
                32.73482,
                28.70523
            ],
            [
                33.34876,
                27.69989
            ],
            [
                34.10455,
                26.14227
            ],
            [
                34.47387,
                25.59856
            ],
            [
                34.79507,
                25.03375
            ],
            [
                35.69241,
                23.92671
            ],
            [
                35.49372,
                23.75237
            ],
            [
                35.52598,
                23.10244
            ],
            [
                36.69069,
                22.20485
            ],
            [
                36.86623,
                22
            ],
            [
                32.9,
                22
            ],
            [
                29.02,
                22
            ],
            [
                25,
                22
            ],
            [
                25,
                25.6825
            ],
            [
                25,
                29.238655
            ],
            [
                24.70007,
                30.04419
            ],
            [
                24.95762,
                30.6616
            ],
            [
                24.80287,
                31.08929
            ],
            [
                25.16482,
                31.56915
            ],
            [
                26.49533,
                31.58568
            ],
            [
                27.45762,
                31.32126
            ],
            [
                28.45048,
                31.02577
            ],
            [
                28.91353,
                30.87005
            ],
            [
                29.68342,
                31.18686
            ],
            [
                30.09503,
                31.4734
            ],
            [
                30.97693,
                31.55586
            ],
            [
                31.68796,
                31.4296
            ],
            [
                31.96041,
                30.9336
            ],
            [
                32.19247,
                31.26034
            ],
            [
                32.99392,
                31.02407
            ],
            [
                33.7734,
                30.96746
            ],
            [
                34.26544,
                31.21936
            ],
            [
                34.9226,
                29.50133
            ]
        ],
        "ERI": [
            [
                42.35156,
                12.54223
            ],
            [
                42.00975,
                12.86582
            ],
            [
                41.59856,
                13.45209
            ],
            [
                41.155194,
                13.77332
            ],
            [
                40.8966,
                14.11864
            ],
            [
                40.026219,
                14.519579
            ],
            [
                39.34061,
                14.53155
            ],
            [
                39.0994,
                14.74064
            ],
            [
                38.51295,
                14.50547
            ],
            [
                37.90607,
                14.95943
            ],
            [
                37.59377,
                14.2131
            ],
            [
                36.42951,
                14.42211
            ],
            [
                36.323189,
                14.822481
            ],
            [
                36.75386,
                16.291874
            ],
            [
                36.85253,
                16.95655
            ],
            [
                37.16747,
                17.26314
            ],
            [
                37.904,
                17.42754
            ],
            [
                38.41009,
                17.998307
            ],
            [
                38.990623,
                16.840626
            ],
            [
                39.26611,
                15.922723
            ],
            [
                39.814294,
                15.435647
            ],
            [
                41.179275,
                14.49108
            ],
            [
                41.734952,
                13.921037
            ],
            [
                42.276831,
                13.343992
            ],
            [
                42.589576,
                13.000421
            ],
            [
                43.081226,
                12.699639
            ],
            [
                42.779642,
                12.455416
            ],
            [
                42.35156,
                12.54223
            ]
        ],
        "ESP": [
            [
                -9.034818,
                41.880571
            ],
            [
                -8.984433,
                42.592775
            ],
            [
                -9.392884,
                43.026625
            ],
            [
                -7.97819,
                43.748338
            ],
            [
                -6.754492,
                43.567909
            ],
            [
                -5.411886,
                43.57424
            ],
            [
                -4.347843,
                43.403449
            ],
            [
                -3.517532,
                43.455901
            ],
            [
                -1.901351,
                43.422802
            ],
            [
                -1.502771,
                43.034014
            ],
            [
                0.338047,
                42.579546
            ],
            [
                0.701591,
                42.795734
            ],
            [
                1.826793,
                42.343385
            ],
            [
                2.985999,
                42.473015
            ],
            [
                3.039484,
                41.89212
            ],
            [
                2.091842,
                41.226089
            ],
            [
                0.810525,
                41.014732
            ],
            [
                0.721331,
                40.678318
            ],
            [
                0.106692,
                40.123934
            ],
            [
                -0.278711,
                39.309978
            ],
            [
                0.111291,
                38.738514
            ],
            [
                -0.467124,
                38.292366
            ],
            [
                -0.683389,
                37.642354
            ],
            [
                -1.438382,
                37.443064
            ],
            [
                -2.146453,
                36.674144
            ],
            [
                -3.415781,
                36.6589
            ],
            [
                -4.368901,
                36.677839
            ],
            [
                -4.995219,
                36.324708
            ],
            [
                -5.37716,
                35.94685
            ],
            [
                -5.866432,
                36.029817
            ],
            [
                -6.236694,
                36.367677
            ],
            [
                -6.520191,
                36.942913
            ],
            [
                -7.453726,
                37.097788
            ],
            [
                -7.537105,
                37.428904
            ],
            [
                -7.166508,
                37.803894
            ],
            [
                -7.029281,
                38.075764
            ],
            [
                -7.374092,
                38.373059
            ],
            [
                -7.098037,
                39.030073
            ],
            [
                -7.498632,
                39.629571
            ],
            [
                -7.066592,
                39.711892
            ],
            [
                -7.026413,
                40.184524
            ],
            [
                -6.86402,
                40.330872
            ],
            [
                -6.851127,
                41.111083
            ],
            [
                -6.389088,
                41.381815
            ],
            [
                -6.668606,
                41.883387
            ],
            [
                -7.251309,
                41.918346
            ],
            [
                -7.422513,
                41.792075
            ],
            [
                -8.013175,
                41.790886
            ],
            [
                -8.263857,
                42.280469
            ],
            [
                -8.671946,
                42.134689
            ],
            [
                -9.034818,
                41.880571
            ]
        ],
        "EST": [
            [
                24.312863,
                57.793424
            ],
            [
                24.428928,
                58.383413
            ],
            [
                24.061198,
                58.257375
            ],
            [
                23.42656,
                58.612753
            ],
            [
                23.339795,
                59.18724
            ],
            [
                24.604214,
                59.465854
            ],
            [
                25.864189,
                59.61109
            ],
            [
                26.949136,
                59.445803
            ],
            [
                27.981114,
                59.475388
            ],
            [
                28.131699,
                59.300825
            ],
            [
                27.420166,
                58.724581
            ],
            [
                27.716686,
                57.791899
            ],
            [
                27.288185,
                57.474528
            ],
            [
                26.463532,
                57.476389
            ],
            [
                25.60281,
                57.847529
            ],
            [
                25.164594,
                57.970157
            ],
            [
                24.312863,
                57.793424
            ]
        ],
        "ETH": [
            [
                37.90607,
                14.95943
            ],
            [
                38.51295,
                14.50547
            ],
            [
                39.0994,
                14.74064
            ],
            [
                39.34061,
                14.53155
            ],
            [
                40.02625,
                14.51959
            ],
            [
                40.8966,
                14.11864
            ],
            [
                41.1552,
                13.77333
            ],
            [
                41.59856,
                13.45209
            ],
            [
                42.00975,
                12.86582
            ],
            [
                42.35156,
                12.54223
            ],
            [
                42,
                12.1
            ],
            [
                41.66176,
                11.6312
            ],
            [
                41.73959,
                11.35511
            ],
            [
                41.75557,
                11.05091
            ],
            [
                42.31414,
                11.0342
            ],
            [
                42.55493,
                11.10511
            ],
            [
                42.776852,
                10.926879
            ],
            [
                42.55876,
                10.57258
            ],
            [
                42.92812,
                10.02194
            ],
            [
                43.29699,
                9.54048
            ],
            [
                43.67875,
                9.18358
            ],
            [
                46.94834,
                7.99688
            ],
            [
                47.78942,
                8.003
            ],
            [
                44.9636,
                5.00162
            ],
            [
                43.66087,
                4.95755
            ],
            [
                42.76967,
                4.25259
            ],
            [
                42.12861,
                4.23413
            ],
            [
                41.855083,
                3.918912
            ],
            [
                41.1718,
                3.91909
            ],
            [
                40.76848,
                4.25702
            ],
            [
                39.85494,
                3.83879
            ],
            [
                39.559384,
                3.42206
            ],
            [
                38.89251,
                3.50074
            ],
            [
                38.67114,
                3.61607
            ],
            [
                38.43697,
                3.58851
            ],
            [
                38.120915,
                3.598605
            ],
            [
                36.855093,
                4.447864
            ],
            [
                36.159079,
                4.447864
            ],
            [
                35.817448,
                4.776966
            ],
            [
                35.817448,
                5.338232
            ],
            [
                35.298007,
                5.506
            ],
            [
                34.70702,
                6.59422
            ],
            [
                34.25032,
                6.82607
            ],
            [
                34.0751,
                7.22595
            ],
            [
                33.56829,
                7.71334
            ],
            [
                32.95418,
                7.78497
            ],
            [
                33.2948,
                8.35458
            ],
            [
                33.8255,
                8.37916
            ],
            [
                33.97498,
                8.68456
            ],
            [
                33.96162,
                9.58358
            ],
            [
                34.25745,
                10.63009
            ],
            [
                34.73115,
                10.91017
            ],
            [
                34.83163,
                11.31896
            ],
            [
                35.26049,
                12.08286
            ],
            [
                35.86363,
                12.57828
            ],
            [
                36.27022,
                13.56333
            ],
            [
                36.42951,
                14.42211
            ],
            [
                37.59377,
                14.2131
            ],
            [
                37.90607,
                14.95943
            ]
        ],
        "FIN": [
            [
                28.59193,
                69.064777
            ],
            [
                28.445944,
                68.364613
            ],
            [
                29.977426,
                67.698297
            ],
            [
                29.054589,
                66.944286
            ],
            [
                30.21765,
                65.80598
            ],
            [
                29.54443,
                64.948672
            ],
            [
                30.444685,
                64.204453
            ],
            [
                30.035872,
                63.552814
            ],
            [
                31.516092,
                62.867687
            ],
            [
                31.139991,
                62.357693
            ],
            [
                30.211107,
                61.780028
            ],
            [
                28.069998,
                60.503517
            ],
            [
                26.255173,
                60.423961
            ],
            [
                24.496624,
                60.057316
            ],
            [
                22.869695,
                59.846373
            ],
            [
                22.290764,
                60.391921
            ],
            [
                21.322244,
                60.72017
            ],
            [
                21.544866,
                61.705329
            ],
            [
                21.059211,
                62.607393
            ],
            [
                21.536029,
                63.189735
            ],
            [
                22.442744,
                63.81781
            ],
            [
                24.730512,
                64.902344
            ],
            [
                25.398068,
                65.111427
            ],
            [
                25.294043,
                65.534346
            ],
            [
                23.903379,
                66.006927
            ],
            [
                23.56588,
                66.396051
            ],
            [
                23.539473,
                67.936009
            ],
            [
                21.978535,
                68.616846
            ],
            [
                20.645593,
                69.106247
            ],
            [
                21.244936,
                69.370443
            ],
            [
                22.356238,
                68.841741
            ],
            [
                23.66205,
                68.891247
            ],
            [
                24.735679,
                68.649557
            ],
            [
                25.689213,
                69.092114
            ],
            [
                26.179622,
                69.825299
            ],
            [
                27.732292,
                70.164193
            ],
            [
                29.015573,
                69.766491
            ],
            [
                28.59193,
                69.064777
            ]
        ],
        "FJI": [
            [
                [
                    178.3736,
                    -17.33992
                ],
                [
                    178.71806,
                    -17.62846
                ],
                [
                    178.55271,
                    -18.15059
                ],
                [
                    177.93266,
                    -18.28799
                ],
                [
                    177.38146,
                    -18.16432
                ],
                [
                    177.28504,
                    -17.72465
                ],
                [
                    177.67087,
                    -17.38114
                ],
                [
                    178.12557,
                    -17.50481
                ],
                [
                    178.3736,
                    -17.33992
                ]
            ]
        ],
        "FLK": [
            [
                -61.2,
                -51.85
            ],
            [
                -60,
                -51.25
            ],
            [
                -59.15,
                -51.5
            ],
            [
                -58.55,
                -51.1
            ],
            [
                -57.75,
                -51.55
            ],
            [
                -58.05,
                -51.9
            ],
            [
                -59.4,
                -52.2
            ],
            [
                -59.85,
                -51.85
            ],
            [
                -60.7,
                -52.3
            ],
            [
                -61.2,
                -51.85
            ]
        ],
        "FRA": [
            [
                [
                    9.560016,
                    42.152492
                ],
                [
                    9.229752,
                    41.380007
                ],
                [
                    8.775723,
                    41.583612
                ],
                [
                    8.544213,
                    42.256517
                ],
                [
                    8.746009,
                    42.628122
                ],
                [
                    9.390001,
                    43.009985
                ],
                [
                    9.560016,
                    42.152492
                ]
            ]
        ],
        "FRO": None,
        "FSM": None,
        "GAB": [
            [
                11.093773,
                -3.978827
            ],
            [
                10.066135,
                -2.969483
            ],
            [
                9.405245,
                -2.144313
            ],
            [
                8.797996,
                -1.111301
            ],
            [
                8.830087,
                -0.779074
            ],
            [
                9.04842,
                -0.459351
            ],
            [
                9.291351,
                0.268666
            ],
            [
                9.492889,
                1.01012
            ],
            [
                9.830284,
                1.067894
            ],
            [
                11.285079,
                1.057662
            ],
            [
                11.276449,
                2.261051
            ],
            [
                11.751665,
                2.326758
            ],
            [
                12.35938,
                2.192812
            ],
            [
                12.951334,
                2.321616
            ],
            [
                13.075822,
                2.267097
            ],
            [
                13.003114,
                1.830896
            ],
            [
                13.282631,
                1.314184
            ],
            [
                14.026669,
                1.395677
            ],
            [
                14.276266,
                1.19693
            ],
            [
                13.843321,
                0.038758
            ],
            [
                14.316418,
                -0.552627
            ],
            [
                14.425456,
                -1.333407
            ],
            [
                14.29921,
                -1.998276
            ],
            [
                13.992407,
                -2.470805
            ],
            [
                13.109619,
                -2.42874
            ],
            [
                12.575284,
                -1.948511
            ],
            [
                12.495703,
                -2.391688
            ],
            [
                11.820964,
                -2.514161
            ],
            [
                11.478039,
                -2.765619
            ],
            [
                11.855122,
                -3.426871
            ],
            [
                11.093773,
                -3.978827
            ]
        ],
        "GBR": [
            [
                [
                    -5.661949,
                    54.554603
                ],
                [
                    -6.197885,
                    53.867565
                ],
                [
                    -6.95373,
                    54.073702
                ],
                [
                    -7.572168,
                    54.059956
                ],
                [
                    -7.366031,
                    54.595841
                ],
                [
                    -7.572168,
                    55.131622
                ],
                [
                    -6.733847,
                    55.17286
                ],
                [
                    -5.661949,
                    54.554603
                ]
            ]
        ],
        "GEO": [
            [
                41.554084,
                41.535656
            ],
            [
                41.703171,
                41.962943
            ],
            [
                41.45347,
                42.645123
            ],
            [
                40.875469,
                43.013628
            ],
            [
                40.321394,
                43.128634
            ],
            [
                39.955009,
                43.434998
            ],
            [
                40.076965,
                43.553104
            ],
            [
                40.922185,
                43.382159
            ],
            [
                42.394395,
                43.220308
            ],
            [
                43.756017,
                42.740828
            ],
            [
                43.9312,
                42.554974
            ],
            [
                44.537623,
                42.711993
            ],
            [
                45.470279,
                42.502781
            ],
            [
                45.77641,
                42.092444
            ],
            [
                46.404951,
                41.860675
            ],
            [
                46.145432,
                41.722802
            ],
            [
                46.637908,
                41.181673
            ],
            [
                46.501637,
                41.064445
            ],
            [
                45.962601,
                41.123873
            ],
            [
                45.217426,
                41.411452
            ],
            [
                44.97248,
                41.248129
            ],
            [
                43.582746,
                41.092143
            ],
            [
                42.619549,
                41.583173
            ],
            [
                41.554084,
                41.535656
            ]
        ],
        "GGY": None,
        "GHA": [
            [
                1.060122,
                5.928837
            ],
            [
                -0.507638,
                5.343473
            ],
            [
                -1.063625,
                5.000548
            ],
            [
                -1.964707,
                4.710462
            ],
            [
                -2.856125,
                4.994476
            ],
            [
                -2.810701,
                5.389051
            ],
            [
                -3.24437,
                6.250472
            ],
            [
                -2.983585,
                7.379705
            ],
            [
                -2.56219,
                8.219628
            ],
            [
                -2.827496,
                9.642461
            ],
            [
                -2.963896,
                10.395335
            ],
            [
                -2.940409,
                10.96269
            ],
            [
                -1.203358,
                11.009819
            ],
            [
                -0.761576,
                10.93693
            ],
            [
                -0.438702,
                11.098341
            ],
            [
                0.023803,
                11.018682
            ],
            [
                -0.049785,
                10.706918
            ],
            [
                0.36758,
                10.191213
            ],
            [
                0.365901,
                9.465004
            ],
            [
                0.461192,
                8.677223
            ],
            [
                0.712029,
                8.312465
            ],
            [
                0.490957,
                7.411744
            ],
            [
                0.570384,
                6.914359
            ],
            [
                0.836931,
                6.279979
            ],
            [
                1.060122,
                5.928837
            ]
        ],
        "GIB": None,
        "GIN": [
            [
                -8.439298,
                7.686043
            ],
            [
                -8.722124,
                7.711674
            ],
            [
                -8.926065,
                7.309037
            ],
            [
                -9.208786,
                7.313921
            ],
            [
                -9.403348,
                7.526905
            ],
            [
                -9.33728,
                7.928534
            ],
            [
                -9.755342,
                8.541055
            ],
            [
                -10.016567,
                8.428504
            ],
            [
                -10.230094,
                8.406206
            ],
            [
                -10.505477,
                8.348896
            ],
            [
                -10.494315,
                8.715541
            ],
            [
                -10.65477,
                8.977178
            ],
            [
                -10.622395,
                9.26791
            ],
            [
                -10.839152,
                9.688246
            ],
            [
                -11.117481,
                10.045873
            ],
            [
                -11.917277,
                10.046984
            ],
            [
                -12.150338,
                9.858572
            ],
            [
                -12.425929,
                9.835834
            ],
            [
                -12.596719,
                9.620188
            ],
            [
                -12.711958,
                9.342712
            ],
            [
                -13.24655,
                8.903049
            ],
            [
                -13.685154,
                9.494744
            ],
            [
                -14.074045,
                9.886167
            ],
            [
                -14.330076,
                10.01572
            ],
            [
                -14.579699,
                10.214467
            ],
            [
                -14.693232,
                10.656301
            ],
            [
                -14.839554,
                10.876572
            ],
            [
                -15.130311,
                11.040412
            ],
            [
                -14.685687,
                11.527824
            ],
            [
                -14.382192,
                11.509272
            ],
            [
                -14.121406,
                11.677117
            ],
            [
                -13.9008,
                11.678719
            ],
            [
                -13.743161,
                11.811269
            ],
            [
                -13.828272,
                12.142644
            ],
            [
                -13.718744,
                12.247186
            ],
            [
                -13.700476,
                12.586183
            ],
            [
                -13.217818,
                12.575874
            ],
            [
                -12.499051,
                12.33209
            ],
            [
                -12.278599,
                12.35444
            ],
            [
                -12.203565,
                12.465648
            ],
            [
                -11.658301,
                12.386583
            ],
            [
                -11.513943,
                12.442988
            ],
            [
                -11.456169,
                12.076834
            ],
            [
                -11.297574,
                12.077971
            ],
            [
                -11.036556,
                12.211245
            ],
            [
                -10.87083,
                12.177887
            ],
            [
                -10.593224,
                11.923975
            ],
            [
                -10.165214,
                11.844084
            ],
            [
                -9.890993,
                12.060479
            ],
            [
                -9.567912,
                12.194243
            ],
            [
                -9.327616,
                12.334286
            ],
            [
                -9.127474,
                12.30806
            ],
            [
                -8.905265,
                12.088358
            ],
            [
                -8.786099,
                11.812561
            ],
            [
                -8.376305,
                11.393646
            ],
            [
                -8.581305,
                11.136246
            ],
            [
                -8.620321,
                10.810891
            ],
            [
                -8.407311,
                10.909257
            ],
            [
                -8.282357,
                10.792597
            ],
            [
                -8.335377,
                10.494812
            ],
            [
                -8.029944,
                10.206535
            ],
            [
                -8.229337,
                10.12902
            ],
            [
                -8.309616,
                9.789532
            ],
            [
                -8.079114,
                9.376224
            ],
            [
                -7.8321,
                8.575704
            ],
            [
                -8.203499,
                8.455453
            ],
            [
                -8.299049,
                8.316444
            ],
            [
                -8.221792,
                8.123329
            ],
            [
                -8.280703,
                7.68718
            ],
            [
                -8.439298,
                7.686043
            ]
        ],
        "GLP": None,
        "GMB": None,
        "GNB": [
            [
                -15.130311,
                11.040412
            ],
            [
                -15.66418,
                11.458474
            ],
            [
                -16.085214,
                11.524594
            ],
            [
                -16.314787,
                11.806515
            ],
            [
                -16.308947,
                11.958702
            ],
            [
                -16.613838,
                12.170911
            ],
            [
                -16.677452,
                12.384852
            ],
            [
                -16.147717,
                12.547762
            ],
            [
                -15.816574,
                12.515567
            ],
            [
                -15.548477,
                12.62817
            ],
            [
                -13.700476,
                12.586183
            ],
            [
                -13.718744,
                12.247186
            ],
            [
                -13.828272,
                12.142644
            ],
            [
                -13.743161,
                11.811269
            ],
            [
                -13.9008,
                11.678719
            ],
            [
                -14.121406,
                11.677117
            ],
            [
                -14.382192,
                11.509272
            ],
            [
                -14.685687,
                11.527824
            ],
            [
                -15.130311,
                11.040412
            ]
        ],
        "GNQ": [
            [
                9.492889,
                1.01012
            ],
            [
                9.305613,
                1.160911
            ],
            [
                9.649158,
                2.283866
            ],
            [
                11.276449,
                2.261051
            ],
            [
                11.285079,
                1.057662
            ],
            [
                9.830284,
                1.067894
            ],
            [
                9.492889,
                1.01012
            ]
        ],
        "GRC": [
            [
                [
                    23.69998,
                    35.705004
                ],
                [
                    24.246665,
                    35.368022
                ],
                [
                    25.025015,
                    35.424996
                ],
                [
                    25.769208,
                    35.354018
                ],
                [
                    25.745023,
                    35.179998
                ],
                [
                    26.290003,
                    35.29999
                ],
                [
                    26.164998,
                    35.004995
                ],
                [
                    24.724982,
                    34.919988
                ],
                [
                    24.735007,
                    35.084991
                ],
                [
                    23.514978,
                    35.279992
                ],
                [
                    23.69998,
                    35.705004
                ]
            ]
        ],
        "GRD": None,
        "GRL": [
            [
                -46.76379,
                82.62796
            ],
            [
                -43.40644,
                83.22516
            ],
            [
                -39.89753,
                83.18018
            ],
            [
                -38.62214,
                83.54905
            ],
            [
                -35.08787,
                83.64513
            ],
            [
                -27.10046,
                83.51966
            ],
            [
                -20.84539,
                82.72669
            ],
            [
                -22.69182,
                82.34165
            ],
            [
                -26.51753,
                82.29765
            ],
            [
                -31.9,
                82.2
            ],
            [
                -31.39646,
                82.02154
            ],
            [
                -27.85666,
                82.13178
            ],
            [
                -24.84448,
                81.78697
            ],
            [
                -22.90328,
                82.09317
            ],
            [
                -22.07175,
                81.73449
            ],
            [
                -23.16961,
                81.15271
            ],
            [
                -20.62363,
                81.52462
            ],
            [
                -15.76818,
                81.91245
            ],
            [
                -12.77018,
                81.71885
            ],
            [
                -12.20855,
                81.29154
            ],
            [
                -16.28533,
                80.58004
            ],
            [
                -16.85,
                80.35
            ],
            [
                -20.04624,
                80.17708
            ],
            [
                -17.73035,
                80.12912
            ],
            [
                -18.9,
                79.4
            ],
            [
                -19.70499,
                78.75128
            ],
            [
                -19.67353,
                77.63859
            ],
            [
                -18.47285,
                76.98565
            ],
            [
                -20.03503,
                76.94434
            ],
            [
                -21.67944,
                76.62795
            ],
            [
                -19.83407,
                76.09808
            ],
            [
                -19.59896,
                75.24838
            ],
            [
                -20.66818,
                75.15585
            ],
            [
                -19.37281,
                74.29561
            ],
            [
                -21.59422,
                74.22382
            ],
            [
                -20.43454,
                73.81713
            ],
            [
                -20.76234,
                73.46436
            ],
            [
                -22.17221,
                73.30955
            ],
            [
                -23.56593,
                73.30663
            ],
            [
                -22.31311,
                72.62928
            ],
            [
                -22.29954,
                72.18409
            ],
            [
                -24.27834,
                72.59788
            ],
            [
                -24.79296,
                72.3302
            ],
            [
                -23.44296,
                72.08016
            ],
            [
                -22.13281,
                71.46898
            ],
            [
                -21.75356,
                70.66369
            ],
            [
                -23.53603,
                70.471
            ],
            [
                -24.30702,
                70.85649
            ],
            [
                -25.54341,
                71.43094
            ],
            [
                -25.20135,
                70.75226
            ],
            [
                -26.36276,
                70.22646
            ],
            [
                -23.72742,
                70.18401
            ],
            [
                -22.34902,
                70.12946
            ],
            [
                -25.02927,
                69.2588
            ],
            [
                -27.74737,
                68.47046
            ],
            [
                -30.67371,
                68.12503
            ],
            [
                -31.77665,
                68.12078
            ],
            [
                -32.81105,
                67.73547
            ],
            [
                -34.20196,
                66.67974
            ],
            [
                -36.35284,
                65.9789
            ],
            [
                -37.04378,
                65.93768
            ],
            [
                -38.37505,
                65.69213
            ],
            [
                -39.81222,
                65.45848
            ],
            [
                -40.66899,
                64.83997
            ],
            [
                -40.68281,
                64.13902
            ],
            [
                -41.1887,
                63.48246
            ],
            [
                -42.81938,
                62.68233
            ],
            [
                -42.41666,
                61.90093
            ],
            [
                -42.86619,
                61.07404
            ],
            [
                -43.3784,
                60.09772
            ],
            [
                -44.7875,
                60.03676
            ],
            [
                -46.26364,
                60.85328
            ],
            [
                -48.26294,
                60.85843
            ],
            [
                -49.23308,
                61.40681
            ],
            [
                -49.90039,
                62.38336
            ],
            [
                -51.63325,
                63.62691
            ],
            [
                -52.14014,
                64.27842
            ],
            [
                -52.27659,
                65.1767
            ],
            [
                -53.66166,
                66.09957
            ],
            [
                -53.30161,
                66.8365
            ],
            [
                -53.96911,
                67.18899
            ],
            [
                -52.9804,
                68.35759
            ],
            [
                -51.47536,
                68.72958
            ],
            [
                -51.08041,
                69.14781
            ],
            [
                -50.87122,
                69.9291
            ],
            [
                -52.013585,
                69.574925
            ],
            [
                -52.55792,
                69.42616
            ],
            [
                -53.45629,
                69.283625
            ],
            [
                -54.68336,
                69.61003
            ],
            [
                -54.75001,
                70.28932
            ],
            [
                -54.35884,
                70.821315
            ],
            [
                -53.431315,
                70.835755
            ],
            [
                -51.39014,
                70.56978
            ],
            [
                -53.10937,
                71.20485
            ],
            [
                -54.00422,
                71.54719
            ],
            [
                -55,
                71.406537
            ],
            [
                -55.83468,
                71.65444
            ],
            [
                -54.71819,
                72.58625
            ],
            [
                -55.32634,
                72.95861
            ],
            [
                -56.12003,
                73.64977
            ],
            [
                -57.32363,
                74.71026
            ],
            [
                -58.59679,
                75.09861
            ],
            [
                -58.58516,
                75.51727
            ],
            [
                -61.26861,
                76.10238
            ],
            [
                -63.39165,
                76.1752
            ],
            [
                -66.06427,
                76.13486
            ],
            [
                -68.50438,
                76.06141
            ],
            [
                -69.66485,
                76.37975
            ],
            [
                -71.40257,
                77.00857
            ],
            [
                -68.77671,
                77.32312
            ],
            [
                -66.76397,
                77.37595
            ],
            [
                -71.04293,
                77.63595
            ],
            [
                -73.297,
                78.04419
            ],
            [
                -73.15938,
                78.43271
            ],
            [
                -69.37345,
                78.91388
            ],
            [
                -65.7107,
                79.39436
            ],
            [
                -65.3239,
                79.75814
            ],
            [
                -68.02298,
                80.11721
            ],
            [
                -67.15129,
                80.51582
            ],
            [
                -63.68925,
                81.21396
            ],
            [
                -62.23444,
                81.3211
            ],
            [
                -62.65116,
                81.77042
            ],
            [
                -60.28249,
                82.03363
            ],
            [
                -57.20744,
                82.19074
            ],
            [
                -54.13442,
                82.19962
            ],
            [
                -53.04328,
                81.88833
            ],
            [
                -50.39061,
                82.43883
            ],
            [
                -48.00386,
                82.06481
            ],
            [
                -46.59984,
                81.985945
            ],
            [
                -44.523,
                81.6607
            ],
            [
                -46.9007,
                82.19979
            ],
            [
                -46.76379,
                82.62796
            ]
        ],
        "GTM": [
            [
                -90.095555,
                13.735338
            ],
            [
                -90.608624,
                13.909771
            ],
            [
                -91.23241,
                13.927832
            ],
            [
                -91.689747,
                14.126218
            ],
            [
                -92.22775,
                14.538829
            ],
            [
                -92.20323,
                14.830103
            ],
            [
                -92.087216,
                15.064585
            ],
            [
                -92.229249,
                15.251447
            ],
            [
                -91.74796,
                16.066565
            ],
            [
                -90.464473,
                16.069562
            ],
            [
                -90.438867,
                16.41011
            ],
            [
                -90.600847,
                16.470778
            ],
            [
                -90.711822,
                16.687483
            ],
            [
                -91.08167,
                16.918477
            ],
            [
                -91.453921,
                17.252177
            ],
            [
                -91.002269,
                17.254658
            ],
            [
                -91.00152,
                17.817595
            ],
            [
                -90.067934,
                17.819326
            ],
            [
                -89.14308,
                17.808319
            ],
            [
                -89.150806,
                17.015577
            ],
            [
                -89.229122,
                15.886938
            ],
            [
                -88.930613,
                15.887273
            ],
            [
                -88.604586,
                15.70638
            ],
            [
                -88.518364,
                15.855389
            ],
            [
                -88.225023,
                15.727722
            ],
            [
                -88.68068,
                15.346247
            ],
            [
                -89.154811,
                15.066419
            ],
            [
                -89.22522,
                14.874286
            ],
            [
                -89.145535,
                14.678019
            ],
            [
                -89.353326,
                14.424133
            ],
            [
                -89.587343,
                14.362586
            ],
            [
                -89.534219,
                14.244816
            ],
            [
                -89.721934,
                14.134228
            ],
            [
                -90.064678,
                13.88197
            ],
            [
                -90.095555,
                13.735338
            ]
        ],
        "GUF": [
            [
                -52.556425,
                2.504705
            ],
            [
                -52.939657,
                2.124858
            ],
            [
                -53.418465,
                2.053389
            ],
            [
                -53.554839,
                2.334897
            ],
            [
                -53.778521,
                2.376703
            ],
            [
                -54.088063,
                2.105557
            ],
            [
                -54.524754,
                2.311849
            ],
            [
                -54.27123,
                2.738748
            ],
            [
                -54.184284,
                3.194172
            ],
            [
                -54.011504,
                3.62257
            ],
            [
                -54.399542,
                4.212611
            ],
            [
                -54.478633,
                4.896756
            ],
            [
                -53.958045,
                5.756548
            ],
            [
                -53.618453,
                5.646529
            ],
            [
                -52.882141,
                5.409851
            ],
            [
                -51.823343,
                4.565768
            ],
            [
                -51.657797,
                4.156232
            ],
            [
                -52.249338,
                3.241094
            ],
            [
                -52.556425,
                2.504705
            ]
        ],
        "GUM": None,
        "GUY": [
            [
                -59.758285,
                8.367035
            ],
            [
                -59.101684,
                7.999202
            ],
            [
                -58.482962,
                7.347691
            ],
            [
                -58.454876,
                6.832787
            ],
            [
                -58.078103,
                6.809094
            ],
            [
                -57.542219,
                6.321268
            ],
            [
                -57.147436,
                5.97315
            ],
            [
                -57.307246,
                5.073567
            ],
            [
                -57.914289,
                4.812626
            ],
            [
                -57.86021,
                4.576801
            ],
            [
                -58.044694,
                4.060864
            ],
            [
                -57.601569,
                3.334655
            ],
            [
                -57.281433,
                3.333492
            ],
            [
                -57.150098,
                2.768927
            ],
            [
                -56.539386,
                1.899523
            ],
            [
                -56.782704,
                1.863711
            ],
            [
                -57.335823,
                1.948538
            ],
            [
                -57.660971,
                1.682585
            ],
            [
                -58.11345,
                1.507195
            ],
            [
                -58.429477,
                1.463942
            ],
            [
                -58.540013,
                1.268088
            ],
            [
                -59.030862,
                1.317698
            ],
            [
                -59.646044,
                1.786894
            ],
            [
                -59.718546,
                2.24963
            ],
            [
                -59.974525,
                2.755233
            ],
            [
                -59.815413,
                3.606499
            ],
            [
                -59.53804,
                3.958803
            ],
            [
                -59.767406,
                4.423503
            ],
            [
                -60.111002,
                4.574967
            ],
            [
                -59.980959,
                5.014061
            ],
            [
                -60.213683,
                5.244486
            ],
            [
                -60.733574,
                5.200277
            ],
            [
                -61.410303,
                5.959068
            ],
            [
                -61.139415,
                6.234297
            ],
            [
                -61.159336,
                6.696077
            ],
            [
                -60.543999,
                6.856584
            ],
            [
                -60.295668,
                7.043911
            ],
            [
                -60.637973,
                7.415
            ],
            [
                -60.550588,
                7.779603
            ],
            [
                -59.758285,
                8.367035
            ]
        ],
        "HKG": None,
        "HMD": None,
        "HND": [
            [
                -87.316654,
                12.984686
            ],
            [
                -87.489409,
                13.297535
            ],
            [
                -87.793111,
                13.38448
            ],
            [
                -87.723503,
                13.78505
            ],
            [
                -87.859515,
                13.893312
            ],
            [
                -88.065343,
                13.964626
            ],
            [
                -88.503998,
                13.845486
            ],
            [
                -88.541231,
                13.980155
            ],
            [
                -88.843073,
                14.140507
            ],
            [
                -89.058512,
                14.340029
            ],
            [
                -89.353326,
                14.424133
            ],
            [
                -89.145535,
                14.678019
            ],
            [
                -89.22522,
                14.874286
            ],
            [
                -89.154811,
                15.066419
            ],
            [
                -88.68068,
                15.346247
            ],
            [
                -88.225023,
                15.727722
            ],
            [
                -88.121153,
                15.688655
            ],
            [
                -87.901813,
                15.864458
            ],
            [
                -87.61568,
                15.878799
            ],
            [
                -87.522921,
                15.797279
            ],
            [
                -87.367762,
                15.84694
            ],
            [
                -86.903191,
                15.756713
            ],
            [
                -86.440946,
                15.782835
            ],
            [
                -86.119234,
                15.893449
            ],
            [
                -86.001954,
                16.005406
            ],
            [
                -85.683317,
                15.953652
            ],
            [
                -85.444004,
                15.885749
            ],
            [
                -85.182444,
                15.909158
            ],
            [
                -84.983722,
                15.995923
            ],
            [
                -84.52698,
                15.857224
            ],
            [
                -84.368256,
                15.835158
            ],
            [
                -84.063055,
                15.648244
            ],
            [
                -83.773977,
                15.424072
            ],
            [
                -83.410381,
                15.270903
            ],
            [
                -83.147219,
                14.995829
            ],
            [
                -83.489989,
                15.016267
            ],
            [
                -83.628585,
                14.880074
            ],
            [
                -83.975721,
                14.749436
            ],
            [
                -84.228342,
                14.748764
            ],
            [
                -84.449336,
                14.621614
            ],
            [
                -84.649582,
                14.666805
            ],
            [
                -84.820037,
                14.819587
            ],
            [
                -84.924501,
                14.790493
            ],
            [
                -85.052787,
                14.551541
            ],
            [
                -85.148751,
                14.560197
            ],
            [
                -85.165365,
                14.35437
            ],
            [
                -85.514413,
                14.079012
            ],
            [
                -85.698665,
                13.960078
            ],
            [
                -85.801295,
                13.836055
            ],
            [
                -86.096264,
                14.038187
            ],
            [
                -86.312142,
                13.771356
            ],
            [
                -86.520708,
                13.778487
            ],
            [
                -86.755087,
                13.754845
            ],
            [
                -86.733822,
                13.263093
            ],
            [
                -86.880557,
                13.254204
            ],
            [
                -87.005769,
                13.025794
            ],
            [
                -87.316654,
                12.984686
            ]
        ],
        "HRV": [
            [
                18.829838,
                45.908878
            ],
            [
                19.072769,
                45.521511
            ],
            [
                19.390476,
                45.236516
            ],
            [
                19.005486,
                44.860234
            ],
            [
                18.553214,
                45.08159
            ],
            [
                17.861783,
                45.06774
            ],
            [
                17.002146,
                45.233777
            ],
            [
                16.534939,
                45.211608
            ],
            [
                16.318157,
                45.004127
            ],
            [
                15.959367,
                45.233777
            ],
            [
                15.750026,
                44.818712
            ],
            [
                16.23966,
                44.351143
            ],
            [
                16.456443,
                44.04124
            ],
            [
                16.916156,
                43.667722
            ],
            [
                17.297373,
                43.446341
            ],
            [
                17.674922,
                43.028563
            ],
            [
                18.56,
                42.65
            ],
            [
                18.450016,
                42.479991
            ],
            [
                17.50997,
                42.849995
            ],
            [
                16.930006,
                43.209998
            ],
            [
                16.015385,
                43.507215
            ],
            [
                15.174454,
                44.243191
            ],
            [
                15.37625,
                44.317915
            ],
            [
                14.920309,
                44.738484
            ],
            [
                14.901602,
                45.07606
            ],
            [
                14.258748,
                45.233777
            ],
            [
                13.952255,
                44.802124
            ],
            [
                13.656976,
                45.136935
            ],
            [
                13.679403,
                45.484149
            ],
            [
                13.71506,
                45.500324
            ],
            [
                14.411968,
                45.466166
            ],
            [
                14.595109,
                45.634941
            ],
            [
                14.935244,
                45.471695
            ],
            [
                15.327675,
                45.452316
            ],
            [
                15.323954,
                45.731783
            ],
            [
                15.67153,
                45.834154
            ],
            [
                15.768733,
                46.238108
            ],
            [
                16.564808,
                46.503751
            ],
            [
                16.882515,
                46.380632
            ],
            [
                17.630066,
                45.951769
            ],
            [
                18.456062,
                45.759481
            ],
            [
                18.829838,
                45.908878
            ]
        ],
        "HTI": [
            [
                -73.189791,
                19.915684
            ],
            [
                -72.579673,
                19.871501
            ],
            [
                -71.712361,
                19.714456
            ],
            [
                -71.624873,
                19.169838
            ],
            [
                -71.701303,
                18.785417
            ],
            [
                -71.945112,
                18.6169
            ],
            [
                -71.687738,
                18.31666
            ],
            [
                -71.708305,
                18.044997
            ],
            [
                -72.372476,
                18.214961
            ],
            [
                -72.844411,
                18.145611
            ],
            [
                -73.454555,
                18.217906
            ],
            [
                -73.922433,
                18.030993
            ],
            [
                -74.458034,
                18.34255
            ],
            [
                -74.369925,
                18.664908
            ],
            [
                -73.449542,
                18.526053
            ],
            [
                -72.694937,
                18.445799
            ],
            [
                -72.334882,
                18.668422
            ],
            [
                -72.79165,
                19.101625
            ],
            [
                -72.784105,
                19.483591
            ],
            [
                -73.415022,
                19.639551
            ],
            [
                -73.189791,
                19.915684
            ]
        ],
        "HUN": [
            [
                16.202298,
                46.852386
            ],
            [
                16.534268,
                47.496171
            ],
            [
                16.340584,
                47.712902
            ],
            [
                16.903754,
                47.714866
            ],
            [
                16.979667,
                48.123497
            ],
            [
                17.488473,
                47.867466
            ],
            [
                17.857133,
                47.758429
            ],
            [
                18.696513,
                47.880954
            ],
            [
                18.777025,
                48.081768
            ],
            [
                19.174365,
                48.111379
            ],
            [
                19.661364,
                48.266615
            ],
            [
                19.769471,
                48.202691
            ],
            [
                20.239054,
                48.327567
            ],
            [
                20.473562,
                48.56285
            ],
            [
                20.801294,
                48.623854
            ],
            [
                21.872236,
                48.319971
            ],
            [
                22.085608,
                48.422264
            ],
            [
                22.64082,
                48.15024
            ],
            [
                22.710531,
                47.882194
            ],
            [
                22.099768,
                47.672439
            ],
            [
                21.626515,
                46.994238
            ],
            [
                21.021952,
                46.316088
            ],
            [
                20.220192,
                46.127469
            ],
            [
                19.596045,
                46.17173
            ],
            [
                18.829838,
                45.908878
            ],
            [
                18.456062,
                45.759481
            ],
            [
                17.630066,
                45.951769
            ],
            [
                16.882515,
                46.380632
            ],
            [
                16.564808,
                46.503751
            ],
            [
                16.370505,
                46.841327
            ],
            [
                16.202298,
                46.852386
            ]
        ],
        "IDN": [
            [
                [
                    120.715609,
                    -10.239581
                ],
                [
                    120.295014,
                    -10.25865
                ],
                [
                    118.967808,
                    -9.557969
                ],
                [
                    119.90031,
                    -9.36134
                ],
                [
                    120.425756,
                    -9.665921
                ],
                [
                    120.775502,
                    -9.969675
                ],
                [
                    120.715609,
                    -10.239581
                ]
            ]
        ],
        "IMN": None,
        "IND": [
            [
                77.837451,
                35.49401
            ],
            [
                78.912269,
                34.321936
            ],
            [
                78.811086,
                33.506198
            ],
            [
                79.208892,
                32.994395
            ],
            [
                79.176129,
                32.48378
            ],
            [
                78.458446,
                32.618164
            ],
            [
                78.738894,
                31.515906
            ],
            [
                79.721367,
                30.882715
            ],
            [
                81.111256,
                30.183481
            ],
            [
                80.476721,
                29.729865
            ],
            [
                80.088425,
                28.79447
            ],
            [
                81.057203,
                28.416095
            ],
            [
                81.999987,
                27.925479
            ],
            [
                83.304249,
                27.364506
            ],
            [
                84.675018,
                27.234901
            ],
            [
                85.251779,
                26.726198
            ],
            [
                86.024393,
                26.630985
            ],
            [
                87.227472,
                26.397898
            ],
            [
                88.060238,
                26.414615
            ],
            [
                88.174804,
                26.810405
            ],
            [
                88.043133,
                27.445819
            ],
            [
                88.120441,
                27.876542
            ],
            [
                88.730326,
                28.086865
            ],
            [
                88.814248,
                27.299316
            ],
            [
                88.835643,
                27.098966
            ],
            [
                89.744528,
                26.719403
            ],
            [
                90.373275,
                26.875724
            ],
            [
                91.217513,
                26.808648
            ],
            [
                92.033484,
                26.83831
            ],
            [
                92.103712,
                27.452614
            ],
            [
                91.696657,
                27.771742
            ],
            [
                92.503119,
                27.896876
            ],
            [
                93.413348,
                28.640629
            ],
            [
                94.56599,
                29.277438
            ],
            [
                95.404802,
                29.031717
            ],
            [
                96.117679,
                29.452802
            ],
            [
                96.586591,
                28.83098
            ],
            [
                96.248833,
                28.411031
            ],
            [
                97.327114,
                28.261583
            ],
            [
                97.402561,
                27.882536
            ],
            [
                97.051989,
                27.699059
            ],
            [
                97.133999,
                27.083774
            ],
            [
                96.419366,
                27.264589
            ],
            [
                95.124768,
                26.573572
            ],
            [
                95.155153,
                26.001307
            ],
            [
                94.603249,
                25.162495
            ],
            [
                94.552658,
                24.675238
            ],
            [
                94.106742,
                23.850741
            ],
            [
                93.325188,
                24.078556
            ],
            [
                93.286327,
                23.043658
            ],
            [
                93.060294,
                22.703111
            ],
            [
                93.166128,
                22.27846
            ],
            [
                92.672721,
                22.041239
            ],
            [
                92.146035,
                23.627499
            ],
            [
                91.869928,
                23.624346
            ],
            [
                91.706475,
                22.985264
            ],
            [
                91.158963,
                23.503527
            ],
            [
                91.46773,
                24.072639
            ],
            [
                91.915093,
                24.130414
            ],
            [
                92.376202,
                24.976693
            ],
            [
                91.799596,
                25.147432
            ],
            [
                90.872211,
                25.132601
            ],
            [
                89.920693,
                25.26975
            ],
            [
                89.832481,
                25.965082
            ],
            [
                89.355094,
                26.014407
            ],
            [
                88.563049,
                26.446526
            ],
            [
                88.209789,
                25.768066
            ],
            [
                88.931554,
                25.238692
            ],
            [
                88.306373,
                24.866079
            ],
            [
                88.084422,
                24.501657
            ],
            [
                88.69994,
                24.233715
            ],
            [
                88.52977,
                23.631142
            ],
            [
                88.876312,
                22.879146
            ],
            [
                89.031961,
                22.055708
            ],
            [
                88.888766,
                21.690588
            ],
            [
                88.208497,
                21.703172
            ],
            [
                86.975704,
                21.495562
            ],
            [
                87.033169,
                20.743308
            ],
            [
                86.499351,
                20.151638
            ],
            [
                85.060266,
                19.478579
            ],
            [
                83.941006,
                18.30201
            ],
            [
                83.189217,
                17.671221
            ],
            [
                82.192792,
                17.016636
            ],
            [
                82.191242,
                16.556664
            ],
            [
                81.692719,
                16.310219
            ],
            [
                80.791999,
                15.951972
            ],
            [
                80.324896,
                15.899185
            ],
            [
                80.025069,
                15.136415
            ],
            [
                80.233274,
                13.835771
            ],
            [
                80.286294,
                13.006261
            ],
            [
                79.862547,
                12.056215
            ],
            [
                79.857999,
                10.357275
            ],
            [
                79.340512,
                10.308854
            ],
            [
                78.885345,
                9.546136
            ],
            [
                79.18972,
                9.216544
            ],
            [
                78.277941,
                8.933047
            ],
            [
                77.941165,
                8.252959
            ],
            [
                77.539898,
                7.965535
            ],
            [
                76.592979,
                8.899276
            ],
            [
                76.130061,
                10.29963
            ],
            [
                75.746467,
                11.308251
            ],
            [
                75.396101,
                11.781245
            ],
            [
                74.864816,
                12.741936
            ],
            [
                74.616717,
                13.992583
            ],
            [
                74.443859,
                14.617222
            ],
            [
                73.534199,
                15.990652
            ],
            [
                73.119909,
                17.92857
            ],
            [
                72.820909,
                19.208234
            ],
            [
                72.824475,
                20.419503
            ],
            [
                72.630533,
                21.356009
            ],
            [
                71.175273,
                20.757441
            ],
            [
                70.470459,
                20.877331
            ],
            [
                69.16413,
                22.089298
            ],
            [
                69.644928,
                22.450775
            ],
            [
                69.349597,
                22.84318
            ],
            [
                68.176645,
                23.691965
            ],
            [
                68.842599,
                24.359134
            ],
            [
                71.04324,
                24.356524
            ],
            [
                70.844699,
                25.215102
            ],
            [
                70.282873,
                25.722229
            ],
            [
                70.168927,
                26.491872
            ],
            [
                69.514393,
                26.940966
            ],
            [
                70.616496,
                27.989196
            ],
            [
                71.777666,
                27.91318
            ],
            [
                72.823752,
                28.961592
            ],
            [
                73.450638,
                29.976413
            ],
            [
                74.42138,
                30.979815
            ],
            [
                74.405929,
                31.692639
            ],
            [
                75.258642,
                32.271105
            ],
            [
                74.451559,
                32.7649
            ],
            [
                74.104294,
                33.441473
            ],
            [
                73.749948,
                34.317699
            ],
            [
                74.240203,
                34.748887
            ],
            [
                75.757061,
                34.504923
            ],
            [
                76.871722,
                34.653544
            ],
            [
                77.837451,
                35.49401
            ]
        ],
        "IOT": None,
        "IRL": [
            [
                -6.197885,
                53.867565
            ],
            [
                -6.032985,
                53.153164
            ],
            [
                -6.788857,
                52.260118
            ],
            [
                -8.561617,
                51.669301
            ],
            [
                -9.977086,
                51.820455
            ],
            [
                -9.166283,
                52.864629
            ],
            [
                -9.688525,
                53.881363
            ],
            [
                -8.327987,
                54.664519
            ],
            [
                -7.572168,
                55.131622
            ],
            [
                -7.366031,
                54.595841
            ],
            [
                -7.572168,
                54.059956
            ],
            [
                -6.95373,
                54.073702
            ],
            [
                -6.197885,
                53.867565
            ]
        ],
        "IRN": [
            [
                53.921598,
                37.198918
            ],
            [
                54.800304,
                37.392421
            ],
            [
                55.511578,
                37.964117
            ],
            [
                56.180375,
                37.935127
            ],
            [
                56.619366,
                38.121394
            ],
            [
                57.330434,
                38.029229
            ],
            [
                58.436154,
                37.522309
            ],
            [
                59.234762,
                37.412988
            ],
            [
                60.377638,
                36.527383
            ],
            [
                61.123071,
                36.491597
            ],
            [
                61.210817,
                35.650072
            ],
            [
                60.803193,
                34.404102
            ],
            [
                60.52843,
                33.676446
            ],
            [
                60.9637,
                33.528832
            ],
            [
                60.536078,
                32.981269
            ],
            [
                60.863655,
                32.18292
            ],
            [
                60.941945,
                31.548075
            ],
            [
                61.699314,
                31.379506
            ],
            [
                61.781222,
                30.73585
            ],
            [
                60.874248,
                29.829239
            ],
            [
                61.369309,
                29.303276
            ],
            [
                61.771868,
                28.699334
            ],
            [
                62.72783,
                28.259645
            ],
            [
                62.755426,
                27.378923
            ],
            [
                63.233898,
                27.217047
            ],
            [
                63.316632,
                26.756532
            ],
            [
                61.874187,
                26.239975
            ],
            [
                61.497363,
                25.078237
            ],
            [
                59.616134,
                25.380157
            ],
            [
                58.525761,
                25.609962
            ],
            [
                57.397251,
                25.739902
            ],
            [
                56.970766,
                26.966106
            ],
            [
                56.492139,
                27.143305
            ],
            [
                55.72371,
                26.964633
            ],
            [
                54.71509,
                26.480658
            ],
            [
                53.493097,
                26.812369
            ],
            [
                52.483598,
                27.580849
            ],
            [
                51.520763,
                27.86569
            ],
            [
                50.852948,
                28.814521
            ],
            [
                50.115009,
                30.147773
            ],
            [
                49.57685,
                29.985715
            ],
            [
                48.941333,
                30.31709
            ],
            [
                48.567971,
                29.926778
            ],
            [
                48.014568,
                30.452457
            ],
            [
                48.004698,
                30.985137
            ],
            [
                47.685286,
                30.984853
            ],
            [
                47.849204,
                31.709176
            ],
            [
                47.334661,
                32.469155
            ],
            [
                46.109362,
                33.017287
            ],
            [
                45.416691,
                33.967798
            ],
            [
                45.64846,
                34.748138
            ],
            [
                46.151788,
                35.093259
            ],
            [
                46.07634,
                35.677383
            ],
            [
                45.420618,
                35.977546
            ],
            [
                44.77267,
                37.17045
            ],
            [
                44.225756,
                37.971584
            ],
            [
                44.421403,
                38.281281
            ],
            [
                44.109225,
                39.428136
            ],
            [
                44.79399,
                39.713003
            ],
            [
                44.952688,
                39.335765
            ],
            [
                45.457722,
                38.874139
            ],
            [
                46.143623,
                38.741201
            ],
            [
                46.50572,
                38.770605
            ],
            [
                47.685079,
                39.508364
            ],
            [
                48.060095,
                39.582235
            ],
            [
                48.355529,
                39.288765
            ],
            [
                48.010744,
                38.794015
            ],
            [
                48.634375,
                38.270378
            ],
            [
                48.883249,
                38.320245
            ],
            [
                49.199612,
                37.582874
            ],
            [
                50.147771,
                37.374567
            ],
            [
                50.842354,
                36.872814
            ],
            [
                52.264025,
                36.700422
            ],
            [
                53.82579,
                36.965031
            ],
            [
                53.921598,
                37.198918
            ]
        ],
        "IRQ": [
            [
                45.420618,
                35.977546
            ],
            [
                46.07634,
                35.677383
            ],
            [
                46.151788,
                35.093259
            ],
            [
                45.64846,
                34.748138
            ],
            [
                45.416691,
                33.967798
            ],
            [
                46.109362,
                33.017287
            ],
            [
                47.334661,
                32.469155
            ],
            [
                47.849204,
                31.709176
            ],
            [
                47.685286,
                30.984853
            ],
            [
                48.004698,
                30.985137
            ],
            [
                48.014568,
                30.452457
            ],
            [
                48.567971,
                29.926778
            ],
            [
                47.974519,
                29.975819
            ],
            [
                47.302622,
                30.05907
            ],
            [
                46.568713,
                29.099025
            ],
            [
                44.709499,
                29.178891
            ],
            [
                41.889981,
                31.190009
            ],
            [
                40.399994,
                31.889992
            ],
            [
                39.195468,
                32.161009
            ],
            [
                38.792341,
                33.378686
            ],
            [
                41.006159,
                34.419372
            ],
            [
                41.383965,
                35.628317
            ],
            [
                41.289707,
                36.358815
            ],
            [
                41.837064,
                36.605854
            ],
            [
                42.349591,
                37.229873
            ],
            [
                42.779126,
                37.385264
            ],
            [
                43.942259,
                37.256228
            ],
            [
                44.293452,
                37.001514
            ],
            [
                44.772699,
                37.170445
            ],
            [
                45.420618,
                35.977546
            ]
        ],
        "ISL": [
            [
                -14.508695,
                66.455892
            ],
            [
                -14.739637,
                65.808748
            ],
            [
                -13.609732,
                65.126671
            ],
            [
                -14.909834,
                64.364082
            ],
            [
                -17.794438,
                63.678749
            ],
            [
                -18.656246,
                63.496383
            ],
            [
                -19.972755,
                63.643635
            ],
            [
                -22.762972,
                63.960179
            ],
            [
                -21.778484,
                64.402116
            ],
            [
                -23.955044,
                64.89113
            ],
            [
                -22.184403,
                65.084968
            ],
            [
                -22.227423,
                65.378594
            ],
            [
                -24.326184,
                65.611189
            ],
            [
                -23.650515,
                66.262519
            ],
            [
                -22.134922,
                66.410469
            ],
            [
                -20.576284,
                65.732112
            ],
            [
                -19.056842,
                66.276601
            ],
            [
                -17.798624,
                65.993853
            ],
            [
                -16.167819,
                66.526792
            ],
            [
                -14.508695,
                66.455892
            ]
        ],
        "ISR": [
            [
                35.719918,
                32.709192
            ],
            [
                35.545665,
                32.393992
            ],
            [
                35.18393,
                32.532511
            ],
            [
                34.974641,
                31.866582
            ],
            [
                35.225892,
                31.754341
            ],
            [
                34.970507,
                31.616778
            ],
            [
                34.927408,
                31.353435
            ],
            [
                35.397561,
                31.489086
            ],
            [
                35.420918,
                31.100066
            ],
            [
                34.922603,
                29.501326
            ],
            [
                34.265433,
                31.219361
            ],
            [
                34.556372,
                31.548824
            ],
            [
                34.488107,
                31.605539
            ],
            [
                34.752587,
                32.072926
            ],
            [
                34.955417,
                32.827376
            ],
            [
                35.098457,
                33.080539
            ],
            [
                35.126053,
                33.0909
            ],
            [
                35.460709,
                33.08904
            ],
            [
                35.552797,
                33.264275
            ],
            [
                35.821101,
                33.277426
            ],
            [
                35.836397,
                32.868123
            ],
            [
                35.700798,
                32.716014
            ],
            [
                35.719918,
                32.709192
            ]
        ],
        "ITA": [
            [
                [
                    15.520376,
                    38.231155
                ],
                [
                    15.160243,
                    37.444046
                ],
                [
                    15.309898,
                    37.134219
                ],
                [
                    15.099988,
                    36.619987
                ],
                [
                    14.335229,
                    36.996631
                ],
                [
                    13.826733,
                    37.104531
                ],
                [
                    12.431004,
                    37.61295
                ],
                [
                    12.570944,
                    38.126381
                ],
                [
                    13.741156,
                    38.034966
                ],
                [
                    14.761249,
                    38.143874
                ],
                [
                    15.520376,
                    38.231155
                ]
            ]
        ],
        "JAM": [
            [
                -77.569601,
                18.490525
            ],
            [
                -76.896619,
                18.400867
            ],
            [
                -76.365359,
                18.160701
            ],
            [
                -76.199659,
                17.886867
            ],
            [
                -76.902561,
                17.868238
            ],
            [
                -77.206341,
                17.701116
            ],
            [
                -77.766023,
                17.861597
            ],
            [
                -78.337719,
                18.225968
            ],
            [
                -78.217727,
                18.454533
            ],
            [
                -77.797365,
                18.524218
            ],
            [
                -77.569601,
                18.490525
            ]
        ],
        "JEY": None,
        "JOR": [
            [
                35.545665,
                32.393992
            ],
            [
                35.719918,
                32.709192
            ],
            [
                36.834062,
                32.312938
            ],
            [
                38.792341,
                33.378686
            ],
            [
                39.195468,
                32.161009
            ],
            [
                39.004886,
                32.010217
            ],
            [
                37.002166,
                31.508413
            ],
            [
                37.998849,
                30.5085
            ],
            [
                37.66812,
                30.338665
            ],
            [
                37.503582,
                30.003776
            ],
            [
                36.740528,
                29.865283
            ],
            [
                36.501214,
                29.505254
            ],
            [
                36.068941,
                29.197495
            ],
            [
                34.956037,
                29.356555
            ],
            [
                34.922603,
                29.501326
            ],
            [
                35.420918,
                31.100066
            ],
            [
                35.397561,
                31.489086
            ],
            [
                35.545252,
                31.782505
            ],
            [
                35.545665,
                32.393992
            ]
        ],
        "JPN": [
            [
                [
                    134.638428,
                    34.149234
                ],
                [
                    134.766379,
                    33.806335
                ],
                [
                    134.203416,
                    33.201178
                ],
                [
                    133.79295,
                    33.521985
                ],
                [
                    133.280268,
                    33.28957
                ],
                [
                    133.014858,
                    32.704567
                ],
                [
                    132.363115,
                    32.989382
                ],
                [
                    132.371176,
                    33.463642
                ],
                [
                    132.924373,
                    34.060299
                ],
                [
                    133.492968,
                    33.944621
                ],
                [
                    133.904106,
                    34.364931
                ],
                [
                    134.638428,
                    34.149234
                ]
            ]
        ],
        "KAZ": [
            [
                70.962315,
                42.266154
            ],
            [
                70.388965,
                42.081308
            ],
            [
                69.070027,
                41.384244
            ],
            [
                68.632483,
                40.668681
            ],
            [
                68.259896,
                40.662325
            ],
            [
                67.985856,
                41.135991
            ],
            [
                66.714047,
                41.168444
            ],
            [
                66.510649,
                41.987644
            ],
            [
                66.023392,
                41.994646
            ],
            [
                66.098012,
                42.99766
            ],
            [
                64.900824,
                43.728081
            ],
            [
                63.185787,
                43.650075
            ],
            [
                62.0133,
                43.504477
            ],
            [
                61.05832,
                44.405817
            ],
            [
                60.239972,
                44.784037
            ],
            [
                58.689989,
                45.500014
            ],
            [
                58.503127,
                45.586804
            ],
            [
                55.928917,
                44.995858
            ],
            [
                55.968191,
                41.308642
            ],
            [
                55.455251,
                41.259859
            ],
            [
                54.755345,
                42.043971
            ],
            [
                54.079418,
                42.324109
            ],
            [
                52.944293,
                42.116034
            ],
            [
                52.50246,
                41.783316
            ],
            [
                52.446339,
                42.027151
            ],
            [
                52.692112,
                42.443895
            ],
            [
                52.501426,
                42.792298
            ],
            [
                51.342427,
                43.132975
            ],
            [
                50.891292,
                44.031034
            ],
            [
                50.339129,
                44.284016
            ],
            [
                50.305643,
                44.609836
            ],
            [
                51.278503,
                44.514854
            ],
            [
                51.316899,
                45.245998
            ],
            [
                52.16739,
                45.408391
            ],
            [
                53.040876,
                45.259047
            ],
            [
                53.220866,
                46.234646
            ],
            [
                53.042737,
                46.853006
            ],
            [
                52.042023,
                46.804637
            ],
            [
                51.191945,
                47.048705
            ],
            [
                50.034083,
                46.60899
            ],
            [
                49.10116,
                46.39933
            ],
            [
                48.593241,
                46.561034
            ],
            [
                48.694734,
                47.075628
            ],
            [
                48.057253,
                47.743753
            ],
            [
                47.315231,
                47.715847
            ],
            [
                46.466446,
                48.394152
            ],
            [
                47.043672,
                49.152039
            ],
            [
                46.751596,
                49.356006
            ],
            [
                47.54948,
                50.454698
            ],
            [
                48.577841,
                49.87476
            ],
            [
                48.702382,
                50.605128
            ],
            [
                50.766648,
                51.692762
            ],
            [
                52.328724,
                51.718652
            ],
            [
                54.532878,
                51.02624
            ],
            [
                55.716941,
                50.621717
            ],
            [
                56.777961,
                51.043551
            ],
            [
                58.363291,
                51.063653
            ],
            [
                59.642282,
                50.545442
            ],
            [
                59.932807,
                50.842194
            ],
            [
                61.337424,
                50.79907
            ],
            [
                61.588003,
                51.272659
            ],
            [
                59.967534,
                51.96042
            ],
            [
                60.927269,
                52.447548
            ],
            [
                60.739993,
                52.719986
            ],
            [
                61.699986,
                52.979996
            ],
            [
                60.978066,
                53.664993
            ],
            [
                61.436591,
                54.006265
            ],
            [
                65.178534,
                54.354228
            ],
            [
                65.666876,
                54.601267
            ],
            [
                68.1691,
                54.970392
            ],
            [
                69.068167,
                55.38525
            ],
            [
                70.865267,
                55.169734
            ],
            [
                71.180131,
                54.133285
            ],
            [
                72.22415,
                54.376655
            ],
            [
                73.508516,
                54.035617
            ],
            [
                73.425679,
                53.48981
            ],
            [
                74.384845,
                53.546861
            ],
            [
                76.8911,
                54.490524
            ],
            [
                76.525179,
                54.177003
            ],
            [
                77.800916,
                53.404415
            ],
            [
                80.03556,
                50.864751
            ],
            [
                80.568447,
                51.388336
            ],
            [
                81.945986,
                50.812196
            ],
            [
                83.383004,
                51.069183
            ],
            [
                83.935115,
                50.889246
            ],
            [
                84.416377,
                50.3114
            ],
            [
                85.11556,
                50.117303
            ],
            [
                85.54127,
                49.692859
            ],
            [
                86.829357,
                49.826675
            ],
            [
                87.35997,
                49.214981
            ],
            [
                86.598776,
                48.549182
            ],
            [
                85.768233,
                48.455751
            ],
            [
                85.720484,
                47.452969
            ],
            [
                85.16429,
                47.000956
            ],
            [
                83.180484,
                47.330031
            ],
            [
                82.458926,
                45.53965
            ],
            [
                81.947071,
                45.317027
            ],
            [
                79.966106,
                44.917517
            ],
            [
                80.866206,
                43.180362
            ],
            [
                80.18015,
                42.920068
            ],
            [
                80.25999,
                42.349999
            ],
            [
                79.643645,
                42.496683
            ],
            [
                79.142177,
                42.856092
            ],
            [
                77.658392,
                42.960686
            ],
            [
                76.000354,
                42.988022
            ],
            [
                75.636965,
                42.8779
            ],
            [
                74.212866,
                43.298339
            ],
            [
                73.645304,
                43.091272
            ],
            [
                73.489758,
                42.500894
            ],
            [
                71.844638,
                42.845395
            ],
            [
                71.186281,
                42.704293
            ],
            [
                70.962315,
                42.266154
            ]
        ],
        "KEN": [
            [
                40.993,
                -0.85829
            ],
            [
                41.58513,
                -1.68325
            ],
            [
                40.88477,
                -2.08255
            ],
            [
                40.63785,
                -2.49979
            ],
            [
                40.26304,
                -2.57309
            ],
            [
                40.12119,
                -3.27768
            ],
            [
                39.80006,
                -3.68116
            ],
            [
                39.60489,
                -4.34653
            ],
            [
                39.20222,
                -4.67677
            ],
            [
                37.7669,
                -3.67712
            ],
            [
                37.69869,
                -3.09699
            ],
            [
                34.07262,
                -1.05982
            ],
            [
                33.903711,
                -0.95
            ],
            [
                33.893569,
                0.109814
            ],
            [
                34.18,
                0.515
            ],
            [
                34.6721,
                1.17694
            ],
            [
                35.03599,
                1.90584
            ],
            [
                34.59607,
                3.05374
            ],
            [
                34.47913,
                3.5556
            ],
            [
                34.005,
                4.249885
            ],
            [
                34.620196,
                4.847123
            ],
            [
                35.298007,
                5.506
            ],
            [
                35.817448,
                5.338232
            ],
            [
                35.817448,
                4.776966
            ],
            [
                36.159079,
                4.447864
            ],
            [
                36.855093,
                4.447864
            ],
            [
                38.120915,
                3.598605
            ],
            [
                38.43697,
                3.58851
            ],
            [
                38.67114,
                3.61607
            ],
            [
                38.89251,
                3.50074
            ],
            [
                39.559384,
                3.42206
            ],
            [
                39.85494,
                3.83879
            ],
            [
                40.76848,
                4.25702
            ],
            [
                41.1718,
                3.91909
            ],
            [
                41.855083,
                3.918912
            ],
            [
                40.98105,
                2.78452
            ],
            [
                40.993,
                -0.85829
            ]
        ],
        "KGZ": [
            [
                70.962315,
                42.266154
            ],
            [
                71.186281,
                42.704293
            ],
            [
                71.844638,
                42.845395
            ],
            [
                73.489758,
                42.500894
            ],
            [
                73.645304,
                43.091272
            ],
            [
                74.212866,
                43.298339
            ],
            [
                75.636965,
                42.8779
            ],
            [
                76.000354,
                42.988022
            ],
            [
                77.658392,
                42.960686
            ],
            [
                79.142177,
                42.856092
            ],
            [
                79.643645,
                42.496683
            ],
            [
                80.25999,
                42.349999
            ],
            [
                80.11943,
                42.123941
            ],
            [
                78.543661,
                41.582243
            ],
            [
                78.187197,
                41.185316
            ],
            [
                76.904484,
                41.066486
            ],
            [
                76.526368,
                40.427946
            ],
            [
                75.467828,
                40.562072
            ],
            [
                74.776862,
                40.366425
            ],
            [
                73.822244,
                39.893973
            ],
            [
                73.960013,
                39.660008
            ],
            [
                73.675379,
                39.431237
            ],
            [
                71.784694,
                39.279463
            ],
            [
                70.549162,
                39.604198
            ],
            [
                69.464887,
                39.526683
            ],
            [
                69.55961,
                40.103211
            ],
            [
                70.648019,
                39.935754
            ],
            [
                71.014198,
                40.244366
            ],
            [
                71.774875,
                40.145844
            ],
            [
                73.055417,
                40.866033
            ],
            [
                71.870115,
                41.3929
            ],
            [
                71.157859,
                41.143587
            ],
            [
                70.420022,
                41.519998
            ],
            [
                71.259248,
                42.167711
            ],
            [
                70.962315,
                42.266154
            ]
        ],
        "KHM": [
            [
                103.49728,
                10.632555
            ],
            [
                103.09069,
                11.153661
            ],
            [
                102.584932,
                12.186595
            ],
            [
                102.348099,
                13.394247
            ],
            [
                102.988422,
                14.225721
            ],
            [
                104.281418,
                14.416743
            ],
            [
                105.218777,
                14.273212
            ],
            [
                106.043946,
                13.881091
            ],
            [
                106.496373,
                14.570584
            ],
            [
                107.382727,
                14.202441
            ],
            [
                107.614548,
                13.535531
            ],
            [
                107.491403,
                12.337206
            ],
            [
                105.810524,
                11.567615
            ],
            [
                106.24967,
                10.961812
            ],
            [
                105.199915,
                10.88931
            ],
            [
                104.334335,
                10.486544
            ],
            [
                103.49728,
                10.632555
            ]
        ],
        "KIR": None,
        "KNA": None,
        "KOR": [
            [
                128.349716,
                38.612243
            ],
            [
                129.21292,
                37.432392
            ],
            [
                129.46045,
                36.784189
            ],
            [
                129.468304,
                35.632141
            ],
            [
                129.091377,
                35.082484
            ],
            [
                128.18585,
                34.890377
            ],
            [
                127.386519,
                34.475674
            ],
            [
                126.485748,
                34.390046
            ],
            [
                126.37392,
                34.93456
            ],
            [
                126.559231,
                35.684541
            ],
            [
                126.117398,
                36.725485
            ],
            [
                126.860143,
                36.893924
            ],
            [
                126.174759,
                37.749686
            ],
            [
                126.237339,
                37.840378
            ],
            [
                126.68372,
                37.804773
            ],
            [
                127.073309,
                38.256115
            ],
            [
                127.780035,
                38.304536
            ],
            [
                128.205746,
                38.370397
            ],
            [
                128.349716,
                38.612243
            ]
        ],
        "KWT": [
            [
                47.974519,
                29.975819
            ],
            [
                48.183189,
                29.534477
            ],
            [
                48.093943,
                29.306299
            ],
            [
                48.416094,
                28.552004
            ],
            [
                47.708851,
                28.526063
            ],
            [
                47.459822,
                29.002519
            ],
            [
                46.568713,
                29.099025
            ],
            [
                47.302622,
                30.05907
            ],
            [
                47.974519,
                29.975819
            ]
        ],
        "LAO": [
            [
                105.218777,
                14.273212
            ],
            [
                105.544338,
                14.723934
            ],
            [
                105.589039,
                15.570316
            ],
            [
                104.779321,
                16.441865
            ],
            [
                104.716947,
                17.428859
            ],
            [
                103.956477,
                18.240954
            ],
            [
                103.200192,
                18.309632
            ],
            [
                102.998706,
                17.961695
            ],
            [
                102.413005,
                17.932782
            ],
            [
                102.113592,
                18.109102
            ],
            [
                101.059548,
                17.512497
            ],
            [
                101.035931,
                18.408928
            ],
            [
                101.282015,
                19.462585
            ],
            [
                100.606294,
                19.508344
            ],
            [
                100.548881,
                20.109238
            ],
            [
                100.115988,
                20.41785
            ],
            [
                100.329101,
                20.786122
            ],
            [
                101.180005,
                21.436573
            ],
            [
                101.270026,
                21.201652
            ],
            [
                101.80312,
                21.174367
            ],
            [
                101.652018,
                22.318199
            ],
            [
                102.170436,
                22.464753
            ],
            [
                102.754896,
                21.675137
            ],
            [
                103.203861,
                20.766562
            ],
            [
                104.435,
                20.758733
            ],
            [
                104.822574,
                19.886642
            ],
            [
                104.183388,
                19.624668
            ],
            [
                103.896532,
                19.265181
            ],
            [
                105.094598,
                18.666975
            ],
            [
                105.925762,
                17.485315
            ],
            [
                106.556008,
                16.604284
            ],
            [
                107.312706,
                15.908538
            ],
            [
                107.564525,
                15.202173
            ],
            [
                107.382727,
                14.202441
            ],
            [
                106.496373,
                14.570584
            ],
            [
                106.043946,
                13.881091
            ],
            [
                105.218777,
                14.273212
            ]
        ],
        "LBN": [
            [
                35.821101,
                33.277426
            ],
            [
                35.552797,
                33.264275
            ],
            [
                35.460709,
                33.08904
            ],
            [
                35.126053,
                33.0909
            ],
            [
                35.482207,
                33.90545
            ],
            [
                35.979592,
                34.610058
            ],
            [
                35.998403,
                34.644914
            ],
            [
                36.448194,
                34.593935
            ],
            [
                36.61175,
                34.201789
            ],
            [
                36.06646,
                33.824912
            ],
            [
                35.821101,
                33.277426
            ]
        ],
        "LBR": [
            [
                -7.712159,
                4.364566
            ],
            [
                -7.974107,
                4.355755
            ],
            [
                -9.004794,
                4.832419
            ],
            [
                -9.91342,
                5.593561
            ],
            [
                -10.765384,
                6.140711
            ],
            [
                -11.438779,
                6.785917
            ],
            [
                -11.199802,
                7.105846
            ],
            [
                -11.146704,
                7.396706
            ],
            [
                -10.695595,
                7.939464
            ],
            [
                -10.230094,
                8.406206
            ],
            [
                -10.016567,
                8.428504
            ],
            [
                -9.755342,
                8.541055
            ],
            [
                -9.33728,
                7.928534
            ],
            [
                -9.403348,
                7.526905
            ],
            [
                -9.208786,
                7.313921
            ],
            [
                -8.926065,
                7.309037
            ],
            [
                -8.722124,
                7.711674
            ],
            [
                -8.439298,
                7.686043
            ],
            [
                -8.485446,
                7.395208
            ],
            [
                -8.385452,
                6.911801
            ],
            [
                -8.60288,
                6.467564
            ],
            [
                -8.311348,
                6.193033
            ],
            [
                -7.993693,
                6.12619
            ],
            [
                -7.570153,
                5.707352
            ],
            [
                -7.539715,
                5.313345
            ],
            [
                -7.635368,
                5.188159
            ],
            [
                -7.712159,
                4.364566
            ]
        ],
        "LBY": [
            [
                14.8513,
                22.86295
            ],
            [
                14.143871,
                22.491289
            ],
            [
                13.581425,
                23.040506
            ],
            [
                11.999506,
                23.471668
            ],
            [
                11.560669,
                24.097909
            ],
            [
                10.771364,
                24.562532
            ],
            [
                10.303847,
                24.379313
            ],
            [
                9.948261,
                24.936954
            ],
            [
                9.910693,
                25.365455
            ],
            [
                9.319411,
                26.094325
            ],
            [
                9.716286,
                26.512206
            ],
            [
                9.629056,
                27.140953
            ],
            [
                9.756128,
                27.688259
            ],
            [
                9.683885,
                28.144174
            ],
            [
                9.859998,
                28.95999
            ],
            [
                9.805634,
                29.424638
            ],
            [
                9.48214,
                30.307556
            ],
            [
                9.970017,
                30.539325
            ],
            [
                10.056575,
                30.961831
            ],
            [
                9.950225,
                31.37607
            ],
            [
                10.636901,
                31.761421
            ],
            [
                10.94479,
                32.081815
            ],
            [
                11.432253,
                32.368903
            ],
            [
                11.488787,
                33.136996
            ],
            [
                12.66331,
                32.79278
            ],
            [
                13.08326,
                32.87882
            ],
            [
                13.91868,
                32.71196
            ],
            [
                15.24563,
                32.26508
            ],
            [
                15.71394,
                31.37626
            ],
            [
                16.61162,
                31.18218
            ],
            [
                18.02109,
                30.76357
            ],
            [
                19.08641,
                30.26639
            ],
            [
                19.57404,
                30.52582
            ],
            [
                20.05335,
                30.98576
            ],
            [
                19.82033,
                31.75179
            ],
            [
                20.13397,
                32.2382
            ],
            [
                20.85452,
                32.7068
            ],
            [
                21.54298,
                32.8432
            ],
            [
                22.89576,
                32.63858
            ],
            [
                23.2368,
                32.19149
            ],
            [
                23.60913,
                32.18726
            ],
            [
                23.9275,
                32.01667
            ],
            [
                24.92114,
                31.89936
            ],
            [
                25.16482,
                31.56915
            ],
            [
                24.80287,
                31.08929
            ],
            [
                24.95762,
                30.6616
            ],
            [
                24.70007,
                30.04419
            ],
            [
                25,
                29.238655
            ],
            [
                25,
                25.6825
            ],
            [
                25,
                22
            ],
            [
                25,
                20.00304
            ],
            [
                23.85,
                20
            ],
            [
                23.83766,
                19.58047
            ],
            [
                19.84926,
                21.49509
            ],
            [
                15.86085,
                23.40972
            ],
            [
                14.8513,
                22.86295
            ]
        ],
        "LCA": None,
        "LIE": None,
        "LKA": [
            [
                81.787959,
                7.523055
            ],
            [
                81.637322,
                6.481775
            ],
            [
                81.21802,
                6.197141
            ],
            [
                80.348357,
                5.96837
            ],
            [
                79.872469,
                6.763463
            ],
            [
                79.695167,
                8.200843
            ],
            [
                80.147801,
                9.824078
            ],
            [
                80.838818,
                9.268427
            ],
            [
                81.304319,
                8.564206
            ],
            [
                81.787959,
                7.523055
            ]
        ],
        "LSO": [
            [
                28.978263,
                -28.955597
            ],
            [
                29.325166,
                -29.257387
            ],
            [
                29.018415,
                -29.743766
            ],
            [
                28.8484,
                -30.070051
            ],
            [
                28.291069,
                -30.226217
            ],
            [
                28.107205,
                -30.545732
            ],
            [
                27.749397,
                -30.645106
            ],
            [
                26.999262,
                -29.875954
            ],
            [
                27.532511,
                -29.242711
            ],
            [
                28.074338,
                -28.851469
            ],
            [
                28.5417,
                -28.647502
            ],
            [
                28.978263,
                -28.955597
            ]
        ],
        "LTU": [
            [
                22.731099,
                54.327537
            ],
            [
                22.651052,
                54.582741
            ],
            [
                22.757764,
                54.856574
            ],
            [
                22.315724,
                55.015299
            ],
            [
                21.268449,
                55.190482
            ],
            [
                21.0558,
                56.031076
            ],
            [
                22.201157,
                56.337802
            ],
            [
                23.878264,
                56.273671
            ],
            [
                24.860684,
                56.372528
            ],
            [
                25.000934,
                56.164531
            ],
            [
                25.533047,
                56.100297
            ],
            [
                26.494331,
                55.615107
            ],
            [
                26.588279,
                55.167176
            ],
            [
                25.768433,
                54.846963
            ],
            [
                25.536354,
                54.282423
            ],
            [
                24.450684,
                53.905702
            ],
            [
                23.484128,
                53.912498
            ],
            [
                23.243987,
                54.220567
            ],
            [
                22.731099,
                54.327537
            ]
        ],
        "LUX": [
            [
                6.043073,
                50.128052
            ],
            [
                6.242751,
                49.902226
            ],
            [
                6.18632,
                49.463803
            ],
            [
                5.897759,
                49.442667
            ],
            [
                5.674052,
                49.529484
            ],
            [
                5.782417,
                50.090328
            ],
            [
                6.043073,
                50.128052
            ]
        ],
        "LVA": [
            [
                21.0558,
                56.031076
            ],
            [
                21.090424,
                56.783873
            ],
            [
                21.581866,
                57.411871
            ],
            [
                22.524341,
                57.753374
            ],
            [
                23.318453,
                57.006236
            ],
            [
                24.12073,
                57.025693
            ],
            [
                24.312863,
                57.793424
            ],
            [
                25.164594,
                57.970157
            ],
            [
                25.60281,
                57.847529
            ],
            [
                26.463532,
                57.476389
            ],
            [
                27.288185,
                57.474528
            ],
            [
                27.770016,
                57.244258
            ],
            [
                27.855282,
                56.759326
            ],
            [
                28.176709,
                56.16913
            ],
            [
                27.10246,
                55.783314
            ],
            [
                26.494331,
                55.615107
            ],
            [
                25.533047,
                56.100297
            ],
            [
                25.000934,
                56.164531
            ],
            [
                24.860684,
                56.372528
            ],
            [
                23.878264,
                56.273671
            ],
            [
                22.201157,
                56.337802
            ],
            [
                21.0558,
                56.031076
            ]
        ],
        "MAC": None,
        "MAF": None,
        "MAR": [
            [
                -5.193863,
                35.755182
            ],
            [
                -4.591006,
                35.330712
            ],
            [
                -3.640057,
                35.399855
            ],
            [
                -2.604306,
                35.179093
            ],
            [
                -2.169914,
                35.168396
            ],
            [
                -1.792986,
                34.527919
            ],
            [
                -1.733455,
                33.919713
            ],
            [
                -1.388049,
                32.864015
            ],
            [
                -1.124551,
                32.651522
            ],
            [
                -1.307899,
                32.262889
            ],
            [
                -2.616605,
                32.094346
            ],
            [
                -3.06898,
                31.724498
            ],
            [
                -3.647498,
                31.637294
            ],
            [
                -3.690441,
                30.896952
            ],
            [
                -4.859646,
                30.501188
            ],
            [
                -5.242129,
                30.000443
            ],
            [
                -6.060632,
                29.7317
            ],
            [
                -7.059228,
                29.579228
            ],
            [
                -8.674116,
                28.841289
            ],
            [
                -8.66559,
                27.656426
            ],
            [
                -8.817809,
                27.656426
            ],
            [
                -8.817828,
                27.656426
            ],
            [
                -8.794884,
                27.120696
            ],
            [
                -9.413037,
                27.088476
            ],
            [
                -9.735343,
                26.860945
            ],
            [
                -10.189424,
                26.860945
            ],
            [
                -10.551263,
                26.990808
            ],
            [
                -11.392555,
                26.883424
            ],
            [
                -11.71822,
                26.104092
            ],
            [
                -12.030759,
                26.030866
            ],
            [
                -12.500963,
                24.770116
            ],
            [
                -13.89111,
                23.691009
            ],
            [
                -14.221168,
                22.310163
            ],
            [
                -14.630833,
                21.86094
            ],
            [
                -14.750955,
                21.5006
            ],
            [
                -17.002962,
                21.420734
            ],
            [
                -17.020428,
                21.42231
            ],
            [
                -16.973248,
                21.885745
            ],
            [
                -16.589137,
                22.158234
            ],
            [
                -16.261922,
                22.67934
            ],
            [
                -16.326414,
                23.017768
            ],
            [
                -15.982611,
                23.723358
            ],
            [
                -15.426004,
                24.359134
            ],
            [
                -15.089332,
                24.520261
            ],
            [
                -14.824645,
                25.103533
            ],
            [
                -14.800926,
                25.636265
            ],
            [
                -14.43994,
                26.254418
            ],
            [
                -13.773805,
                26.618892
            ],
            [
                -13.139942,
                27.640148
            ],
            [
                -13.121613,
                27.654148
            ],
            [
                -12.618837,
                28.038186
            ],
            [
                -11.688919,
                28.148644
            ],
            [
                -10.900957,
                28.832142
            ],
            [
                -10.399592,
                29.098586
            ],
            [
                -9.564811,
                29.933574
            ],
            [
                -9.814718,
                31.177736
            ],
            [
                -9.434793,
                32.038096
            ],
            [
                -9.300693,
                32.564679
            ],
            [
                -8.657476,
                33.240245
            ],
            [
                -7.654178,
                33.697065
            ],
            [
                -6.912544,
                34.110476
            ],
            [
                -6.244342,
                35.145865
            ],
            [
                -5.929994,
                35.759988
            ],
            [
                -5.193863,
                35.755182
            ]
        ],
        "MCO": None,
        "MDA": [
            [
                26.619337,
                48.220726
            ],
            [
                26.857824,
                48.368211
            ],
            [
                27.522537,
                48.467119
            ],
            [
                28.259547,
                48.155562
            ],
            [
                28.670891,
                48.118149
            ],
            [
                29.122698,
                47.849095
            ],
            [
                29.050868,
                47.510227
            ],
            [
                29.415135,
                47.346645
            ],
            [
                29.559674,
                46.928583
            ],
            [
                29.908852,
                46.674361
            ],
            [
                29.83821,
                46.525326
            ],
            [
                30.024659,
                46.423937
            ],
            [
                29.759972,
                46.349988
            ],
            [
                29.170654,
                46.379262
            ],
            [
                29.072107,
                46.517678
            ],
            [
                28.862972,
                46.437889
            ],
            [
                28.933717,
                46.25883
            ],
            [
                28.659987,
                45.939987
            ],
            [
                28.485269,
                45.596907
            ],
            [
                28.233554,
                45.488283
            ],
            [
                28.054443,
                45.944586
            ],
            [
                28.160018,
                46.371563
            ],
            [
                28.12803,
                46.810476
            ],
            [
                27.551166,
                47.405117
            ],
            [
                27.233873,
                47.826771
            ],
            [
                26.924176,
                48.123264
            ],
            [
                26.619337,
                48.220726
            ]
        ],
        "MDG": [
            [
                49.543519,
                -12.469833
            ],
            [
                49.808981,
                -12.895285
            ],
            [
                50.056511,
                -13.555761
            ],
            [
                50.217431,
                -14.758789
            ],
            [
                50.476537,
                -15.226512
            ],
            [
                50.377111,
                -15.706069
            ],
            [
                50.200275,
                -16.000263
            ],
            [
                49.860606,
                -15.414253
            ],
            [
                49.672607,
                -15.710204
            ],
            [
                49.863344,
                -16.451037
            ],
            [
                49.774564,
                -16.875042
            ],
            [
                49.498612,
                -17.106036
            ],
            [
                49.435619,
                -17.953064
            ],
            [
                49.041792,
                -19.118781
            ],
            [
                48.548541,
                -20.496888
            ],
            [
                47.930749,
                -22.391501
            ],
            [
                47.547723,
                -23.781959
            ],
            [
                47.095761,
                -24.94163
            ],
            [
                46.282478,
                -25.178463
            ],
            [
                45.409508,
                -25.601434
            ],
            [
                44.833574,
                -25.346101
            ],
            [
                44.03972,
                -24.988345
            ],
            [
                43.763768,
                -24.460677
            ],
            [
                43.697778,
                -23.574116
            ],
            [
                43.345654,
                -22.776904
            ],
            [
                43.254187,
                -22.057413
            ],
            [
                43.433298,
                -21.336475
            ],
            [
                43.893683,
                -21.163307
            ],
            [
                43.89637,
                -20.830459
            ],
            [
                44.374325,
                -20.072366
            ],
            [
                44.464397,
                -19.435454
            ],
            [
                44.232422,
                -18.961995
            ],
            [
                44.042976,
                -18.331387
            ],
            [
                43.963084,
                -17.409945
            ],
            [
                44.312469,
                -16.850496
            ],
            [
                44.446517,
                -16.216219
            ],
            [
                44.944937,
                -16.179374
            ],
            [
                45.502732,
                -15.974373
            ],
            [
                45.872994,
                -15.793454
            ],
            [
                46.312243,
                -15.780018
            ],
            [
                46.882183,
                -15.210182
            ],
            [
                47.70513,
                -14.594303
            ],
            [
                48.005215,
                -14.091233
            ],
            [
                47.869047,
                -13.663869
            ],
            [
                48.293828,
                -13.784068
            ],
            [
                48.84506,
                -13.089175
            ],
            [
                48.863509,
                -12.487868
            ],
            [
                49.194651,
                -12.040557
            ],
            [
                49.543519,
                -12.469833
            ]
        ],
        "MDV": None,
        "MEX": [
            [
                -97.140008,
                25.869997
            ],
            [
                -97.528072,
                24.992144
            ],
            [
                -97.702946,
                24.272343
            ],
            [
                -97.776042,
                22.93258
            ],
            [
                -97.872367,
                22.444212
            ],
            [
                -97.699044,
                21.898689
            ],
            [
                -97.38896,
                21.411019
            ],
            [
                -97.189333,
                20.635433
            ],
            [
                -96.525576,
                19.890931
            ],
            [
                -96.292127,
                19.320371
            ],
            [
                -95.900885,
                18.828024
            ],
            [
                -94.839063,
                18.562717
            ],
            [
                -94.42573,
                18.144371
            ],
            [
                -93.548651,
                18.423837
            ],
            [
                -92.786114,
                18.524839
            ],
            [
                -92.037348,
                18.704569
            ],
            [
                -91.407903,
                18.876083
            ],
            [
                -90.77187,
                19.28412
            ],
            [
                -90.53359,
                19.867418
            ],
            [
                -90.451476,
                20.707522
            ],
            [
                -90.278618,
                20.999855
            ],
            [
                -89.601321,
                21.261726
            ],
            [
                -88.543866,
                21.493675
            ],
            [
                -87.658417,
                21.458846
            ],
            [
                -87.05189,
                21.543543
            ],
            [
                -86.811982,
                21.331515
            ],
            [
                -86.845908,
                20.849865
            ],
            [
                -87.383291,
                20.255405
            ],
            [
                -87.621054,
                19.646553
            ],
            [
                -87.43675,
                19.472403
            ],
            [
                -87.58656,
                19.04013
            ],
            [
                -87.837191,
                18.259816
            ],
            [
                -88.090664,
                18.516648
            ],
            [
                -88.300031,
                18.499982
            ],
            [
                -88.490123,
                18.486831
            ],
            [
                -88.848344,
                17.883198
            ],
            [
                -89.029857,
                18.001511
            ],
            [
                -89.150909,
                17.955468
            ],
            [
                -89.14308,
                17.808319
            ],
            [
                -90.067934,
                17.819326
            ],
            [
                -91.00152,
                17.817595
            ],
            [
                -91.002269,
                17.254658
            ],
            [
                -91.453921,
                17.252177
            ],
            [
                -91.08167,
                16.918477
            ],
            [
                -90.711822,
                16.687483
            ],
            [
                -90.600847,
                16.470778
            ],
            [
                -90.438867,
                16.41011
            ],
            [
                -90.464473,
                16.069562
            ],
            [
                -91.74796,
                16.066565
            ],
            [
                -92.229249,
                15.251447
            ],
            [
                -92.087216,
                15.064585
            ],
            [
                -92.20323,
                14.830103
            ],
            [
                -92.22775,
                14.538829
            ],
            [
                -93.359464,
                15.61543
            ],
            [
                -93.875169,
                15.940164
            ],
            [
                -94.691656,
                16.200975
            ],
            [
                -95.250227,
                16.128318
            ],
            [
                -96.053382,
                15.752088
            ],
            [
                -96.557434,
                15.653515
            ],
            [
                -97.263592,
                15.917065
            ],
            [
                -98.01303,
                16.107312
            ],
            [
                -98.947676,
                16.566043
            ],
            [
                -99.697397,
                16.706164
            ],
            [
                -100.829499,
                17.171071
            ],
            [
                -101.666089,
                17.649026
            ],
            [
                -101.918528,
                17.91609
            ],
            [
                -102.478132,
                17.975751
            ],
            [
                -103.50099,
                18.292295
            ],
            [
                -103.917527,
                18.748572
            ],
            [
                -104.99201,
                19.316134
            ],
            [
                -105.493038,
                19.946767
            ],
            [
                -105.731396,
                20.434102
            ],
            [
                -105.397773,
                20.531719
            ],
            [
                -105.500661,
                20.816895
            ],
            [
                -105.270752,
                21.076285
            ],
            [
                -105.265817,
                21.422104
            ],
            [
                -105.603161,
                21.871146
            ],
            [
                -105.693414,
                22.26908
            ],
            [
                -106.028716,
                22.773752
            ],
            [
                -106.90998,
                23.767774
            ],
            [
                -107.915449,
                24.548915
            ],
            [
                -108.401905,
                25.172314
            ],
            [
                -109.260199,
                25.580609
            ],
            [
                -109.444089,
                25.824884
            ],
            [
                -109.291644,
                26.442934
            ],
            [
                -109.801458,
                26.676176
            ],
            [
                -110.391732,
                27.162115
            ],
            [
                -110.641019,
                27.859876
            ],
            [
                -111.178919,
                27.941241
            ],
            [
                -111.759607,
                28.467953
            ],
            [
                -112.228235,
                28.954409
            ],
            [
                -112.271824,
                29.266844
            ],
            [
                -112.809594,
                30.021114
            ],
            [
                -113.163811,
                30.786881
            ],
            [
                -113.148669,
                31.170966
            ],
            [
                -113.871881,
                31.567608
            ],
            [
                -114.205737,
                31.524045
            ],
            [
                -114.776451,
                31.799532
            ],
            [
                -114.9367,
                31.393485
            ],
            [
                -114.771232,
                30.913617
            ],
            [
                -114.673899,
                30.162681
            ],
            [
                -114.330974,
                29.750432
            ],
            [
                -113.588875,
                29.061611
            ],
            [
                -113.424053,
                28.826174
            ],
            [
                -113.271969,
                28.754783
            ],
            [
                -113.140039,
                28.411289
            ],
            [
                -112.962298,
                28.42519
            ],
            [
                -112.761587,
                27.780217
            ],
            [
                -112.457911,
                27.525814
            ],
            [
                -112.244952,
                27.171727
            ],
            [
                -111.616489,
                26.662817
            ],
            [
                -111.284675,
                25.73259
            ],
            [
                -110.987819,
                25.294606
            ],
            [
                -110.710007,
                24.826004
            ],
            [
                -110.655049,
                24.298595
            ],
            [
                -110.172856,
                24.265548
            ],
            [
                -109.771847,
                23.811183
            ],
            [
                -109.409104,
                23.364672
            ],
            [
                -109.433392,
                23.185588
            ],
            [
                -109.854219,
                22.818272
            ],
            [
                -110.031392,
                22.823078
            ],
            [
                -110.295071,
                23.430973
            ],
            [
                -110.949501,
                24.000964
            ],
            [
                -111.670568,
                24.484423
            ],
            [
                -112.182036,
                24.738413
            ],
            [
                -112.148989,
                25.470125
            ],
            [
                -112.300711,
                26.012004
            ],
            [
                -112.777297,
                26.32196
            ],
            [
                -113.464671,
                26.768186
            ],
            [
                -113.59673,
                26.63946
            ],
            [
                -113.848937,
                26.900064
            ],
            [
                -114.465747,
                27.14209
            ],
            [
                -115.055142,
                27.722727
            ],
            [
                -114.982253,
                27.7982
            ],
            [
                -114.570366,
                27.741485
            ],
            [
                -114.199329,
                28.115003
            ],
            [
                -114.162018,
                28.566112
            ],
            [
                -114.931842,
                29.279479
            ],
            [
                -115.518654,
                29.556362
            ],
            [
                -115.887365,
                30.180794
            ],
            [
                -116.25835,
                30.836464
            ],
            [
                -116.721526,
                31.635744
            ],
            [
                -117.12776,
                32.53534
            ],
            [
                -115.99135,
                32.61239
            ],
            [
                -114.72139,
                32.72083
            ],
            [
                -114.815,
                32.52528
            ],
            [
                -113.30498,
                32.03914
            ],
            [
                -111.02361,
                31.33472
            ],
            [
                -109.035,
                31.34194
            ],
            [
                -108.24194,
                31.34222
            ],
            [
                -108.24,
                31.754854
            ],
            [
                -106.50759,
                31.75452
            ],
            [
                -106.1429,
                31.39995
            ],
            [
                -105.63159,
                31.08383
            ],
            [
                -105.03737,
                30.64402
            ],
            [
                -104.70575,
                30.12173
            ],
            [
                -104.45697,
                29.57196
            ],
            [
                -103.94,
                29.27
            ],
            [
                -103.11,
                28.97
            ],
            [
                -102.48,
                29.76
            ],
            [
                -101.6624,
                29.7793
            ],
            [
                -100.9576,
                29.38071
            ],
            [
                -100.45584,
                28.69612
            ],
            [
                -100.11,
                28.11
            ],
            [
                -99.52,
                27.54
            ],
            [
                -99.3,
                26.84
            ],
            [
                -99.02,
                26.37
            ],
            [
                -98.24,
                26.06
            ],
            [
                -97.53,
                25.84
            ],
            [
                -97.140008,
                25.869997
            ]
        ],
        "MHL": None,
        "MKD": None,
        "MLI": [
            [
                -12.17075,
                14.616834
            ],
            [
                -11.834208,
                14.799097
            ],
            [
                -11.666078,
                15.388208
            ],
            [
                -11.349095,
                15.411256
            ],
            [
                -10.650791,
                15.132746
            ],
            [
                -10.086846,
                15.330486
            ],
            [
                -9.700255,
                15.264107
            ],
            [
                -9.550238,
                15.486497
            ],
            [
                -5.537744,
                15.50169
            ],
            [
                -5.315277,
                16.201854
            ],
            [
                -5.488523,
                16.325102
            ],
            [
                -5.971129,
                20.640833
            ],
            [
                -6.453787,
                24.956591
            ],
            [
                -4.923337,
                24.974574
            ],
            [
                -1.550055,
                22.792666
            ],
            [
                1.823228,
                20.610809
            ],
            [
                2.060991,
                20.142233
            ],
            [
                2.683588,
                19.85623
            ],
            [
                3.146661,
                19.693579
            ],
            [
                3.158133,
                19.057364
            ],
            [
                4.267419,
                19.155265
            ],
            [
                4.27021,
                16.852227
            ],
            [
                3.723422,
                16.184284
            ],
            [
                3.638259,
                15.56812
            ],
            [
                2.749993,
                15.409525
            ],
            [
                1.385528,
                15.323561
            ],
            [
                1.015783,
                14.968182
            ],
            [
                0.374892,
                14.928908
            ],
            [
                -0.266257,
                14.924309
            ],
            [
                -0.515854,
                15.116158
            ],
            [
                -1.066363,
                14.973815
            ],
            [
                -2.001035,
                14.559008
            ],
            [
                -2.191825,
                14.246418
            ],
            [
                -2.967694,
                13.79815
            ],
            [
                -3.103707,
                13.541267
            ],
            [
                -3.522803,
                13.337662
            ],
            [
                -4.006391,
                13.472485
            ],
            [
                -4.280405,
                13.228444
            ],
            [
                -4.427166,
                12.542646
            ],
            [
                -5.220942,
                11.713859
            ],
            [
                -5.197843,
                11.375146
            ],
            [
                -5.470565,
                10.95127
            ],
            [
                -5.404342,
                10.370737
            ],
            [
                -5.816926,
                10.222555
            ],
            [
                -6.050452,
                10.096361
            ],
            [
                -6.205223,
                10.524061
            ],
            [
                -6.493965,
                10.411303
            ],
            [
                -6.666461,
                10.430811
            ],
            [
                -6.850507,
                10.138994
            ],
            [
                -7.622759,
                10.147236
            ],
            [
                -7.89959,
                10.297382
            ],
            [
                -8.029944,
                10.206535
            ],
            [
                -8.335377,
                10.494812
            ],
            [
                -8.282357,
                10.792597
            ],
            [
                -8.407311,
                10.909257
            ],
            [
                -8.620321,
                10.810891
            ],
            [
                -8.581305,
                11.136246
            ],
            [
                -8.376305,
                11.393646
            ],
            [
                -8.786099,
                11.812561
            ],
            [
                -8.905265,
                12.088358
            ],
            [
                -9.127474,
                12.30806
            ],
            [
                -9.327616,
                12.334286
            ],
            [
                -9.567912,
                12.194243
            ],
            [
                -9.890993,
                12.060479
            ],
            [
                -10.165214,
                11.844084
            ],
            [
                -10.593224,
                11.923975
            ],
            [
                -10.87083,
                12.177887
            ],
            [
                -11.036556,
                12.211245
            ],
            [
                -11.297574,
                12.077971
            ],
            [
                -11.456169,
                12.076834
            ],
            [
                -11.513943,
                12.442988
            ],
            [
                -11.467899,
                12.754519
            ],
            [
                -11.553398,
                13.141214
            ],
            [
                -11.927716,
                13.422075
            ],
            [
                -12.124887,
                13.994727
            ],
            [
                -12.17075,
                14.616834
            ]
        ],
        "MLT": [
            [
                [
                    14.566171,
                    35.852721
                ],
                [
                    14.532684,
                    35.820191
                ],
                [
                    14.436463,
                    35.821664
                ],
                [
                    14.352334,
                    35.872281
                ],
                [
                    14.3513,
                    35.978399
                ],
                [
                    14.448348,
                    35.957444
                ],
                [
                    14.537025,
                    35.886285
                ],
                [
                    14.566171,
                    35.852721
                ]
            ]
        ],
        "MMR": None,
        "MNE": None,
        "MNG": [
            [
                87.751264,
                49.297198
            ],
            [
                88.805567,
                49.470521
            ],
            [
                90.713667,
                50.331812
            ],
            [
                92.234712,
                50.802171
            ],
            [
                93.104219,
                50.49529
            ],
            [
                94.147566,
                50.480537
            ],
            [
                94.815949,
                50.013433
            ],
            [
                95.814028,
                49.977467
            ],
            [
                97.259728,
                49.726061
            ],
            [
                98.231762,
                50.422401
            ],
            [
                97.82574,
                51.010995
            ],
            [
                98.861491,
                52.047366
            ],
            [
                99.981732,
                51.634006
            ],
            [
                100.88948,
                51.516856
            ],
            [
                102.065223,
                51.259921
            ],
            [
                102.255909,
                50.510561
            ],
            [
                103.676545,
                50.089966
            ],
            [
                104.621552,
                50.275329
            ],
            [
                105.886591,
                50.406019
            ],
            [
                106.888804,
                50.274296
            ],
            [
                107.868176,
                49.793705
            ],
            [
                108.475167,
                49.282548
            ],
            [
                109.402449,
                49.292961
            ],
            [
                110.662011,
                49.130128
            ],
            [
                111.581231,
                49.377968
            ],
            [
                112.89774,
                49.543565
            ],
            [
                114.362456,
                50.248303
            ],
            [
                114.96211,
                50.140247
            ],
            [
                115.485695,
                49.805177
            ],
            [
                116.678801,
                49.888531
            ],
            [
                116.191802,
                49.134598
            ],
            [
                115.485282,
                48.135383
            ],
            [
                115.742837,
                47.726545
            ],
            [
                116.308953,
                47.85341
            ],
            [
                117.295507,
                47.697709
            ],
            [
                118.064143,
                48.06673
            ],
            [
                118.866574,
                47.74706
            ],
            [
                119.772824,
                47.048059
            ],
            [
                119.66327,
                46.69268
            ],
            [
                118.874326,
                46.805412
            ],
            [
                117.421701,
                46.672733
            ],
            [
                116.717868,
                46.388202
            ],
            [
                115.985096,
                45.727235
            ],
            [
                114.460332,
                45.339817
            ],
            [
                113.463907,
                44.808893
            ],
            [
                112.436062,
                45.011646
            ],
            [
                111.873306,
                45.102079
            ],
            [
                111.348377,
                44.457442
            ],
            [
                111.667737,
                44.073176
            ],
            [
                111.829588,
                43.743118
            ],
            [
                111.129682,
                43.406834
            ],
            [
                110.412103,
                42.871234
            ],
            [
                109.243596,
                42.519446
            ],
            [
                107.744773,
                42.481516
            ],
            [
                106.129316,
                42.134328
            ],
            [
                104.964994,
                41.59741
            ],
            [
                104.522282,
                41.908347
            ],
            [
                103.312278,
                41.907468
            ],
            [
                101.83304,
                42.514873
            ],
            [
                100.845866,
                42.663804
            ],
            [
                99.515817,
                42.524691
            ],
            [
                97.451757,
                42.74889
            ],
            [
                96.349396,
                42.725635
            ],
            [
                95.762455,
                43.319449
            ],
            [
                95.306875,
                44.241331
            ],
            [
                94.688929,
                44.352332
            ],
            [
                93.480734,
                44.975472
            ],
            [
                92.133891,
                45.115076
            ],
            [
                90.94554,
                45.286073
            ],
            [
                90.585768,
                45.719716
            ],
            [
                90.970809,
                46.888146
            ],
            [
                90.280826,
                47.693549
            ],
            [
                88.854298,
                48.069082
            ],
            [
                88.013832,
                48.599463
            ],
            [
                87.751264,
                49.297198
            ]
        ],
        "MNP": None,
        "MOZ": [
            [
                34.559989,
                -11.52002
            ],
            [
                35.312398,
                -11.439146
            ],
            [
                36.514082,
                -11.720938
            ],
            [
                36.775151,
                -11.594537
            ],
            [
                37.471284,
                -11.568751
            ],
            [
                37.827645,
                -11.268769
            ],
            [
                38.427557,
                -11.285202
            ],
            [
                39.52103,
                -10.896854
            ],
            [
                40.316589,
                -10.317096
            ],
            [
                40.478387,
                -10.765441
            ],
            [
                40.437253,
                -11.761711
            ],
            [
                40.560811,
                -12.639177
            ],
            [
                40.59962,
                -14.201975
            ],
            [
                40.775475,
                -14.691764
            ],
            [
                40.477251,
                -15.406294
            ],
            [
                40.089264,
                -16.100774
            ],
            [
                39.452559,
                -16.720891
            ],
            [
                38.538351,
                -17.101023
            ],
            [
                37.411133,
                -17.586368
            ],
            [
                36.281279,
                -18.659688
            ],
            [
                35.896497,
                -18.84226
            ],
            [
                35.1984,
                -19.552811
            ],
            [
                34.786383,
                -19.784012
            ],
            [
                34.701893,
                -20.497043
            ],
            [
                35.176127,
                -21.254361
            ],
            [
                35.373428,
                -21.840837
            ],
            [
                35.385848,
                -22.14
            ],
            [
                35.562546,
                -22.09
            ],
            [
                35.533935,
                -23.070788
            ],
            [
                35.371774,
                -23.535359
            ],
            [
                35.60747,
                -23.706563
            ],
            [
                35.458746,
                -24.12261
            ],
            [
                35.040735,
                -24.478351
            ],
            [
                34.215824,
                -24.816314
            ],
            [
                33.01321,
                -25.357573
            ],
            [
                32.574632,
                -25.727318
            ],
            [
                32.660363,
                -26.148584
            ],
            [
                32.915955,
                -26.215867
            ],
            [
                32.83012,
                -26.742192
            ],
            [
                32.071665,
                -26.73382
            ],
            [
                31.985779,
                -26.29178
            ],
            [
                31.837778,
                -25.843332
            ],
            [
                31.752408,
                -25.484284
            ],
            [
                31.930589,
                -24.369417
            ],
            [
                31.670398,
                -23.658969
            ],
            [
                31.191409,
                -22.25151
            ],
            [
                32.244988,
                -21.116489
            ],
            [
                32.508693,
                -20.395292
            ],
            [
                32.659743,
                -20.30429
            ],
            [
                32.772708,
                -19.715592
            ],
            [
                32.611994,
                -19.419383
            ],
            [
                32.654886,
                -18.67209
            ],
            [
                32.849861,
                -17.979057
            ],
            [
                32.847639,
                -16.713398
            ],
            [
                32.328239,
                -16.392074
            ],
            [
                31.852041,
                -16.319417
            ],
            [
                31.636498,
                -16.07199
            ],
            [
                31.173064,
                -15.860944
            ],
            [
                30.338955,
                -15.880839
            ],
            [
                30.274256,
                -15.507787
            ],
            [
                30.179481,
                -14.796099
            ],
            [
                33.214025,
                -13.97186
            ],
            [
                33.7897,
                -14.451831
            ],
            [
                34.064825,
                -14.35995
            ],
            [
                34.459633,
                -14.61301
            ],
            [
                34.517666,
                -15.013709
            ],
            [
                34.307291,
                -15.478641
            ],
            [
                34.381292,
                -16.18356
            ],
            [
                35.03381,
                -16.8013
            ],
            [
                35.339063,
                -16.10744
            ],
            [
                35.771905,
                -15.896859
            ],
            [
                35.686845,
                -14.611046
            ],
            [
                35.267956,
                -13.887834
            ],
            [
                34.907151,
                -13.565425
            ],
            [
                34.559989,
                -13.579998
            ],
            [
                34.280006,
                -12.280025
            ],
            [
                34.559989,
                -11.52002
            ]
        ],
        "MRT": [
            [
                -12.17075,
                14.616834
            ],
            [
                -12.830658,
                15.303692
            ],
            [
                -13.435738,
                16.039383
            ],
            [
                -14.099521,
                16.304302
            ],
            [
                -14.577348,
                16.598264
            ],
            [
                -15.135737,
                16.587282
            ],
            [
                -15.623666,
                16.369337
            ],
            [
                -16.12069,
                16.455663
            ],
            [
                -16.463098,
                16.135036
            ],
            [
                -16.549708,
                16.673892
            ],
            [
                -16.270552,
                17.166963
            ],
            [
                -16.146347,
                18.108482
            ],
            [
                -16.256883,
                19.096716
            ],
            [
                -16.377651,
                19.593817
            ],
            [
                -16.277838,
                20.092521
            ],
            [
                -16.536324,
                20.567866
            ],
            [
                -17.063423,
                20.999752
            ],
            [
                -16.845194,
                21.333323
            ],
            [
                -12.929102,
                21.327071
            ],
            [
                -13.118754,
                22.77122
            ],
            [
                -12.874222,
                23.284832
            ],
            [
                -11.937224,
                23.374594
            ],
            [
                -11.969419,
                25.933353
            ],
            [
                -8.687294,
                25.881056
            ],
            [
                -8.6844,
                27.395744
            ],
            [
                -4.923337,
                24.974574
            ],
            [
                -6.453787,
                24.956591
            ],
            [
                -5.971129,
                20.640833
            ],
            [
                -5.488523,
                16.325102
            ],
            [
                -5.315277,
                16.201854
            ],
            [
                -5.537744,
                15.50169
            ],
            [
                -9.550238,
                15.486497
            ],
            [
                -9.700255,
                15.264107
            ],
            [
                -10.086846,
                15.330486
            ],
            [
                -10.650791,
                15.132746
            ],
            [
                -11.349095,
                15.411256
            ],
            [
                -11.666078,
                15.388208
            ],
            [
                -11.834208,
                14.799097
            ],
            [
                -12.17075,
                14.616834
            ]
        ],
        "MSR": None,
        "MTQ": None,
        "MUS": None,
        "MWI": [
            [
                34.559989,
                -11.52002
            ],
            [
                34.280006,
                -12.280025
            ],
            [
                34.559989,
                -13.579998
            ],
            [
                34.907151,
                -13.565425
            ],
            [
                35.267956,
                -13.887834
            ],
            [
                35.686845,
                -14.611046
            ],
            [
                35.771905,
                -15.896859
            ],
            [
                35.339063,
                -16.10744
            ],
            [
                35.03381,
                -16.8013
            ],
            [
                34.381292,
                -16.18356
            ],
            [
                34.307291,
                -15.478641
            ],
            [
                34.517666,
                -15.013709
            ],
            [
                34.459633,
                -14.61301
            ],
            [
                34.064825,
                -14.35995
            ],
            [
                33.7897,
                -14.451831
            ],
            [
                33.214025,
                -13.97186
            ],
            [
                32.688165,
                -13.712858
            ],
            [
                32.991764,
                -12.783871
            ],
            [
                33.306422,
                -12.435778
            ],
            [
                33.114289,
                -11.607198
            ],
            [
                33.31531,
                -10.79655
            ],
            [
                33.485688,
                -10.525559
            ],
            [
                33.231388,
                -9.676722
            ],
            [
                32.759375,
                -9.230599
            ],
            [
                33.739729,
                -9.417151
            ],
            [
                33.940838,
                -9.693674
            ],
            [
                34.280006,
                -10.16
            ],
            [
                34.559989,
                -11.52002
            ]
        ],
        "MYS": [
            [
                [
                    101.075516,
                    6.204867
                ],
                [
                    101.154219,
                    5.691384
                ],
                [
                    101.814282,
                    5.810808
                ],
                [
                    102.141187,
                    6.221636
                ],
                [
                    102.371147,
                    6.128205
                ],
                [
                    102.961705,
                    5.524495
                ],
                [
                    103.381215,
                    4.855001
                ],
                [
                    103.438575,
                    4.181606
                ],
                [
                    103.332122,
                    3.726698
                ],
                [
                    103.429429,
                    3.382869
                ],
                [
                    103.502448,
                    2.791019
                ],
                [
                    103.854674,
                    2.515454
                ],
                [
                    104.247932,
                    1.631141
                ],
                [
                    104.228811,
                    1.293048
                ],
                [
                    103.519707,
                    1.226334
                ],
                [
                    102.573615,
                    1.967115
                ],
                [
                    101.390638,
                    2.760814
                ],
                [
                    101.27354,
                    3.270292
                ],
                [
                    100.695435,
                    3.93914
                ],
                [
                    100.557408,
                    4.76728
                ],
                [
                    100.196706,
                    5.312493
                ],
                [
                    100.30626,
                    6.040562
                ],
                [
                    100.085757,
                    6.464489
                ],
                [
                    100.259596,
                    6.642825
                ],
                [
                    101.075516,
                    6.204867
                ]
            ]
        ],
        "MYT": None,
        "NAM": [
            [
                16.344977,
                -28.576705
            ],
            [
                15.601818,
                -27.821247
            ],
            [
                15.210472,
                -27.090956
            ],
            [
                14.989711,
                -26.117372
            ],
            [
                14.743214,
                -25.39292
            ],
            [
                14.408144,
                -23.853014
            ],
            [
                14.385717,
                -22.656653
            ],
            [
                14.257714,
                -22.111208
            ],
            [
                13.868642,
                -21.699037
            ],
            [
                13.352498,
                -20.872834
            ],
            [
                12.826845,
                -19.673166
            ],
            [
                12.608564,
                -19.045349
            ],
            [
                11.794919,
                -18.069129
            ],
            [
                11.734199,
                -17.301889
            ],
            [
                12.215461,
                -17.111668
            ],
            [
                12.814081,
                -16.941343
            ],
            [
                13.462362,
                -16.971212
            ],
            [
                14.058501,
                -17.423381
            ],
            [
                14.209707,
                -17.353101
            ],
            [
                18.263309,
                -17.309951
            ],
            [
                18.956187,
                -17.789095
            ],
            [
                21.377176,
                -17.930636
            ],
            [
                23.215048,
                -17.523116
            ],
            [
                24.033862,
                -17.295843
            ],
            [
                24.682349,
                -17.353411
            ],
            [
                25.07695,
                -17.578823
            ],
            [
                25.084443,
                -17.661816
            ],
            [
                24.520705,
                -17.887125
            ],
            [
                24.217365,
                -17.889347
            ],
            [
                23.579006,
                -18.281261
            ],
            [
                23.196858,
                -17.869038
            ],
            [
                21.65504,
                -18.219146
            ],
            [
                20.910641,
                -18.252219
            ],
            [
                20.881134,
                -21.814327
            ],
            [
                19.895458,
                -21.849157
            ],
            [
                19.895768,
                -24.76779
            ],
            [
                19.894734,
                -28.461105
            ],
            [
                19.002127,
                -28.972443
            ],
            [
                18.464899,
                -29.045462
            ],
            [
                17.836152,
                -28.856378
            ],
            [
                17.387497,
                -28.783514
            ],
            [
                17.218929,
                -28.355943
            ],
            [
                16.824017,
                -28.082162
            ],
            [
                16.344977,
                -28.576705
            ]
        ],
        "NCL": [
            [
                165.77999,
                -21.080005
            ],
            [
                166.599991,
                -21.700019
            ],
            [
                167.120011,
                -22.159991
            ],
            [
                166.740035,
                -22.399976
            ],
            [
                166.189732,
                -22.129708
            ],
            [
                165.474375,
                -21.679607
            ],
            [
                164.829815,
                -21.14982
            ],
            [
                164.167995,
                -20.444747
            ],
            [
                164.029606,
                -20.105646
            ],
            [
                164.459967,
                -20.120012
            ],
            [
                165.020036,
                -20.459991
            ],
            [
                165.460009,
                -20.800022
            ],
            [
                165.77999,
                -21.080005
            ]
        ],
        "NER": [
            [
                2.154474,
                11.94015
            ],
            [
                2.177108,
                12.625018
            ],
            [
                1.024103,
                12.851826
            ],
            [
                0.993046,
                13.33575
            ],
            [
                0.429928,
                13.988733
            ],
            [
                0.295646,
                14.444235
            ],
            [
                0.374892,
                14.928908
            ],
            [
                1.015783,
                14.968182
            ],
            [
                1.385528,
                15.323561
            ],
            [
                2.749993,
                15.409525
            ],
            [
                3.638259,
                15.56812
            ],
            [
                3.723422,
                16.184284
            ],
            [
                4.27021,
                16.852227
            ],
            [
                4.267419,
                19.155265
            ],
            [
                5.677566,
                19.601207
            ],
            [
                8.572893,
                21.565661
            ],
            [
                11.999506,
                23.471668
            ],
            [
                13.581425,
                23.040506
            ],
            [
                14.143871,
                22.491289
            ],
            [
                14.8513,
                22.86295
            ],
            [
                15.096888,
                21.308519
            ],
            [
                15.471077,
                21.048457
            ],
            [
                15.487148,
                20.730415
            ],
            [
                15.903247,
                20.387619
            ],
            [
                15.685741,
                19.95718
            ],
            [
                15.300441,
                17.92795
            ],
            [
                15.247731,
                16.627306
            ],
            [
                13.972202,
                15.684366
            ],
            [
                13.540394,
                14.367134
            ],
            [
                13.956699,
                13.996691
            ],
            [
                13.954477,
                13.353449
            ],
            [
                14.595781,
                13.330427
            ],
            [
                14.495787,
                12.859396
            ],
            [
                14.213531,
                12.802035
            ],
            [
                14.181336,
                12.483657
            ],
            [
                13.995353,
                12.461565
            ],
            [
                13.318702,
                13.556356
            ],
            [
                13.083987,
                13.596147
            ],
            [
                12.302071,
                13.037189
            ],
            [
                11.527803,
                13.32898
            ],
            [
                10.989593,
                13.387323
            ],
            [
                10.701032,
                13.246918
            ],
            [
                10.114814,
                13.277252
            ],
            [
                9.524928,
                12.851102
            ],
            [
                9.014933,
                12.826659
            ],
            [
                7.804671,
                13.343527
            ],
            [
                7.330747,
                13.098038
            ],
            [
                6.820442,
                13.115091
            ],
            [
                6.445426,
                13.492768
            ],
            [
                5.443058,
                13.865924
            ],
            [
                4.368344,
                13.747482
            ],
            [
                4.107946,
                13.531216
            ],
            [
                3.967283,
                12.956109
            ],
            [
                3.680634,
                12.552903
            ],
            [
                3.61118,
                11.660167
            ],
            [
                2.848643,
                12.235636
            ],
            [
                2.490164,
                12.233052
            ],
            [
                2.154474,
                11.94015
            ]
        ],
        "NFK": None,
        "NGA": [
            [
                8.500288,
                4.771983
            ],
            [
                7.462108,
                4.412108
            ],
            [
                7.082596,
                4.464689
            ],
            [
                6.698072,
                4.240594
            ],
            [
                5.898173,
                4.262453
            ],
            [
                5.362805,
                4.887971
            ],
            [
                5.033574,
                5.611802
            ],
            [
                4.325607,
                6.270651
            ],
            [
                3.57418,
                6.2583
            ],
            [
                2.691702,
                6.258817
            ],
            [
                2.749063,
                7.870734
            ],
            [
                2.723793,
                8.506845
            ],
            [
                2.912308,
                9.137608
            ],
            [
                3.220352,
                9.444153
            ],
            [
                3.705438,
                10.06321
            ],
            [
                3.60007,
                10.332186
            ],
            [
                3.797112,
                10.734746
            ],
            [
                3.572216,
                11.327939
            ],
            [
                3.61118,
                11.660167
            ],
            [
                3.680634,
                12.552903
            ],
            [
                3.967283,
                12.956109
            ],
            [
                4.107946,
                13.531216
            ],
            [
                4.368344,
                13.747482
            ],
            [
                5.443058,
                13.865924
            ],
            [
                6.445426,
                13.492768
            ],
            [
                6.820442,
                13.115091
            ],
            [
                7.330747,
                13.098038
            ],
            [
                7.804671,
                13.343527
            ],
            [
                9.014933,
                12.826659
            ],
            [
                9.524928,
                12.851102
            ],
            [
                10.114814,
                13.277252
            ],
            [
                10.701032,
                13.246918
            ],
            [
                10.989593,
                13.387323
            ],
            [
                11.527803,
                13.32898
            ],
            [
                12.302071,
                13.037189
            ],
            [
                13.083987,
                13.596147
            ],
            [
                13.318702,
                13.556356
            ],
            [
                13.995353,
                12.461565
            ],
            [
                14.181336,
                12.483657
            ],
            [
                14.577178,
                12.085361
            ],
            [
                14.468192,
                11.904752
            ],
            [
                14.415379,
                11.572369
            ],
            [
                13.57295,
                10.798566
            ],
            [
                13.308676,
                10.160362
            ],
            [
                13.1676,
                9.640626
            ],
            [
                12.955468,
                9.417772
            ],
            [
                12.753672,
                8.717763
            ],
            [
                12.218872,
                8.305824
            ],
            [
                12.063946,
                7.799808
            ],
            [
                11.839309,
                7.397042
            ],
            [
                11.745774,
                6.981383
            ],
            [
                11.058788,
                6.644427
            ],
            [
                10.497375,
                7.055358
            ],
            [
                10.118277,
                7.03877
            ],
            [
                9.522706,
                6.453482
            ],
            [
                9.233163,
                6.444491
            ],
            [
                8.757533,
                5.479666
            ],
            [
                8.500288,
                4.771983
            ]
        ],
        "NIC": [
            [
                -85.71254,
                11.088445
            ],
            [
                -86.058488,
                11.403439
            ],
            [
                -86.52585,
                11.806877
            ],
            [
                -86.745992,
                12.143962
            ],
            [
                -87.167516,
                12.458258
            ],
            [
                -87.668493,
                12.90991
            ],
            [
                -87.557467,
                13.064552
            ],
            [
                -87.392386,
                12.914018
            ],
            [
                -87.316654,
                12.984686
            ],
            [
                -87.005769,
                13.025794
            ],
            [
                -86.880557,
                13.254204
            ],
            [
                -86.733822,
                13.263093
            ],
            [
                -86.755087,
                13.754845
            ],
            [
                -86.520708,
                13.778487
            ],
            [
                -86.312142,
                13.771356
            ],
            [
                -86.096264,
                14.038187
            ],
            [
                -85.801295,
                13.836055
            ],
            [
                -85.698665,
                13.960078
            ],
            [
                -85.514413,
                14.079012
            ],
            [
                -85.165365,
                14.35437
            ],
            [
                -85.148751,
                14.560197
            ],
            [
                -85.052787,
                14.551541
            ],
            [
                -84.924501,
                14.790493
            ],
            [
                -84.820037,
                14.819587
            ],
            [
                -84.649582,
                14.666805
            ],
            [
                -84.449336,
                14.621614
            ],
            [
                -84.228342,
                14.748764
            ],
            [
                -83.975721,
                14.749436
            ],
            [
                -83.628585,
                14.880074
            ],
            [
                -83.489989,
                15.016267
            ],
            [
                -83.147219,
                14.995829
            ],
            [
                -83.233234,
                14.899866
            ],
            [
                -83.284162,
                14.676624
            ],
            [
                -83.182126,
                14.310703
            ],
            [
                -83.4125,
                13.970078
            ],
            [
                -83.519832,
                13.567699
            ],
            [
                -83.552207,
                13.127054
            ],
            [
                -83.498515,
                12.869292
            ],
            [
                -83.473323,
                12.419087
            ],
            [
                -83.626104,
                12.32085
            ],
            [
                -83.719613,
                11.893124
            ],
            [
                -83.650858,
                11.629032
            ],
            [
                -83.85547,
                11.373311
            ],
            [
                -83.808936,
                11.103044
            ],
            [
                -83.655612,
                10.938764
            ],
            [
                -83.895054,
                10.726839
            ],
            [
                -84.190179,
                10.79345
            ],
            [
                -84.355931,
                10.999226
            ],
            [
                -84.673069,
                11.082657
            ],
            [
                -84.903003,
                10.952303
            ],
            [
                -85.561852,
                11.217119
            ],
            [
                -85.71254,
                11.088445
            ]
        ],
        "NIU": None,
        "NLD": [
            [
                6.074183,
                53.510403
            ],
            [
                6.90514,
                53.482162
            ],
            [
                7.092053,
                53.144043
            ],
            [
                6.84287,
                52.22844
            ],
            [
                6.589397,
                51.852029
            ],
            [
                5.988658,
                51.851616
            ],
            [
                6.156658,
                50.803721
            ],
            [
                5.606976,
                51.037298
            ],
            [
                4.973991,
                51.475024
            ],
            [
                4.047071,
                51.267259
            ],
            [
                3.314971,
                51.345755
            ],
            [
                3.830289,
                51.620545
            ],
            [
                4.705997,
                53.091798
            ],
            [
                6.074183,
                53.510403
            ]
        ],
        "NOR": [
            [
                [
                    28.165547,
                    71.185474
                ],
                [
                    31.293418,
                    70.453788
                ],
                [
                    30.005435,
                    70.186259
                ],
                [
                    31.101079,
                    69.55808
                ],
                [
                    29.399581,
                    69.156916
                ],
                [
                    28.59193,
                    69.064777
                ],
                [
                    29.015573,
                    69.766491
                ],
                [
                    27.732292,
                    70.164193
                ],
                [
                    26.179622,
                    69.825299
                ],
                [
                    25.689213,
                    69.092114
                ],
                [
                    24.735679,
                    68.649557
                ],
                [
                    23.66205,
                    68.891247
                ],
                [
                    22.356238,
                    68.841741
                ],
                [
                    21.244936,
                    69.370443
                ],
                [
                    20.645593,
                    69.106247
                ],
                [
                    20.025269,
                    69.065139
                ],
                [
                    19.87856,
                    68.407194
                ],
                [
                    17.993868,
                    68.567391
                ],
                [
                    17.729182,
                    68.010552
                ],
                [
                    16.768879,
                    68.013937
                ],
                [
                    16.108712,
                    67.302456
                ],
                [
                    15.108411,
                    66.193867
                ],
                [
                    13.55569,
                    64.787028
                ],
                [
                    13.919905,
                    64.445421
                ],
                [
                    13.571916,
                    64.049114
                ],
                [
                    12.579935,
                    64.066219
                ],
                [
                    11.930569,
                    63.128318
                ],
                [
                    11.992064,
                    61.800362
                ],
                [
                    12.631147,
                    61.293572
                ],
                [
                    12.300366,
                    60.117933
                ],
                [
                    11.468272,
                    59.432393
                ],
                [
                    11.027369,
                    58.856149
                ],
                [
                    10.356557,
                    59.469807
                ],
                [
                    8.382,
                    58.313288
                ],
                [
                    7.048748,
                    58.078884
                ],
                [
                    5.665835,
                    58.588155
                ],
                [
                    5.308234,
                    59.663232
                ],
                [
                    4.992078,
                    61.970998
                ],
                [
                    5.9129,
                    62.614473
                ],
                [
                    8.553411,
                    63.454008
                ],
                [
                    10.527709,
                    64.486038
                ],
                [
                    12.358347,
                    65.879726
                ],
                [
                    14.761146,
                    67.810642
                ],
                [
                    16.435927,
                    68.563205
                ],
                [
                    19.184028,
                    69.817444
                ],
                [
                    21.378416,
                    70.255169
                ],
                [
                    23.023742,
                    70.202072
                ],
                [
                    24.546543,
                    71.030497
                ],
                [
                    26.37005,
                    70.986262
                ],
                [
                    28.165547,
                    71.185474
                ]
            ]
        ],
        "NPL": [
            [
                88.120441,
                27.876542
            ],
            [
                88.043133,
                27.445819
            ],
            [
                88.174804,
                26.810405
            ],
            [
                88.060238,
                26.414615
            ],
            [
                87.227472,
                26.397898
            ],
            [
                86.024393,
                26.630985
            ],
            [
                85.251779,
                26.726198
            ],
            [
                84.675018,
                27.234901
            ],
            [
                83.304249,
                27.364506
            ],
            [
                81.999987,
                27.925479
            ],
            [
                81.057203,
                28.416095
            ],
            [
                80.088425,
                28.79447
            ],
            [
                80.476721,
                29.729865
            ],
            [
                81.111256,
                30.183481
            ],
            [
                81.525804,
                30.422717
            ],
            [
                82.327513,
                30.115268
            ],
            [
                83.337115,
                29.463732
            ],
            [
                83.898993,
                29.320226
            ],
            [
                84.23458,
                28.839894
            ],
            [
                85.011638,
                28.642774
            ],
            [
                85.82332,
                28.203576
            ],
            [
                86.954517,
                27.974262
            ],
            [
                88.120441,
                27.876542
            ]
        ],
        "NRU": None,
        "NZL": [
            [
                [
                    173.020375,
                    -40.919052
                ],
                [
                    173.247234,
                    -41.331999
                ],
                [
                    173.958405,
                    -40.926701
                ],
                [
                    174.247587,
                    -41.349155
                ],
                [
                    174.248517,
                    -41.770008
                ],
                [
                    173.876447,
                    -42.233184
                ],
                [
                    173.22274,
                    -42.970038
                ],
                [
                    172.711246,
                    -43.372288
                ],
                [
                    173.080113,
                    -43.853344
                ],
                [
                    172.308584,
                    -43.865694
                ],
                [
                    171.452925,
                    -44.242519
                ],
                [
                    171.185138,
                    -44.897104
                ],
                [
                    170.616697,
                    -45.908929
                ],
                [
                    169.831422,
                    -46.355775
                ],
                [
                    169.332331,
                    -46.641235
                ],
                [
                    168.411354,
                    -46.619945
                ],
                [
                    167.763745,
                    -46.290197
                ],
                [
                    166.676886,
                    -46.219917
                ],
                [
                    166.509144,
                    -45.852705
                ],
                [
                    167.046424,
                    -45.110941
                ],
                [
                    168.303763,
                    -44.123973
                ],
                [
                    168.949409,
                    -43.935819
                ],
                [
                    169.667815,
                    -43.555326
                ],
                [
                    170.52492,
                    -43.031688
                ],
                [
                    171.12509,
                    -42.512754
                ],
                [
                    171.569714,
                    -41.767424
                ],
                [
                    171.948709,
                    -41.514417
                ],
                [
                    172.097227,
                    -40.956104
                ],
                [
                    172.79858,
                    -40.493962
                ],
                [
                    173.020375,
                    -40.919052
                ]
            ]
        ],
        "OMN": [
            [
                [
                    58.861141,
                    21.114035
                ],
                [
                    58.487986,
                    20.428986
                ],
                [
                    58.034318,
                    20.481437
                ],
                [
                    57.826373,
                    20.243002
                ],
                [
                    57.665762,
                    19.736005
                ],
                [
                    57.7887,
                    19.06757
                ],
                [
                    57.694391,
                    18.94471
                ],
                [
                    57.234264,
                    18.947991
                ],
                [
                    56.609651,
                    18.574267
                ],
                [
                    56.512189,
                    18.087113
                ],
                [
                    56.283521,
                    17.876067
                ],
                [
                    55.661492,
                    17.884128
                ],
                [
                    55.269939,
                    17.632309
                ],
                [
                    55.2749,
                    17.228354
                ],
                [
                    54.791002,
                    16.950697
                ],
                [
                    54.239253,
                    17.044981
                ],
                [
                    53.570508,
                    16.707663
                ],
                [
                    53.108573,
                    16.651051
                ],
                [
                    52.782184,
                    17.349742
                ],
                [
                    52.00001,
                    19.000003
                ],
                [
                    54.999982,
                    19.999994
                ],
                [
                    55.666659,
                    22.000001
                ],
                [
                    55.208341,
                    22.70833
                ],
                [
                    55.234489,
                    23.110993
                ],
                [
                    55.525841,
                    23.524869
                ],
                [
                    55.528632,
                    23.933604
                ],
                [
                    55.981214,
                    24.130543
                ],
                [
                    55.804119,
                    24.269604
                ],
                [
                    55.886233,
                    24.920831
                ],
                [
                    56.396847,
                    24.924732
                ],
                [
                    56.84514,
                    24.241673
                ],
                [
                    57.403453,
                    23.878594
                ],
                [
                    58.136948,
                    23.747931
                ],
                [
                    58.729211,
                    23.565668
                ],
                [
                    59.180502,
                    22.992395
                ],
                [
                    59.450098,
                    22.660271
                ],
                [
                    59.80806,
                    22.533612
                ],
                [
                    59.806148,
                    22.310525
                ],
                [
                    59.442191,
                    21.714541
                ],
                [
                    59.282408,
                    21.433886
                ],
                [
                    58.861141,
                    21.114035
                ]
            ]
        ],
        "PAK": [
            [
                75.158028,
                37.133031
            ],
            [
                75.896897,
                36.666806
            ],
            [
                76.192848,
                35.898403
            ],
            [
                77.837451,
                35.49401
            ],
            [
                76.871722,
                34.653544
            ],
            [
                75.757061,
                34.504923
            ],
            [
                74.240203,
                34.748887
            ],
            [
                73.749948,
                34.317699
            ],
            [
                74.104294,
                33.441473
            ],
            [
                74.451559,
                32.7649
            ],
            [
                75.258642,
                32.271105
            ],
            [
                74.405929,
                31.692639
            ],
            [
                74.42138,
                30.979815
            ],
            [
                73.450638,
                29.976413
            ],
            [
                72.823752,
                28.961592
            ],
            [
                71.777666,
                27.91318
            ],
            [
                70.616496,
                27.989196
            ],
            [
                69.514393,
                26.940966
            ],
            [
                70.168927,
                26.491872
            ],
            [
                70.282873,
                25.722229
            ],
            [
                70.844699,
                25.215102
            ],
            [
                71.04324,
                24.356524
            ],
            [
                68.842599,
                24.359134
            ],
            [
                68.176645,
                23.691965
            ],
            [
                67.443667,
                23.944844
            ],
            [
                67.145442,
                24.663611
            ],
            [
                66.372828,
                25.425141
            ],
            [
                64.530408,
                25.237039
            ],
            [
                62.905701,
                25.218409
            ],
            [
                61.497363,
                25.078237
            ],
            [
                61.874187,
                26.239975
            ],
            [
                63.316632,
                26.756532
            ],
            [
                63.233898,
                27.217047
            ],
            [
                62.755426,
                27.378923
            ],
            [
                62.72783,
                28.259645
            ],
            [
                61.771868,
                28.699334
            ],
            [
                61.369309,
                29.303276
            ],
            [
                60.874248,
                29.829239
            ],
            [
                62.549857,
                29.318572
            ],
            [
                63.550261,
                29.468331
            ],
            [
                64.148002,
                29.340819
            ],
            [
                64.350419,
                29.560031
            ],
            [
                65.046862,
                29.472181
            ],
            [
                66.346473,
                29.887943
            ],
            [
                66.381458,
                30.738899
            ],
            [
                66.938891,
                31.304911
            ],
            [
                67.683394,
                31.303154
            ],
            [
                67.792689,
                31.58293
            ],
            [
                68.556932,
                31.71331
            ],
            [
                68.926677,
                31.620189
            ],
            [
                69.317764,
                31.901412
            ],
            [
                69.262522,
                32.501944
            ],
            [
                69.687147,
                33.105499
            ],
            [
                70.323594,
                33.358533
            ],
            [
                69.930543,
                34.02012
            ],
            [
                70.881803,
                33.988856
            ],
            [
                71.156773,
                34.348911
            ],
            [
                71.115019,
                34.733126
            ],
            [
                71.613076,
                35.153203
            ],
            [
                71.498768,
                35.650563
            ],
            [
                71.262348,
                36.074388
            ],
            [
                71.846292,
                36.509942
            ],
            [
                72.920025,
                36.720007
            ],
            [
                74.067552,
                36.836176
            ],
            [
                74.575893,
                37.020841
            ],
            [
                75.158028,
                37.133031
            ]
        ],
        "PAN": [
            [
                -77.881571,
                7.223771
            ],
            [
                -78.214936,
                7.512255
            ],
            [
                -78.429161,
                8.052041
            ],
            [
                -78.182096,
                8.319182
            ],
            [
                -78.435465,
                8.387705
            ],
            [
                -78.622121,
                8.718124
            ],
            [
                -79.120307,
                8.996092
            ],
            [
                -79.557877,
                8.932375
            ],
            [
                -79.760578,
                8.584515
            ],
            [
                -80.164481,
                8.333316
            ],
            [
                -80.382659,
                8.298409
            ],
            [
                -80.480689,
                8.090308
            ],
            [
                -80.00369,
                7.547524
            ],
            [
                -80.276671,
                7.419754
            ],
            [
                -80.421158,
                7.271572
            ],
            [
                -80.886401,
                7.220541
            ],
            [
                -81.059543,
                7.817921
            ],
            [
                -81.189716,
                7.647906
            ],
            [
                -81.519515,
                7.70661
            ],
            [
                -81.721311,
                8.108963
            ],
            [
                -82.131441,
                8.175393
            ],
            [
                -82.390934,
                8.292362
            ],
            [
                -82.820081,
                8.290864
            ],
            [
                -82.850958,
                8.073823
            ],
            [
                -82.965783,
                8.225028
            ],
            [
                -82.913176,
                8.423517
            ],
            [
                -82.829771,
                8.626295
            ],
            [
                -82.868657,
                8.807266
            ],
            [
                -82.719183,
                8.925709
            ],
            [
                -82.927155,
                9.07433
            ],
            [
                -82.932891,
                9.476812
            ],
            [
                -82.546196,
                9.566135
            ],
            [
                -82.187123,
                9.207449
            ],
            [
                -82.207586,
                8.995575
            ],
            [
                -81.808567,
                8.950617
            ],
            [
                -81.714154,
                9.031955
            ],
            [
                -81.439287,
                8.786234
            ],
            [
                -80.947302,
                8.858504
            ],
            [
                -80.521901,
                9.111072
            ],
            [
                -79.9146,
                9.312765
            ],
            [
                -79.573303,
                9.61161
            ],
            [
                -79.021192,
                9.552931
            ],
            [
                -79.05845,
                9.454565
            ],
            [
                -78.500888,
                9.420459
            ],
            [
                -78.055928,
                9.24773
            ],
            [
                -77.729514,
                8.946844
            ],
            [
                -77.353361,
                8.670505
            ],
            [
                -77.474723,
                8.524286
            ],
            [
                -77.242566,
                7.935278
            ],
            [
                -77.431108,
                7.638061
            ],
            [
                -77.753414,
                7.70984
            ],
            [
                -77.881571,
                7.223771
            ]
        ],
        "PCN": None,
        "PER": [
            [
                -69.590424,
                -17.580012
            ],
            [
                -69.858444,
                -18.092694
            ],
            [
                -70.372572,
                -18.347975
            ],
            [
                -71.37525,
                -17.773799
            ],
            [
                -71.462041,
                -17.363488
            ],
            [
                -73.44453,
                -16.359363
            ],
            [
                -75.237883,
                -15.265683
            ],
            [
                -76.009205,
                -14.649286
            ],
            [
                -76.423469,
                -13.823187
            ],
            [
                -76.259242,
                -13.535039
            ],
            [
                -77.106192,
                -12.222716
            ],
            [
                -78.092153,
                -10.377712
            ],
            [
                -79.036953,
                -8.386568
            ],
            [
                -79.44592,
                -7.930833
            ],
            [
                -79.760578,
                -7.194341
            ],
            [
                -80.537482,
                -6.541668
            ],
            [
                -81.249996,
                -6.136834
            ],
            [
                -80.926347,
                -5.690557
            ],
            [
                -81.410943,
                -4.736765
            ],
            [
                -81.09967,
                -4.036394
            ],
            [
                -80.302561,
                -3.404856
            ],
            [
                -80.184015,
                -3.821162
            ],
            [
                -80.469295,
                -4.059287
            ],
            [
                -80.442242,
                -4.425724
            ],
            [
                -80.028908,
                -4.346091
            ],
            [
                -79.624979,
                -4.454198
            ],
            [
                -79.205289,
                -4.959129
            ],
            [
                -78.639897,
                -4.547784
            ],
            [
                -78.450684,
                -3.873097
            ],
            [
                -77.837905,
                -3.003021
            ],
            [
                -76.635394,
                -2.608678
            ],
            [
                -75.544996,
                -1.56161
            ],
            [
                -75.233723,
                -0.911417
            ],
            [
                -75.373223,
                -0.152032
            ],
            [
                -75.106625,
                -0.057205
            ],
            [
                -74.441601,
                -0.53082
            ],
            [
                -74.122395,
                -1.002833
            ],
            [
                -73.659504,
                -1.260491
            ],
            [
                -73.070392,
                -2.308954
            ],
            [
                -72.325787,
                -2.434218
            ],
            [
                -71.774761,
                -2.16979
            ],
            [
                -71.413646,
                -2.342802
            ],
            [
                -70.813476,
                -2.256865
            ],
            [
                -70.047709,
                -2.725156
            ],
            [
                -70.692682,
                -3.742872
            ],
            [
                -70.394044,
                -3.766591
            ],
            [
                -69.893635,
                -4.298187
            ],
            [
                -70.794769,
                -4.251265
            ],
            [
                -70.928843,
                -4.401591
            ],
            [
                -71.748406,
                -4.593983
            ],
            [
                -72.891928,
                -5.274561
            ],
            [
                -72.964507,
                -5.741251
            ],
            [
                -73.219711,
                -6.089189
            ],
            [
                -73.120027,
                -6.629931
            ],
            [
                -73.724487,
                -6.918595
            ],
            [
                -73.723401,
                -7.340999
            ],
            [
                -73.987235,
                -7.52383
            ],
            [
                -73.571059,
                -8.424447
            ],
            [
                -73.015383,
                -9.032833
            ],
            [
                -73.226713,
                -9.462213
            ],
            [
                -72.563033,
                -9.520194
            ],
            [
                -72.184891,
                -10.053598
            ],
            [
                -71.302412,
                -10.079436
            ],
            [
                -70.481894,
                -9.490118
            ],
            [
                -70.548686,
                -11.009147
            ],
            [
                -70.093752,
                -11.123972
            ],
            [
                -69.529678,
                -10.951734
            ],
            [
                -68.66508,
                -12.5613
            ],
            [
                -68.88008,
                -12.899729
            ],
            [
                -68.929224,
                -13.602684
            ],
            [
                -68.948887,
                -14.453639
            ],
            [
                -69.339535,
                -14.953195
            ],
            [
                -69.160347,
                -15.323974
            ],
            [
                -69.389764,
                -15.660129
            ],
            [
                -68.959635,
                -16.500698
            ],
            [
                -69.590424,
                -17.580012
            ]
        ],
        "PHL": [
            [
                [
                    126.376814,
                    8.414706
                ],
                [
                    126.478513,
                    7.750354
                ],
                [
                    126.537424,
                    7.189381
                ],
                [
                    126.196773,
                    6.274294
                ],
                [
                    125.831421,
                    7.293715
                ],
                [
                    125.363852,
                    6.786485
                ],
                [
                    125.683161,
                    6.049657
                ],
                [
                    125.396512,
                    5.581003
                ],
                [
                    124.219788,
                    6.161355
                ],
                [
                    123.93872,
                    6.885136
                ],
                [
                    124.243662,
                    7.36061
                ],
                [
                    123.610212,
                    7.833527
                ],
                [
                    123.296071,
                    7.418876
                ],
                [
                    122.825506,
                    7.457375
                ],
                [
                    122.085499,
                    6.899424
                ],
                [
                    121.919928,
                    7.192119
                ],
                [
                    122.312359,
                    8.034962
                ],
                [
                    122.942398,
                    8.316237
                ],
                [
                    123.487688,
                    8.69301
                ],
                [
                    123.841154,
                    8.240324
                ],
                [
                    124.60147,
                    8.514158
                ],
                [
                    124.764612,
                    8.960409
                ],
                [
                    125.471391,
                    8.986997
                ],
                [
                    125.412118,
                    9.760335
                ],
                [
                    126.222714,
                    9.286074
                ],
                [
                    126.306637,
                    8.782487
                ],
                [
                    126.376814,
                    8.414706
                ]
            ]
        ],
        "PLW": None,
        "PNG": [
            [
                [
                    155.880026,
                    -6.819997
                ],
                [
                    155.599991,
                    -6.919991
                ],
                [
                    155.166994,
                    -6.535931
                ],
                [
                    154.729192,
                    -5.900828
                ],
                [
                    154.514114,
                    -5.139118
                ],
                [
                    154.652504,
                    -5.042431
                ],
                [
                    154.759991,
                    -5.339984
                ],
                [
                    155.062918,
                    -5.566792
                ],
                [
                    155.547746,
                    -6.200655
                ],
                [
                    156.019965,
                    -6.540014
                ],
                [
                    155.880026,
                    -6.819997
                ]
            ]
        ],
        "POL": [
            [
                15.016996,
                51.106674
            ],
            [
                14.607098,
                51.745188
            ],
            [
                14.685026,
                52.089947
            ],
            [
                14.4376,
                52.62485
            ],
            [
                14.074521,
                52.981263
            ],
            [
                14.353315,
                53.248171
            ],
            [
                14.119686,
                53.757029
            ],
            [
                14.8029,
                54.050706
            ],
            [
                16.363477,
                54.513159
            ],
            [
                17.622832,
                54.851536
            ],
            [
                18.620859,
                54.682606
            ],
            [
                18.696255,
                54.438719
            ],
            [
                19.66064,
                54.426084
            ],
            [
                20.892245,
                54.312525
            ],
            [
                22.731099,
                54.327537
            ],
            [
                23.243987,
                54.220567
            ],
            [
                23.484128,
                53.912498
            ],
            [
                23.527536,
                53.470122
            ],
            [
                23.804935,
                53.089731
            ],
            [
                23.799199,
                52.691099
            ],
            [
                23.199494,
                52.486977
            ],
            [
                23.508002,
                52.023647
            ],
            [
                23.527071,
                51.578454
            ],
            [
                24.029986,
                50.705407
            ],
            [
                23.922757,
                50.424881
            ],
            [
                23.426508,
                50.308506
            ],
            [
                22.51845,
                49.476774
            ],
            [
                22.776419,
                49.027395
            ],
            [
                22.558138,
                49.085738
            ],
            [
                21.607808,
                49.470107
            ],
            [
                20.887955,
                49.328772
            ],
            [
                20.415839,
                49.431453
            ],
            [
                19.825023,
                49.217125
            ],
            [
                19.320713,
                49.571574
            ],
            [
                18.909575,
                49.435846
            ],
            [
                18.853144,
                49.49623
            ],
            [
                18.392914,
                49.988629
            ],
            [
                17.649445,
                50.049038
            ],
            [
                17.554567,
                50.362146
            ],
            [
                16.868769,
                50.473974
            ],
            [
                16.719476,
                50.215747
            ],
            [
                16.176253,
                50.422607
            ],
            [
                16.238627,
                50.697733
            ],
            [
                15.490972,
                50.78473
            ],
            [
                15.016996,
                51.106674
            ]
        ],
        "PRI": [
            [
                -66.282434,
                18.514762
            ],
            [
                -65.771303,
                18.426679
            ],
            [
                -65.591004,
                18.228035
            ],
            [
                -65.847164,
                17.975906
            ],
            [
                -66.599934,
                17.981823
            ],
            [
                -67.184162,
                17.946553
            ],
            [
                -67.242428,
                18.37446
            ],
            [
                -67.100679,
                18.520601
            ],
            [
                -66.282434,
                18.514762
            ]
        ],
        "PRK": [
            [
                130.640016,
                42.395009
            ],
            [
                130.780007,
                42.220007
            ],
            [
                130.400031,
                42.280004
            ],
            [
                129.965949,
                41.941368
            ],
            [
                129.667362,
                41.601104
            ],
            [
                129.705189,
                40.882828
            ],
            [
                129.188115,
                40.661808
            ],
            [
                129.0104,
                40.485436
            ],
            [
                128.633368,
                40.189847
            ],
            [
                127.967414,
                40.025413
            ],
            [
                127.533436,
                39.75685
            ],
            [
                127.50212,
                39.323931
            ],
            [
                127.385434,
                39.213472
            ],
            [
                127.783343,
                39.050898
            ],
            [
                128.349716,
                38.612243
            ],
            [
                128.205746,
                38.370397
            ],
            [
                127.780035,
                38.304536
            ],
            [
                127.073309,
                38.256115
            ],
            [
                126.68372,
                37.804773
            ],
            [
                126.237339,
                37.840378
            ],
            [
                126.174759,
                37.749686
            ],
            [
                125.689104,
                37.94001
            ],
            [
                125.568439,
                37.752089
            ],
            [
                125.27533,
                37.669071
            ],
            [
                125.240087,
                37.857224
            ],
            [
                124.981033,
                37.948821
            ],
            [
                124.712161,
                38.108346
            ],
            [
                124.985994,
                38.548474
            ],
            [
                125.221949,
                38.665857
            ],
            [
                125.132859,
                38.848559
            ],
            [
                125.38659,
                39.387958
            ],
            [
                125.321116,
                39.551385
            ],
            [
                124.737482,
                39.660344
            ],
            [
                124.265625,
                39.928493
            ],
            [
                125.079942,
                40.569824
            ],
            [
                126.182045,
                41.107336
            ],
            [
                126.869083,
                41.816569
            ],
            [
                127.343783,
                41.503152
            ],
            [
                128.208433,
                41.466772
            ],
            [
                128.052215,
                41.994285
            ],
            [
                129.596669,
                42.424982
            ],
            [
                129.994267,
                42.985387
            ],
            [
                130.640016,
                42.395009
            ]
        ],
        "PRT": [
            [
                -9.034818,
                41.880571
            ],
            [
                -8.671946,
                42.134689
            ],
            [
                -8.263857,
                42.280469
            ],
            [
                -8.013175,
                41.790886
            ],
            [
                -7.422513,
                41.792075
            ],
            [
                -7.251309,
                41.918346
            ],
            [
                -6.668606,
                41.883387
            ],
            [
                -6.389088,
                41.381815
            ],
            [
                -6.851127,
                41.111083
            ],
            [
                -6.86402,
                40.330872
            ],
            [
                -7.026413,
                40.184524
            ],
            [
                -7.066592,
                39.711892
            ],
            [
                -7.498632,
                39.629571
            ],
            [
                -7.098037,
                39.030073
            ],
            [
                -7.374092,
                38.373059
            ],
            [
                -7.029281,
                38.075764
            ],
            [
                -7.166508,
                37.803894
            ],
            [
                -7.537105,
                37.428904
            ],
            [
                -7.453726,
                37.097788
            ],
            [
                -7.855613,
                36.838269
            ],
            [
                -8.382816,
                36.97888
            ],
            [
                -8.898857,
                36.868809
            ],
            [
                -8.746101,
                37.651346
            ],
            [
                -8.839998,
                38.266243
            ],
            [
                -9.287464,
                38.358486
            ],
            [
                -9.526571,
                38.737429
            ],
            [
                -9.446989,
                39.392066
            ],
            [
                -9.048305,
                39.755093
            ],
            [
                -8.977353,
                40.159306
            ],
            [
                -8.768684,
                40.760639
            ],
            [
                -8.790853,
                41.184334
            ],
            [
                -8.990789,
                41.543459
            ],
            [
                -9.034818,
                41.880571
            ]
        ],
        "PRY": [
            [
                -62.685057,
                -22.249029
            ],
            [
                -62.291179,
                -21.051635
            ],
            [
                -62.265961,
                -20.513735
            ],
            [
                -61.786326,
                -19.633737
            ],
            [
                -60.043565,
                -19.342747
            ],
            [
                -59.115042,
                -19.356906
            ],
            [
                -58.183471,
                -19.868399
            ],
            [
                -58.166392,
                -20.176701
            ],
            [
                -57.870674,
                -20.732688
            ],
            [
                -57.937156,
                -22.090176
            ],
            [
                -56.88151,
                -22.282154
            ],
            [
                -56.473317,
                -22.0863
            ],
            [
                -55.797958,
                -22.35693
            ],
            [
                -55.610683,
                -22.655619
            ],
            [
                -55.517639,
                -23.571998
            ],
            [
                -55.400747,
                -23.956935
            ],
            [
                -55.027902,
                -24.001274
            ],
            [
                -54.652834,
                -23.839578
            ],
            [
                -54.29296,
                -24.021014
            ],
            [
                -54.293476,
                -24.5708
            ],
            [
                -54.428946,
                -25.162185
            ],
            [
                -54.625291,
                -25.739255
            ],
            [
                -54.788795,
                -26.621786
            ],
            [
                -55.695846,
                -27.387837
            ],
            [
                -56.486702,
                -27.548499
            ],
            [
                -57.60976,
                -27.395899
            ],
            [
                -58.618174,
                -27.123719
            ],
            [
                -57.63366,
                -25.603657
            ],
            [
                -57.777217,
                -25.16234
            ],
            [
                -58.807128,
                -24.771459
            ],
            [
                -60.028966,
                -24.032796
            ],
            [
                -60.846565,
                -23.880713
            ],
            [
                -62.685057,
                -22.249029
            ]
        ],
        "PSE": None,
        "PYF": None,
        "QAT": [
            [
                50.810108,
                24.754743
            ],
            [
                50.743911,
                25.482424
            ],
            [
                51.013352,
                26.006992
            ],
            [
                51.286462,
                26.114582
            ],
            [
                51.589079,
                25.801113
            ],
            [
                51.6067,
                25.21567
            ],
            [
                51.389608,
                24.627386
            ],
            [
                51.112415,
                24.556331
            ],
            [
                50.810108,
                24.754743
            ]
        ],
        "REU": None,
        "ROU": [
            [
                22.710531,
                47.882194
            ],
            [
                23.142236,
                48.096341
            ],
            [
                23.760958,
                47.985598
            ],
            [
                24.402056,
                47.981878
            ],
            [
                24.866317,
                47.737526
            ],
            [
                25.207743,
                47.891056
            ],
            [
                25.945941,
                47.987149
            ],
            [
                26.19745,
                48.220881
            ],
            [
                26.619337,
                48.220726
            ],
            [
                26.924176,
                48.123264
            ],
            [
                27.233873,
                47.826771
            ],
            [
                27.551166,
                47.405117
            ],
            [
                28.12803,
                46.810476
            ],
            [
                28.160018,
                46.371563
            ],
            [
                28.054443,
                45.944586
            ],
            [
                28.233554,
                45.488283
            ],
            [
                28.679779,
                45.304031
            ],
            [
                29.149725,
                45.464925
            ],
            [
                29.603289,
                45.293308
            ],
            [
                29.626543,
                45.035391
            ],
            [
                29.141612,
                44.82021
            ],
            [
                28.837858,
                44.913874
            ],
            [
                28.558081,
                43.707462
            ],
            [
                27.970107,
                43.812468
            ],
            [
                27.2424,
                44.175986
            ],
            [
                26.065159,
                43.943494
            ],
            [
                25.569272,
                43.688445
            ],
            [
                24.100679,
                43.741051
            ],
            [
                23.332302,
                43.897011
            ],
            [
                22.944832,
                43.823785
            ],
            [
                22.65715,
                44.234923
            ],
            [
                22.474008,
                44.409228
            ],
            [
                22.705726,
                44.578003
            ],
            [
                22.459022,
                44.702517
            ],
            [
                22.145088,
                44.478422
            ],
            [
                21.562023,
                44.768947
            ],
            [
                21.483526,
                45.18117
            ],
            [
                20.874313,
                45.416375
            ],
            [
                20.762175,
                45.734573
            ],
            [
                20.220192,
                46.127469
            ],
            [
                21.021952,
                46.316088
            ],
            [
                21.626515,
                46.994238
            ],
            [
                22.099768,
                47.672439
            ],
            [
                22.710531,
                47.882194
            ]
        ],
        "RUS": [
            [
                [
                    143.648007,
                    50.7476
                ],
                [
                    144.654148,
                    48.976391
                ],
                [
                    143.173928,
                    49.306551
                ],
                [
                    142.558668,
                    47.861575
                ],
                [
                    143.533492,
                    46.836728
                ],
                [
                    143.505277,
                    46.137908
                ],
                [
                    142.747701,
                    46.740765
                ],
                [
                    142.09203,
                    45.966755
                ],
                [
                    141.906925,
                    46.805929
                ],
                [
                    142.018443,
                    47.780133
                ],
                [
                    141.904445,
                    48.859189
                ],
                [
                    142.1358,
                    49.615163
                ],
                [
                    142.179983,
                    50.952342
                ],
                [
                    141.594076,
                    51.935435
                ],
                [
                    141.682546,
                    53.301966
                ],
                [
                    142.606934,
                    53.762145
                ],
                [
                    142.209749,
                    54.225476
                ],
                [
                    142.654786,
                    54.365881
                ],
                [
                    142.914616,
                    53.704578
                ],
                [
                    143.260848,
                    52.74076
                ],
                [
                    143.235268,
                    51.75666
                ],
                [
                    143.648007,
                    50.7476
                ]
            ]
        ],
        "RWA": [
            [
                30.419105,
                -1.134659
            ],
            [
                30.816135,
                -1.698914
            ],
            [
                30.758309,
                -2.28725
            ],
            [
                30.469696,
                -2.413858
            ],
            [
                29.938359,
                -2.348487
            ],
            [
                29.632176,
                -2.917858
            ],
            [
                29.024926,
                -2.839258
            ],
            [
                29.117479,
                -2.292211
            ],
            [
                29.254835,
                -2.21511
            ],
            [
                29.291887,
                -1.620056
            ],
            [
                29.579466,
                -1.341313
            ],
            [
                29.821519,
                -1.443322
            ],
            [
                30.419105,
                -1.134659
            ]
        ],
        "SAU": [
            [
                42.779332,
                16.347891
            ],
            [
                42.649573,
                16.774635
            ],
            [
                42.347989,
                17.075806
            ],
            [
                42.270888,
                17.474722
            ],
            [
                41.754382,
                17.833046
            ],
            [
                41.221391,
                18.6716
            ],
            [
                40.939341,
                19.486485
            ],
            [
                40.247652,
                20.174635
            ],
            [
                39.801685,
                20.338862
            ],
            [
                39.139399,
                21.291905
            ],
            [
                39.023696,
                21.986875
            ],
            [
                39.066329,
                22.579656
            ],
            [
                38.492772,
                23.688451
            ],
            [
                38.02386,
                24.078686
            ],
            [
                37.483635,
                24.285495
            ],
            [
                37.154818,
                24.858483
            ],
            [
                37.209491,
                25.084542
            ],
            [
                36.931627,
                25.602959
            ],
            [
                36.639604,
                25.826228
            ],
            [
                36.249137,
                26.570136
            ],
            [
                35.640182,
                27.37652
            ],
            [
                35.130187,
                28.063352
            ],
            [
                34.632336,
                28.058546
            ],
            [
                34.787779,
                28.607427
            ],
            [
                34.83222,
                28.957483
            ],
            [
                34.956037,
                29.356555
            ],
            [
                36.068941,
                29.197495
            ],
            [
                36.501214,
                29.505254
            ],
            [
                36.740528,
                29.865283
            ],
            [
                37.503582,
                30.003776
            ],
            [
                37.66812,
                30.338665
            ],
            [
                37.998849,
                30.5085
            ],
            [
                37.002166,
                31.508413
            ],
            [
                39.004886,
                32.010217
            ],
            [
                39.195468,
                32.161009
            ],
            [
                40.399994,
                31.889992
            ],
            [
                41.889981,
                31.190009
            ],
            [
                44.709499,
                29.178891
            ],
            [
                46.568713,
                29.099025
            ],
            [
                47.459822,
                29.002519
            ],
            [
                47.708851,
                28.526063
            ],
            [
                48.416094,
                28.552004
            ],
            [
                48.807595,
                27.689628
            ],
            [
                49.299554,
                27.461218
            ],
            [
                49.470914,
                27.109999
            ],
            [
                50.152422,
                26.689663
            ],
            [
                50.212935,
                26.277027
            ],
            [
                50.113303,
                25.943972
            ],
            [
                50.239859,
                25.60805
            ],
            [
                50.527387,
                25.327808
            ],
            [
                50.660557,
                24.999896
            ],
            [
                50.810108,
                24.754743
            ],
            [
                51.112415,
                24.556331
            ],
            [
                51.389608,
                24.627386
            ],
            [
                51.579519,
                24.245497
            ],
            [
                51.617708,
                24.014219
            ],
            [
                52.000733,
                23.001154
            ],
            [
                55.006803,
                22.496948
            ],
            [
                55.208341,
                22.70833
            ],
            [
                55.666659,
                22.000001
            ],
            [
                54.999982,
                19.999994
            ],
            [
                52.00001,
                19.000003
            ],
            [
                49.116672,
                18.616668
            ],
            [
                48.183344,
                18.166669
            ],
            [
                47.466695,
                17.116682
            ],
            [
                47.000005,
                16.949999
            ],
            [
                46.749994,
                17.283338
            ],
            [
                46.366659,
                17.233315
            ],
            [
                45.399999,
                17.333335
            ],
            [
                45.216651,
                17.433329
            ],
            [
                44.062613,
                17.410359
            ],
            [
                43.791519,
                17.319977
            ],
            [
                43.380794,
                17.579987
            ],
            [
                43.115798,
                17.08844
            ],
            [
                43.218375,
                16.66689
            ],
            [
                42.779332,
                16.347891
            ]
        ],
        "SDN": [
            [
                33.963393,
                9.464285
            ],
            [
                33.824963,
                9.484061
            ],
            [
                33.842131,
                9.981915
            ],
            [
                33.721959,
                10.325262
            ],
            [
                33.206938,
                10.720112
            ],
            [
                33.086766,
                11.441141
            ],
            [
                33.206938,
                12.179338
            ],
            [
                32.743419,
                12.248008
            ],
            [
                32.67475,
                12.024832
            ],
            [
                32.073892,
                11.97333
            ],
            [
                32.314235,
                11.681484
            ],
            [
                32.400072,
                11.080626
            ],
            [
                31.850716,
                10.531271
            ],
            [
                31.352862,
                9.810241
            ],
            [
                30.837841,
                9.707237
            ],
            [
                29.996639,
                10.290927
            ],
            [
                29.618957,
                10.084919
            ],
            [
                29.515953,
                9.793074
            ],
            [
                29.000932,
                9.604232
            ],
            [
                28.966597,
                9.398224
            ],
            [
                27.97089,
                9.398224
            ],
            [
                27.833551,
                9.604232
            ],
            [
                27.112521,
                9.638567
            ],
            [
                26.752006,
                9.466893
            ],
            [
                26.477328,
                9.55273
            ],
            [
                25.962307,
                10.136421
            ],
            [
                25.790633,
                10.411099
            ],
            [
                25.069604,
                10.27376
            ],
            [
                24.794926,
                9.810241
            ],
            [
                24.537415,
                8.917538
            ],
            [
                24.194068,
                8.728696
            ],
            [
                23.88698,
                8.61973
            ],
            [
                23.805813,
                8.666319
            ],
            [
                23.459013,
                8.954286
            ],
            [
                23.394779,
                9.265068
            ],
            [
                23.55725,
                9.681218
            ],
            [
                23.554304,
                10.089255
            ],
            [
                22.977544,
                10.714463
            ],
            [
                22.864165,
                11.142395
            ],
            [
                22.87622,
                11.38461
            ],
            [
                22.50869,
                11.67936
            ],
            [
                22.49762,
                12.26024
            ],
            [
                22.28801,
                12.64605
            ],
            [
                21.93681,
                12.58818
            ],
            [
                22.03759,
                12.95546
            ],
            [
                22.29658,
                13.37232
            ],
            [
                22.18329,
                13.78648
            ],
            [
                22.51202,
                14.09318
            ],
            [
                22.30351,
                14.32682
            ],
            [
                22.56795,
                14.94429
            ],
            [
                23.02459,
                15.68072
            ],
            [
                23.88689,
                15.61084
            ],
            [
                23.83766,
                19.58047
            ],
            [
                23.85,
                20
            ],
            [
                25,
                20.00304
            ],
            [
                25,
                22
            ],
            [
                29.02,
                22
            ],
            [
                32.9,
                22
            ],
            [
                36.86623,
                22
            ],
            [
                37.18872,
                21.01885
            ],
            [
                36.96941,
                20.83744
            ],
            [
                37.1147,
                19.80796
            ],
            [
                37.48179,
                18.61409
            ],
            [
                37.86276,
                18.36786
            ],
            [
                38.41009,
                17.998307
            ],
            [
                37.904,
                17.42754
            ],
            [
                37.16747,
                17.26314
            ],
            [
                36.85253,
                16.95655
            ],
            [
                36.75389,
                16.29186
            ],
            [
                36.32322,
                14.82249
            ],
            [
                36.42951,
                14.42211
            ],
            [
                36.27022,
                13.56333
            ],
            [
                35.86363,
                12.57828
            ],
            [
                35.26049,
                12.08286
            ],
            [
                34.83163,
                11.31896
            ],
            [
                34.73115,
                10.91017
            ],
            [
                34.25745,
                10.63009
            ],
            [
                33.96162,
                9.58358
            ],
            [
                33.963393,
                9.464285
            ]
        ],
        "SEN": [
            [
                -16.713729,
                13.594959
            ],
            [
                -17.126107,
                14.373516
            ],
            [
                -17.625043,
                14.729541
            ],
            [
                -17.185173,
                14.919477
            ],
            [
                -16.700706,
                15.621527
            ],
            [
                -16.463098,
                16.135036
            ],
            [
                -16.12069,
                16.455663
            ],
            [
                -15.623666,
                16.369337
            ],
            [
                -15.135737,
                16.587282
            ],
            [
                -14.577348,
                16.598264
            ],
            [
                -14.099521,
                16.304302
            ],
            [
                -13.435738,
                16.039383
            ],
            [
                -12.830658,
                15.303692
            ],
            [
                -12.17075,
                14.616834
            ],
            [
                -12.124887,
                13.994727
            ],
            [
                -11.927716,
                13.422075
            ],
            [
                -11.553398,
                13.141214
            ],
            [
                -11.467899,
                12.754519
            ],
            [
                -11.513943,
                12.442988
            ],
            [
                -11.658301,
                12.386583
            ],
            [
                -12.203565,
                12.465648
            ],
            [
                -12.278599,
                12.35444
            ],
            [
                -12.499051,
                12.33209
            ],
            [
                -13.217818,
                12.575874
            ],
            [
                -13.700476,
                12.586183
            ],
            [
                -15.548477,
                12.62817
            ],
            [
                -15.816574,
                12.515567
            ],
            [
                -16.147717,
                12.547762
            ],
            [
                -16.677452,
                12.384852
            ],
            [
                -16.841525,
                13.151394
            ],
            [
                -15.931296,
                13.130284
            ],
            [
                -15.691001,
                13.270353
            ],
            [
                -15.511813,
                13.27857
            ],
            [
                -15.141163,
                13.509512
            ],
            [
                -14.712197,
                13.298207
            ],
            [
                -14.277702,
                13.280585
            ],
            [
                -13.844963,
                13.505042
            ],
            [
                -14.046992,
                13.794068
            ],
            [
                -14.376714,
                13.62568
            ],
            [
                -14.687031,
                13.630357
            ],
            [
                -15.081735,
                13.876492
            ],
            [
                -15.39877,
                13.860369
            ],
            [
                -15.624596,
                13.623587
            ],
            [
                -16.713729,
                13.594959
            ]
        ],
        "SGP": None,
        "SGS": None,
        "SHN": None,
        "SJM": None,
        "SLB": [
            [
                [
                    162.119025,
                    -10.482719
                ],
                [
                    162.398646,
                    -10.826367
                ],
                [
                    161.700032,
                    -10.820011
                ],
                [
                    161.319797,
                    -10.204751
                ],
                [
                    161.917383,
                    -10.446701
                ],
                [
                    162.119025,
                    -10.482719
                ]
            ]
        ],
        "SLE": [
            [
                -11.438779,
                6.785917
            ],
            [
                -11.708195,
                6.860098
            ],
            [
                -12.428099,
                7.262942
            ],
            [
                -12.949049,
                7.798646
            ],
            [
                -13.124025,
                8.163946
            ],
            [
                -13.24655,
                8.903049
            ],
            [
                -12.711958,
                9.342712
            ],
            [
                -12.596719,
                9.620188
            ],
            [
                -12.425929,
                9.835834
            ],
            [
                -12.150338,
                9.858572
            ],
            [
                -11.917277,
                10.046984
            ],
            [
                -11.117481,
                10.045873
            ],
            [
                -10.839152,
                9.688246
            ],
            [
                -10.622395,
                9.26791
            ],
            [
                -10.65477,
                8.977178
            ],
            [
                -10.494315,
                8.715541
            ],
            [
                -10.505477,
                8.348896
            ],
            [
                -10.230094,
                8.406206
            ],
            [
                -10.695595,
                7.939464
            ],
            [
                -11.146704,
                7.396706
            ],
            [
                -11.199802,
                7.105846
            ],
            [
                -11.438779,
                6.785917
            ]
        ],
        "SLV": [
            [
                -87.793111,
                13.38448
            ],
            [
                -87.904112,
                13.149017
            ],
            [
                -88.483302,
                13.163951
            ],
            [
                -88.843228,
                13.259734
            ],
            [
                -89.256743,
                13.458533
            ],
            [
                -89.812394,
                13.520622
            ],
            [
                -90.095555,
                13.735338
            ],
            [
                -90.064678,
                13.88197
            ],
            [
                -89.721934,
                14.134228
            ],
            [
                -89.534219,
                14.244816
            ],
            [
                -89.587343,
                14.362586
            ],
            [
                -89.353326,
                14.424133
            ],
            [
                -89.058512,
                14.340029
            ],
            [
                -88.843073,
                14.140507
            ],
            [
                -88.541231,
                13.980155
            ],
            [
                -88.503998,
                13.845486
            ],
            [
                -88.065343,
                13.964626
            ],
            [
                -87.859515,
                13.893312
            ],
            [
                -87.723503,
                13.78505
            ],
            [
                -87.793111,
                13.38448
            ]
        ],
        "SMR": None,
        "SOM": [
            [
                49.72862,
                11.5789
            ],
            [
                50.25878,
                11.67957
            ],
            [
                50.73202,
                12.0219
            ],
            [
                51.1112,
                12.02464
            ],
            [
                51.13387,
                11.74815
            ],
            [
                51.04153,
                11.16651
            ],
            [
                51.04531,
                10.6409
            ],
            [
                50.83418,
                10.27972
            ],
            [
                50.55239,
                9.19874
            ],
            [
                50.07092,
                8.08173
            ],
            [
                49.4527,
                6.80466
            ],
            [
                48.59455,
                5.33911
            ],
            [
                47.74079,
                4.2194
            ],
            [
                46.56476,
                2.85529
            ],
            [
                45.56399,
                2.04576
            ],
            [
                44.06815,
                1.05283
            ],
            [
                43.13597,
                0.2922
            ],
            [
                42.04157,
                -0.91916
            ],
            [
                41.81095,
                -1.44647
            ],
            [
                41.58513,
                -1.68325
            ],
            [
                40.993,
                -0.85829
            ],
            [
                40.98105,
                2.78452
            ],
            [
                41.855083,
                3.918912
            ],
            [
                42.12861,
                4.23413
            ],
            [
                42.76967,
                4.25259
            ],
            [
                43.66087,
                4.95755
            ],
            [
                44.9636,
                5.00162
            ],
            [
                47.78942,
                8.003
            ],
            [
                48.486736,
                8.837626
            ],
            [
                48.93813,
                9.451749
            ],
            [
                48.938233,
                9.9735
            ],
            [
                48.938491,
                10.982327
            ],
            [
                48.942005,
                11.394266
            ],
            [
                48.948205,
                11.410617
            ],
            [
                49.26776,
                11.43033
            ],
            [
                49.72862,
                11.5789
            ]
        ],
        "SPM": None,
        "SRB": None,
        "SSD": [
            [
                33.963393,
                9.464285
            ],
            [
                33.97498,
                8.68456
            ],
            [
                33.8255,
                8.37916
            ],
            [
                33.2948,
                8.35458
            ],
            [
                32.95418,
                7.78497
            ],
            [
                33.56829,
                7.71334
            ],
            [
                34.0751,
                7.22595
            ],
            [
                34.25032,
                6.82607
            ],
            [
                34.70702,
                6.59422
            ],
            [
                35.298007,
                5.506
            ],
            [
                34.620196,
                4.847123
            ],
            [
                34.005,
                4.249885
            ],
            [
                33.39,
                3.79
            ],
            [
                32.68642,
                3.79232
            ],
            [
                31.88145,
                3.55827
            ],
            [
                31.24556,
                3.7819
            ],
            [
                30.83385,
                3.50917
            ],
            [
                29.95349,
                4.1737
            ],
            [
                29.715995,
                4.600805
            ],
            [
                29.159078,
                4.389267
            ],
            [
                28.696678,
                4.455077
            ],
            [
                28.428994,
                4.287155
            ],
            [
                27.979977,
                4.408413
            ],
            [
                27.374226,
                5.233944
            ],
            [
                27.213409,
                5.550953
            ],
            [
                26.465909,
                5.946717
            ],
            [
                26.213418,
                6.546603
            ],
            [
                25.796648,
                6.979316
            ],
            [
                25.124131,
                7.500085
            ],
            [
                25.114932,
                7.825104
            ],
            [
                24.567369,
                8.229188
            ],
            [
                23.88698,
                8.61973
            ],
            [
                24.194068,
                8.728696
            ],
            [
                24.537415,
                8.917538
            ],
            [
                24.794926,
                9.810241
            ],
            [
                25.069604,
                10.27376
            ],
            [
                25.790633,
                10.411099
            ],
            [
                25.962307,
                10.136421
            ],
            [
                26.477328,
                9.55273
            ],
            [
                26.752006,
                9.466893
            ],
            [
                27.112521,
                9.638567
            ],
            [
                27.833551,
                9.604232
            ],
            [
                27.97089,
                9.398224
            ],
            [
                28.966597,
                9.398224
            ],
            [
                29.000932,
                9.604232
            ],
            [
                29.515953,
                9.793074
            ],
            [
                29.618957,
                10.084919
            ],
            [
                29.996639,
                10.290927
            ],
            [
                30.837841,
                9.707237
            ],
            [
                31.352862,
                9.810241
            ],
            [
                31.850716,
                10.531271
            ],
            [
                32.400072,
                11.080626
            ],
            [
                32.314235,
                11.681484
            ],
            [
                32.073892,
                11.97333
            ],
            [
                32.67475,
                12.024832
            ],
            [
                32.743419,
                12.248008
            ],
            [
                33.206938,
                12.179338
            ],
            [
                33.086766,
                11.441141
            ],
            [
                33.206938,
                10.720112
            ],
            [
                33.721959,
                10.325262
            ],
            [
                33.842131,
                9.981915
            ],
            [
                33.824963,
                9.484061
            ],
            [
                33.963393,
                9.464285
            ]
        ],
        "STP": None,
        "SUR": [
            [
                -57.147436,
                5.97315
            ],
            [
                -55.949318,
                5.772878
            ],
            [
                -55.84178,
                5.953125
            ],
            [
                -55.03325,
                6.025291
            ],
            [
                -53.958045,
                5.756548
            ],
            [
                -54.478633,
                4.896756
            ],
            [
                -54.399542,
                4.212611
            ],
            [
                -54.006931,
                3.620038
            ],
            [
                -54.181726,
                3.18978
            ],
            [
                -54.269705,
                2.732392
            ],
            [
                -54.524754,
                2.311849
            ],
            [
                -55.097587,
                2.523748
            ],
            [
                -55.569755,
                2.421506
            ],
            [
                -55.973322,
                2.510364
            ],
            [
                -56.073342,
                2.220795
            ],
            [
                -55.9056,
                2.021996
            ],
            [
                -55.995698,
                1.817667
            ],
            [
                -56.539386,
                1.899523
            ],
            [
                -57.150098,
                2.768927
            ],
            [
                -57.281433,
                3.333492
            ],
            [
                -57.601569,
                3.334655
            ],
            [
                -58.044694,
                4.060864
            ],
            [
                -57.86021,
                4.576801
            ],
            [
                -57.914289,
                4.812626
            ],
            [
                -57.307246,
                5.073567
            ],
            [
                -57.147436,
                5.97315
            ]
        ],
        "SVK": [
            [
                18.853144,
                49.49623
            ],
            [
                18.909575,
                49.435846
            ],
            [
                19.320713,
                49.571574
            ],
            [
                19.825023,
                49.217125
            ],
            [
                20.415839,
                49.431453
            ],
            [
                20.887955,
                49.328772
            ],
            [
                21.607808,
                49.470107
            ],
            [
                22.558138,
                49.085738
            ],
            [
                22.280842,
                48.825392
            ],
            [
                22.085608,
                48.422264
            ],
            [
                21.872236,
                48.319971
            ],
            [
                20.801294,
                48.623854
            ],
            [
                20.473562,
                48.56285
            ],
            [
                20.239054,
                48.327567
            ],
            [
                19.769471,
                48.202691
            ],
            [
                19.661364,
                48.266615
            ],
            [
                19.174365,
                48.111379
            ],
            [
                18.777025,
                48.081768
            ],
            [
                18.696513,
                47.880954
            ],
            [
                17.857133,
                47.758429
            ],
            [
                17.488473,
                47.867466
            ],
            [
                16.979667,
                48.123497
            ],
            [
                16.879983,
                48.470013
            ],
            [
                16.960288,
                48.596982
            ],
            [
                17.101985,
                48.816969
            ],
            [
                17.545007,
                48.800019
            ],
            [
                17.886485,
                48.903475
            ],
            [
                17.913512,
                48.996493
            ],
            [
                18.104973,
                49.043983
            ],
            [
                18.170498,
                49.271515
            ],
            [
                18.399994,
                49.315001
            ],
            [
                18.554971,
                49.495015
            ],
            [
                18.853144,
                49.49623
            ]
        ],
        "SVN": [
            [
                13.806475,
                46.509306
            ],
            [
                14.632472,
                46.431817
            ],
            [
                15.137092,
                46.658703
            ],
            [
                16.011664,
                46.683611
            ],
            [
                16.202298,
                46.852386
            ],
            [
                16.370505,
                46.841327
            ],
            [
                16.564808,
                46.503751
            ],
            [
                15.768733,
                46.238108
            ],
            [
                15.67153,
                45.834154
            ],
            [
                15.323954,
                45.731783
            ],
            [
                15.327675,
                45.452316
            ],
            [
                14.935244,
                45.471695
            ],
            [
                14.595109,
                45.634941
            ],
            [
                14.411968,
                45.466166
            ],
            [
                13.71506,
                45.500324
            ],
            [
                13.93763,
                45.591016
            ],
            [
                13.69811,
                46.016778
            ],
            [
                13.806475,
                46.509306
            ]
        ],
        "SWE": [
            [
                [
                    22.183173,
                    65.723741
                ],
                [
                    21.213517,
                    65.026005
                ],
                [
                    21.369631,
                    64.413588
                ],
                [
                    19.778876,
                    63.609554
                ],
                [
                    17.847779,
                    62.7494
                ],
                [
                    17.119555,
                    61.341166
                ],
                [
                    17.831346,
                    60.636583
                ],
                [
                    18.787722,
                    60.081914
                ],
                [
                    17.869225,
                    58.953766
                ],
                [
                    16.829185,
                    58.719827
                ],
                [
                    16.44771,
                    57.041118
                ],
                [
                    15.879786,
                    56.104302
                ],
                [
                    14.666681,
                    56.200885
                ],
                [
                    14.100721,
                    55.407781
                ],
                [
                    12.942911,
                    55.361737
                ],
                [
                    12.625101,
                    56.30708
                ],
                [
                    11.787942,
                    57.441817
                ],
                [
                    11.027369,
                    58.856149
                ],
                [
                    11.468272,
                    59.432393
                ],
                [
                    12.300366,
                    60.117933
                ],
                [
                    12.631147,
                    61.293572
                ],
                [
                    11.992064,
                    61.800362
                ],
                [
                    11.930569,
                    63.128318
                ],
                [
                    12.579935,
                    64.066219
                ],
                [
                    13.571916,
                    64.049114
                ],
                [
                    13.919905,
                    64.445421
                ],
                [
                    13.55569,
                    64.787028
                ],
                [
                    15.108411,
                    66.193867
                ],
                [
                    16.108712,
                    67.302456
                ],
                [
                    16.768879,
                    68.013937
                ],
                [
                    17.729182,
                    68.010552
                ],
                [
                    17.993868,
                    68.567391
                ],
                [
                    19.87856,
                    68.407194
                ],
                [
                    20.025269,
                    69.065139
                ],
                [
                    20.645593,
                    69.106247
                ],
                [
                    21.978535,
                    68.616846
                ],
                [
                    23.539473,
                    67.936009
                ],
                [
                    23.56588,
                    66.396051
                ],
                [
                    23.903379,
                    66.006927
                ],
                [
                    22.183173,
                    65.723741
                ]
            ],
            [
                [
                    17.061767,
                    57.385783
                ],
                [
                    17.210083,
                    57.326521
                ],
                [
                    16.430053,
                    56.179196
                ],
                [
                    16.364135,
                    56.556455
                ],
                [
                    17.061767,
                    57.385783
                ]
            ],
            [
                [
                    19.35791,
                    57.958588
                ],
                [
                    18.8031,
                    57.651279
                ],
                [
                    18.825073,
                    57.444949
                ],
                [
                    18.995361,
                    57.441993
                ],
                [
                    18.951416,
                    57.370976
                ],
                [
                    18.693237,
                    57.305756
                ],
                [
                    18.709716,
                    57.204734
                ],
                [
                    18.462524,
                    57.127295
                ],
                [
                    18.319702,
                    56.926992
                ],
                [
                    18.105468,
                    56.891003
                ],
                [
                    18.187866,
                    57.109402
                ],
                [
                    18.072509,
                    57.267163
                ],
                [
                    18.154907,
                    57.394664
                ],
                [
                    18.094482,
                    57.545312
                ],
                [
                    18.660278,
                    57.929434
                ],
                [
                    19.039306,
                    57.941098
                ],
                [
                    19.105224,
                    57.993543
                ],
                [
                    19.374389,
                    57.996454
                ],
                [
                    19.35791,
                    57.958588
                ]
            ],
            [
                [
                    20.846557,
                    63.82371
                ],
                [
                    21.066284,
                    63.829768
                ],
                [
                    20.9729,
                    63.71567
                ],
                [
                    20.824584,
                    63.579121
                ],
                [
                    20.695495,
                    63.59134
                ],
                [
                    20.819091,
                    63.714454
                ],
                [
                    20.799865,
                    63.780059
                ],
                [
                    20.846557,
                    63.82371
                ]
            ]
        ],
        "SWZ": None,
        "SXM": None,
        "SYC": None,
        "SYR": [
            [
                38.792341,
                33.378686
            ],
            [
                36.834062,
                32.312938
            ],
            [
                35.719918,
                32.709192
            ],
            [
                35.700798,
                32.716014
            ],
            [
                35.836397,
                32.868123
            ],
            [
                35.821101,
                33.277426
            ],
            [
                36.06646,
                33.824912
            ],
            [
                36.61175,
                34.201789
            ],
            [
                36.448194,
                34.593935
            ],
            [
                35.998403,
                34.644914
            ],
            [
                35.905023,
                35.410009
            ],
            [
                36.149763,
                35.821535
            ],
            [
                36.41755,
                36.040617
            ],
            [
                36.685389,
                36.259699
            ],
            [
                36.739494,
                36.81752
            ],
            [
                37.066761,
                36.623036
            ],
            [
                38.167727,
                36.90121
            ],
            [
                38.699891,
                36.712927
            ],
            [
                39.52258,
                36.716054
            ],
            [
                40.673259,
                37.091276
            ],
            [
                41.212089,
                37.074352
            ],
            [
                42.349591,
                37.229873
            ],
            [
                41.837064,
                36.605854
            ],
            [
                41.289707,
                36.358815
            ],
            [
                41.383965,
                35.628317
            ],
            [
                41.006159,
                34.419372
            ],
            [
                38.792341,
                33.378686
            ]
        ],
        "TCA": None,
        "TCD": [
            [
                14.495787,
                12.859396
            ],
            [
                14.595781,
                13.330427
            ],
            [
                13.954477,
                13.353449
            ],
            [
                13.956699,
                13.996691
            ],
            [
                13.540394,
                14.367134
            ],
            [
                13.97217,
                15.68437
            ],
            [
                15.247731,
                16.627306
            ],
            [
                15.300441,
                17.92795
            ],
            [
                15.685741,
                19.95718
            ],
            [
                15.903247,
                20.387619
            ],
            [
                15.487148,
                20.730415
            ],
            [
                15.47106,
                21.04845
            ],
            [
                15.096888,
                21.308519
            ],
            [
                14.8513,
                22.86295
            ],
            [
                15.86085,
                23.40972
            ],
            [
                19.84926,
                21.49509
            ],
            [
                23.83766,
                19.58047
            ],
            [
                23.88689,
                15.61084
            ],
            [
                23.02459,
                15.68072
            ],
            [
                22.56795,
                14.94429
            ],
            [
                22.30351,
                14.32682
            ],
            [
                22.51202,
                14.09318
            ],
            [
                22.18329,
                13.78648
            ],
            [
                22.29658,
                13.37232
            ],
            [
                22.03759,
                12.95546
            ],
            [
                21.93681,
                12.58818
            ],
            [
                22.28801,
                12.64605
            ],
            [
                22.49762,
                12.26024
            ],
            [
                22.50869,
                11.67936
            ],
            [
                22.87622,
                11.38461
            ],
            [
                22.864165,
                11.142395
            ],
            [
                22.231129,
                10.971889
            ],
            [
                21.723822,
                10.567056
            ],
            [
                21.000868,
                9.475985
            ],
            [
                20.059685,
                9.012706
            ],
            [
                19.094008,
                9.074847
            ],
            [
                18.81201,
                8.982915
            ],
            [
                18.911022,
                8.630895
            ],
            [
                18.389555,
                8.281304
            ],
            [
                17.96493,
                7.890914
            ],
            [
                16.705988,
                7.508328
            ],
            [
                16.456185,
                7.734774
            ],
            [
                16.290562,
                7.754307
            ],
            [
                16.106232,
                7.497088
            ],
            [
                15.27946,
                7.421925
            ],
            [
                15.436092,
                7.692812
            ],
            [
                15.120866,
                8.38215
            ],
            [
                14.979996,
                8.796104
            ],
            [
                14.544467,
                8.965861
            ],
            [
                13.954218,
                9.549495
            ],
            [
                14.171466,
                10.021378
            ],
            [
                14.627201,
                9.920919
            ],
            [
                14.909354,
                9.992129
            ],
            [
                15.467873,
                9.982337
            ],
            [
                14.923565,
                10.891325
            ],
            [
                14.960152,
                11.555574
            ],
            [
                14.89336,
                12.21905
            ],
            [
                14.495787,
                12.859396
            ]
        ],
        "TGO": [
            [
                1.865241,
                6.142158
            ],
            [
                1.060122,
                5.928837
            ],
            [
                0.836931,
                6.279979
            ],
            [
                0.570384,
                6.914359
            ],
            [
                0.490957,
                7.411744
            ],
            [
                0.712029,
                8.312465
            ],
            [
                0.461192,
                8.677223
            ],
            [
                0.365901,
                9.465004
            ],
            [
                0.36758,
                10.191213
            ],
            [
                -0.049785,
                10.706918
            ],
            [
                0.023803,
                11.018682
            ],
            [
                0.899563,
                10.997339
            ],
            [
                0.772336,
                10.470808
            ],
            [
                1.077795,
                10.175607
            ],
            [
                1.425061,
                9.825395
            ],
            [
                1.463043,
                9.334624
            ],
            [
                1.664478,
                9.12859
            ],
            [
                1.618951,
                6.832038
            ],
            [
                1.865241,
                6.142158
            ]
        ],
        "THA": [
            [
                102.584932,
                12.186595
            ],
            [
                101.687158,
                12.64574
            ],
            [
                100.83181,
                12.627085
            ],
            [
                100.978467,
                13.412722
            ],
            [
                100.097797,
                13.406856
            ],
            [
                100.018733,
                12.307001
            ],
            [
                99.478921,
                10.846367
            ],
            [
                99.153772,
                9.963061
            ],
            [
                99.222399,
                9.239255
            ],
            [
                99.873832,
                9.207862
            ],
            [
                100.279647,
                8.295153
            ],
            [
                100.459274,
                7.429573
            ],
            [
                101.017328,
                6.856869
            ],
            [
                101.623079,
                6.740622
            ],
            [
                102.141187,
                6.221636
            ],
            [
                101.814282,
                5.810808
            ],
            [
                101.154219,
                5.691384
            ],
            [
                101.075516,
                6.204867
            ],
            [
                100.259596,
                6.642825
            ],
            [
                100.085757,
                6.464489
            ],
            [
                99.690691,
                6.848213
            ],
            [
                99.519642,
                7.343454
            ],
            [
                98.988253,
                7.907993
            ],
            [
                98.503786,
                8.382305
            ],
            [
                98.339662,
                7.794512
            ],
            [
                98.150009,
                8.350007
            ],
            [
                98.25915,
                8.973923
            ],
            [
                98.553551,
                9.93296
            ],
            [
                99.038121,
                10.960546
            ],
            [
                99.587286,
                11.892763
            ],
            [
                99.196354,
                12.804748
            ],
            [
                99.212012,
                13.269294
            ],
            [
                99.097755,
                13.827503
            ],
            [
                98.430819,
                14.622028
            ],
            [
                98.192074,
                15.123703
            ],
            [
                98.537376,
                15.308497
            ],
            [
                98.903348,
                16.177824
            ],
            [
                98.493761,
                16.837836
            ],
            [
                97.859123,
                17.567946
            ],
            [
                97.375896,
                18.445438
            ],
            [
                97.797783,
                18.62708
            ],
            [
                98.253724,
                19.708203
            ],
            [
                98.959676,
                19.752981
            ],
            [
                99.543309,
                20.186598
            ],
            [
                100.115988,
                20.41785
            ],
            [
                100.548881,
                20.109238
            ],
            [
                100.606294,
                19.508344
            ],
            [
                101.282015,
                19.462585
            ],
            [
                101.035931,
                18.408928
            ],
            [
                101.059548,
                17.512497
            ],
            [
                102.113592,
                18.109102
            ],
            [
                102.413005,
                17.932782
            ],
            [
                102.998706,
                17.961695
            ],
            [
                103.200192,
                18.309632
            ],
            [
                103.956477,
                18.240954
            ],
            [
                104.716947,
                17.428859
            ],
            [
                104.779321,
                16.441865
            ],
            [
                105.589039,
                15.570316
            ],
            [
                105.544338,
                14.723934
            ],
            [
                105.218777,
                14.273212
            ],
            [
                104.281418,
                14.416743
            ],
            [
                102.988422,
                14.225721
            ],
            [
                102.348099,
                13.394247
            ],
            [
                102.584932,
                12.186595
            ]
        ],
        "TJK": [
            [
                71.014198,
                40.244366
            ],
            [
                70.648019,
                39.935754
            ],
            [
                69.55961,
                40.103211
            ],
            [
                69.464887,
                39.526683
            ],
            [
                70.549162,
                39.604198
            ],
            [
                71.784694,
                39.279463
            ],
            [
                73.675379,
                39.431237
            ],
            [
                73.928852,
                38.505815
            ],
            [
                74.257514,
                38.606507
            ],
            [
                74.864816,
                38.378846
            ],
            [
                74.829986,
                37.990007
            ],
            [
                74.980002,
                37.41999
            ],
            [
                73.948696,
                37.421566
            ],
            [
                73.260056,
                37.495257
            ],
            [
                72.63689,
                37.047558
            ],
            [
                72.193041,
                36.948288
            ],
            [
                71.844638,
                36.738171
            ],
            [
                71.448693,
                37.065645
            ],
            [
                71.541918,
                37.905774
            ],
            [
                71.239404,
                37.953265
            ],
            [
                71.348131,
                38.258905
            ],
            [
                70.806821,
                38.486282
            ],
            [
                70.376304,
                38.138396
            ],
            [
                70.270574,
                37.735165
            ],
            [
                70.116578,
                37.588223
            ],
            [
                69.518785,
                37.608997
            ],
            [
                69.196273,
                37.151144
            ],
            [
                68.859446,
                37.344336
            ],
            [
                68.135562,
                37.023115
            ],
            [
                67.83,
                37.144994
            ],
            [
                68.392033,
                38.157025
            ],
            [
                68.176025,
                38.901553
            ],
            [
                67.44222,
                39.140144
            ],
            [
                67.701429,
                39.580478
            ],
            [
                68.536416,
                39.533453
            ],
            [
                69.011633,
                40.086158
            ],
            [
                69.329495,
                40.727824
            ],
            [
                70.666622,
                40.960213
            ],
            [
                70.45816,
                40.496495
            ],
            [
                70.601407,
                40.218527
            ],
            [
                71.014198,
                40.244366
            ]
        ],
        "TKL": None,
        "TKM": [
            [
                61.210817,
                35.650072
            ],
            [
                61.123071,
                36.491597
            ],
            [
                60.377638,
                36.527383
            ],
            [
                59.234762,
                37.412988
            ],
            [
                58.436154,
                37.522309
            ],
            [
                57.330434,
                38.029229
            ],
            [
                56.619366,
                38.121394
            ],
            [
                56.180375,
                37.935127
            ],
            [
                55.511578,
                37.964117
            ],
            [
                54.800304,
                37.392421
            ],
            [
                53.921598,
                37.198918
            ],
            [
                53.735511,
                37.906136
            ],
            [
                53.880929,
                38.952093
            ],
            [
                53.101028,
                39.290574
            ],
            [
                53.357808,
                39.975286
            ],
            [
                52.693973,
                40.033629
            ],
            [
                52.915251,
                40.876523
            ],
            [
                53.858139,
                40.631034
            ],
            [
                54.736845,
                40.951015
            ],
            [
                54.008311,
                41.551211
            ],
            [
                53.721713,
                42.123191
            ],
            [
                52.91675,
                41.868117
            ],
            [
                52.814689,
                41.135371
            ],
            [
                52.50246,
                41.783316
            ],
            [
                52.944293,
                42.116034
            ],
            [
                54.079418,
                42.324109
            ],
            [
                54.755345,
                42.043971
            ],
            [
                55.455251,
                41.259859
            ],
            [
                55.968191,
                41.308642
            ],
            [
                57.096391,
                41.32231
            ],
            [
                56.932215,
                41.826026
            ],
            [
                57.78653,
                42.170553
            ],
            [
                58.629011,
                42.751551
            ],
            [
                59.976422,
                42.223082
            ],
            [
                60.083341,
                41.425146
            ],
            [
                60.465953,
                41.220327
            ],
            [
                61.547179,
                41.26637
            ],
            [
                61.882714,
                41.084857
            ],
            [
                62.37426,
                40.053886
            ],
            [
                63.518015,
                39.363257
            ],
            [
                64.170223,
                38.892407
            ],
            [
                65.215999,
                38.402695
            ],
            [
                66.54615,
                37.974685
            ],
            [
                66.518607,
                37.362784
            ],
            [
                66.217385,
                37.39379
            ],
            [
                65.745631,
                37.661164
            ],
            [
                65.588948,
                37.305217
            ],
            [
                64.746105,
                37.111818
            ],
            [
                64.546479,
                36.312073
            ],
            [
                63.982896,
                36.007957
            ],
            [
                63.193538,
                35.857166
            ],
            [
                62.984662,
                35.404041
            ],
            [
                62.230651,
                35.270664
            ],
            [
                61.210817,
                35.650072
            ]
        ],
        "TLS": None,
        "TON": None,
        "TTO": [
            [
                -61.68,
                10.76
            ],
            [
                -61.105,
                10.89
            ],
            [
                -60.895,
                10.855
            ],
            [
                -60.935,
                10.11
            ],
            [
                -61.77,
                10
            ],
            [
                -61.95,
                10.09
            ],
            [
                -61.66,
                10.365
            ],
            [
                -61.68,
                10.76
            ]
        ],
        "TUN": [
            [
                9.48214,
                30.307556
            ],
            [
                9.055603,
                32.102692
            ],
            [
                8.439103,
                32.506285
            ],
            [
                8.430473,
                32.748337
            ],
            [
                7.612642,
                33.344115
            ],
            [
                7.524482,
                34.097376
            ],
            [
                8.140981,
                34.655146
            ],
            [
                8.376368,
                35.479876
            ],
            [
                8.217824,
                36.433177
            ],
            [
                8.420964,
                36.946427
            ],
            [
                9.509994,
                37.349994
            ],
            [
                10.210002,
                37.230002
            ],
            [
                10.18065,
                36.724038
            ],
            [
                11.028867,
                37.092103
            ],
            [
                11.100026,
                36.899996
            ],
            [
                10.600005,
                36.41
            ],
            [
                10.593287,
                35.947444
            ],
            [
                10.939519,
                35.698984
            ],
            [
                10.807847,
                34.833507
            ],
            [
                10.149593,
                34.330773
            ],
            [
                10.339659,
                33.785742
            ],
            [
                10.856836,
                33.76874
            ],
            [
                11.108501,
                33.293343
            ],
            [
                11.488787,
                33.136996
            ],
            [
                11.432253,
                32.368903
            ],
            [
                10.94479,
                32.081815
            ],
            [
                10.636901,
                31.761421
            ],
            [
                9.950225,
                31.37607
            ],
            [
                10.056575,
                30.961831
            ],
            [
                9.970017,
                30.539325
            ],
            [
                9.48214,
                30.307556
            ]
        ],
        "TUR": [
            [
                [
                    36.913127,
                    41.335358
                ],
                [
                    38.347665,
                    40.948586
                ],
                [
                    39.512607,
                    41.102763
                ],
                [
                    40.373433,
                    41.013673
                ],
                [
                    41.554084,
                    41.535656
                ],
                [
                    42.619549,
                    41.583173
                ],
                [
                    43.582746,
                    41.092143
                ],
                [
                    43.752658,
                    40.740201
                ],
                [
                    43.656436,
                    40.253564
                ],
                [
                    44.400009,
                    40.005
                ],
                [
                    44.79399,
                    39.713003
                ],
                [
                    44.109225,
                    39.428136
                ],
                [
                    44.421403,
                    38.281281
                ],
                [
                    44.225756,
                    37.971584
                ],
                [
                    44.772699,
                    37.170445
                ],
                [
                    44.293452,
                    37.001514
                ],
                [
                    43.942259,
                    37.256228
                ],
                [
                    42.779126,
                    37.385264
                ],
                [
                    42.349591,
                    37.229873
                ],
                [
                    41.212089,
                    37.074352
                ],
                [
                    40.673259,
                    37.091276
                ],
                [
                    39.52258,
                    36.716054
                ],
                [
                    38.699891,
                    36.712927
                ],
                [
                    38.167727,
                    36.90121
                ],
                [
                    37.066761,
                    36.623036
                ],
                [
                    36.739494,
                    36.81752
                ],
                [
                    36.685389,
                    36.259699
                ],
                [
                    36.41755,
                    36.040617
                ],
                [
                    36.149763,
                    35.821535
                ],
                [
                    35.782085,
                    36.274995
                ],
                [
                    36.160822,
                    36.650606
                ],
                [
                    35.550936,
                    36.565443
                ],
                [
                    34.714553,
                    36.795532
                ],
                [
                    34.026895,
                    36.21996
                ],
                [
                    32.509158,
                    36.107564
                ],
                [
                    31.699595,
                    36.644275
                ],
                [
                    30.621625,
                    36.677865
                ],
                [
                    30.391096,
                    36.262981
                ],
                [
                    29.699976,
                    36.144357
                ],
                [
                    28.732903,
                    36.676831
                ],
                [
                    27.641187,
                    36.658822
                ],
                [
                    27.048768,
                    37.653361
                ],
                [
                    26.318218,
                    38.208133
                ],
                [
                    26.8047,
                    38.98576
                ],
                [
                    26.170785,
                    39.463612
                ],
                [
                    27.28002,
                    40.420014
                ],
                [
                    28.819978,
                    40.460011
                ],
                [
                    29.240004,
                    41.219991
                ],
                [
                    31.145934,
                    41.087622
                ],
                [
                    32.347979,
                    41.736264
                ],
                [
                    33.513283,
                    42.01896
                ],
                [
                    35.167704,
                    42.040225
                ],
                [
                    36.913127,
                    41.335358
                ]
            ]
        ],
        "TUV": None,
        "TWN": [
            [
                121.777818,
                24.394274
            ],
            [
                121.175632,
                22.790857
            ],
            [
                120.74708,
                21.970571
            ],
            [
                120.220083,
                22.814861
            ],
            [
                120.106189,
                23.556263
            ],
            [
                120.69468,
                24.538451
            ],
            [
                121.495044,
                25.295459
            ],
            [
                121.951244,
                24.997596
            ],
            [
                121.777818,
                24.394274
            ]
        ],
        "TZA": [
            [
                33.903711,
                -0.95
            ],
            [
                34.07262,
                -1.05982
            ],
            [
                37.69869,
                -3.09699
            ],
            [
                37.7669,
                -3.67712
            ],
            [
                39.20222,
                -4.67677
            ],
            [
                38.74054,
                -5.90895
            ],
            [
                38.79977,
                -6.47566
            ],
            [
                39.44,
                -6.84
            ],
            [
                39.47,
                -7.1
            ],
            [
                39.19469,
                -7.7039
            ],
            [
                39.25203,
                -8.00781
            ],
            [
                39.18652,
                -8.48551
            ],
            [
                39.53574,
                -9.11237
            ],
            [
                39.9496,
                -10.0984
            ],
            [
                40.31659,
                -10.3171
            ],
            [
                39.521,
                -10.89688
            ],
            [
                38.427557,
                -11.285202
            ],
            [
                37.82764,
                -11.26879
            ],
            [
                37.47129,
                -11.56876
            ],
            [
                36.775151,
                -11.594537
            ],
            [
                36.514082,
                -11.720938
            ],
            [
                35.312398,
                -11.439146
            ],
            [
                34.559989,
                -11.52002
            ],
            [
                34.28,
                -10.16
            ],
            [
                33.940838,
                -9.693674
            ],
            [
                33.73972,
                -9.41715
            ],
            [
                32.759375,
                -9.230599
            ],
            [
                32.191865,
                -8.930359
            ],
            [
                31.556348,
                -8.762049
            ],
            [
                31.157751,
                -8.594579
            ],
            [
                30.74,
                -8.34
            ],
            [
                30.2,
                -7.08
            ],
            [
                29.62,
                -6.52
            ],
            [
                29.419993,
                -5.939999
            ],
            [
                29.519987,
                -5.419979
            ],
            [
                29.339998,
                -4.499983
            ],
            [
                29.753512,
                -4.452389
            ],
            [
                30.11632,
                -4.09012
            ],
            [
                30.50554,
                -3.56858
            ],
            [
                30.75224,
                -3.35931
            ],
            [
                30.74301,
                -3.03431
            ],
            [
                30.52766,
                -2.80762
            ],
            [
                30.46967,
                -2.41383
            ],
            [
                30.758309,
                -2.28725
            ],
            [
                30.816135,
                -1.698914
            ],
            [
                30.419105,
                -1.134659
            ],
            [
                30.76986,
                -1.01455
            ],
            [
                31.86617,
                -1.02736
            ],
            [
                33.903711,
                -0.95
            ]
        ],
        "UGA": [
            [
                31.86617,
                -1.02736
            ],
            [
                30.76986,
                -1.01455
            ],
            [
                30.419105,
                -1.134659
            ],
            [
                29.821519,
                -1.443322
            ],
            [
                29.579466,
                -1.341313
            ],
            [
                29.587838,
                -0.587406
            ],
            [
                29.8195,
                -0.2053
            ],
            [
                29.875779,
                0.59738
            ],
            [
                30.086154,
                1.062313
            ],
            [
                30.468508,
                1.583805
            ],
            [
                30.85267,
                1.849396
            ],
            [
                31.174149,
                2.204465
            ],
            [
                30.77332,
                2.33989
            ],
            [
                30.83385,
                3.50917
            ],
            [
                31.24556,
                3.7819
            ],
            [
                31.88145,
                3.55827
            ],
            [
                32.68642,
                3.79232
            ],
            [
                33.39,
                3.79
            ],
            [
                34.005,
                4.249885
            ],
            [
                34.47913,
                3.5556
            ],
            [
                34.59607,
                3.05374
            ],
            [
                35.03599,
                1.90584
            ],
            [
                34.6721,
                1.17694
            ],
            [
                34.18,
                0.515
            ],
            [
                33.893569,
                0.109814
            ],
            [
                33.903711,
                -0.95
            ],
            [
                31.86617,
                -1.02736
            ]
        ],
        "UKR": [
            [
                31.785998,
                52.101678
            ],
            [
                32.159412,
                52.061267
            ],
            [
                32.412058,
                52.288695
            ],
            [
                32.715761,
                52.238465
            ],
            [
                33.7527,
                52.335075
            ],
            [
                34.391731,
                51.768882
            ],
            [
                34.141978,
                51.566413
            ],
            [
                34.224816,
                51.255993
            ],
            [
                35.022183,
                51.207572
            ],
            [
                35.377924,
                50.773955
            ],
            [
                35.356116,
                50.577197
            ],
            [
                36.626168,
                50.225591
            ],
            [
                37.39346,
                50.383953
            ],
            [
                38.010631,
                49.915662
            ],
            [
                38.594988,
                49.926462
            ],
            [
                40.069058,
                49.601055
            ],
            [
                40.080789,
                49.30743
            ],
            [
                39.674664,
                48.783818
            ],
            [
                39.895632,
                48.232405
            ],
            [
                39.738278,
                47.898937
            ],
            [
                38.770585,
                47.825608
            ],
            [
                38.255112,
                47.5464
            ],
            [
                38.223538,
                47.10219
            ],
            [
                37.425137,
                47.022221
            ],
            [
                36.759855,
                46.6987
            ],
            [
                35.823685,
                46.645964
            ],
            [
                34.962342,
                46.273197
            ],
            [
                35.020788,
                45.651219
            ],
            [
                35.510009,
                45.409993
            ],
            [
                36.529998,
                45.46999
            ],
            [
                36.334713,
                45.113216
            ],
            [
                35.239999,
                44.939996
            ],
            [
                33.882511,
                44.361479
            ],
            [
                33.326421,
                44.564877
            ],
            [
                33.546924,
                45.034771
            ],
            [
                32.454174,
                45.327466
            ],
            [
                32.630804,
                45.519186
            ],
            [
                33.588162,
                45.851569
            ],
            [
                33.298567,
                46.080598
            ],
            [
                31.74414,
                46.333348
            ],
            [
                31.675307,
                46.706245
            ],
            [
                30.748749,
                46.5831
            ],
            [
                30.377609,
                46.03241
            ],
            [
                29.603289,
                45.293308
            ],
            [
                29.149725,
                45.464925
            ],
            [
                28.679779,
                45.304031
            ],
            [
                28.233554,
                45.488283
            ],
            [
                28.485269,
                45.596907
            ],
            [
                28.659987,
                45.939987
            ],
            [
                28.933717,
                46.25883
            ],
            [
                28.862972,
                46.437889
            ],
            [
                29.072107,
                46.517678
            ],
            [
                29.170654,
                46.379262
            ],
            [
                29.759972,
                46.349988
            ],
            [
                30.024659,
                46.423937
            ],
            [
                29.83821,
                46.525326
            ],
            [
                29.908852,
                46.674361
            ],
            [
                29.559674,
                46.928583
            ],
            [
                29.415135,
                47.346645
            ],
            [
                29.050868,
                47.510227
            ],
            [
                29.122698,
                47.849095
            ],
            [
                28.670891,
                48.118149
            ],
            [
                28.259547,
                48.155562
            ],
            [
                27.522537,
                48.467119
            ],
            [
                26.857824,
                48.368211
            ],
            [
                26.619337,
                48.220726
            ],
            [
                26.19745,
                48.220881
            ],
            [
                25.945941,
                47.987149
            ],
            [
                25.207743,
                47.891056
            ],
            [
                24.866317,
                47.737526
            ],
            [
                24.402056,
                47.981878
            ],
            [
                23.760958,
                47.985598
            ],
            [
                23.142236,
                48.096341
            ],
            [
                22.710531,
                47.882194
            ],
            [
                22.64082,
                48.15024
            ],
            [
                22.085608,
                48.422264
            ],
            [
                22.280842,
                48.825392
            ],
            [
                22.558138,
                49.085738
            ],
            [
                22.776419,
                49.027395
            ],
            [
                22.51845,
                49.476774
            ],
            [
                23.426508,
                50.308506
            ],
            [
                23.922757,
                50.424881
            ],
            [
                24.029986,
                50.705407
            ],
            [
                23.527071,
                51.578454
            ],
            [
                24.005078,
                51.617444
            ],
            [
                24.553106,
                51.888461
            ],
            [
                25.327788,
                51.910656
            ],
            [
                26.337959,
                51.832289
            ],
            [
                27.454066,
                51.592303
            ],
            [
                28.241615,
                51.572227
            ],
            [
                28.617613,
                51.427714
            ],
            [
                28.992835,
                51.602044
            ],
            [
                29.254938,
                51.368234
            ],
            [
                30.157364,
                51.416138
            ],
            [
                30.555117,
                51.319503
            ],
            [
                30.619454,
                51.822806
            ],
            [
                30.927549,
                52.042353
            ],
            [
                31.785998,
                52.101678
            ]
        ],
        "UMI": None,
        "URY": [
            [
                -57.625133,
                -30.216295
            ],
            [
                -56.976026,
                -30.109686
            ],
            [
                -55.973245,
                -30.883076
            ],
            [
                -55.60151,
                -30.853879
            ],
            [
                -54.572452,
                -31.494511
            ],
            [
                -53.787952,
                -32.047243
            ],
            [
                -53.209589,
                -32.727666
            ],
            [
                -53.650544,
                -33.202004
            ],
            [
                -53.373662,
                -33.768378
            ],
            [
                -53.806426,
                -34.396815
            ],
            [
                -54.935866,
                -34.952647
            ],
            [
                -55.67409,
                -34.752659
            ],
            [
                -56.215297,
                -34.859836
            ],
            [
                -57.139685,
                -34.430456
            ],
            [
                -57.817861,
                -34.462547
            ],
            [
                -58.427074,
                -33.909454
            ],
            [
                -58.349611,
                -33.263189
            ],
            [
                -58.132648,
                -33.040567
            ],
            [
                -58.14244,
                -32.044504
            ],
            [
                -57.874937,
                -31.016556
            ],
            [
                -57.625133,
                -30.216295
            ]
        ],
        "USA": [
            [
                [
                    -155.54211,
                    19.08348
                ],
                [
                    -155.68817,
                    18.91619
                ],
                [
                    -155.93665,
                    19.05939
                ],
                [
                    -155.90806,
                    19.33888
                ],
                [
                    -156.07347,
                    19.70294
                ],
                [
                    -156.02368,
                    19.81422
                ],
                [
                    -155.85008,
                    19.97729
                ],
                [
                    -155.91907,
                    20.17395
                ],
                [
                    -155.86108,
                    20.26721
                ],
                [
                    -155.78505,
                    20.2487
                ],
                [
                    -155.40214,
                    20.07975
                ],
                [
                    -155.22452,
                    19.99302
                ],
                [
                    -155.06226,
                    19.8591
                ],
                [
                    -154.80741,
                    19.50871
                ],
                [
                    -154.83147,
                    19.45328
                ],
                [
                    -155.22217,
                    19.23972
                ],
                [
                    -155.54211,
                    19.08348
                ]
            ]
        ],
        "UZB": [
            [
                66.518607,
                37.362784
            ],
            [
                66.54615,
                37.974685
            ],
            [
                65.215999,
                38.402695
            ],
            [
                64.170223,
                38.892407
            ],
            [
                63.518015,
                39.363257
            ],
            [
                62.37426,
                40.053886
            ],
            [
                61.882714,
                41.084857
            ],
            [
                61.547179,
                41.26637
            ],
            [
                60.465953,
                41.220327
            ],
            [
                60.083341,
                41.425146
            ],
            [
                59.976422,
                42.223082
            ],
            [
                58.629011,
                42.751551
            ],
            [
                57.78653,
                42.170553
            ],
            [
                56.932215,
                41.826026
            ],
            [
                57.096391,
                41.32231
            ],
            [
                55.968191,
                41.308642
            ],
            [
                55.928917,
                44.995858
            ],
            [
                58.503127,
                45.586804
            ],
            [
                58.689989,
                45.500014
            ],
            [
                60.239972,
                44.784037
            ],
            [
                61.05832,
                44.405817
            ],
            [
                62.0133,
                43.504477
            ],
            [
                63.185787,
                43.650075
            ],
            [
                64.900824,
                43.728081
            ],
            [
                66.098012,
                42.99766
            ],
            [
                66.023392,
                41.994646
            ],
            [
                66.510649,
                41.987644
            ],
            [
                66.714047,
                41.168444
            ],
            [
                67.985856,
                41.135991
            ],
            [
                68.259896,
                40.662325
            ],
            [
                68.632483,
                40.668681
            ],
            [
                69.070027,
                41.384244
            ],
            [
                70.388965,
                42.081308
            ],
            [
                70.962315,
                42.266154
            ],
            [
                71.259248,
                42.167711
            ],
            [
                70.420022,
                41.519998
            ],
            [
                71.157859,
                41.143587
            ],
            [
                71.870115,
                41.3929
            ],
            [
                73.055417,
                40.866033
            ],
            [
                71.774875,
                40.145844
            ],
            [
                71.014198,
                40.244366
            ],
            [
                70.601407,
                40.218527
            ],
            [
                70.45816,
                40.496495
            ],
            [
                70.666622,
                40.960213
            ],
            [
                69.329495,
                40.727824
            ],
            [
                69.011633,
                40.086158
            ],
            [
                68.536416,
                39.533453
            ],
            [
                67.701429,
                39.580478
            ],
            [
                67.44222,
                39.140144
            ],
            [
                68.176025,
                38.901553
            ],
            [
                68.392033,
                38.157025
            ],
            [
                67.83,
                37.144994
            ],
            [
                67.075782,
                37.356144
            ],
            [
                66.518607,
                37.362784
            ]
        ],
        "VAT": None,
        "VCT": None,
        "VEN": [
            [
                -71.331584,
                11.776284
            ],
            [
                -71.360006,
                11.539994
            ],
            [
                -71.94705,
                11.423282
            ],
            [
                -71.620868,
                10.96946
            ],
            [
                -71.633064,
                10.446494
            ],
            [
                -72.074174,
                9.865651
            ],
            [
                -71.695644,
                9.072263
            ],
            [
                -71.264559,
                9.137195
            ],
            [
                -71.039999,
                9.859993
            ],
            [
                -71.350084,
                10.211935
            ],
            [
                -71.400623,
                10.968969
            ],
            [
                -70.155299,
                11.375482
            ],
            [
                -70.293843,
                11.846822
            ],
            [
                -69.943245,
                12.162307
            ],
            [
                -69.5843,
                11.459611
            ],
            [
                -68.882999,
                11.443385
            ],
            [
                -68.233271,
                10.885744
            ],
            [
                -68.194127,
                10.554653
            ],
            [
                -67.296249,
                10.545868
            ],
            [
                -66.227864,
                10.648627
            ],
            [
                -65.655238,
                10.200799
            ],
            [
                -64.890452,
                10.077215
            ],
            [
                -64.329479,
                10.389599
            ],
            [
                -64.318007,
                10.641418
            ],
            [
                -63.079322,
                10.701724
            ],
            [
                -61.880946,
                10.715625
            ],
            [
                -62.730119,
                10.420269
            ],
            [
                -62.388512,
                9.948204
            ],
            [
                -61.588767,
                9.873067
            ],
            [
                -60.830597,
                9.38134
            ],
            [
                -60.671252,
                8.580174
            ],
            [
                -60.150096,
                8.602757
            ],
            [
                -59.758285,
                8.367035
            ],
            [
                -60.550588,
                7.779603
            ],
            [
                -60.637973,
                7.415
            ],
            [
                -60.295668,
                7.043911
            ],
            [
                -60.543999,
                6.856584
            ],
            [
                -61.159336,
                6.696077
            ],
            [
                -61.139415,
                6.234297
            ],
            [
                -61.410303,
                5.959068
            ],
            [
                -60.733574,
                5.200277
            ],
            [
                -60.601179,
                4.918098
            ],
            [
                -60.966893,
                4.536468
            ],
            [
                -62.08543,
                4.162124
            ],
            [
                -62.804533,
                4.006965
            ],
            [
                -63.093198,
                3.770571
            ],
            [
                -63.888343,
                4.02053
            ],
            [
                -64.628659,
                4.148481
            ],
            [
                -64.816064,
                4.056445
            ],
            [
                -64.368494,
                3.79721
            ],
            [
                -64.408828,
                3.126786
            ],
            [
                -64.269999,
                2.497006
            ],
            [
                -63.422867,
                2.411068
            ],
            [
                -63.368788,
                2.2009
            ],
            [
                -64.083085,
                1.916369
            ],
            [
                -64.199306,
                1.492855
            ],
            [
                -64.611012,
                1.328731
            ],
            [
                -65.354713,
                1.095282
            ],
            [
                -65.548267,
                0.789254
            ],
            [
                -66.325765,
                0.724452
            ],
            [
                -66.876326,
                1.253361
            ],
            [
                -67.181294,
                2.250638
            ],
            [
                -67.447092,
                2.600281
            ],
            [
                -67.809938,
                2.820655
            ],
            [
                -67.303173,
                3.318454
            ],
            [
                -67.337564,
                3.542342
            ],
            [
                -67.621836,
                3.839482
            ],
            [
                -67.823012,
                4.503937
            ],
            [
                -67.744697,
                5.221129
            ],
            [
                -67.521532,
                5.55687
            ],
            [
                -67.34144,
                6.095468
            ],
            [
                -67.695087,
                6.267318
            ],
            [
                -68.265052,
                6.153268
            ],
            [
                -68.985319,
                6.206805
            ],
            [
                -69.38948,
                6.099861
            ],
            [
                -70.093313,
                6.960376
            ],
            [
                -70.674234,
                7.087785
            ],
            [
                -71.960176,
                6.991615
            ],
            [
                -72.198352,
                7.340431
            ],
            [
                -72.444487,
                7.423785
            ],
            [
                -72.479679,
                7.632506
            ],
            [
                -72.360901,
                8.002638
            ],
            [
                -72.439862,
                8.405275
            ],
            [
                -72.660495,
                8.625288
            ],
            [
                -72.78873,
                9.085027
            ],
            [
                -73.304952,
                9.152
            ],
            [
                -73.027604,
                9.73677
            ],
            [
                -72.905286,
                10.450344
            ],
            [
                -72.614658,
                10.821975
            ],
            [
                -72.227575,
                11.108702
            ],
            [
                -71.973922,
                11.608672
            ],
            [
                -71.331584,
                11.776284
            ]
        ],
        "VGB": None,
        "VIR": None,
        "VNM": [
            [
                108.05018,
                21.55238
            ],
            [
                106.715068,
                20.696851
            ],
            [
                105.881682,
                19.75205
            ],
            [
                105.662006,
                19.058165
            ],
            [
                106.426817,
                18.004121
            ],
            [
                107.361954,
                16.697457
            ],
            [
                108.269495,
                16.079742
            ],
            [
                108.877107,
                15.276691
            ],
            [
                109.33527,
                13.426028
            ],
            [
                109.200136,
                11.666859
            ],
            [
                108.36613,
                11.008321
            ],
            [
                107.220929,
                10.364484
            ],
            [
                106.405113,
                9.53084
            ],
            [
                105.158264,
                8.59976
            ],
            [
                104.795185,
                9.241038
            ],
            [
                105.076202,
                9.918491
            ],
            [
                104.334335,
                10.486544
            ],
            [
                105.199915,
                10.88931
            ],
            [
                106.24967,
                10.961812
            ],
            [
                105.810524,
                11.567615
            ],
            [
                107.491403,
                12.337206
            ],
            [
                107.614548,
                13.535531
            ],
            [
                107.382727,
                14.202441
            ],
            [
                107.564525,
                15.202173
            ],
            [
                107.312706,
                15.908538
            ],
            [
                106.556008,
                16.604284
            ],
            [
                105.925762,
                17.485315
            ],
            [
                105.094598,
                18.666975
            ],
            [
                103.896532,
                19.265181
            ],
            [
                104.183388,
                19.624668
            ],
            [
                104.822574,
                19.886642
            ],
            [
                104.435,
                20.758733
            ],
            [
                103.203861,
                20.766562
            ],
            [
                102.754896,
                21.675137
            ],
            [
                102.170436,
                22.464753
            ],
            [
                102.706992,
                22.708795
            ],
            [
                103.504515,
                22.703757
            ],
            [
                104.476858,
                22.81915
            ],
            [
                105.329209,
                23.352063
            ],
            [
                105.811247,
                22.976892
            ],
            [
                106.725403,
                22.794268
            ],
            [
                106.567273,
                22.218205
            ],
            [
                107.04342,
                21.811899
            ],
            [
                108.05018,
                21.55238
            ]
        ],
        "VUT": [
            [
                [
                    167.844877,
                    -16.466333
                ],
                [
                    167.515181,
                    -16.59785
                ],
                [
                    167.180008,
                    -16.159995
                ],
                [
                    167.216801,
                    -15.891846
                ],
                [
                    167.844877,
                    -16.466333
                ]
            ]
        ],
        "WLF": None,
        "WSM": None,
        "YEM": [
            [
                53.108573,
                16.651051
            ],
            [
                52.385206,
                16.382411
            ],
            [
                52.191729,
                15.938433
            ],
            [
                52.168165,
                15.59742
            ],
            [
                51.172515,
                15.17525
            ],
            [
                49.574576,
                14.708767
            ],
            [
                48.679231,
                14.003202
            ],
            [
                48.238947,
                13.94809
            ],
            [
                47.938914,
                14.007233
            ],
            [
                47.354454,
                13.59222
            ],
            [
                46.717076,
                13.399699
            ],
            [
                45.877593,
                13.347764
            ],
            [
                45.62505,
                13.290946
            ],
            [
                45.406459,
                13.026905
            ],
            [
                45.144356,
                12.953938
            ],
            [
                44.989533,
                12.699587
            ],
            [
                44.494576,
                12.721653
            ],
            [
                44.175113,
                12.58595
            ],
            [
                43.482959,
                12.6368
            ],
            [
                43.222871,
                13.22095
            ],
            [
                43.251448,
                13.767584
            ],
            [
                43.087944,
                14.06263
            ],
            [
                42.892245,
                14.802249
            ],
            [
                42.604873,
                15.213335
            ],
            [
                42.805015,
                15.261963
            ],
            [
                42.702438,
                15.718886
            ],
            [
                42.823671,
                15.911742
            ],
            [
                42.779332,
                16.347891
            ],
            [
                43.218375,
                16.66689
            ],
            [
                43.115798,
                17.08844
            ],
            [
                43.380794,
                17.579987
            ],
            [
                43.791519,
                17.319977
            ],
            [
                44.062613,
                17.410359
            ],
            [
                45.216651,
                17.433329
            ],
            [
                45.399999,
                17.333335
            ],
            [
                46.366659,
                17.233315
            ],
            [
                46.749994,
                17.283338
            ],
            [
                47.000005,
                16.949999
            ],
            [
                47.466695,
                17.116682
            ],
            [
                48.183344,
                18.166669
            ],
            [
                49.116672,
                18.616668
            ],
            [
                52.00001,
                19.000003
            ],
            [
                52.782184,
                17.349742
            ],
            [
                53.108573,
                16.651051
            ]
        ],
        "ZAF": [
            [
                31.521001,
                -29.257387
            ],
            [
                31.325561,
                -29.401978
            ],
            [
                30.901763,
                -29.909957
            ],
            [
                30.622813,
                -30.423776
            ],
            [
                30.055716,
                -31.140269
            ],
            [
                28.925553,
                -32.172041
            ],
            [
                28.219756,
                -32.771953
            ],
            [
                27.464608,
                -33.226964
            ],
            [
                26.419452,
                -33.61495
            ],
            [
                25.909664,
                -33.66704
            ],
            [
                25.780628,
                -33.944646
            ],
            [
                25.172862,
                -33.796851
            ],
            [
                24.677853,
                -33.987176
            ],
            [
                23.594043,
                -33.794474
            ],
            [
                22.988189,
                -33.916431
            ],
            [
                22.574157,
                -33.864083
            ],
            [
                21.542799,
                -34.258839
            ],
            [
                20.689053,
                -34.417175
            ],
            [
                20.071261,
                -34.795137
            ],
            [
                19.616405,
                -34.819166
            ],
            [
                19.193278,
                -34.462599
            ],
            [
                18.855315,
                -34.444306
            ],
            [
                18.424643,
                -33.997873
            ],
            [
                18.377411,
                -34.136521
            ],
            [
                18.244499,
                -33.867752
            ],
            [
                18.25008,
                -33.281431
            ],
            [
                17.92519,
                -32.611291
            ],
            [
                18.24791,
                -32.429131
            ],
            [
                18.221762,
                -31.661633
            ],
            [
                17.566918,
                -30.725721
            ],
            [
                17.064416,
                -29.878641
            ],
            [
                17.062918,
                -29.875954
            ],
            [
                16.344977,
                -28.576705
            ],
            [
                16.824017,
                -28.082162
            ],
            [
                17.218929,
                -28.355943
            ],
            [
                17.387497,
                -28.783514
            ],
            [
                17.836152,
                -28.856378
            ],
            [
                18.464899,
                -29.045462
            ],
            [
                19.002127,
                -28.972443
            ],
            [
                19.894734,
                -28.461105
            ],
            [
                19.895768,
                -24.76779
            ],
            [
                20.165726,
                -24.917962
            ],
            [
                20.758609,
                -25.868136
            ],
            [
                20.66647,
                -26.477453
            ],
            [
                20.889609,
                -26.828543
            ],
            [
                21.605896,
                -26.726534
            ],
            [
                22.105969,
                -26.280256
            ],
            [
                22.579532,
                -25.979448
            ],
            [
                22.824271,
                -25.500459
            ],
            [
                23.312097,
                -25.26869
            ],
            [
                23.73357,
                -25.390129
            ],
            [
                24.211267,
                -25.670216
            ],
            [
                25.025171,
                -25.71967
            ],
            [
                25.664666,
                -25.486816
            ],
            [
                25.765849,
                -25.174845
            ],
            [
                25.941652,
                -24.696373
            ],
            [
                26.485753,
                -24.616327
            ],
            [
                26.786407,
                -24.240691
            ],
            [
                27.11941,
                -23.574323
            ],
            [
                28.017236,
                -22.827754
            ],
            [
                29.432188,
                -22.091313
            ],
            [
                29.839037,
                -22.102216
            ],
            [
                30.322883,
                -22.271612
            ],
            [
                30.659865,
                -22.151567
            ],
            [
                31.191409,
                -22.25151
            ],
            [
                31.670398,
                -23.658969
            ],
            [
                31.930589,
                -24.369417
            ],
            [
                31.752408,
                -25.484284
            ],
            [
                31.837778,
                -25.843332
            ],
            [
                31.333158,
                -25.660191
            ],
            [
                31.04408,
                -25.731452
            ],
            [
                30.949667,
                -26.022649
            ],
            [
                30.676609,
                -26.398078
            ],
            [
                30.685962,
                -26.743845
            ],
            [
                31.282773,
                -27.285879
            ],
            [
                31.86806,
                -27.177927
            ],
            [
                32.071665,
                -26.73382
            ],
            [
                32.83012,
                -26.742192
            ],
            [
                32.580265,
                -27.470158
            ],
            [
                32.462133,
                -28.301011
            ],
            [
                32.203389,
                -28.752405
            ],
            [
                31.521001,
                -29.257387
            ]
        ],
        "ZMB": [
            [
                32.759375,
                -9.230599
            ],
            [
                33.231388,
                -9.676722
            ],
            [
                33.485688,
                -10.525559
            ],
            [
                33.31531,
                -10.79655
            ],
            [
                33.114289,
                -11.607198
            ],
            [
                33.306422,
                -12.435778
            ],
            [
                32.991764,
                -12.783871
            ],
            [
                32.688165,
                -13.712858
            ],
            [
                33.214025,
                -13.97186
            ],
            [
                30.179481,
                -14.796099
            ],
            [
                30.274256,
                -15.507787
            ],
            [
                29.516834,
                -15.644678
            ],
            [
                28.947463,
                -16.043051
            ],
            [
                28.825869,
                -16.389749
            ],
            [
                28.467906,
                -16.4684
            ],
            [
                27.598243,
                -17.290831
            ],
            [
                27.044427,
                -17.938026
            ],
            [
                26.706773,
                -17.961229
            ],
            [
                26.381935,
                -17.846042
            ],
            [
                25.264226,
                -17.73654
            ],
            [
                25.084443,
                -17.661816
            ],
            [
                25.07695,
                -17.578823
            ],
            [
                24.682349,
                -17.353411
            ],
            [
                24.033862,
                -17.295843
            ],
            [
                23.215048,
                -17.523116
            ],
            [
                22.562478,
                -16.898451
            ],
            [
                21.887843,
                -16.08031
            ],
            [
                21.933886,
                -12.898437
            ],
            [
                24.016137,
                -12.911046
            ],
            [
                23.930922,
                -12.565848
            ],
            [
                24.079905,
                -12.191297
            ],
            [
                23.904154,
                -11.722282
            ],
            [
                24.017894,
                -11.237298
            ],
            [
                23.912215,
                -10.926826
            ],
            [
                24.257155,
                -10.951993
            ],
            [
                24.314516,
                -11.262826
            ],
            [
                24.78317,
                -11.238694
            ],
            [
                25.418118,
                -11.330936
            ],
            [
                25.75231,
                -11.784965
            ],
            [
                26.553088,
                -11.92444
            ],
            [
                27.16442,
                -11.608748
            ],
            [
                27.388799,
                -12.132747
            ],
            [
                28.155109,
                -12.272481
            ],
            [
                28.523562,
                -12.698604
            ],
            [
                28.934286,
                -13.248958
            ],
            [
                29.699614,
                -13.257227
            ],
            [
                29.616001,
                -12.178895
            ],
            [
                29.341548,
                -12.360744
            ],
            [
                28.642417,
                -11.971569
            ],
            [
                28.372253,
                -11.793647
            ],
            [
                28.49607,
                -10.789884
            ],
            [
                28.673682,
                -9.605925
            ],
            [
                28.449871,
                -9.164918
            ],
            [
                28.734867,
                -8.526559
            ],
            [
                29.002912,
                -8.407032
            ],
            [
                30.346086,
                -8.238257
            ],
            [
                30.740015,
                -8.340007
            ],
            [
                31.157751,
                -8.594579
            ],
            [
                31.556348,
                -8.762049
            ],
            [
                32.191865,
                -8.930359
            ],
            [
                32.759375,
                -9.230599
            ]
        ],
        "ZWE": [
            [
                31.191409,
                -22.25151
            ],
            [
                30.659865,
                -22.151567
            ],
            [
                30.322883,
                -22.271612
            ],
            [
                29.839037,
                -22.102216
            ],
            [
                29.432188,
                -22.091313
            ],
            [
                28.794656,
                -21.639454
            ],
            [
                28.02137,
                -21.485975
            ],
            [
                27.727228,
                -20.851802
            ],
            [
                27.724747,
                -20.499059
            ],
            [
                27.296505,
                -20.39152
            ],
            [
                26.164791,
                -19.293086
            ],
            [
                25.850391,
                -18.714413
            ],
            [
                25.649163,
                -18.536026
            ],
            [
                25.264226,
                -17.73654
            ],
            [
                26.381935,
                -17.846042
            ],
            [
                26.706773,
                -17.961229
            ],
            [
                27.044427,
                -17.938026
            ],
            [
                27.598243,
                -17.290831
            ],
            [
                28.467906,
                -16.4684
            ],
            [
                28.825869,
                -16.389749
            ],
            [
                28.947463,
                -16.043051
            ],
            [
                29.516834,
                -15.644678
            ],
            [
                30.274256,
                -15.507787
            ],
            [
                30.338955,
                -15.880839
            ],
            [
                31.173064,
                -15.860944
            ],
            [
                31.636498,
                -16.07199
            ],
            [
                31.852041,
                -16.319417
            ],
            [
                32.328239,
                -16.392074
            ],
            [
                32.847639,
                -16.713398
            ],
            [
                32.849861,
                -17.979057
            ],
            [
                32.654886,
                -18.67209
            ],
            [
                32.611994,
                -19.419383
            ],
            [
                32.772708,
                -19.715592
            ],
            [
                32.659743,
                -20.30429
            ],
            [
                32.508693,
                -20.395292
            ],
            [
                32.244988,
                -21.116489
            ],
            [
                31.191409,
                -22.25151
            ]
        ]
    }
    alpha3ToCallingCodes = {'ABW': ['297'],
                            'AFG': ['93'],
                            'AGO': ['244'],
                            'AIA': ['1'],
                            'ALA': ['358'],
                            'ALB': ['355'],
                            'AND': ['376'],
                            'ARE': ['971'],
                            'ARG': ['54'],
                            'ARM': ['374'],
                            'ASM': ['1'],
                            'ATF': ['262'],
                            'ATG': ['1'],
                            'AUS': ['61'],
                            'AUT': ['43'],
                            'AZE': ['994'],
                            'BDI': ['257'],
                            'BEL': ['32'],
                            'BEN': ['229'],
                            'BES': ['599'],
                            'BFA': ['226'],
                            'BGD': ['880'],
                            'BGR': ['359'],
                            'BHR': ['973'],
                            'BHS': ['1'],
                            'BIH': ['387'],
                            'BLM': ['590'],
                            'BLR': ['375'],
                            'BLZ': ['501'],
                            'BMU': ['1'],
                            'BOL': ['591'],
                            'BRA': ['55'],
                            'BRB': ['1'],
                            'BRN': ['673'],
                            'BTN': ['975'],
                            'BWA': ['267'],
                            'CAF': ['236'],
                            'CAN': ['1'],
                            'CCK': ['61'],
                            'CHE': ['41'],
                            'CHL': ['56'],
                            'CHN': ['86'],
                            'CIV': ['225'],
                            'CMR': ['237'],
                            'COD': ['243'],
                            'COG': ['242'],
                            'COK': ['682'],
                            'COL': ['57'],
                            'COM': ['269'],
                            'CPV': ['238'],
                            'CRI': ['506'],
                            'CUB': ['53'],
                            'CUW': ['599'],
                            'CXR': ['61'],
                            'CYM': ['1'],
                            'CYP': ['357'],
                            'CZE': ['420'],
                            'DEU': ['49'],
                            'DJI': ['253'],
                            'DMA': ['1'],
                            'DNK': ['45'],
                            'DOM': ['1'],
                            'DZA': ['213'],
                            'ECU': ['593'],
                            'EGY': ['20'],
                            'ERI': ['291'],
                            'ESP': ['34'],
                            'EST': ['372'],
                            'ETH': ['251'],
                            'FIN': ['358'],
                            'FJI': ['679'],
                            'FLK': ['500'],
                            'FRA': ['33'],
                            'FRO': ['298'],
                            'FSM': ['691'],
                            'GAB': ['241'],
                            'GBR': ['44'],
                            'GEO': ['995'],
                            'GGY': ['44'],
                            'GHA': ['233'],
                            'GIB': ['350'],
                            'GIN': ['224'],
                            'GLP': ['590'],
                            'GMB': ['220'],
                            'GNB': ['245'],
                            'GNQ': ['240'],
                            'GRC': ['30'],
                            'GRD': ['1'],
                            'GRL': ['299'],
                            'GTM': ['502'],
                            'GUF': ['594'],
                            'GUM': ['1'],
                            'GUY': ['592'],
                            'HKG': ['852'],
                            'HMD': ['672'],
                            'HND': ['504'],
                            'HRV': ['385'],
                            'HTI': ['509'],
                            'HUN': ['36'],
                            'IDN': ['62'],
                            'IMN': ['44'],
                            'IND': ['91'],
                            'IOT': ['246'],
                            'IRL': ['353'],
                            'IRN': ['98'],
                            'IRQ': ['964'],
                            'ISL': ['354'],
                            'ISR': ['972'],
                            'ITA': ['39'],
                            'JAM': ['1'],
                            'JEY': ['44'],
                            'JOR': ['962'],
                            'JPN': ['81'],
                            'KAZ': ['76', '77'],
                            'KEN': ['254'],
                            'KGZ': ['996'],
                            'KHM': ['855'],
                            'KIR': ['686'],
                            'KNA': ['1'],
                            'KOR': ['82'],
                            'KWT': ['965'],
                            'LAO': ['856'],
                            'LBN': ['961'],
                            'LBR': ['231'],
                            'LBY': ['218'],
                            'LCA': ['1'],
                            'LIE': ['423'],
                            'LKA': ['94'],
                            'LSO': ['266'],
                            'LTU': ['370'],
                            'LUX': ['352'],
                            'LVA': ['371'],
                            'MAC': ['853'],
                            'MAF': ['590'],
                            'MAR': ['212'],
                            'MCO': ['377'],
                            'MDA': ['373'],
                            'MDG': ['261'],
                            'MDV': ['960'],
                            'MEX': ['52'],
                            'MHL': ['692'],
                            'MKD': ['389'],
                            'MLI': ['223'],
                            'MLT': ['356'],
                            'MMR': ['95'],
                            'MNE': ['382'],
                            'MNG': ['976'],
                            'MNP': ['1'],
                            'MOZ': ['258'],
                            'MRT': ['222'],
                            'MSR': ['1'],
                            'MTQ': ['596'],
                            'MUS': ['230'],
                            'MWI': ['265'],
                            'MYS': ['60'],
                            'MYT': ['262'],
                            'NAM': ['264'],
                            'NCL': ['687'],
                            'NER': ['227'],
                            'NFK': ['672'],
                            'NGA': ['234'],
                            'NIC': ['505'],
                            'NIU': ['683'],
                            'NLD': ['31'],
                            'NOR': ['47'],
                            'NPL': ['977'],
                            'NRU': ['674'],
                            'NZL': ['64'],
                            'OMN': ['968'],
                            'PAK': ['92'],
                            'PAN': ['507'],
                            'PCN': ['64'],
                            'PER': ['51'],
                            'PHL': ['63'],
                            'PLW': ['680'],
                            'PNG': ['675'],
                            'POL': ['48'],
                            'PRI': ['1'],
                            'PRK': ['850'],
                            'PRT': ['351'],
                            'PRY': ['595'],
                            'PSE': ['970'],
                            'PYF': ['689'],
                            'QAT': ['974'],
                            'REU': ['262'],
                            'ROU': ['40'],
                            'RUS': ['7'],
                            'RWA': ['250'],
                            'SAU': ['966'],
                            'SDN': ['249'],
                            'SEN': ['221'],
                            'SGP': ['65'],
                            'SGS': ['500'],
                            'SHN': ['290'],
                            'SJM': ['47'],
                            'SLB': ['677'],
                            'SLE': ['232'],
                            'SLV': ['503'],
                            'SMR': ['378'],
                            'SOM': ['252'],
                            'SPM': ['508'],
                            'SRB': ['381'],
                            'SSD': ['211'],
                            'STP': ['239'],
                            'SUR': ['597'],
                            'SVK': ['421'],
                            'SVN': ['386'],
                            'SWE': ['46'],
                            'SWZ': ['268'],
                            'SXM': ['1'],
                            'SYC': ['248'],
                            'SYR': ['963'],
                            'TCA': ['1'],
                            'TCD': ['235'],
                            'TGO': ['228'],
                            'THA': ['66'],
                            'TJK': ['992'],
                            'TKL': ['690'],
                            'TKM': ['993'],
                            'TLS': ['670'],
                            'TON': ['676'],
                            'TTO': ['1'],
                            'TUN': ['216'],
                            'TUR': ['90'],
                            'TUV': ['688'],
                            'TWN': ['886'],
                            'TZA': ['255'],
                            'UGA': ['256'],
                            'UKR': ['380'],
                            'UMI': ['246'],
                            'URY': ['598'],
                            'USA': ['1'],
                            'UZB': ['998'],
                            'VAT': ['379'],
                            'VCT': ['1'],
                            'VEN': ['58'],
                            'VGB': ['1'],
                            'VIR': ['1 340'],
                            'VNM': ['84'],
                            'VUT': ['678'],
                            'WLF': ['681'],
                            'WSM': ['685'],
                            'YEM': ['967'],
                            'ZAF': ['27'],
                            'ZMB': ['260'],
                            'ZWE': ['263']
                            }
    alpha3ToCapital = {
        "ABW": "Oranjestad",
        "AFG": "Kabul",
        "AGO": "Luanda",
        "AIA": "The Valley",
        "ALA": "Mariehamn",
        "ALB": "Tirana",
        "AND": "Andorra la Vella",
        "ARE": "Abu Dhabi",
        "ARG": "Buenos Aires",
        "ARM": "Yerevan",
        "ASM": "Pago Pago",
        "ATF": "Port-aux-Français",
        "ATG": "Saint John's",
        "AUS": "Canberra",
        "AUT": "Vienna",
        "AZE": "Baku",
        "BDI": "Bujumbura",
        "BEL": "Brussels",
        "BEN": "Porto-Novo",
        "BES": "Kralendijk",
        "BFA": "Ouagadougou",
        "BGD": "Dhaka",
        "BGR": "Sofia",
        "BHR": "Manama",
        "BHS": "Nassau",
        "BIH": "Sarajevo",
        "BLM": "Gustavia",
        "BLR": "Minsk",
        "BLZ": "Belmopan",
        "BMU": "Hamilton",
        "BOL": "Sucre",
        "BRA": "Brasília",
        "BRB": "Bridgetown",
        "BRN": "Bandar Seri Begawan",
        "BTN": "Thimphu",
        "BVT": None,
        "BWA": "Gaborone",
        "CAF": "Bangui",
        "CAN": "Ottawa",
        "CCK": "West Island",
        "CHE": "Bern",
        "CHL": "Santiago",
        "CHN": "Beijing",
        "CIV": "Yamoussoukro",
        "CMR": "Yaoundé",
        "COD": "Kinshasa",
        "COG": "Brazzaville",
        "COK": "Avarua",
        "COL": "Bogotá",
        "COM": "Moroni",
        "CPV": "Praia",
        "CRI": "San José",
        "CUB": "Havana",
        "CUW": "Willemstad",
        "CXR": "Flying Fish Cove",
        "CYM": "George Town",
        "CYP": "Nicosia",
        "CZE": "Prague",
        "DEU": "Berlin",
        "DJI": "Djibouti",
        "DMA": "Roseau",
        "DNK": "Copenhagen",
        "DOM": "Santo Domingo",
        "DZA": "Algiers",
        "ECU": "Quito",
        "EGY": "Cairo",
        "ERI": "Asmara",
        "ESH": "El Aaiún",
        "ESP": "Madrid",
        "EST": "Tallinn",
        "ETH": "Addis Ababa",
        "FIN": "Helsinki",
        "FJI": "Suva",
        "FLK": "Stanley",
        "FRA": "Paris",
        "FRO": "Tórshavn",
        "FSM": "Palikir",
        "GAB": "Libreville",
        "GBR": "London",
        "GEO": "Tbilisi",
        "GGY": "St. Peter Port",
        "GHA": "Accra",
        "GIB": "Gibraltar",
        "GIN": "Malabo",
        "GLP": "Basse-Terre",
        "GMB": "Banjul",
        "GNB": "Bissau",
        "GNQ": "Malabo",
        "GRC": "Athens",
        "GRD": "St. George's",
        "GRL": "Nuuk",
        "GTM": "Guatemala City",
        "GUF": "Cayenne",
        "GUM": "Hagåtña",
        "GUY": "Georgetown",
        "HKG": "City of Victoria",
        "HMD": None,
        "HND": "Tegucigalpa",
        "HRV": "Zagreb",
        "HTI": "Port-au-Prince",
        "HUN": "Budapest",
        "IDN": "Jakarta",
        "IMN": "Douglas",
        "IND": "New Delhi",
        "IOT": "Diego Garcia",
        "IRL": "Dublin",
        "IRN": "Tehran",
        "IRQ": "Baghdad",
        "ISL": "Reykjavík",
        "ISR": "Jerusalem (Disputed)",
        "ITA": "Rome",
        "JAM": "Kingston",
        "JEY": "Saint Helier",
        "JOR": "Amman",
        "JPN": "Tokyo",
        "KAZ": "Astana",
        "KEN": "Nairobi",
        "KGZ": "Bishkek",
        "KHM": "Phnom Penh",
        "KIR": "South Tarawa",
        "KNA": "Basseterre",
        "KOR": "Seoul",
        "KOS": "Pristina",
        "KWT": "Kuwait City",
        "LAO": "Vientiane",
        "LBN": "Beirut",
        "LBR": "Monrovia",
        "LBY": "Tripoli",
        "LCA": "Castries",
        "LIE": "Vaduz",
        "LKA": "Colombo",
        "LSO": "Maseru",
        "LTU": "Vilnius",
        "LUX": "Luxembourg City",
        "LVA": "Riga",
        "MAC": "Macao",
        "MAF": "Marigot",
        "MAR": "Rabat",
        "MCO": "Monte Carlo",
        "MDA": "Chișinău",
        "MDG": "Antananarivo",
        "MDV": "Malé",
        "MEX": "Mexico City",
        "MHL": "Majuro",
        "MKD": "Skopje",
        "MLI": "Bamako",
        "MLT": "Valletta",
        "MMR": "Naypyidaw",
        "MNE": "Podgorica",
        "MNG": "Ulaanbaatar",
        "MNP": "Saipan",
        "MOZ": "Maputo",
        "MRT": "Nouakchott",
        "MSR": "Plymouth",
        "MTQ": "Fort-de-France",
        "MUS": "Port Louis",
        "MWI": "Lilongwe",
        "MYS": "Kuala Lumpur",
        "MYT": "Mamoudzou",
        "NAM": "Windhoek",
        "NCL": "Nouméa",
        "NER": "Niamey",
        "NFK": "Kingston",
        "NGA": "Abuja",
        "NIC": "Managua",
        "NIU": "Alofi",
        "NLD": "Amsterdam",
        "NOR": "Oslo",
        "NPL": "Kathmandu",
        "NRU": "Yaren",
        "NZL": "Wellington",
        "OMN": "Muscat",
        "PAK": "Islamabad",
        "PAN": "Panama City",
        "PCN": "Adamstown",
        "PER": "Lima",
        "PHL": "Manila",
        "PLW": "Ngerulmud",
        "PNG": "Port Moresby",
        "POL": "Warsaw",
        "PRI": "San Juan",
        "PRK": "Pyongyang",
        "PRT": "Lisbon",
        "PRY": "Asunción",
        "PSE": "Jerusalem (Disputed)",
        "PYF": "Papeetē",
        "QAT": "Doha",
        "REU": "Saint-Denis",
        "ROU": "Bucharest",
        "RUS": "Moscow",
        "RWA": "Kigali",
        "SAU": "Riyadh",
        "SDN": "Juba",
        "SEN": "Dakar",
        "SGP": "Singapore",
        "SGS": "King Edward Point",
        "SHN": "Jamestown",
        "SJM": "Longyearbyen",
        "SLB": "Honiara",
        "SLE": "Freetown",
        "SLV": "San Salvador",
        "SMR": "City of San Marino",
        "SOM": "Mogadishu",
        "SPM": "Saint-Pierre",
        "SRB": "Belgrade",
        "SSD": "Juba",
        "STP": "São Tomé",
        "SUR": "Paramaribo",
        "SVK": "Bratislava",
        "SVN": "Ljubljana",
        "SWE": "Stockholm",
        "SWZ": "Lobamba",
        "SXM": "Philipsburg",
        "SYC": "Victoria",
        "SYR": "Damascus",
        "TCA": "Cockburn Town",
        "TCD": "N'Djamena",
        "TGO": "Lomé",
        "THA": "Bangkok",
        "TJK": "Dushanbe",
        "TKL": "Fakaofo",
        "TKM": "Ashgabat",
        "TLS": "Dili",
        "TON": "Nuku'alofa",
        "TTO": "Port of Spain",
        "TUN": "Tunis",
        "TUR": "Ankara",
        "TUV": "Funafuti",
        "TWN": "Taipei",
        "TZA": "Dodoma",
        "UGA": "Kampala",
        "UKR": "Kiev",
        "UMI": "Washington, D.C.",
        "URY": "Montevideo",
        "USA": "Washington, D.C.",
        "UZB": "Tashkent",
        "VAT": "Vatican City",
        "VCT": "Kingstown",
        "VEN": "Caracas",
        "VGB": "Road Town",
        "VIR": "Charlotte Amalie",
        "VNM": "Hanoi",
        "VUT": "Port Vila",
        "WLF": "Mata-Utu",
        "WSM": "Pago Pago",
        "YEM": "Sana'a",
        "ZAF": "Pretoria",
        "ZMB": "Lusaka",
        "ZWE": "Harare"
    }
    alpha3ToCapitalCoordinates = {
        "ABW": [
            12.526874,
            -70.035684
        ],
        "AFG": [
            34.526011,
            69.177684
        ],
        "AGO": [
            -8.82727,
            13.243951
        ],
        "AIA": [
            41.559572,
            -98.980548
        ],
        "ALA": None,
        "ALB": [
            41.326873,
            19.818791
        ],
        "AND": None,
        "ARE": [
            24.474796,
            54.370576
        ],
        "ARG": [
            -34.607568,
            -58.437089
        ],
        "ARM": [
            40.177612,
            44.512585
        ],
        "ASM": [
            -14.275479,
            -170.70483
        ],
        "ATF": None,
        "ATG": [
            47.561701,
            -52.715149
        ],
        "AUS": [
            -35.297591,
            149.101268
        ],
        "AUT": [
            48.208354,
            16.372504
        ],
        "AZE": [
            40.375443,
            49.832675
        ],
        "BDI": [
            -3.363812,
            29.367503
        ],
        "BEL": [
            50.846557,
            4.351697
        ],
        "BEN": [
            6.499072,
            2.625336
        ],
        "BES": None,
        "BFA": [
            12.368187,
            -1.527094
        ],
        "BGD": [
            23.759357,
            90.378814
        ],
        "BGR": [
            -15.25384,
            48.256216
        ],
        "BHR": [
            26.223504,
            50.582244
        ],
        "BHS": None,
        "BIH": [
            43.851977,
            18.386687
        ],
        "BLM": None,
        "BLR": [
            53.902334,
            27.561879
        ],
        "BLZ": [
            17.250199,
            -88.770018
        ],
        "BMU": [
            43.25608,
            -79.872858
        ],
        "BOL": [
            -19.047725,
            -65.259431
        ],
        "BRA": [
            -10.333333,
            -53.2
        ],
        "BRB": [
            13.097783,
            -59.618418
        ],
        "BRN": [
            4.889545,
            114.941757
        ],
        "BTN": [
            27.472762,
            89.629548
        ],
        "BWA": [
            -24.658136,
            25.908847
        ],
        "CAF": [
            4.390715,
            18.550913
        ],
        "CAN": [
            45.421106,
            -75.690308
        ],
        "CCK": [
            -12.189848,
            96.830449
        ],
        "CHE": [
            46.948271,
            7.451451
        ],
        "CHL": [
            9.869479,
            -83.798075
        ],
        "CHN": [
            39.906217,
            116.391276
        ],
        "CIV": None,
        "CMR": [
            3.868987,
            11.521334
        ],
        "COD": [
            -4.321706,
            15.312597
        ],
        "COG": [
            -4.269441,
            15.271226
        ],
        "COK": [
            -21.207474,
            -159.770814
        ],
        "COL": [
            4.59808,
            -74.076044
        ],
        "COM": [
            -11.693126,
            43.254304
        ],
        "CPV": None,
        "CRI": [
            9.932543,
            -84.079578
        ],
        "CUB": [
            23.135305,
            -82.358963
        ],
        "CUW": None,
        "CXR": [
            -10.426665,
            105.668672
        ],
        "CYM": [
            5.414568,
            100.329804
        ],
        "CYP": [
            35.17393,
            33.364726
        ],
        "CZE": [
            50.087465,
            14.421254
        ],
        "DEU": [
            52.517036,
            13.38886
        ],
        "DJI": [
            11.814597,
            42.845306
        ],
        "DMA": [
            48.771037,
            -95.769788
        ],
        "DNK": [
            55.686724,
            12.570072
        ],
        "DOM": [
            18.480197,
            -69.942111
        ],
        "DZA": [
            36.775361,
            3.060188
        ],
        "ECU": [
            -0.220164,
            -78.512327
        ],
        "EGY": [
            30.048819,
            31.243666
        ],
        "ERI": [
            15.338967,
            38.932676
        ],
        "ESP": [
            40.416705,
            -3.703582
        ],
        "EST": [
            59.437216,
            24.745369
        ],
        "ETH": [
            9.010793,
            38.761252
        ],
        "FIN": [
            60.16741,
            24.942577
        ],
        "FJI": [
            -18.141588,
            178.442166
        ],
        "FLK": [
            -51.695058,
            -57.849169
        ],
        "FRA": [
            48.856697,
            2.351462
        ],
        "FRO": [
            62.012,
            -6.768
        ],
        "FSM": None,
        "GAB": [
            0.390002,
            9.454001
        ],
        "GBR": [
            51.507322,
            -0.127647
        ],
        "GEO": [
            41.693459,
            44.80145
        ],
        "GGY": [
            49.456814,
            -2.538998
        ],
        "GHA": [
            5.560014,
            -0.205744
        ],
        "GIB": [
            36.140807,
            -5.35413
        ],
        "GIN": [
            9.51706,
            -13.699843
        ],
        "GLP": [
            16.000078,
            -61.733337
        ],
        "GMB": None,
        "GNB": [
            11.861324,
            -15.583055
        ],
        "GNQ": [
            3.752828,
            8.780061
        ],
        "GRC": [
            37.983941,
            23.728305
        ],
        "GRD": [
            48.658138,
            6.928099
        ],
        "GRL": [
            64.175029,
            -51.735539
        ],
        "GTM": [
            14.622233,
            -90.518519
        ],
        "GUF": [
            4.937114,
            -52.325831
        ],
        "GUM": [
            13.472745,
            144.752018
        ],
        "GUY": [
            6.802577,
            -58.162861
        ],
        "HKG": [
            -36.59861,
            144.678005
        ],
        "HMD": None,
        "HND": [
            14.105686,
            -87.204676
        ],
        "HRV": [
            45.813177,
            15.977048
        ],
        "HTI": [
            18.547327,
            -72.339593
        ],
        "HUN": [
            47.498382,
            19.040471
        ],
        "IDN": [
            -6.175394,
            106.827183
        ],
        "IMN": [
            39.762842,
            -88.217052
        ],
        "IND": [
            28.614179,
            77.202266
        ],
        "IOT": [
            -7.338358,
            72.471815
        ],
        "IRL": [
            53.349764,
            -6.260273
        ],
        "IRN": [
            35.700618,
            51.401378
        ],
        "IRQ": [
            33.302431,
            44.378799
        ],
        "ISL": [
            64.145981,
            -21.942237
        ],
        "ISR": [
            31.778345,
            35.225079
        ],
        "ITA": [
            41.89332,
            12.482932
        ],
        "JAM": [
            17.971215,
            -76.792813
        ],
        "JEY": [
            47.384387,
            4.683325
        ],
        "JOR": [
            31.951569,
            35.923962
        ],
        "JPN": [
            35.682839,
            139.759455
        ],
        "KAZ": [
            51.12822,
            71.430668
        ],
        "KEN": [
            -1.283253,
            36.817245
        ],
        "KGZ": [
            42.876562,
            74.607008
        ],
        "KHM": [
            11.568271,
            104.922443
        ],
        "KIR": [
            1.349078,
            173.038651
        ],
        "KNA": [
            17.296092,
            -62.722301
        ],
        "KOR": [
            37.566679,
            126.978291
        ],
        "KWT": [
            29.379709,
            47.973563
        ],
        "LAO": [
            17.964099,
            102.613371
        ],
        "LBN": [
            33.89592,
            35.47843
        ],
        "LBR": [
            6.328034,
            -10.797788
        ],
        "LBY": [
            32.896672,
            13.177792
        ],
        "LCA": [
            13.952589,
            -60.987824
        ],
        "LIE": [
            47.139286,
            9.522796
        ],
        "LKA": [
            6.934997,
            79.853846
        ],
        "LSO": [
            -29.310054,
            27.478222
        ],
        "LTU": [
            54.687046,
            25.282911
        ],
        "LUX": [
            49.815868,
            6.129675
        ],
        "LVA": [
            56.949398,
            24.105185
        ],
        "MAC": None,
        "MAF": None,
        "MAR": [
            34.022405,
            -6.834543
        ],
        "MCO": [
            43.732349,
            7.427683
        ],
        "MDA": [
            47.024471,
            28.832253
        ],
        "MDG": [
            -18.910012,
            47.525581
        ],
        "MDV": [
            16.370036,
            -2.290024
        ],
        "MEX": [
            19.43263,
            -99.133178
        ],
        "MHL": [
            7.090992,
            171.381635
        ],
        "MKD": None,
        "MLI": [
            12.605033,
            -7.986514
        ],
        "MLT": [
            35.898982,
            14.513676
        ],
        "MMR": None,
        "MNE": None,
        "MNG": [
            47.918468,
            106.917702
        ],
        "MNP": [
            15.190983,
            145.746853
        ],
        "MOZ": [
            -25.966213,
            32.56745
        ],
        "MRT": [
            18.079238,
            -15.978007
        ],
        "MSR": [
            50.371266,
            -4.142566
        ],
        "MTQ": [
            14.602796,
            -61.067672
        ],
        "MUS": [
            -20.163728,
            57.504533
        ],
        "MWI": [
            -13.987511,
            33.768144
        ],
        "MYS": [
            3.151696,
            101.694237
        ],
        "MYT": [
            -12.780586,
            45.227991
        ],
        "NAM": [
            -22.574392,
            17.079069
        ],
        "NCL": [
            -22.274526,
            166.442419
        ],
        "NER": [
            13.524834,
            2.109823
        ],
        "NFK": [
            17.971215,
            -76.792813
        ],
        "NGA": [
            9.06433,
            7.489297
        ],
        "NIC": [
            12.145991,
            -86.274666
        ],
        "NIU": [
            -19.053416,
            -169.919199
        ],
        "NLD": [
            52.37276,
            4.893604
        ],
        "NOR": [
            59.91333,
            10.73897
        ],
        "NPL": [
            27.708317,
            85.320582
        ],
        "NRU": [
            -0.547101,
            166.9164
        ],
        "NZL": [
            -41.288795,
            174.777211
        ],
        "OMN": [
            23.599786,
            58.54513
        ],
        "PAK": [
            33.693812,
            73.065151
        ],
        "PAN": [
            8.971449,
            -79.53418
        ],
        "PCN": None,
        "PER": [
            -12.062106,
            -77.036526
        ],
        "PHL": [
            14.590622,
            120.97997
        ],
        "PLW": [
            7.500619,
            134.624301
        ],
        "PNG": [
            -9.47433,
            147.15995
        ],
        "POL": [
            52.233717,
            21.071411
        ],
        "PRI": [
            18.465299,
            -66.116666
        ],
        "PRK": [
            39.019474,
            125.753388
        ],
        "PRT": [
            38.707751,
            -9.136592
        ],
        "PRY": [
            -25.280046,
            -57.634381
        ],
        "PSE": None,
        "PYF": [
            -17.537384,
            -149.565996
        ],
        "QAT": [
            25.285633,
            51.526416
        ],
        "REU": [
            48.935773,
            2.358023
        ],
        "ROU": [
            44.436141,
            26.10272
        ],
        "RUS": [
            55.750446,
            37.617494
        ],
        "RWA": [
            -1.88596,
            30.129675
        ],
        "SAU": [
            24.631969,
            46.715065
        ],
        "SDN": [
            15.593325,
            32.53565
        ],
        "SEN": [
            14.693425,
            -17.447938
        ],
        "SGP": [
            1.357107,
            103.819499
        ],
        "SGS": [
            -54.283545,
            -36.494636
        ],
        "SHN": None,
        "SJM": [
            78.223156,
            15.646366
        ],
        "SLB": [
            -9.431077,
            159.955255
        ],
        "SLE": [
            8.479004,
            -13.26795
        ],
        "SLV": [
            13.698994,
            -89.191425
        ],
        "SMR": [
            43.9364,
            12.446699
        ],
        "SOM": [
            2.042778,
            45.338564
        ],
        "SPM": [
            48.383272,
            7.471873
        ],
        "SRB": [
            44.817813,
            20.456897
        ],
        "SSD": [
            4.847202,
            31.595166
        ],
        "STP": None,
        "SUR": [
            5.821609,
            -55.177043
        ],
        "SVK": [
            48.151699,
            17.109306
        ],
        "SVN": [
            46.04998,
            14.50686
        ],
        "SWE": [
            59.325117,
            18.071094
        ],
        "SWZ": None,
        "SXM": None,
        "SYC": [
            -36.59861,
            144.678005
        ],
        "SYR": [
            33.51307,
            36.309581
        ],
        "TCA": None,
        "TCD": [
            12.119154,
            15.050276
        ],
        "TGO": [
            6.130419,
            1.215829
        ],
        "THA": [
            13.754253,
            100.493087
        ],
        "TJK": [
            38.542584,
            68.815214
        ],
        "TKL": [
            -9.374305,
            -171.264536
        ],
        "TKM": [
            37.939668,
            58.387426
        ],
        "TLS": None,
        "TON": [
            -21.13434,
            -175.201808
        ],
        "TTO": [
            10.657268,
            -61.518017
        ],
        "TUN": [
            33.843941,
            9.400138
        ],
        "TUR": [
            39.920777,
            32.854067
        ],
        "TUV": [
            -8.534995,
            179.11865
        ],
        "TWN": [
            25.03752,
            121.56368
        ],
        "TZA": [
            -6.337282,
            35.737177
        ],
        "UGA": [
            0.317714,
            32.581354
        ],
        "UKR": [
            50.450034,
            30.524136
        ],
        "UMI": None,
        "URY": [
            -34.905904,
            -56.191357
        ],
        "USA": [
            38.894986,
            -77.036571
        ],
        "UZB": [
            41.312336,
            69.278708
        ],
        "VAT": None,
        "VCT": [
            13.156186,
            -61.227962
        ],
        "VEN": [
            10.506098,
            -66.914602
        ],
        "VGB": None,
        "VIR": None,
        "VNM": [
            21.02945,
            105.854444
        ],
        "VUT": [
            -17.741497,
            168.315016
        ],
        "WLF": [
            -13.282042,
            -176.174022
        ],
        "WSM": [
            -13.834369,
            -171.769279
        ],
        "YEM": [
            15.353857,
            44.205884
        ],
        "ZAF": [
            -25.745937,
            28.187944
        ],
        "ZMB": [
            -15.416449,
            28.282154
        ],
        "ZWE": [
            -17.831773,
            31.045686
        ]
    }
    alpha3ToCoastline = {
        "AFG": 0,
        "ALB": 362,
        "DZA": 998,
        "ASM": 116,
        "AND": 0,
        "AGO": 1.6,
        "AIA": 61,
        "ATA": 17.968,
        "ATG": 153,
        "ARG": 4.989,
        "ARM": 0,
        "ABW": 68.5,
        "AUS": 25.76,
        "AUT": 0,
        "AZE": 0,
        "BHS": None,
        "BHR": 161,
        "BGD": 580,
        "BRB": 97,
        "BLR": 0,
        "BEL": 66.5,
        "BLZ": 386,
        "BEN": 121,
        "BMU": 103,
        "BTN": 0,
        "BOL": 0,
        "BIH": 20,
        "BWA": 0,
        "BRA": 7.491,
        "IOT": 698,
        "BRN": 161,
        "BGR": 354,
        "BFA": 0,
        "BDI": 0,
        "KHM": 443,
        "CMR": 402,
        "CAN": 202.08,
        "CPV": 965,
        "CYM": 160,
        "CAF": 0,
        "TCD": 0,
        "CHL": 6.435,
        "CHN": 14.5,
        "CXR": 138.9,
        "CCK": 26,
        "COL": 3.208,
        "COM": 340,
        "COG": None,
        "COK": 120,
        "CRI": 1.29,
        "HRV": 6.268,
        "CUB": 3.735,
        "CYP": 648,
        "CZE": 0,
        "DNK": 7.314,
        "DJI": 314,
        "DMA": 148,
        "DOM": 1.288,
        "TLS": None,
        "ECU": 2.237,
        "EGY": 2.45,
        "SLV": 307,
        "GNQ": 296,
        "ERI": 2.234,
        "EST": 3.794,
        "ETH": 0,
        "FLK": 1.288,
        "FRO": 1.117,
        "FJI": None,
        "FIN": 1.25,
        "FRA": None,
        "GUF": 763,
        "PYF": 2.525,
        "ATF": None,
        "GAB": 885,
        "GMB": 80,
        "GEO": 310,
        "DEU": 2.389,
        "GHA": 539,
        "GIB": 12,
        "GRC": 13.676,
        "GRL": 44.087,
        "GRD": 121,
        "GLP": 581,
        "GUM": 125.5,
        "GTM": 400,
        "GIN": 320,
        "GNB": 350,
        "GUY": 459,
        "HTI": 1.771,
        "HMD": 101.9,
        "VAT": None,
        "HND": 832,
        "HKG": 733,
        "HUN": 0,
        "ISL": 4.97,
        "IND": 7,
        "IDN": 54.716,
        "IRN": 3.294,
        "IRQ": 58,
        "IRL": 1.448,
        "ISR": 273,
        "ITA": 7.6,
        "CIV": 515,
        "JAM": 1.022,
        "JPN": 29.751,
        "JOR": 26,
        "KAZ": None,
        "KEN": 536,
        "KIR": 1.143,
        "KWT": 499,
        "KGZ": 0,
        "LAO": 0,
        "LVA": 498,
        "LBN": 225,
        "LSO": 0,
        "LBR": 579,
        "LBY": None,
        "LIE": 0,
        "LTU": 90,
        "LUX": 0,
        "MAC": None,
        "MKD": None,
        "MDG": 4.828,
        "MWI": 0,
        "MYS": 4.675,
        "MDV": 644,
        "MLI": 0,
        "MLT": 252.81,
        "MHL": 370.4,
        "MTQ": 369,
        "MRT": 754,
        "MUS": 177,
        "MYT": None,
        "MEX": 9.33,
        "FSM": 6.112,
        "MDA": 0,
        "MCO": 4.1,
        "MNG": 0,
        "MSR": 40,
        "MAR": 1.835,
        "MOZ": 2.47,
        "MMR": None,
        "NAM": 1.572,
        "NRU": 30,
        "NPL": 0,
        "NLD": 451,
        "NCL": 2.254,
        "NZL": 15.134,
        "NIC": 910,
        "NER": 0,
        "NGA": 853,
        "NIU": 64,
        "NFK": 32,
        "PRK": None,
        "MNP": 1.482,
        "NOR": 25.148,
        "OMN": 2.092,
        "PAK": 1.046,
        "PLW": 1.519,
        "PSE": None,
        "PAN": 2.49,
        "PNG": 5.152,
        "PRY": 0,
        "PER": 2.414,
        "PHL": 36.289,
        "PCN": None,
        "POL": 440,
        "PRT": 1.793,
        "PRI": 501,
        "QAT": 563,
        "REU": 219,
        "ROU": 225,
        "RUS": None,
        "RWA": 0,
        "SHN": None,
        "KNA": 135,
        "LCA": 158,
        "SPM": 120,
        "VCT": 84,
        "WSM": 403,
        "SMR": 0,
        "STP": 209,
        "SAU": 2.64,
        "SEN": 531,
        "SRB": 199,
        "SYC": 491,
        "SLE": 402,
        "SGP": 193,
        "SVK": 0,
        "SVN": 46.6,
        "SLB": 5.313,
        "SOM": 3.333,
        "ZAF": 2.798,
        "SGS": 0,
        "KOR": None,
        "SSD": 0,
        "ESP": 4.964,
        "LKA": None,
        "SDN": 853,
        "SUR": 386,
        "SJM": None,
        "SWZ": 0,
        "SWE": 3.218,
        "CHE": 0,
        "SYR": 193,
        "TJK": 0,
        "TZA": 1.424,
        "THA": 3.219,
        "COD": None,
        "TGO": 56,
        "TKL": 101,
        "TON": 419,
        "TTO": 362,
        "TUN": 1.148,
        "TUR": 7.2,
        "TKM": 0,
        "TCA": 389,
        "TUV": 24,
        "UGA": 0,
        "UKR": 2.782,
        "ARE": 1.318,
        "GBR": 12.429,
        "USA": 19.924,
        "UMI": None,
        "URY": 660,
        "UZB": 0,
        "VUT": 2.528,
        "VEN": 2.8,
        "VNM": 3.444,
        "VGB": None,
        "VIR": None,
        "WLF": 129,
        "YEM": 1.906,
        "ZMB": 0,
        "ZWE": 0
    }
    alpha3ToContinent = {
        "ABW": "SOUTH_AMERICA",
        "AFG": "ASIA",
        "AGO": "AFRICA",
        "AIA": "NORTH_AMERICA",
        "ALA": "EUROPE",
        "ALB": "EUROPE",
        "AND": "EUROPE",
        "ARE": "ASIA",
        "ARG": "SOUTH_AMERICA",
        "ARM": "ASIA",
        "ASM": "OCEANIA",
        "ATA": "ANTARCTICA",
        "ATF": "ANTARCTICA",
        "ATG": "NORTH_AMERICA",
        "AUS": "OCEANIA",
        "AUT": "EUROPE",
        "AZE": "ASIA",
        "BDI": "AFRICA",
        "BEL": "EUROPE",
        "BEN": "AFRICA",
        "BES": "NORTH_AMERICA",
        "BFA": "AFRICA",
        "BGD": "ASIA",
        "BGR": "EUROPE",
        "BHR": "ASIA",
        "BHS": "NORTH_AMERICA",
        "BIH": "EUROPE",
        "BLR": "EUROPE",
        "BLM": "NORTH_AMERICA",
        "BLZ": "NORTH_AMERICA",
        "BMU": "NORTH_AMERICA",
        "BOL": "SOUTH_AMERICA",
        "BRA": "SOUTH_AMERICA",
        "BRB": "NORTH_AMERICA",
        "BRN": "ASIA",
        "BTN": "ASIA",
        "BWA": "AFRICA",
        "CAF": "AFRICA",
        "CAN": "NORTH_AMERICA",
        "CCK": "VOID",
        "CHE": "EUROPE",
        "CHL": "SOUTH_AMERICA",
        "CHN": "ASIA",
        "CIV": "AFRICA",
        "CMR": "ASIA",
        "COD": "AFRICA",
        "COG": "AFRICA",
        "COK": "OCEANIA",
        "COL": "SOUTH_AMERICA",
        "COM": "AFRICA",
        "CPV": "AFRICA",
        "CRI": "NORTH_AMERICA",
        "CUB": "NORTH_AMERICA",
        "CUW": "SOUTH_AMERICA",
        "CXR": "OCEANIA",
        "CYM": "NORTH_AMERICA",
        "CYP": "ASIA",
        "CZE": "EUROPE",
        "DEU": "EUROPE",
        "DJI": "AFRICA",
        "DMA": "NORTH_AMERICA",
        "DNK": "EUROPE",
        "DOM": "NORTH_AMERICA",
        "DZA": "AFRICA",
        "ECU": "SOUTH_AMERICA",
        "EGY": "AFRICA",
        "ERI": "AFRICA",
        "ESP": "EUROPE",
        "EST": "EUROPE",
        "ETH": "AFRICA",
        "FIN": "EUROPE",
        "FJI": "OCEANIA",
        "FLK": "SOUTH_AMERICA",
        "FRA": "EUROPE",
        "FRO": "EUROPE",
        "FSM": "OCEANIA",
        "GAB": "AFRICA",
        "GBR": "EUROPE",
        "GEO": "ASIA",
        "GGY": "EUROPE",
        "GIN": "AFRICA",
        "GHA": "AFRICA",
        "GIB": "EUROPE",
        "GLP": "NORTH_AMERICA",
        "GMB": "AFRICA",
        "GNB": "AFRICA",
        "GNQ": "AFRICA",
        "GRC": "EUROPE",
        "GRD": "NORTH_AMERICA",
        "GRL": "NORTH_AMERICA",
        "GTM": "NORTH_AMERICA",
        "GUF": "SOUTH_AMERICA",
        "GUM": "OCEANIA",
        "GUY": "SOUTH_AMERICA",
        "HKG": "ASIA",
        "HMD": "ANTARCTICA",
        "HND": "NORTH_AMERICA",
        "HRV": "EUROPE",
        "HTI": "NORTH_AMERICA",
        "HUN": "EUROPE",
        "IDN": "OCEANIA",
        "IMN": "EUROPE",
        "IND": "ASIA",
        "IOT": "ASIA",
        "IRL": "EUROPE",
        "IRN": "ASIA",
        "IRQ": "ASIA",
        "ISL": "EUROPE",
        "ISR": "ASIA",
        "ITA": "EUROPE",
        "JAM": "NORTH_AMERICA",
        "JEY": "EUROPE",
        "JOR": "ASIA",
        "JPN": "ASIA",
        "KAZ": "ASIA",
        "KEN": "AFRICA",
        "KGZ": "ASIA",
        "KHM": "ASIA",
        "KIR": "OCEANIA",
        "KNA": "NORTH_AMERICA",
        "KOR": "ASIA",
        "KOS": "EUROPE",
        "KWT": "ASIA",
        "LAO": "ASIA",
        "LBN": "ASIA",
        "LBR": "AFRICA",
        "LBY": "AFRICA",
        "LCA": "NORTH_AMERICA",
        "LIE": "EUROPE",
        "LKA": "ASIA",
        "LSO": "AFRICA",
        "LTU": "EUROPE",
        "LUX": "EUROPE",
        "LVA": "EUROPE",
        "MAC": "ASIA",
        "MAF": "NORTH_AMERICA",
        "MAR": "AFRICA",
        "MCO": "EUROPE",
        "MDA": "EUROPE",
        "MDG": "AFRICA",
        "MDV": "ASIA",
        "MEX": "NORTH_AMERICA",
        "MKD": "EUROPE",
        "MHL": "OCEANIA",
        "MLI": "AFRICA",
        "MLT": "EUROPE",
        "MMR": "ASIA",
        "MNE": "EUROPE",
        "MNG": "ASIA",
        "MNP": "OCEANIA",
        "MOZ": "AFRICA",
        "MRT": "AFRICA",
        "MSR": "NORTH_AMERICA",
        "MTQ": "NORTH_AMERICA",
        "MUS": "AFRICA",
        "MWI": "AFRICA",
        "MYS": "ASIA",
        "MYT": "AFRICA",
        "NAM": "AFRICA",
        "NCL": "OCEANIA",
        "NFK": "OCEANIA",
        "NER": "AFRICA",
        "NGA": "AFRICA",
        "NIC": "NORTH_AMERICA",
        "NIU": "OCEANIA",
        "NLD": "EUROPE",
        "NOR": "EUROPE",
        "NPL": "ASIA",
        "NRU": "OCEANIA",
        "NZL": "OCEANIA",
        "OMN": "ASIA",
        "PAK": "ASIA",
        "PAN": "NORTH_AMERICA",
        "PCN": "OCEANIA",
        "PER": "SOUTH_AMERICA",
        "PHL": "ASIA",
        "PLW": "OCEANIA",
        "PNG": "OCEANIA",
        "POL": "EUROPE",
        "PRI": "NORTH_AMERICA",
        "PRK": "ASIA",
        "PRT": "EUROPE",
        "PRY": "SOUTH_AMERICA",
        "PSE": "ASIA",
        "PYF": "OCEANIA",
        "QAT": "ASIA",
        "REU": "AFRICA",
        "ROU": "EUROPE",
        "RUS": "ASIA",
        "RWA": "AFRICA",
        "SAU": "ASIA",
        "SEN": "AFRICA",
        "SDN": "AFRICA",
        "SGP": "ASIA",
        "SGS": "ANTARCTICA",
        "SHN": "AFRICA",
        "SJM": "EUROPE",
        "SLB": "OCEANIA",
        "SLE": "AFRICA",
        "SLV": "NORTH_AMERICA",
        "SMR": "EUROPE",
        "SOM": "AFRICA",
        "SPM": "NORTH_AMERICA",
        "SRB": "EUROPE",
        "SSD": "AFRICA",
        "STP": "AFRICA",
        "SUR": "SOUTH_AMERICA",
        "SVK": "EUROPE",
        "SVN": "EUROPE",
        "SWE": "EUROPE",
        "SWZ": "AFRICA",
        "SXM": "NORTH_AMERICA",
        "SYC": "AFRICA",
        "SYR": "ASIA",
        "TCA": "NORTHERN_AMERICA",
        "TCD": "AFRICA",
        "TGO": "AFRICA",
        "THA": "ASIA",
        "TJK": "ASIA",
        "TKL": "OCEANIA",
        "TKM": "ASIA",
        "TLS": "OCEANIA",
        "TON": "OCEANIA",
        "TTO": "NORTH_AMERICA",
        "TUN": "AFRICA",
        "TUR": "EUROPE",
        "TUV": "OCEANIA",
        "TWN": "ASIA",
        "TZA": "AFRICA",
        "UGA": "AFRICA",
        "UKR": "EUROPE",
        "UMI": "OCEANIA",
        "URY": "SOUTH_AMERICA",
        "USA": "NORTH_AMERICA",
        "UZB": "ASIA",
        "VAT": "EUROPE",
        "VCT": "NORTH_AMERICA",
        "VEN": "SOUTH_AMERICA",
        "VGB": "NORTH_AMERICA",
        "VIR": "NORTH_AMERICA",
        "VNM": "ASIA",
        "VUT": "OCEANIA",
        "WLF": "OCEANIA",
        "WSM": "OCEANIA",
        "YEM": "ASIA",
        "ZAF": "AFRICA",
        "ZMB": "AFRICA",
        "ZWE": "AFRICA"
    }
    alpha3ToCurrencies = {'ABW': [{'code': 'AWG', 'name': 'Aruban florin', 'symbol': 'ƒ'}],
                          'AFG': [{'code': 'AFN', 'name': 'Afghan afghani', 'symbol': '؋'}],
                          'AGO': [{'code': 'AOA', 'name': 'Angolan kwanza', 'symbol': 'Kz'}],
                          'AIA': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'ALA': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'ALB': [{'code': 'ALL', 'name': 'Albanian lek', 'symbol': 'L'}],
                          'AND': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'ARE': [{'code': 'AED',
                                   'name': 'United Arab Emirates dirham',
                                   'symbol': 'د.إ'}],
                          'ARG': [{'code': 'ARS', 'name': 'Argentine peso', 'symbol': '$'}],
                          'ARM': [{'code': 'AMD', 'name': 'Armenian dram', 'symbol': '֏'}],
                          'ASM': [{'code': 'USD', 'name': 'United States Dollar', 'symbol': '$'}],
                          'ATF': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'ATG': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'AUS': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'}],
                          'AUT': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'AZE': [{'code': 'AZN', 'name': 'Azerbaijani manat', 'symbol': '₼'}],
                          'BDI': [{'code': 'BIF', 'name': 'Burundian franc', 'symbol': 'Fr'}],
                          'BEL': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'BEN': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'BES': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'BFA': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'BGD': [{'code': 'BDT', 'name': 'Bangladeshi taka', 'symbol': '৳'}],
                          'BGR': [{'code': 'BGN', 'name': 'Bulgarian lev', 'symbol': 'лв'}],
                          'BHR': [{'code': 'BHD', 'name': 'Bahraini dinar', 'symbol': '.د.ب'}],
                          'BHS': [{'code': 'BSD', 'name': 'Bahamian dollar', 'symbol': '$'}],
                          'BIH': [{'code': 'BAM',
                                   'name': 'Bosnia and Herzegovina convertible mark',
                                   'symbol': 'KM'}],
                          'BLM': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'BLR': [{'code': 'BYN', 'name': 'New Belarusian ruble', 'symbol': 'Br'},
                                  {'code': 'BYR', 'name': 'Old Belarusian ruble', 'symbol': 'Br'}],
                          'BLZ': [{'code': 'BZD', 'name': 'Belize dollar', 'symbol': '$'}],
                          'BMU': [{'code': 'BMD', 'name': 'Bermudian dollar', 'symbol': '$'}],
                          'BOL': [{'code': 'BOB', 'name': 'Bolivian boliviano', 'symbol': 'Bs.'}],
                          'BRA': [{'code': 'BRL', 'name': 'Brazilian real', 'symbol': 'R$'}],
                          'BRB': [{'code': 'BBD', 'name': 'Barbadian dollar', 'symbol': '$'}],
                          'BRN': [{'code': 'BND', 'name': 'Brunei dollar', 'symbol': '$'},
                                  {'code': 'SGD', 'name': 'Singapore dollar', 'symbol': '$'}],
                          'BTN': [{'code': 'BTN', 'name': 'Bhutanese ngultrum', 'symbol': 'Nu.'},
                                  {'code': 'INR', 'name': 'Indian rupee', 'symbol': '₹'}],
                          'BWA': [{'code': 'BWP', 'name': 'Botswana pula', 'symbol': 'P'}],
                          'CAF': [{'code': 'XAF', 'name': 'Central African CFA franc', 'symbol': 'Fr'}],
                          'CAN': [{'code': 'CAD', 'name': 'Canadian dollar', 'symbol': '$'}],
                          'CCK': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'}],
                          'CHE': [{'code': 'CHF', 'name': 'Swiss franc', 'symbol': 'Fr'}],
                          'CHL': [{'code': 'CLP', 'name': 'Chilean peso', 'symbol': '$'}],
                          'CHN': [{'code': 'CNY', 'name': 'Chinese yuan', 'symbol': '¥'}],
                          'CIV': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'CMR': [{'code': 'XAF', 'name': 'Central African CFA franc', 'symbol': 'Fr'}],
                          'COD': [{'code': 'CDF', 'name': 'Congolese franc', 'symbol': 'Fr'}],
                          'COG': [{'code': 'XAF', 'name': 'Central African CFA franc', 'symbol': 'Fr'}],
                          'COK': [{'code': 'NZD', 'name': 'New Zealand dollar', 'symbol': '$'},
                                  {'code': 'CKD', 'name': 'Cook Islands dollar', 'symbol': '$'}],
                          'COL': [{'code': 'COP', 'name': 'Colombian peso', 'symbol': '$'}],
                          'COM': [{'code': 'KMF', 'name': 'Comorian franc', 'symbol': 'Fr'}],
                          'CPV': [{'code': 'CVE', 'name': 'Cape Verdean escudo', 'symbol': 'Esc'}],
                          'CRI': [{'code': 'CRC', 'name': 'Costa Rican colón', 'symbol': '₡'}],
                          'CUB': [{'code': 'CUC', 'name': 'Cuban convertible peso', 'symbol': '$'},
                                  {'code': 'CUP', 'name': 'Cuban peso', 'symbol': '$'}],
                          'CUW': [{'code': 'ANG',
                                   'name': 'Netherlands Antillean guilder',
                                   'symbol': 'ƒ'}],
                          'CXR': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'}],
                          'CYM': [{'code': 'KYD', 'name': 'Cayman Islands dollar', 'symbol': '$'}],
                          'CYP': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'CZE': [{'code': 'CZK', 'name': 'Czech koruna', 'symbol': 'Kč'}],
                          'DEU': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'DJI': [{'code': 'DJF', 'name': 'Djiboutian franc', 'symbol': 'Fr'}],
                          'DMA': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'DNK': [{'code': 'DKK', 'name': 'Danish krone', 'symbol': 'kr'}],
                          'DOM': [{'code': 'DOP', 'name': 'Dominican peso', 'symbol': '$'}],
                          'DZA': [{'code': 'DZD', 'name': 'Algerian dinar', 'symbol': 'د.ج'}],
                          'ECU': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'EGY': [{'code': 'EGP', 'name': 'Egyptian pound', 'symbol': '£'}],
                          'ERI': [{'code': 'ERN', 'name': 'Eritrean nakfa', 'symbol': 'Nfk'}],
                          'ESP': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'EST': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'ETH': [{'code': 'ETB', 'name': 'Ethiopian birr', 'symbol': 'Br'}],
                          'FIN': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'FJI': [{'code': 'FJD', 'name': 'Fijian dollar', 'symbol': '$'}],
                          'FLK': [{'code': 'FKP', 'name': 'Falkland Islands pound', 'symbol': '£'}],
                          'FRA': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'FRO': [{'code': 'DKK', 'name': 'Danish krone', 'symbol': 'kr'},
                                  {'code': 'FOK', 'name': 'Faroese króna', 'symbol': 'kr'}],
                          'FSM': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'GAB': [{'code': 'XAF', 'name': 'Central African CFA franc', 'symbol': 'Fr'}],
                          'GBR': [{'code': 'GBP', 'name': 'British pound', 'symbol': '£'}],
                          'GEO': [{'code': 'GEL', 'name': 'Georgian Lari', 'symbol': 'ლ'}],
                          'GGY': [{'code': 'GBP', 'name': 'British pound', 'symbol': '£'},
                                  {'code': 'GGP', 'name': 'Guernsey pound', 'symbol': '£'}],
                          'GHA': [{'code': 'GHS', 'name': 'Ghanaian cedi', 'symbol': '₵'}],
                          'GIB': [{'code': 'GIP', 'name': 'Gibraltar pound', 'symbol': '£'}],
                          'GIN': [{'code': 'GNF', 'name': 'Guinean franc', 'symbol': 'Fr'}],
                          'GLP': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'GMB': [{'code': 'GMD', 'name': 'Gambian dalasi', 'symbol': 'D'}],
                          'GNB': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'GNQ': [{'code': 'XAF', 'name': 'Central African CFA franc', 'symbol': 'Fr'}],
                          'GRC': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'GRD': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'GRL': [{'code': 'DKK', 'name': 'Danish krone', 'symbol': 'kr'}],
                          'GTM': [{'code': 'GTQ', 'name': 'Guatemalan quetzal', 'symbol': 'Q'}],
                          'GUF': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'GUM': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'GUY': [{'code': 'GYD', 'name': 'Guyanese dollar', 'symbol': '$'}],
                          'HKG': [{'code': 'HKD', 'name': 'Hong Kong dollar', 'symbol': '$'}],
                          'HMD': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'}],
                          'HND': [{'code': 'HNL', 'name': 'Honduran lempira', 'symbol': 'L'}],
                          'HRV': [{'code': 'HRK', 'name': 'Croatian kuna', 'symbol': 'kn'}],
                          'HTI': [{'code': 'HTG', 'name': 'Haitian gourde', 'symbol': 'G'}],
                          'HUN': [{'code': 'HUF', 'name': 'Hungarian forint', 'symbol': 'Ft'}],
                          'IDN': [{'code': 'IDR', 'name': 'Indonesian rupiah', 'symbol': 'Rp'}],
                          'IMN': [{'code': 'GBP', 'name': 'British pound', 'symbol': '£'},
                                  {'code': 'IMP[G]', 'name': 'Manx pound', 'symbol': '£'}],
                          'IND': [{'code': 'INR', 'name': 'Indian rupee', 'symbol': '₹'}],
                          'IOT': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'IRL': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'IRN': [{'code': 'IRR', 'name': 'Iranian rial', 'symbol': '﷼'}],
                          'IRQ': [{'code': 'IQD', 'name': 'Iraqi dinar', 'symbol': 'ع.د'}],
                          'ISL': [{'code': 'ISK', 'name': 'Icelandic króna', 'symbol': 'kr'}],
                          'ISR': [{'code': 'ILS', 'name': 'Israeli new shekel', 'symbol': '₪'}],
                          'ITA': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'JAM': [{'code': 'JMD', 'name': 'Jamaican dollar', 'symbol': '$'}],
                          'JEY': [{'code': 'GBP', 'name': 'British pound', 'symbol': '£'},
                                  {'code': 'JEP[G]', 'name': 'Jersey pound', 'symbol': '£'}],
                          'JOR': [{'code': 'JOD', 'name': 'Jordanian dinar', 'symbol': 'د.ا'}],
                          'JPN': [{'code': 'JPY', 'name': 'Japanese yen', 'symbol': '¥'}],
                          'KAZ': [{'code': 'KZT', 'name': 'Kazakhstani tenge', 'symbol': '₸'}],
                          'KEN': [{'code': 'KES', 'name': 'Kenyan shilling', 'symbol': 'Sh'}],
                          'KGZ': [{'code': 'KGS', 'name': 'Kyrgyzstani som', 'symbol': 'с'}],
                          'KHM': [{'code': 'KHR', 'name': 'Cambodian riel', 'symbol': '៛'},
                                  {'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'KIR': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'},
                                  {'code': 'KID', 'name': 'Kiribati dollar', 'symbol': '$'}],
                          'KNA': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'KOR': [{'code': 'KRW', 'name': 'South Korean won', 'symbol': '₩'}],
                          'KWT': [{'code': 'KWD', 'name': 'Kuwaiti dinar', 'symbol': 'د.ك'}],
                          'LAO': [{'code': 'LAK', 'name': 'Lao kip', 'symbol': '₭'}],
                          'LBN': [{'code': 'LBP', 'name': 'Lebanese pound', 'symbol': 'ل.ل'}],
                          'LBR': [{'code': 'LRD', 'name': 'Liberian dollar', 'symbol': '$'}],
                          'LBY': [{'code': 'LYD', 'name': 'Libyan dinar', 'symbol': 'ل.د'}],
                          'LCA': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'LIE': [{'code': 'CHF', 'name': 'Swiss franc', 'symbol': 'Fr'}],
                          'LKA': [{'code': 'LKR', 'name': 'Sri Lankan rupee', 'symbol': 'Rs'}],
                          'LSO': [{'code': 'LSL', 'name': 'Lesotho loti', 'symbol': 'L'},
                                  {'code': 'ZAR', 'name': 'South African rand', 'symbol': 'R'}],
                          'LTU': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'LUX': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'LVA': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'MAC': [{'code': 'MOP', 'name': 'Macanese pataca', 'symbol': 'P'}],
                          'MAF': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'MAR': [{'code': 'MAD', 'name': 'Moroccan dirham', 'symbol': 'د.م.'}],
                          'MCO': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'MDA': [{'code': 'MDL', 'name': 'Moldovan leu', 'symbol': 'L'}],
                          'MDG': [{'code': 'MGA', 'name': 'Malagasy ariary', 'symbol': 'Ar'}],
                          'MDV': [{'code': 'MVR', 'name': 'Maldivian rufiyaa', 'symbol': '.ރ'}],
                          'MEX': [{'code': 'MXN', 'name': 'Mexican peso', 'symbol': '$'}],
                          'MHL': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'MKD': [{'code': 'MKD', 'name': 'Macedonian denar', 'symbol': 'ден'}],
                          'MLI': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'MLT': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'MMR': [{'code': 'MMK', 'name': 'Burmese kyat', 'symbol': 'Ks'}],
                          'MNE': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'MNG': [{'code': 'MNT', 'name': 'Mongolian tögrög', 'symbol': '₮'}],
                          'MNP': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'MOZ': [{'code': 'MZN', 'name': 'Mozambican metical', 'symbol': 'MT'}],
                          'MRT': [{'code': 'MRO', 'name': 'Mauritanian ouguiya', 'symbol': 'UM'}],
                          'MSR': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'MTQ': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'MUS': [{'code': 'MUR', 'name': 'Mauritian rupee', 'symbol': '₨'}],
                          'MWI': [{'code': 'MWK', 'name': 'Malawian kwacha', 'symbol': 'MK'}],
                          'MYS': [{'code': 'MYR', 'name': 'Malaysian ringgit', 'symbol': 'RM'}],
                          'MYT': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'NAM': [{'code': 'NAD', 'name': 'Namibian dollar', 'symbol': '$'},
                                  {'code': 'ZAR', 'name': 'South African rand', 'symbol': 'R'}],
                          'NCL': [{'code': 'XPF', 'name': 'CFP franc', 'symbol': 'Fr'}],
                          'NER': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'NFK': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'}],
                          'NGA': [{'code': 'NGN', 'name': 'Nigerian naira', 'symbol': '₦'}],
                          'NIC': [{'code': 'NIO', 'name': 'Nicaraguan córdoba', 'symbol': 'C$'}],
                          'NIU': [{'code': 'NZD', 'name': 'New Zealand dollar', 'symbol': '$'},
                                  {'code': 'NZD', 'name': 'Niue dollar', 'symbol': '$'}],
                          'NLD': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'NOR': [{'code': 'NOK', 'name': 'Norwegian krone', 'symbol': 'kr'}],
                          'NPL': [{'code': 'NPR', 'name': 'Nepalese rupee', 'symbol': '₨'}],
                          'NRU': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'}],
                          'NZL': [{'code': 'NZD', 'name': 'New Zealand dollar', 'symbol': '$'}],
                          'OMN': [{'code': 'OMR', 'name': 'Omani rial', 'symbol': 'ر.ع.'}],
                          'PAK': [{'code': 'PKR', 'name': 'Pakistani rupee', 'symbol': '₨'}],
                          'PAN': [{'code': 'PAB', 'name': 'Panamanian balboa', 'symbol': 'B/.'},
                                  {'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'PCN': [{'code': 'NZD', 'name': 'New Zealand dollar', 'symbol': '$'},
                                  {'code': 'PND', 'name': 'Pitcairn Islands dollar', 'symbol': '$'}],
                          'PER': [{'code': 'PEN', 'name': 'Peruvian sol', 'symbol': 'S/.'}],
                          'PHL': [{'code': 'PHP', 'name': 'Philippine peso', 'symbol': '₱'}],
                          'PLW': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'PNG': [{'code': 'PGK', 'name': 'Papua New Guinean kina', 'symbol': 'K'}],
                          'POL': [{'code': 'PLN', 'name': 'Polish złoty', 'symbol': 'zł'}],
                          'PRI': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'PRK': [{'code': 'KPW', 'name': 'North Korean won', 'symbol': '₩'}],
                          'PRT': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'PRY': [{'code': 'PYG', 'name': 'Paraguayan guaraní', 'symbol': '₲'}],
                          'PSE': [{'code': 'EGP', 'name': 'Egyptian pound', 'symbol': 'E£'},
                                  {'code': 'ILS', 'name': 'Israeli new shekel', 'symbol': '₪'},
                                  {'code': 'JOD', 'name': 'Jordanian dinar', 'symbol': 'د.أ'}],
                          'PYF': [{'code': 'XPF', 'name': 'CFP franc', 'symbol': 'Fr'}],
                          'QAT': [{'code': 'QAR', 'name': 'Qatari riyal', 'symbol': 'ر.ق'}],
                          'REU': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'ROU': [{'code': 'RON', 'name': 'Romanian leu', 'symbol': 'lei'}],
                          'RUS': [{'code': 'RUB', 'name': 'Russian ruble', 'symbol': '₽'}],
                          'RWA': [{'code': 'RWF', 'name': 'Rwandan franc', 'symbol': 'Fr'}],
                          'SAU': [{'code': 'SAR', 'name': 'Saudi riyal', 'symbol': 'ر.س'}],
                          'SDN': [{'code': 'SDG', 'name': 'Sudanese pound', 'symbol': 'ج.س.'}],
                          'SEN': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'SGP': [{'code': 'BND', 'name': 'Brunei dollar', 'symbol': '$'},
                                  {'code': 'SGD', 'name': 'Singapore dollar', 'symbol': '$'}],
                          'SGS': [{'code': 'FKP', 'name': 'Falkland Islands Pound', 'symbol': '£'}],
                          'SHN': [{'code': 'SHP', 'name': 'Saint Helena pound', 'symbol': '£'}],
                          'SJM': [{'code': 'NOK', 'name': 'Norwegian krone', 'symbol': 'kr'}],
                          'SLB': [{'code': 'SBD', 'name': 'Solomon Islands dollar', 'symbol': '$'}],
                          'SLE': [{'code': 'SLL', 'name': 'Sierra Leonean leone', 'symbol': 'Le'}],
                          'SLV': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'SMR': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'SOM': [{'code': 'SOS', 'name': 'Somali shilling', 'symbol': 'Sh'}],
                          'SPM': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'SRB': [{'code': 'RSD', 'name': 'Serbian dinar', 'symbol': 'дин.'}],
                          'SSD': [{'code': 'SSP', 'name': 'South Sudanese pound', 'symbol': '£'}],
                          'STP': [{'code': 'STD',
                                   'name': 'São Tomé and Príncipe dobra',
                                   'symbol': 'Db'}],
                          'SUR': [{'code': 'SRD', 'name': 'Surinamese dollar', 'symbol': '$'}],
                          'SVK': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'SVN': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'SWE': [{'code': 'SEK', 'name': 'Swedish krona', 'symbol': 'kr'}],
                          'SWZ': [{'code': 'SZL', 'name': 'Swazi lilangeni', 'symbol': 'L'}],
                          'SXM': [{'code': 'ANG',
                                   'name': 'Netherlands Antillean guilder',
                                   'symbol': 'ƒ'}],
                          'SYC': [{'code': 'SCR', 'name': 'Seychellois rupee', 'symbol': '₨'}],
                          'SYR': [{'code': 'SYP', 'name': 'Syrian pound', 'symbol': '£'}],
                          'TCA': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'TCD': [{'code': 'XAF', 'name': 'Central African CFA franc', 'symbol': 'Fr'}],
                          'TGO': [{'code': 'XOF', 'name': 'West African CFA franc', 'symbol': 'Fr'}],
                          'THA': [{'code': 'THB', 'name': 'Thai baht', 'symbol': '฿'}],
                          'TJK': [{'code': 'TJS', 'name': 'Tajikistani somoni', 'symbol': 'ЅМ'}],
                          'TKL': [{'code': 'NZD', 'name': 'New Zealand dollar', 'symbol': '$'}],
                          'TKM': [{'code': 'TMT', 'name': 'Turkmenistan manat', 'symbol': 'm'}],
                          'TLS': [{'code': 'THB', 'name': 'Thai baht', 'symbol': '฿'}],
                          'TON': [{'code': 'TOP', 'name': 'Tongan paʻanga', 'symbol': 'T$'}],
                          'TTO': [{'code': 'TTD', 'name': 'Trinidad and Tobago dollar', 'symbol': '$'}],
                          'TUN': [{'code': 'TND', 'name': 'Tunisian dinar', 'symbol': 'د.ت'}],
                          'TUR': [{'code': 'TRY', 'name': 'Turkish lira', 'symbol': '֏'}],
                          'TUV': [{'code': 'AUD', 'name': 'Australian dollar', 'symbol': '$'},
                                  {'code': 'TVD[G]', 'name': 'Tuvaluan dollar', 'symbol': '$'}],
                          'TWN': [{'code': 'TWD', 'name': 'New Taiwan dollar', 'symbol': '$'}],
                          'TZA': [{'code': 'TZS', 'name': 'Tanzanian shilling', 'symbol': 'Sh'}],
                          'UGA': [{'code': 'UGX', 'name': 'Ugandan shilling', 'symbol': 'Sh'}],
                          'UKR': [{'code': 'UAH', 'name': 'Ukrainian hryvnia', 'symbol': '₴'}],
                          'UMI': [{'code': 'GBP', 'name': 'British pound', 'symbol': '£'}],
                          'URY': [{'code': 'UYU', 'name': 'Uruguayan peso', 'symbol': '$'}],
                          'USA': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'UZB': [{'code': 'UZS', 'name': "Uzbekistani so'm", 'symbol': "so'm"}],
                          'VAT': [{'code': 'EUR', 'name': 'Euro', 'symbol': '€'}],
                          'VCT': [{'code': 'XCD', 'name': 'East Caribbean dollar', 'symbol': '$'}],
                          'VEN': [{'code': 'VEF', 'name': 'Venezuelan bolívar', 'symbol': 'Bs S'}],
                          'VGB': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'VIR': [{'code': 'USD', 'name': 'United States dollar', 'symbol': '$'}],
                          'VNM': [{'code': 'VND', 'name': 'Vietnamese đồng', 'symbol': '₫'}],
                          'VUT': [{'code': 'VUV', 'name': 'Vanuatu vatu', 'symbol': 'Vt'}],
                          'WLF': [{'code': 'XPF', 'name': 'CFP franc', 'symbol': 'Fr'}],
                          'WSM': [{'code': 'WST', 'name': 'Samoan tālā', 'symbol': 'T'}],
                          'YEM': [{'code': 'YER', 'name': 'Yemeni rial', 'symbol': '﷼'}],
                          'ZAF': [{'code': 'ZAR', 'name': 'South African rand', 'symbol': 'R'}],
                          'ZMB': [{'code': 'ZMW', 'name': 'Zambian kwacha', 'symbol': 'ZK'}],
                          'ZWE': [{'code': 'ZMW', 'name': 'Zambian kwacha', 'symbol': 'K'}]}
    alpha3ToDemonym = {'ABW': 'Aruban',
                       'AFG': 'Afghan',
                       'AGO': 'Angolan',
                       'AIA': 'Anguillian',
                       'ALA': 'Ålandish',
                       'ALB': 'Albanian',
                       'AND': 'Andorran',
                       'ARE': 'Emirati',
                       'ARG': 'Argentinean',
                       'ARM': 'Armenian',
                       'ASM': 'American Samoan',
                       'ATF': 'French',
                       'ATG': 'Antiguan, Barbudan',
                       'AUS': 'Australian',
                       'AUT': 'Austrian',
                       'AZE': 'Azerbaijani',
                       'BDI': 'Burundian',
                       'BEL': 'Belgian',
                       'BEN': 'Beninese',
                       'BES': 'Dutch',
                       'BFA': 'Burkinabe',
                       'BGD': 'Bangladeshi',
                       'BGR': 'Bulgarian',
                       'BHR': 'Bahraini',
                       'BHS': 'Bahamian',
                       'BIH': 'Bosnian, Herzegovinian',
                       'BLM': 'Saint Barthélemy Islander',
                       'BLR': 'Belarusian',
                       'BLZ': 'Belizean',
                       'BMU': 'Bermudian',
                       'BOL': 'Bolivian',
                       'BRA': 'Brazilian',
                       'BRB': 'Barbadian',
                       'BRN': 'Bruneian',
                       'BTN': 'Bhutanese',
                       'BWA': 'Motswana',
                       'CAF': 'Central African',
                       'CAN': 'Canadian',
                       'CCK': 'Cocos Islander',
                       'CHE': 'Swiss',
                       'CHL': 'Chilean',
                       'CHN': 'Chinese',
                       'CIV': 'Ivorian',
                       'CMR': 'Cameroonian',
                       'COD': 'Congolese',
                       'COG': 'Congolese',
                       'COK': 'Cook Islander',
                       'COL': 'Colombian',
                       'COM': 'Comoran',
                       'CPV': 'Cape Verdian',
                       'CRI': 'Costa Rican',
                       'CUB': 'Cuban',
                       'CUW': 'Dutch',
                       'CXR': 'Christmas Island',
                       'CYM': 'Caymanian',
                       'CYP': 'Cypriot',
                       'CZE': 'Czech',
                       'DEU': 'German',
                       'DJI': 'Djibouti',
                       'DMA': 'Dominican',
                       'DNK': 'Danish',
                       'DOM': 'Dominican',
                       'DZA': 'Algerian',
                       'ECU': 'Ecuadorean',
                       'EGY': 'Egyptian',
                       'ERI': 'Eritrean',
                       'ESP': 'Spanish',
                       'EST': 'Estonian',
                       'ETH': 'Ethiopian',
                       'FIN': 'Finnish',
                       'FJI': 'Fijian',
                       'FLK': 'Falkland Islander',
                       'FRA': 'French',
                       'FRO': 'Faroese',
                       'FSM': 'Micronesian',
                       'GAB': 'Gabonese',
                       'GBR': 'British',
                       'GEO': 'Georgian',
                       'GGY': 'Channel Islander',
                       'GHA': 'Ghanaian',
                       'GIB': 'Gibraltar',
                       'GIN': 'Guinean',
                       'GLP': 'Guadeloupian',
                       'GMB': 'Gambian',
                       'GNB': 'Guinea-Bissauan',
                       'GNQ': 'Equatorial Guinean',
                       'GRC': 'Greek',
                       'GRD': 'Grenadian',
                       'GRL': 'Greenlandic',
                       'GTM': 'Guatemalan',
                       'GUF': 'French Guianan',
                       'GUM': 'Guamanian',
                       'GUY': 'Guyanese',
                       'HKG': 'Chinese',
                       'HMD': 'Heard and McDonald Islander',
                       'HND': 'Honduran',
                       'HRV': 'Croatian',
                       'HTI': 'Haitian',
                       'HUN': 'Hungarian',
                       'IDN': 'Indonesian',
                       'IMN': 'Manx',
                       'IND': 'Indian',
                       'IOT': 'Indian',
                       'IRL': 'Irish',
                       'IRN': 'Iranian',
                       'IRQ': 'Iraqi',
                       'ISL': 'Icelander',
                       'ISR': 'Israeli',
                       'ITA': 'Italian',
                       'JAM': 'Jamaican',
                       'JEY': 'Channel Islander',
                       'JOR': 'Jordanian',
                       'JPN': 'Japanese',
                       'KAZ': 'Kazakhstani',
                       'KEN': 'Kenyan',
                       'KGZ': 'Kirghiz',
                       'KHM': 'Cambodian',
                       'KIR': 'I-Kiribati',
                       'KNA': 'Kittian and Nevisian',
                       'KOR': 'South Korean',
                       'KWT': 'Kuwaiti',
                       'LAO': 'Laotian',
                       'LBN': 'Lebanese',
                       'LBR': 'Liberian',
                       'LBY': 'Libyan',
                       'LCA': 'Saint Lucian',
                       'LIE': 'Liechtensteiner',
                       'LKA': 'Sri Lankan',
                       'LSO': 'Mosotho',
                       'LTU': 'Lithuanian',
                       'LUX': 'Luxembourger',
                       'LVA': 'Latvian',
                       'MAC': 'Chinese',
                       'MAF': 'Saint Martin Islander',
                       'MAR': 'Moroccan',
                       'MCO': 'Monegasque',
                       'MDA': 'Moldovan',
                       'MDG': 'Malagasy',
                       'MDV': 'Maldivan',
                       'MEX': 'Mexican',
                       'MHL': 'Marshallese',
                       'MKD': 'Macedonian',
                       'MLI': 'Malian',
                       'MLT': 'Maltese',
                       'MMR': 'Burmese',
                       'MNE': 'Montenegrin',
                       'MNG': 'Mongolian',
                       'MNP': 'American',
                       'MOZ': 'Mozambican',
                       'MRT': 'Mauritanian',
                       'MSR': 'Montserratian',
                       'MTQ': 'French',
                       'MUS': 'Mauritian',
                       'MWI': 'Malawian',
                       'MYS': 'Malaysian',
                       'MYT': 'French',
                       'NAM': 'Namibian',
                       'NCL': 'New Caledonian',
                       'NER': 'Nigerien',
                       'NFK': 'Norfolk Islander',
                       'NGA': 'Nigerian',
                       'NIC': 'Nicaraguan',
                       'NIU': 'Niuean',
                       'NLD': 'Dutch',
                       'NOR': 'Norwegian',
                       'NPL': 'Nepalese',
                       'NRU': 'Nauruan',
                       'NZL': 'New Zealander',
                       'OMN': 'Omani',
                       'PAK': 'Pakistani',
                       'PAN': 'Panamanian',
                       'PCN': 'Pitcairn Islander',
                       'PER': 'Peruvian',
                       'PHL': 'Filipino',
                       'PLW': 'Palauan',
                       'PNG': 'Papua New Guinean',
                       'POL': 'Polish',
                       'PRI': 'Puerto Rican',
                       'PRK': 'North Korean',
                       'PRT': 'Portuguese',
                       'PRY': 'Paraguayan',
                       'PSE': 'Palestinian',
                       'PYF': 'French Polynesian',
                       'QAT': 'Qatari',
                       'REU': 'French',
                       'ROU': 'Romanian',
                       'RUS': 'Russian',
                       'RWA': 'Rwandan',
                       'SAU': 'Saudi Arabian',
                       'SDN': 'Sudanese',
                       'SEN': 'Senegalese',
                       'SGP': 'Singaporean',
                       'SGS': 'South Georgia and the South Sandwich Islander',
                       'SHN': 'Saint Helenian',
                       'SJM': 'Norwegian',
                       'SLB': 'Solomon Islander',
                       'SLE': 'Sierra Leonean',
                       'SLV': 'Salvadoran',
                       'SMR': 'Sammarinese',
                       'SOM': 'Somali',
                       'SPM': 'French',
                       'SRB': 'Serbian',
                       'SSD': 'South Sudanese',
                       'STP': 'Sao Tomean',
                       'SUR': 'Surinamer',
                       'SVK': 'Slovak',
                       'SVN': 'Slovene',
                       'SWE': 'Swedish',
                       'SWZ': 'Swazi',
                       'SXM': 'Dutch',
                       'SYC': 'Seychellois',
                       'SYR': 'Syrian',
                       'TCA': 'Turks and Caicos Islander',
                       'TCD': 'Chadian',
                       'TGO': 'Togolese',
                       'THA': 'Thai',
                       'TJK': 'Tadzhik',
                       'TKL': 'Tokelauan',
                       'TKM': 'Turkmen',
                       'TLS': 'East Timorese',
                       'TON': 'Tongan',
                       'TTO': 'Trinidadian',
                       'TUN': 'Tunisian',
                       'TUR': 'Turkish',
                       'TUV': 'Tuvaluan',
                       'TWN': 'Taiwanese',
                       'TZA': 'Tanzanian',
                       'UGA': 'Ugandan',
                       'UKR': 'Ukrainian',
                       'UMI': 'American',
                       'URY': 'Uruguayan',
                       'USA': 'American',
                       'UZB': 'Uzbekistani',
                       'VAT': 'Vatican',
                       'VCT': 'Saint Vincentian',
                       'VEN': 'Venezuelan',
                       'VGB': 'Virgin Islander',
                       'VIR': 'Virgin Islander',
                       'VNM': 'Vietnamese',
                       'VUT': 'Ni-Vanuatu',
                       'WLF': 'Wallis and Futuna Islander',
                       'WSM': 'Samoan',
                       'YEM': 'Yemeni',
                       'ZAF': 'South African',
                       'ZMB': 'Zambian',
                       'ZWE': 'Zimbabwean'
                       }
    alpha3ToElevation = {
        "AFG": None,
        "ALB": None,
        "DZA": 800,
        "ASM": None,
        "AND": 1996,
        "AGO": 1112,
        "AIA": None,
        "ATA": 2300,
        "ATG": None,
        "ARG": 595,
        "ARM": 1792,
        "ABW": None,
        "AUS": 330,
        "AUT": 910,
        "AZE": 384,
        "BHS": None,
        "BHR": None,
        "BGD": 85,
        "BRB": None,
        "BLR": 160,
        "BEL": 181,
        "BLZ": 173,
        "BEN": 273,
        "BMU": None,
        "BTN": 3280,
        "BOL": 1192,
        "BIH": 500,
        "BWA": 1013,
        "BRA": 320,
        "IOT": None,
        "BRN": 478,
        "BGR": 472,
        "BFA": 297,
        "BDI": 1504,
        "KHM": 126,
        "CMR": 667,
        "CAN": 487,
        "CPV": None,
        "CYM": None,
        "CAF": 635,
        "TCD": 543,
        "CHL": 1871,
        "CHN": 1840,
        "CXR": None,
        "CCK": None,
        "COL": 593,
        "COM": None,
        "COG": 430,
        "COK": None,
        "CRI": 746,
        "HRV": 331,
        "CUB": 108,
        "CYP": 91,
        "CZE": 433,
        "DNK": 34,
        "DJI": 430,
        "DMA": None,
        "DOM": 424,
        "TLS": None,
        "ECU": 1117,
        "EGY": 321,
        "SLV": 442,
        "GNQ": 577,
        "ERI": 853,
        "EST": 61,
        "ETH": 1330,
        "FLK": None,
        "FRO": None,
        "FJI": None,
        "FIN": 164,
        "FRA": 375,
        "GUF": 168,
        "PYF": None,
        "ATF": None,
        "GAB": 377,
        "GMB": 34,
        "GEO": 1432,
        "DEU": 263,
        "GHA": 190,
        "GIB": None,
        "GRC": 498,
        "GRL": 1792,
        "GRD": None,
        "GLP": None,
        "Gua": None,
        "GTM": 759,
        "GIN": 472,
        "GNB": 70,
        "GUY": 207,
        "HTI": 470,
        "HMD": None,
        "VAT": None,
        "HND": 684,
        "HKG": None,
        "HUN": 143,
        "ISL": 557,
        "IND": 160,
        "IDN": 367,
        "IRN": 1305,
        "IRQ": 312,
        "IRL": 118,
        "ISR": 508,
        "ITA": 538,
        "CIV": 250,
        "JAM": 18,
        "JPN": 438,
        "JOR": 812,
        "KAZ": None,
        "KEN": 762,
        "KIR": None,
        "KWT": 108,
        "KGZ": 2988,
        "LAO": 710,
        "LVA": 87,
        "LBN": 1250,
        "LSO": 2161,
        "LBR": 243,
        "LBY": None,
        "LIE": None,
        "LTU": 110,
        "LUX": 325,
        "MAC": None,
        "MKD": 741,
        "MDG": 615,
        "MWI": 779,
        "MYS": 538,
        "MDV": 1.8,
        "MLI": 343,
        "MLT": None,
        "MHL": None,
        "MTQ": None,
        "MRT": 276,
        "MUS": None,
        "MYT": None,
        "MEX": 1111,
        "FSM": None,
        "MDA": 139,
        "MCO": None,
        "MNG": 1528,
        "MSR": None,
        "MAR": 909,
        "MOZ": 345,
        "MMR": None,
        "NAM": 1141,
        "NRU": None,
        "NPL": 3265,
        "NLD": 30,
        "NCL": None,
        "NZL": 388,
        "NIC": 298,
        "NER": 474,
        "NGA": 380,
        "NIU": None,
        "NFK": None,
        "PRK": 400,
        "MNP": None,
        "NOR": 460,
        "OMN": 310,
        "PAK": 900,
        "PLW": None,
        "PSE": None,
        "PAN": 360,
        "PNG": 667,
        "PRY": 178,
        "PER": 1555,
        "PHL": 442,
        "PCN": None,
        "POL": 173,
        "PRT": 372,
        "PRI": 261,
        "QAT": 28,
        "REU": None,
        "ROU": 414,
        "RUS": None,
        "RWA": 1598,
        "SHN": None,
        "KNA": None,
        "LCA": None,
        "SPM": None,
        "VCT": None,
        "WSM": None,
        "SMR": None,
        "STP": None,
        "SAU": 665,
        "SEN": 69,
        "SRB": 2826,
        "SYC": None,
        "SLE": 279,
        "SGP": None,
        "SVK": 458,
        "SVN": 492,
        "SLB": None,
        "SOM": 410,
        "ZAF": 1034,
        "SGS": None,
        "KOR": 282,
        "SSD": None,
        "ESP": 660,
        "LKA": None,
        "SDN": 568,
        "SUR": 246,
        "SJM": None,
        "SWZ": 305,
        "SWE": 320,
        "CHE": 1350,
        "SYR": 514,
        "TJK": 3186,
        "TZA": 1018,
        "THA": 287,
        "COD": None,
        "TGO": 236,
        "TKL": None,
        "TON": None,
        "TTO": 83,
        "TUN": 246,
        "TUR": 1132,
        "TKM": 230,
        "TCA": None,
        "TUV": None,
        "UGA": None,
        "UKR": 175,
        "ARE": 149,
        "GBR": 162,
        "USA": 760,
        "UMI": None,
        "URY": 109,
        "UZB": None,
        "VUT": None,
        "VEN": 450,
        "VNM": 398,
        "VGB": None,
        "VIR": None,
        "WLF": None,
        "YEM": 999,
        "ZMB": 1138,
        "ZWE": 961
    }
    alpha3ToFlagURL = {
        "ABW": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Flag_of_Aruba.svg/1920px-Flag_of_Aruba.svg.png",
        "AFG": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5c/Flag_of_the_Taliban.svg/2560px-Flag_of_the_Taliban.svg.png",
        "AGO": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Flag_of_Angola.svg/1280px-Flag_of_Angola.svg.png",
        "AIA": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b4/Flag_of_Anguilla.svg/2560px-Flag_of_Anguilla.svg.png",
        "ALA": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/52/Flag_of_%C3%85land.svg/1920px-Flag_of_%C3%85land.svg.png",
        "ALB": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/36/Flag_of_Albania.svg/1920px-Flag_of_Albania.svg.png",
        "AND": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/19/Flag_of_Andorra.svg/1280px-Flag_of_Andorra.svg.png",
        "ARE": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Flag_of_the_United_Arab_Emirates.svg/1920px-Flag_of_the_United_Arab_Emirates.svg.png",
        "ARG": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Flag_of_Argentina.svg/1280px-Flag_of_Argentina.svg.png",
        "ARM": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/2f/Flag_of_Armenia.svg/800px-Flag_of_Armenia.svg.png",
        "ASM": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/87/Flag_of_American_Samoa.svg/2560px-Flag_of_American_Samoa.svg.png",
        "ATG": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/89/Flag_of_Antigua_and_Barbuda.svg/1280px-Flag_of_Antigua_and_Barbuda.svg.png",
        "AUS": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/88/Flag_of_Australia_%28converted%29.svg/800px-Flag_of_Australia_%28converted%29.svg.png",
        "AUT": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/41/Flag_of_Austria.svg/800px-Flag_of_Austria.svg.png",
        "AZE": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/dd/Flag_of_Azerbaijan.svg/800px-Flag_of_Azerbaijan.svg.png",
        "BDI": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/50/Flag_of_Burundi.svg/800px-Flag_of_Burundi.svg.png",
        "BEL": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/65/Flag_of_Belgium.svg/800px-Flag_of_Belgium.svg.png",
        "BEN": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/Flag_of_Benin.svg/800px-Flag_of_Benin.svg.png",
        "BES": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1e/Flag_of_Bonaire.svg/1200px-Flag_of_Bonaire.svg.png",
        "BFA": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/31/Flag_of_Burkina_Faso.svg/800px-Flag_of_Burkina_Faso.svg.png",
        "BGD": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f9/Flag_of_Bangladesh.svg/800px-Flag_of_Bangladesh.svg.png",
        "BGR": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Flag_of_Bulgaria.svg/800px-Flag_of_Bulgaria.svg.png",
        "BHR": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Flag_of_Bahrain.svg/800px-Flag_of_Bahrain.svg.png",
        "BHS": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/Flag_of_the_Bahamas.svg/800px-Flag_of_the_Bahamas.svg.png",
        "BIH": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Flag_of_Bosnia_and_Herzegovina.svg/800px-Flag_of_Bosnia_and_Herzegovina.svg.png",
        "BLM": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c3/Flag_of_France.svg/1920px-Flag_of_France.svg.png",
        "BLR": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/85/Flag_of_Belarus.svg/800px-Flag_of_Belarus.svg.png",
        "BLZ": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e7/Flag_of_Belize.svg/800px-Flag_of_Belize.svg.png",
        "BMU": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bf/Flag_of_Bermuda.svg/2560px-Flag_of_Bermuda.svg.png",
        "BOL": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b3/Bandera_de_Bolivia_%28Estado%29.svg/800px-Bandera_de_Bolivia_%28Estado%29.svg.png",
        "BRA": "https://upload.wikimedia.org/wikipedia/en/thumb/0/05/Flag_of_Brazil.svg/800px-Flag_of_Brazil.svg.png",
        "BRB": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Flag_of_Barbados.svg/800px-Flag_of_Barbados.svg.png",
        "BRN": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Flag_of_Brunei.svg/800px-Flag_of_Brunei.svg.png",
        "BTN": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/91/Flag_of_Bhutan.svg/800px-Flag_of_Bhutan.svg.png",
        "BWA": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Flag_of_Botswana.svg/800px-Flag_of_Botswana.svg.png",
        "CAE": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Flag_of_the_Central_African_Republic.svg/1024px-Flag_of_the_Central_African_Republic.svg.png",
        "CAF": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Flag_of_the_Central_African_Republic.svg/1024px-Flag_of_the_Central_African_Republic.svg.png",
        "CAN": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Flag_of_Canada_%28Pantone%29.svg/2560px-Flag_of_Canada_%28Pantone%29.svg.png",
        "CPV": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/ae/Flag_of_Cape_Verde_%282-3_ratio%29.svg/800px-Flag_of_Cape_Verde_%282-3_ratio%29.svg.png",
        "CHE": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Flag_of_Switzerland.svg/1024px-Flag_of_Switzerland.svg.png",
        "CHL": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Flag_of_Chile.svg/1024px-Flag_of_Chile.svg.png",
        "CHN": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Flag_of_the_People%27s_Republic_of_China.svg/1024px-Flag_of_the_People%27s_Republic_of_China.svg.png",
        "CIV": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Flag_of_C%C3%B4te_d%27Ivoire.svg/800px-Flag_of_C%C3%B4te_d%27Ivoire.svg.png",
        "CMR": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Flag_of_Cameroon.svg/1024px-Flag_of_Cameroon.svg.png",
        "CCK": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/74/Flag_of_the_Cocos_%28Keeling%29_Islands.svg/2560px-Flag_of_the_Cocos_%28Keeling%29_Islands.svg.png",
        "COD": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Flag_of_the_Democratic_Republic_of_the_Congo.svg/1024px-Flag_of_the_Democratic_Republic_of_the_Congo.svg.png",
        "COK": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/35/Flag_of_the_Cook_Islands.svg/2560px-Flag_of_the_Cook_Islands.svg.png",
        "COL": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/21/Flag_of_Colombia.svg/1024px-Flag_of_Colombia.svg.png",
        "COM": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/94/Flag_of_the_Comoros.svg/1024px-Flag_of_the_Comoros.svg.png",
        "CRI": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Flag_of_Costa_Rica_%28state%29.svg/1024px-Flag_of_Costa_Rica_%28state%29.svg.png",
        "CUB": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bd/Flag_of_Cuba.svg/1024px-Flag_of_Cuba.svg.png",
        "CUW": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b1/Flag_of_Cura%C3%A7ao.svg/1920px-Flag_of_Cura%C3%A7ao.svg.png",
        "CXR": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/67/Flag_of_Christmas_Island.svg/2560px-Flag_of_Christmas_Island.svg.png",
        "CYM": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Flag_of_the_Cayman_Islands.svg/2560px-Flag_of_the_Cayman_Islands.svg.png",
        "CYP": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Flag_of_Cyprus.svg/1024px-Flag_of_Cyprus.svg.png",
        "CZE": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Flag_of_the_Czech_Republic.svg/1024px-Flag_of_the_Czech_Republic.svg.png",
        "DEU": "https://upload.wikimedia.org/wikipedia/en/thumb/b/ba/Flag_of_Germany.svg/1920px-Flag_of_Germany.svg.png",
        "DJI": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/34/Flag_of_Djibouti.svg/1920px-Flag_of_Djibouti.svg.png",
        "DMA": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Flag_of_Dominica.svg/1920px-Flag_of_Dominica.svg.png",
        "DNK": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9c/Flag_of_Denmark.svg/1024px-Flag_of_Denmark.svg.png",
        "DOM": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9f/Flag_of_the_Dominican_Republic.svg/1920px-Flag_of_the_Dominican_Republic.svg.png",
        "DRC": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Flag_of_the_Democratic_Republic_of_the_Congo.svg/1024px-Flag_of_the_Democratic_Republic_of_the_Congo.svg.png",
        "DZA": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/77/Flag_of_Algeria.svg/1280px-Flag_of_Algeria.svg.png",
        "ECU": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e8/Flag_of_Ecuador.svg/1920px-Flag_of_Ecuador.svg.png",
        "EGY": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Flag_of_Egypt.svg/1920px-Flag_of_Egypt.svg.png",
        "ERI": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/29/Flag_of_Eritrea.svg/1920px-Flag_of_Eritrea.svg.png",
        "ESP": "https://upload.wikimedia.org/wikipedia/en/thumb/9/9a/Flag_of_Spain.svg/1920px-Flag_of_Spain.svg.png",
        "EST": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/8f/Flag_of_Estonia.svg/1920px-Flag_of_Estonia.svg.png",
        "SWZ": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Flag_of_Eswatini.svg/1920px-Flag_of_Eswatini.svg.png",
        "ETH": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/71/Flag_of_Ethiopia.svg/1280px-Flag_of_Ethiopia.svg.png",
        "FIN": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Flag_of_Finland.svg/1920px-Flag_of_Finland.svg.png",
        "FJI": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/ba/Flag_of_Fiji.svg/1920px-Flag_of_Fiji.svg.png",
        "FLK": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/83/Flag_of_the_Falkland_Islands.svg/2880px-Flag_of_the_Falkland_Islands.svg.png",
        "FRA": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c3/Flag_of_France.svg/1024px-Flag_of_France.svg.png",
        "ATF": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a7/Flag_of_the_French_Southern_and_Antarctic_Lands.svg/1920px-Flag_of_the_French_Southern_and_Antarctic_Lands.svg.png",
        "FRO": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/3c/Flag_of_the_Faroe_Islands.svg/1920px-Flag_of_the_Faroe_Islands.svg.png",
        "FSM": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e4/Flag_of_the_Federated_States_of_Micronesia.svg/2560px-Flag_of_the_Federated_States_of_Micronesia.svg.png",
        "GAB": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/04/Flag_of_Gabon.svg/1280px-Flag_of_Gabon.svg.png",
        "GBR": "https://upload.wikimedia.org/wikipedia/en/thumb/a/ae/Flag_of_the_United_Kingdom.svg/2560px-Flag_of_the_United_Kingdom.svg.png",
        "GEO": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Flag_of_Georgia.svg/1280px-Flag_of_Georgia.svg.png",
        "GGY": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fa/Flag_of_Guernsey.svg/1920px-Flag_of_Guernsey.svg.png",
        "GHA": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/19/Flag_of_Ghana.svg/1280px-Flag_of_Ghana.svg.png",
        "GIB": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/02/Flag_of_Gibraltar.svg/2560px-Flag_of_Gibraltar.svg.png",
        "GIN": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Flag_of_Guinea.svg/1280px-Flag_of_Guinea.svg.png",
        "GMB": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/77/Flag_of_The_Gambia.svg/1920px-Flag_of_The_Gambia.svg.png",
        "GNQ": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/31/Flag_of_Equatorial_Guinea.svg/1280px-Flag_of_Equatorial_Guinea.svg.png",
        "GRC": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5c/Flag_of_Greece.svg/1280px-Flag_of_Greece.svg.png",
        "GRD": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Flag_of_Grenada.svg/1920px-Flag_of_Grenada.svg.png",
        "GRL": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/09/Flag_of_Greenland.svg/1920px-Flag_of_Greenland.svg.png",
        "GTM": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ec/Flag_of_Guatemala.svg/1920px-Flag_of_Guatemala.svg.png",
        "GLP": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c3/Flag_of_France.svg/1920px-Flag_of_France.svg.png",
        "GUF": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/29/Flag_of_French_Guiana.svg/1280px-Flag_of_French_Guiana.svg.png",
        "GNB": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/01/Flag_of_Guinea-Bissau.svg/1920px-Flag_of_Guinea-Bissau.svg.png",
        "GUM": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Flag_of_Guam.svg/2560px-Flag_of_Guam.svg.png",
        "GUY": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Flag_of_Guyana.svg/1920px-Flag_of_Guyana.svg.png",
        "HKG": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5b/Flag_of_Hong_Kong.svg/1920px-Flag_of_Hong_Kong.svg.png",
        "HMD": None,
        "HND": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/82/Flag_of_Honduras.svg/1920px-Flag_of_Honduras.svg.png",
        "HRV": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1b/Flag_of_Croatia.svg/1024px-Flag_of_Croatia.svg.png",
        "HTI": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/56/Flag_of_Haiti.svg/1920px-Flag_of_Haiti.svg.png",
        "HUN": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c1/Flag_of_Hungary.svg/1920px-Flag_of_Hungary.svg.png",
        "IDN": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9f/Flag_of_Indonesia.svg/1920px-Flag_of_Indonesia.svg.png",
        "IMN": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Flag_of_the_Isle_of_Man.svg/2560px-Flag_of_the_Isle_of_Man.svg.png",
        "IND": "https://upload.wikimedia.org/wikipedia/en/thumb/4/41/Flag_of_India.svg/1280px-Flag_of_India.svg.png",
        "IOT": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/65/Flag_of_the_Commissioner_of_the_British_Indian_Ocean_Territory.svg/2560px-Flag_of_the_Commissioner_of_the_British_Indian_Ocean_Territory.svg.png",
        "IRL": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/45/Flag_of_Ireland.svg/1920px-Flag_of_Ireland.svg.png",
        "IRN": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/ca/Flag_of_Iran.svg/1920px-Flag_of_Iran.svg.png",
        "IRQ": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Flag_of_Iraq.svg/1280px-Flag_of_Iraq.svg.png",
        "ISL": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Flag_of_Iceland.svg/1280px-Flag_of_Iceland.svg.png",
        "ISR": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Flag_of_Israel.svg/1280px-Flag_of_Israel.svg.png",
        "ITA": "https://upload.wikimedia.org/wikipedia/en/thumb/0/03/Flag_of_Italy.svg/1280px-Flag_of_Italy.svg.png",
        "JAM": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0a/Flag_of_Jamaica.svg/1920px-Flag_of_Jamaica.svg.png",
        "JEY": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1c/Flag_of_Jersey.svg/2560px-Flag_of_Jersey.svg.png",
        "JOR": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Flag_of_Jordan.svg/1920px-Flag_of_Jordan.svg.png",
        "JPN": "https://upload.wikimedia.org/wikipedia/en/thumb/9/9e/Flag_of_Japan.svg/1920px-Flag_of_Japan.svg.png",
        "KAZ": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Flag_of_Kazakhstan.svg/1920px-Flag_of_Kazakhstan.svg.png",
        "KEN": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/49/Flag_of_Kenya.svg/1920px-Flag_of_Kenya.svg.png",
        "KGZ": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Flag_of_Kyrgyzstan_%28official_standards%29.png/1920px-Flag_of_Kyrgyzstan_%28official_standards%29.png",
        "KHM": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/83/Flag_of_Cambodia.svg/1024px-Flag_of_Cambodia.svg.png",
        "KIR": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Flag_of_Kiribati.svg/1920px-Flag_of_Kiribati.svg.png",
        "KNA": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Flag_of_Saint_Kitts_and_Nevis.svg/1920px-Flag_of_Saint_Kitts_and_Nevis.svg.png",
        "KOR": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/09/Flag_of_South_Korea.svg/1280px-Flag_of_South_Korea.svg.png",
        "KOS": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1f/Flag_of_Kosovo.svg/1920px-Flag_of_Kosovo.svg.png",
        "KWT": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Flag_of_Kuwait.svg/1920px-Flag_of_Kuwait.svg.png",
        "LAO": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/56/Flag_of_Laos.svg/1920px-Flag_of_Laos.svg.png",
        "LBN": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/59/Flag_of_Lebanon.svg/1920px-Flag_of_Lebanon.svg.png",
        "LBR": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Flag_of_Liberia.svg/1920px-Flag_of_Liberia.svg.png",
        "LBY": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/05/Flag_of_Libya.svg/1920px-Flag_of_Libya.svg.png",
        "LCA": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9f/Flag_of_Saint_Lucia.svg/1920px-Flag_of_Saint_Lucia.svg.png",
        "LIE": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/47/Flag_of_Liechtenstein.svg/1920px-Flag_of_Liechtenstein.svg.png",
        "LKA": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/11/Flag_of_Sri_Lanka.svg/1920px-Flag_of_Sri_Lanka.svg.png",
        "LSO": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4a/Flag_of_Lesotho.svg/1920px-Flag_of_Lesotho.svg.png",
        "LTU": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/11/Flag_of_Lithuania.svg/1920px-Flag_of_Lithuania.svg.png",
        "LUX": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/da/Flag_of_Luxembourg.svg/1920px-Flag_of_Luxembourg.svg.png",
        "MAC": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/63/Flag_of_Macau.svg/1920px-Flag_of_Macau.svg.png",
        "LVA": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/84/Flag_of_Latvia.svg/1920px-Flag_of_Latvia.svg.png",
        "MAF": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c3/Flag_of_France.svg/1920px-Flag_of_France.svg.png",
        "MAR": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/2c/Flag_of_Morocco.svg/1920px-Flag_of_Morocco.svg.png",
        "MCO": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ea/Flag_of_Monaco.svg/1920px-Flag_of_Monaco.svg.png",
        "MDA": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/27/Flag_of_Moldova.svg/2560px-Flag_of_Moldova.svg.png",
        "MDG": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Flag_of_Madagascar.svg/1920px-Flag_of_Madagascar.svg.png",
        "MDV": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Flag_of_Maldives.svg/1920px-Flag_of_Maldives.svg.png",
        "MEX": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fc/Flag_of_Mexico.svg/2560px-Flag_of_Mexico.svg.png",
        "MHL": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/2e/Flag_of_the_Marshall_Islands.svg/1920px-Flag_of_the_Marshall_Islands.svg.png",
        "MLI": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/92/Flag_of_Mali.svg/1920px-Flag_of_Mali.svg.png",
        "MLT": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/73/Flag_of_Malta.svg/1920px-Flag_of_Malta.svg.png",
        "MMR": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Flag_of_Myanmar.svg/1920px-Flag_of_Myanmar.svg.png",
        "MNE": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Flag_of_Montenegro.svg/2560px-Flag_of_Montenegro.svg.png",
        "MNG": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Flag_of_Mongolia.svg/2560px-Flag_of_Mongolia.svg.png",
        "MNP": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e0/Flag_of_the_Northern_Mariana_Islands.svg/2560px-Flag_of_the_Northern_Mariana_Islands.svg.png",
        "MOZ": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Flag_of_Mozambique.svg/1920px-Flag_of_Mozambique.svg.png",
        "MRT": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/43/Flag_of_Mauritania.svg/1920px-Flag_of_Mauritania.svg.png",
        "MSR": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Flag_of_Montserrat.svg/2560px-Flag_of_Montserrat.svg.png",
        "MTQ": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Snake_Flag_of_Martinique.svg/1920px-Snake_Flag_of_Martinique.svg.png",
        "MUS": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/77/Flag_of_Mauritius.svg/1920px-Flag_of_Mauritius.svg.png",
        "MWI": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Flag_of_Malawi.svg/1920px-Flag_of_Malawi.svg.png",
        "MYS": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/66/Flag_of_Malaysia.svg/1920px-Flag_of_Malaysia.svg.png",
        "MYT": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c3/Flag_of_France.svg/1920px-Flag_of_France.svg.png",
        "NAM": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/00/Flag_of_Namibia.svg/1920px-Flag_of_Namibia.svg.png",
        "NCL": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/66/Flag_of_FLNKS.svg/2560px-Flag_of_FLNKS.svg.png",
        "NER": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f4/Flag_of_Niger.svg/1920px-Flag_of_Niger.svg.png",
        "NFK": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Flag_of_Norfolk_Island.svg/2560px-Flag_of_Norfolk_Island.svg.png",
        "NGA": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/79/Flag_of_Nigeria.svg/2560px-Flag_of_Nigeria.svg.png",
        "NIC": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/19/Flag_of_Nicaragua.svg/2560px-Flag_of_Nicaragua.svg.png",
        "NIU": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/01/Flag_of_Niue.svg/2560px-Flag_of_Niue.svg.png",
        "NLD": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/20/Flag_of_the_Netherlands.svg/1920px-Flag_of_the_Netherlands.svg.png",
        "NOR": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Flag_of_Norway.svg/1920px-Flag_of_Norway.svg.png",
        "MKD": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/79/Flag_of_North_Macedonia.svg/2560px-Flag_of_North_Macedonia.svg.png",
        "NPL": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9b/Flag_of_Nepal.svg/1024px-Flag_of_Nepal.svg.png",
        "NRU": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/30/Flag_of_Nauru.svg/2560px-Flag_of_Nauru.svg.png",
        "NZL": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/3e/Flag_of_New_Zealand.svg/1920px-Flag_of_New_Zealand.svg.png",
        "OMN": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/dd/Flag_of_Oman.svg/2560px-Flag_of_Oman.svg.png",
        "PAK": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/32/Flag_of_Pakistan.svg/1920px-Flag_of_Pakistan.svg.png",
        "PAN": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/ab/Flag_of_Panama.svg/1920px-Flag_of_Panama.svg.png",
        "PER": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Flag_of_Peru.svg/1920px-Flag_of_Peru.svg.png",
        "PHL": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Flag_of_the_Philippines.svg/1920px-Flag_of_the_Philippines.svg.png",
        "PCN": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/88/Flag_of_the_Pitcairn_Islands.svg/2560px-Flag_of_the_Pitcairn_Islands.svg.png",
        "PLW": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Flag_of_Palau.svg/1920px-Flag_of_Palau.svg.png",
        "PNG": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e3/Flag_of_Papua_New_Guinea.svg/1280px-Flag_of_Papua_New_Guinea.svg.png",
        "POL": "https://upload.wikimedia.org/wikipedia/en/thumb/1/12/Flag_of_Poland.svg/1920px-Flag_of_Poland.svg.png",
        "PRI": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/28/Flag_of_Puerto_Rico.svg/1920px-Flag_of_Puerto_Rico.svg.png",
        "PRK": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/51/Flag_of_North_Korea.svg/2560px-Flag_of_North_Korea.svg.png",
        "PRT": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5c/Flag_of_Portugal.svg/1920px-Flag_of_Portugal.svg.png",
        "PRY": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/27/Flag_of_Paraguay.svg/1920px-Flag_of_Paraguay.svg.png",
        "PSE": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/00/Flag_of_Palestine.svg/1920px-Flag_of_Palestine.svg.png",
        "PYF": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/db/Flag_of_French_Polynesia.svg/1920px-Flag_of_French_Polynesia.svg.png",
        "QAT": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/65/Flag_of_Qatar.svg/1920px-Flag_of_Qatar.svg.png",
        "COG": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/92/Flag_of_the_Republic_of_the_Congo.svg/1024px-Flag_of_the_Republic_of_the_Congo.svg.png",
        "REU": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5a/Flag_of_R%C3%A9union.svg/1920px-Flag_of_R%C3%A9union.svg.png",
        "ROU": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/73/Flag_of_Romania.svg/1280px-Flag_of_Romania.svg.png",
        "RUS": "https://upload.wikimedia.org/wikipedia/en/thumb/f/f3/Flag_of_Russia.svg/1280px-Flag_of_Russia.svg.png",
        "RWA": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/17/Flag_of_Rwanda.svg/1920px-Flag_of_Rwanda.svg.png",
        "SAU": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0d/Flag_of_Saudi_Arabia.svg/1280px-Flag_of_Saudi_Arabia.svg.png",
        "SDN": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/01/Flag_of_Sudan.svg/1920px-Flag_of_Sudan.svg.png",
        "SEN": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Flag_of_Senegal.svg/1280px-Flag_of_Senegal.svg.png",
        "SGP": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Flag_of_Singapore.svg/1280px-Flag_of_Singapore.svg.png",
        "SGS": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ed/Flag_of_South_Georgia_and_the_South_Sandwich_Islands.svg/2560px-Flag_of_South_Georgia_and_the_South_Sandwich_Islands.svg.png",
        "SJM": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d9/Flag_of_Norway.svg/1920px-Flag_of_Norway.svg.png",
        "SLB": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/74/Flag_of_the_Solomon_Islands.svg/1920px-Flag_of_the_Solomon_Islands.svg.png",
        "SLE": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/17/Flag_of_Sierra_Leone.svg/1280px-Flag_of_Sierra_Leone.svg.png",
        "SLV": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/34/Flag_of_El_Salvador.svg/1920px-Flag_of_El_Salvador.svg.png",
        "SMR": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b1/Flag_of_San_Marino.svg/1280px-Flag_of_San_Marino.svg.png",
        "SOM": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Flag_of_Somalia.svg/1280px-Flag_of_Somalia.svg.png",
        "SPM": "https://upload.wikimedia.org/wikipedia/en/thumb/c/c3/Flag_of_France.svg/1920px-Flag_of_France.svg.png",
        "SRB": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/ff/Flag_of_Serbia.svg/1280px-Flag_of_Serbia.svg.png",
        "SSD": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/7a/Flag_of_South_Sudan.svg/1920px-Flag_of_South_Sudan.svg.png",
        "STP": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Flag_of_Sao_Tome_and_Principe.svg/1920px-Flag_of_Sao_Tome_and_Principe.svg.png",
        "SHN": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/00/Flag_of_Saint_Helena.svg/2560px-Flag_of_Saint_Helena.svg.png",
        "SUR": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/60/Flag_of_Suriname.svg/1280px-Flag_of_Suriname.svg.png",
        "SXM": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d3/Flag_of_Sint_Maarten.svg/1920px-Flag_of_Sint_Maarten.svg.png",
        "SVK": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e6/Flag_of_Slovakia.svg/1280px-Flag_of_Slovakia.svg.png",
        "SVN": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f0/Flag_of_Slovenia.svg/1920px-Flag_of_Slovenia.svg.png",
        "SWE": "https://upload.wikimedia.org/wikipedia/en/thumb/4/4c/Flag_of_Sweden.svg/1920px-Flag_of_Sweden.svg.png",
        "SYC": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fc/Flag_of_Seychelles.svg/1920px-Flag_of_Seychelles.svg.png",
        "SYR": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/53/Flag_of_Syria.svg/1920px-Flag_of_Syria.svg.png",
        "TCD": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4b/Flag_of_Chad.svg/1024px-Flag_of_Chad.svg.png",
        "TGO": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/68/Flag_of_Togo.svg/1920px-Flag_of_Togo.svg.png",
        "THA": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a9/Flag_of_Thailand.svg/1280px-Flag_of_Thailand.svg.png",
        "TLS": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/26/Flag_of_East_Timor.svg/1920px-Flag_of_East_Timor.svg.png",
        "TJK": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d0/Flag_of_Tajikistan.svg/1920px-Flag_of_Tajikistan.svg.png",
        "TKL": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/8e/Flag_of_Tokelau.svg/2560px-Flag_of_Tokelau.svg.png",
        "TKM": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1b/Flag_of_Turkmenistan.svg/1280px-Flag_of_Turkmenistan.svg.png",
        "TON": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9a/Flag_of_Tonga.svg/2560px-Flag_of_Tonga.svg.png",
        "TTO": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/64/Flag_of_Trinidad_and_Tobago.svg/1920px-Flag_of_Trinidad_and_Tobago.svg.png",
        "TUN": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/ce/Flag_of_Tunisia.svg/1280px-Flag_of_Tunisia.svg.png",
        "TUR": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b4/Flag_of_Turkey.svg/1280px-Flag_of_Turkey.svg.png",
        "TCA": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Flag_of_the_Turks_and_Caicos_Islands.svg/2560px-Flag_of_the_Turks_and_Caicos_Islands.svg.png",
        "TUV": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/38/Flag_of_Tuvalu.svg/1920px-Flag_of_Tuvalu.svg.png",
        "TWN": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/72/Flag_of_the_Republic_of_China.svg/1920px-Flag_of_the_Republic_of_China.svg.png",
        "TZA": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/38/Flag_of_Tanzania.svg/1280px-Flag_of_Tanzania.svg.png",
        "UGA": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4e/Flag_of_Uganda.svg/1280px-Flag_of_Uganda.svg.png",
        "UKR": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/49/Flag_of_Ukraine.svg/1280px-Flag_of_Ukraine.svg.png",
        "UMI": "https://upload.wikimedia.org/wikipedia/en/thumb/a/a4/Flag_of_the_United_States.svg/1920px-Flag_of_the_United_States.svg.png",
        "URY": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fe/Flag_of_Uruguay.svg/1280px-Flag_of_Uruguay.svg.png",
        "USA": "https://upload.wikimedia.org/wikipedia/en/thumb/a/a4/Flag_of_the_United_States.svg/1920px-Flag_of_the_United_States.svg.png",
        "UZB": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/84/Flag_of_Uzbekistan.svg/1920px-Flag_of_Uzbekistan.svg.png",
        "VAT": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/00/Flag_of_the_Vatican_City.svg/1280px-Flag_of_the_Vatican_City.svg.png",
        "VCT": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Flag_of_Saint_Vincent_and_the_Grenadines.svg/1920px-Flag_of_Saint_Vincent_and_the_Grenadines.svg.png",
        "VEN": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/7b/Flag_of_Venezuela_%28state%29.svg/1280px-Flag_of_Venezuela_%28state%29.svg.png",
        "VGB": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_the_British_Virgin_Islands.svg/2560px-Flag_of_the_British_Virgin_Islands.svg.png",
        "VIR": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f8/Flag_of_the_United_States_Virgin_Islands.svg/1920px-Flag_of_the_United_States_Virgin_Islands.svg.png",
        "VNM": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/21/Flag_of_Vietnam.svg/1280px-Flag_of_Vietnam.svg.png",
        "VUT": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Flag_of_Vanuatu_%28official%29.svg/1920px-Flag_of_Vanuatu_%28official%29.svg.png",
        "WLF": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d2/Flag_of_Wallis_and_Futuna.svg/1920px-Flag_of_Wallis_and_Futuna.svg.png",
        "WSM": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/31/Flag_of_Samoa.svg/1920px-Flag_of_Samoa.svg.png",
        "YEM": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/89/Flag_of_Yemen.svg/1280px-Flag_of_Yemen.svg.png",
        "ZAF": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/af/Flag_of_South_Africa.svg/1280px-Flag_of_South_Africa.svg.png",
        "ZMB": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/06/Flag_of_Zambia.svg/1280px-Flag_of_Zambia.svg.png",
        "ZWE": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6a/Flag_of_Zimbabwe.svg/1920px-Flag_of_Zimbabwe.svg.png"
    }
    alpha3ToGDP = {
        "ABW": 3293000000,
        "AFG": 17876000000,
        "AGO": 85000000000,
        "AIA": 379000000,
        "ALA": 1503000000,
        "ALB": 15278000000,
        "AND": 3154000000,
        "ARE": 421142000000,
        "ARG": 449663000000,
        "ARM": 13672000000,
        "ASM": 636000000,
        "ATF": 0,
        "ATG": 1661000000,
        "AUS": 1380207000000,
        "AUT": 445075000000,
        "AZE": 48047000000,
        "BDI": 3002000000,
        "BEL": 533097000000,
        "BEN": 14403000000,
        "BES": 583000000,
        "BFA": 15990000000,
        "BGD": 317465000000,
        "BGR": 67925000000,
        "BHR": 38574000000,
        "BHS": 13578000000,
        "BIH": 20164000000,
        "BLM": 191000000,
        "BLR": 63080000000,
        "BLZ": 1906000000,
        "BMU": 7361000000,
        "BOL": 40895000000,
        "BRA": 1847795000000,
        "BRB": 5209000000,
        "BRN": 13469000000,
        "BTN": 2564000000,
        "BWA": 18340000000,
        "CAF": 2220000000,
        "CAN": 1741496000000,
        "CCK": 11012550,
        "CHE": 731425000000,
        "CHL": 282318000000,
        "CHN": 14342933000000,
        "CIV": 58539000000,
        "CMR": 38861000000,
        "COD": 47319000000,
        "COG": 12397000000,
        "COK": 379000000,
        "COL": 323802000000,
        "COM": 1165000000,
        "CPV": 1981000000,
        "CRI": 61773000000,
        "CUB": 105354000000,
        "CUW": 3101000000,
        "CXR": 52177900,
        "CYM": 6020000000,
        "CYP": 24565000000,
        "CZE": 250680000000,
        "DEU": 3861123000000,
        "DJI": 3166000000,
        "DMA": 582000000,
        "DNK": 350104000000,
        "DOM": 88941000000,
        "DZA": 171157000000,
        "ECU": 107435000000,
        "EGY": 317359000000,
        "ERI": 1981000000,
        "ESP": 1393490000000,
        "EST": 31471000000,
        "ETH": 92750000000,
        "FIN": 269296000000,
        "FJI": 5504000000,
        "FLK": 193280000,
        "FRA": 2715518000000,
        "FRO": 3126000000,
        "FSM": 414000000,
        "GAB": 16887000000,
        "GBR": 2826441000000,
        "GEO": 17742000000,
        "GGY": 4469000000,
        "GHA": 66999000000,
        "GIB": 3221550302,
        "GIN": 12354000000,
        "GLP": 10000000000,
        "GMB": 1822000000,
        "GNB": 1322000000,
        "GNQ": 11024000000,
        "GRC": 205326000000,
        "GRD": 1211000000,
        "GRL": 3023000000,
        "GTM": 76710000000,
        "GUF": 4870000000,
        "GUY": 5173000000,
        "GUM": 6311000000,
        "HKG": 365710000000,
        "HMD": 0,
        "HND": 25095000000,
        "HRV": 60415000000,
        "HTI": 8051000000,
        "HUN": 163469000000,
        "IDN": 1119190000000,
        "IMN": 7492000000,
        "IND": 2891582000000,
        "IOT": 0,
        "IRL": 398590000000,
        "IRN": 603779000000,
        "IRQ": 225232000000,
        "ISL": 24188000000,
        "ISR": 395098000000,
        "ITA": 2003576000000,
        "JAM": 15830000000,
        "JEY": 6630000000,
        "JOR": 44502000000,
        "JPN": 5082465000000,
        "KAZ": 181667000000,
        "KEN": 95501000000,
        "KGZ": 8454000000,
        "KHM": 27097000000,
        "KIR": 194000000,
        "KNA": 1050000000,
        "KOR": 1646539000000,
        "KOS": 8402000000,
        "KWT": 134623000000,
        "LAO": 18822000000,
        "LBN": 56409000000,
        "LBR": 2582000000,
        "LBY": 32600000000,
        "LCA": 2122000000,
        "LIE": 6797000000,
        "LKA": 84008000000,
        "LSO": 2460000000,
        "LTU": 54627000000,
        "LUX": 71104000000,
        "LVA": 34102000000,
        "MAC": 53859000000,
        "MAF": 599000000,
        "MAR": 119700000000,
        "MCO": 7423000000,
        "MDA": 11955000000,
        "MDG": 14104000000,
        "MDV": 5642000000,
        "MEX": 1256440000000,
        "MHL": 237000000,
        "MKD": 12694000000,
        "MLI": 17432000000,
        "MLT": 14863000000,
        "MMR": 76784000000,
        "MNE": 5542000000,
        "MNG": 13852000000,
        "MNP": 1182000000,
        "MOZ": 15296000000,
        "MRT": 7593000000,
        "MTQ": 11314000000,
        "MSR": 67000000,
        "MUS": 14180000000,
        "MWI": 8099000000,
        "MYS": 364684000000,
        "MYT": 3049992000,
        "NAM": 12366000000,
        "NCL": 9879000000,
        "NER": 12927000000,
        "NFK": 60200000,
        "NGA": 474516000000,
        "NIC": 12520000000,
        "NIU": 10000000,
        "NLD": 907050000000,
        "NOR": 403336000000,
        "NPL": 30714000000,
        "NRU": 132000000,
        "NZL": 206936000000,
        "OMN": 76331000000,
        "PAK": 263000000000,
        "PAN": 66787000000,
        "PCN": 154352,
        "PER": 226850000000,
        "PHL": 359354000000,
        "PLW": 280000000,
        "PNG": 24796900000,
        "POL": 595862000000,
        "PRI": 104988000000,
        "PRK": 16331000000,
        "PRT": 238785000000,
        "PRY": 38086000000,
        "PSE": 17058000000,
        "PYF": 6023000000,
        "QAT": 183466000000,
        "REU": 22000000000,
        "ROU": 250075000000,
        "RUS": 1692930000000,
        "RWA": 10355000000,
        "SAU": 792966000000,
        "SDN": 34895000000,
        "SEN": 23664000000,
        "SGP": 372073000000,
        "SGS": 0,
        "SHN": 51900000,
        "SJM": 277300000,
        "SLB": 1302000000,
        "SLE": 4121000000,
        "SLV": 27022000000,
        "SMR": 1602000000,
        "SOM": 1626000000,
        "SRB": 51475000000,
        "SSD": 4959000000,
        "SPM": 261300000,
        "STP": 421000000,
        "SUR": 3697000000,
        "SVK": 105079000000,
        "SVN": 54174000000,
        "SWE": 530883000000,
        "SWZ": 4594000000,
        "SXM": 1009000000,
        "SYC": 1698000000,
        "SYR": 20379000000,
        "TCA": 1197000000,
        "TCD": 11271000000,
        "TGO": 7270000000,
        "THA": 542016000000,
        "TJK": 8333000000,
        "TKL": 9400000,
        "TKM": 48276000000,
        "TLS": 2017000000,
        "TON": 508000000,
        "TTO": 23208000000,
        "TUN": 38797000000,
        "TUR": 761425000000,
        "TUV": 47000000,
        "TWN": 315020000000,
        "TZA": 61136000000,
        "UGA": 32609000000,
        "UKR": 153781000000,
        "UMI": 13000000,
        "URY": 56045000000,
        "USA": 21433226000000,
        "UZB": 57921000000,
        "VAT": 21200000,
        "VCT": 825000000,
        "VIR": 3984000000,
        "VEN": 134960000000,
        "VGB": 1296000000,
        "VNM": 261921000000,
        "VUT": 906000000,
        "WSM": 844000000,
        "WLF": 188000000,
        "YEM": 24935000000,
        "ZAF": 351430000000,
        "ZMB": 23085000000,
        "ZWE": 21440000000
    }
    alpha3ToGovernmentType = {
        "AFG": "Islamic Emirate",
        "ALB": "Republic",
        "DZA": "Republic",
        "ASM": "US Territory",
        "AND": "Parliamentary Coprincipality",
        "AGO": "Republic",
        "AIA": "Dependent Territory of the UK",
        "ATA": "Co-administrated",
        "ATG": "Constitutional Monarchy",
        "ARG": "Federal Republic",
        "ARM": "Republic",
        "ABW": "Nonmetropolitan Territory of The Netherlands",
        "AUS": "Federation Constitutional Monarchy",
        "AUT": "Federal Republic",
        "AZE": "Federal Republic",
        "BHS": "Constitutional Monarchy",
        "BHR": "Monarchy (Emirate)",
        "BGD": "Republic",
        "BRB": "Constitutional Monarchy",
        "BLR": "Republic",
        "BEL": "Federation Constitutional Monarchy",
        "BLZ": "Constitutional Monarchy",
        "BEN": "Republic",
        "BMU": "Dependent Territory of the UK",
        "BTN": "Monarchy",
        "BOL": "Republic",
        "BIH": "Federal Republic",
        "BWA": "Republic",
        "BRA": "Federal Republic",
        "IOT": "Dependent Territory of the UK",
        "BRN": "Monarchy (Sultanate)",
        "BGR": "Republic",
        "BFA": "Republic",
        "BDI": "Republic",
        "KHM": "Constitutional Monarchy",
        "CMR": "Republic",
        "CAN": "Constitutional Monarchy, Federation",
        "CPV": "Republic",
        "CYM": "Dependent Territory of the UK",
        "CAF": "Republic",
        "TCD": "Republic",
        "CHL": "Republic",
        "CHN": "People's Republic",
        "CXR": "Territory of Australia",
        "CCK": "Territory of Australia",
        "COL": "Republic",
        "COM": "Republic",
        "COG": "Republic",
        "COK": "Nonmetropolitan Territory of New Zealand",
        "CRI": "Republic",
        "HRV": "Republic",
        "CUB": "Socialistic Republic",
        "CYP": "Republic",
        "CZE": "Republic",
        "DNK": "Constitutional Monarchy",
        "DJI": "Republic",
        "DMA": "Republic",
        "DOM": "Republic",
        "TLS": "Administrated by the UN",
        "ECU": "Republic",
        "EGY": "Republic",
        "SLV": "Republic",
        "GNQ": "Republic",
        "ERI": "Republic",
        "EST": "Republic",
        "ETH": "Republic",
        "FLK": "Dependent Territory of the UK",
        "FRO": "Part of Denmark",
        "FJI": "Republic",
        "FIN": "Republic",
        "FRA": "Republic",
        "GUF": "Overseas Department of France",
        "PYF": "Nonmetropolitan Territory of France",
        "ATF": "Nonmetropolitan Territory of France",
        "GAB": "Republic",
        "GMB": "Republic",
        "GEO": "Republic",
        "DEU": "Federal Republic",
        "GHA": "Republic",
        "GIB": "Dependent Territory of the UK",
        "GRC": "Republic",
        "GRL": "Part of Denmark",
        "GRD": "Constitutional Monarchy",
        "GLP": "Overseas Department of France",
        "GUM": "US Territory",
        "GTM": "Republic",
        "GIN": "Republic",
        "GNB": "Republic",
        "GUY": "Republic",
        "HTI": "Republic",
        "HMD": "Territory of Australia",
        "VAT": "Independent Church State",
        "HND": "Republic",
        "HKG": "Special Administrative Region of China",
        "HUN": "Republic",
        "ISL": "Republic",
        "IND": "Federal Republic",
        "IDN": "Republic",
        "IRN": "Islamic Republic",
        "IRQ": "Republic",
        "IRL": "Republic",
        "ISR": "Republic",
        "ITA": "Republic",
        "CIV": "Republic",
        "JAM": "Constitutional Monarchy",
        "JPN": "Constitutional Monarchy",
        "JOR": "Constitutional Monarchy",
        "KAZ": "Republic",
        "KEN": "Republic",
        "KIR": "Republic",
        "KWT": "Constitutional Monarchy (Emirate)",
        "KGZ": "Republic",
        "LAO": "Republic",
        "LVA": "Republic",
        "LBN": "Republic",
        "LSO": "Constitutional Monarchy",
        "LBR": "Republic",
        "LBY": "Socialistic State",
        "LIE": "Constitutional Monarchy",
        "LTU": "Republic",
        "LUX": "Constitutional Monarchy",
        "MAC": "Special Administrative Region of China",
        "MKD": "Republic",
        "MDG": "Federal Republic",
        "MWI": "Republic",
        "MYS": "Constitutional Monarchy",
        "MDV": "Republic",
        "MLI": "Republic",
        "MLT": "Republic",
        "MHL": "Republic",
        "MTQ": "Overseas Department of France",
        "MRT": "Republic",
        "MUS": "Republic",
        "MYT": "Territorial Collectivity of France",
        "MEX": "Federal Republic",
        "FSM": "Federal Republic",
        "MDA": "Republic",
        "MCO": "Constitutional Monarchy",
        "MNG": "Republic",
        "MSR": "Dependent Territory of the UK",
        "MAR": "Constitutional Monarchy",
        "MOZ": "Republic",
        "MMR": "Republic",
        "NAM": "Republic",
        "NRU": "Republic",
        "NPL": "Federal parliamentary republic",
        "NLD": "Constitutional Monarchy",
        "NCL": "Nonmetropolitan Territory of France",
        "NZL": "Constitutional Monarchy",
        "NIC": "Republic",
        "NER": "Republic",
        "NGA": "Federal Republic",
        "NIU": "Nonmetropolitan Territory of New Zealand",
        "NFK": "Territory of Australia",
        "PRK": "Socialistic Republic",
        "MNP": "Commonwealth of the US",
        "NOR": "Constitutional Monarchy",
        "OMN": "Monarchy (Sultanate)",
        "PAK": "Republic",
        "PLW": "Republic",
        "PSE": "Autonomous Area",
        "PAN": "Republic",
        "PNG": "Constitutional Monarchy",
        "PRY": "Republic",
        "PER": "Republic",
        "PHL": "Republic",
        "PCN": "Dependent Territory of the UK",
        "POL": "Republic",
        "PRT": "Republic",
        "PRI": "Commonwealth of the US",
        "QAT": "Monarchy",
        "REU": "Overseas Department of France",
        "ROU": "Republic",
        "RUS": "Federal Republic",
        "RWA": "Republic",
        "SHN": "Dependent Territory of the UK",
        "KNA": "Constitutional Monarchy",
        "LCA": "Constitutional Monarchy",
        "SPM": "Territorial Collectivity of France",
        "VCT": "Constitutional Monarchy",
        "WSM": "Parlementary Monarchy",
        "SMR": "Republic",
        "STP": "Republic",
        "SAU": "Monarchy",
        "SEN": "Republic",
        "SRB": "Republic",
        "SYC": "Republic",
        "SLE": "Republic",
        "SGP": "Republic",
        "SVK": "Republic",
        "SVN": "Republic",
        "SLB": "Constitutional Monarchy",
        "SOM": "Republic",
        "ZAF": "Republic",
        "SGS": "Dependent Territory of the UK",
        "KOR": "Republic",
        "SSD": None,
        "ESP": "Constitutional Monarchy",
        "LKA": None,
        "SDN": "Islamic Republic",
        "SUR": "Republic",
        "SJM": "Dependent Territory of Norway",
        "SWZ": "Monarchy",
        "SWE": "Constitutional Monarchy",
        "CHE": "Federation",
        "SYR": "Republic",
        "TJK": "Republic",
        "TZA": "Republic",
        "THA": "Constitutional Monarchy",
        "COD": "Republic",
        "TGO": "Republic",
        "TKL": "Nonmetropolitan Territory of New Zealand",
        "TON": "Monarchy",
        "TTO": "Republic",
        "TUN": "Republic",
        "TUR": "Republic",
        "TKM": "Republic",
        "TCA": "Dependent Territory of the UK",
        "TUV": "Constitutional Monarchy",
        "UGA": "Republic",
        "UKR": "Republic",
        "ARE": "Emirate Federation",
        "GBR": "Constitutional Monarchy",
        "USA": "Federal Republic",
        "UMI": "Dependent Territory of the US",
        "URY": "Republic",
        "UZB": "Republic",
        "VUT": "Republic",
        "VEN": "Federal Republic",
        "VNM": "Socialistic Republic",
        "VGB": None,
        "VIR": None,
        "WLF": "Nonmetropolitan Territory of France",
        "ESH": "Occupied by Marocco",
        "YEM": "Republic",
        "ZMB": "Republic",
        "ZWE": "Republic"
    }
    alpha3ToHDI = {
        "AFG": 0.511,
        "ALB": 0.795,
        "DZA": 0.748,
        "ASM": 0.827,
        "AND": 0.868,
        "AGO": 0.581,
        "AIA": 0.865,
        "ALA": 0.900,
        "ATG": 0.778,
        "ARG": 0.845,
        "ARM": 0.776,
        "ABW": 0.908,
        "AUS": 0.944,
        "AUT": 0.922,
        "AZE": 0.756,
        "BHS": 0.814,
        "BHR": 0.852,
        "BES": 0,
        "BGD": 0.632,
        "BLM": 0.688,
        "BRB": 0.814,
        "BLR": 0.823,
        "BEL": 0.931,
        "BLZ": 0.716,
        "BEN": 0.545,
        "BMU": 0.981,
        "BTN": 0.654,
        "BOL": 0.718,
        "BIH": 0.78,
        "BWA": 0.735,
        "BRA": 0.765,
        "IOT": 0,
        "BRN": 0.838,
        "BGR": 0.816,
        "BFA": 0.452,
        "BDI": 0.433,
        "KHM": 0.594,
        "CMR": 0.563,
        "CAN": 0.929,
        "CPV": 0.665,
        "CYM": 0.888,
        "CAF": 0.397,
        "TCD": 0.398,
        "CHL": 0.851,
        "CHN": 0.761,
        "CXR": 0,
        "CCK": 0,
        "CUW": 0.811,
        "COL": 0.767,
        "COM": 0.554,
        "COG": 0.574,
        "COK": 0.829,
        "CRI": 0.81,
        "HRV": 0.851,
        "CUB": 0.783,
        "CYP": 0.887,
        "CZE": 0.9,
        "DNK": 0.94,
        "DJI": 0.524,
        "DMA": 0.742,
        "DOM": 0.756,
        "TLS": 0.606,
        "ECU": 0.759,
        "EGY": 0.707,
        "SLV": 0.673,
        "GNQ": 0.592,
        "ERI": 0.459,
        "EST": 0.892,
        "ETH": 0.485,
        "FLK": 0.933,
        "FRO": 0.95,
        "FJI": 0.743,
        "FIN": 0.938,
        "FRA": 0.901,
        "GUF": 0.793,
        "PYF": 0.737,
        "ATF": 0,
        "GAB": 0.703,
        "GMB": 0.496,
        "GEO": 0.812,
        "DEU": 0.947,
        "GHA": 0.611,
        "GIB": 0.961,
        "GRC": 0.888,
        "GRL": 0.839,
        "GRD": 0.779,
        "GLP": 0.853,
        "GUM": 0.901,
        "GTM": 0.663,
        "GIN": 0.477,
        "GNB": 0.48,
        "GGY": 0.975,
        "GUY": 0.682,
        "HTI": 0.51,
        "HMD": 0,
        "VAT": 0,
        "HND": 0.634,
        "HKG": 0.949,
        "HUN": 0.854,
        "ISL": 0.949,
        "IND": 0.645,
        "IDN": 0.718,
        "IRN": 0.783,
        "IRQ": 0.674,
        "IRL": 0.955,
        "IMN": 0.950,
        "ISR": 0.919,
        "ITA": 0.892,
        "CIV": 0.538,
        "JAM": 0.734,
        "JPN": 0.919,
        "JEY": 0.985,
        "JOR": 0.729,
        "KAZ": 0.825,
        "KEN": 0.601,
        "KIR": 0.63,
        "KWT": 0.806,
        "KGZ": 0.697,
        "LAO": 0.613,
        "LVA": 0.866,
        "LBN": 0.744,
        "LSO": 0.527,
        "LBR": 0.48,
        "LBY": 0.724,
        "LIE": 0.919,
        "LTU": 0.882,
        "LUX": 0.916,
        "MAC": 0.909,
        "MAF": 0.702,
        "MKD": 0.774,
        "MDG": 0.528,
        "MWI": 0.483,
        "MYS": 0.81,
        "MDV": 0.74,
        "MLI": 0.434,
        "MLT": 0.895,
        "MHL": 0.704,
        "MTQ": 0.848,
        "MRT": 0.546,
        "MUS": 0.804,
        "MYT": 0.781,
        "MEX": 0.779,
        "FSM": 0.62,
        "MDA": 0.75,
        "MCO": 0.956,
        "MNG": 0.737,
        "MSR": 0.821,
        "MAR": 0.686,
        "MOZ": 0.456,
        "MMR": 0.583,
        "NAM": 0.646,
        "NRU": 0.721,
        "NPL": 0.602,
        "NLD": 0.944,
        "NCL": 0.813,
        "NZL": 0.931,
        "NIC": 0.66,
        "NER": 0.394,
        "NGA": 0.539,
        "NIU": 0.794,
        "NFK": 0.958,
        "PRK": 0.733,
        "MNP": 0.875,
        "MNE": 0.816,
        "NOR": 0.957,
        "OMN": 0.813,
        "PAK": 0.557,
        "PLW": 0.826,
        "PSE": 0.708,
        "PAN": 0.815,
        "PNG": 0.555,
        "PRY": 0.728,
        "PER": 0.777,
        "PHL": 0.718,
        "PCN": 0,
        "POL": 0.88,
        "PRT": 0.864,
        "PRI": 0.845,
        "QAT": 0.848,
        "REU": 0.843,
        "ROU": 0.828,
        "RUS": 0.824,
        "RWA": 0.543,
        "SHN": 0.797,
        "KNA": 0.779,
        "LCA": 0.759,
        "SPM": 0.788,
        "VCT": 0.738,
        "WSM": 0.715,
        "SMR": 0.961,
        "STP": 0.625,
        "SAU": 0.854,
        "SEN": 0.512,
        "SRB": 0.806,
        "SYC": 0.796,
        "SLE": 0.452,
        "SGP": 0.938,
        "SVK": 0.86,
        "SVN": 0.917,
        "SXM": 0.702,
        "SLB": 0.567,
        "SOM": 0.364,
        "ZAF": 0.709,
        "SGS": 0,
        "KOR": 0.916,
        "SSD": 0.433,
        "ESP": 0.904,
        "LKA": 0.782,
        "SDN": 0.51,
        "SUR": 0.738,
        "SJM": 0,
        "SWZ": 0.611,
        "SWE": 0.945,
        "CHE": 0.955,
        "SYR": 0.567,
        "TJK": 0.668,
        "TZA": 0.529,
        "THA": 0.777,
        "COD": 0.48,
        "TGO": 0.515,
        "TKL": 0.75,
        "TON": 0.725,
        "TTO": 0.796,
        "TUN": 0.74,
        "TUR": 0.82,
        "TKM": 0.715,
        "TCA": 0.873,
        "TWN": 0.907,
        "TUV": 0.711,
        "UGA": 0.544,
        "UKR": 0.779,
        "ARE": 0.89,
        "GBR": 0.932,
        "USA": 0.926,
        "UMI": 0,
        "URY": 0.817,
        "UZB": 0.72,
        "VUT": 0.609,
        "VEN": 0.711,
        "VNM": 0.704,
        "VGB": 0.945,
        "VIR": 0.894,
        "WLF": 0.763,
        "YEM": 0.47,
        "ZMB": 0.584,
        "ZWE": 0.571
    }
    alpha3ToIndepenenceDate = {
        "AFG": 1919,
        "ALB": 1912,
        "DZA": 1962,
        "ASM": None,
        "AND": 1278,
        "AGO": 1975,
        "AIA": None,
        "ALA": None,
        "ATA": None,
        "ATG": 1981,
        "ARG": 1816,
        "ARM": 1991,
        "ABW": None,
        "AUS": 1901,
        "AUT": 1918,
        "AZE": 1991,
        "BHS": 1973,
        "BHR": 1971,
        "BGD": 1971,
        "BRB": 1966,
        "BLR": 1991,
        "BEL": 1830,
        "BES": None,
        "BLM": None,
        "BLZ": 1981,
        "BEN": 1960,
        "BMU": None,
        "BTN": 1910,
        "BOL": 1825,
        "BIH": 1992,
        "BWA": 1966,
        "BRA": 1822,
        "IOT": None,
        "BRN": 1984,
        "BGR": 1908,
        "BFA": 1960,
        "BDI": 1962,
        "KHM": 1953,
        "CMR": 1960,
        "CAN": 1867,
        "CPV": 1975,
        "CYM": None,
        "CAF": 1960,
        "TCD": 1960,
        "CHL": 1810,
        "CHN": -1523,
        "CXR": None,
        "CCK": None,
        "COL": 1810,
        "CUW": None,
        "COM": 1975,
        "COG": 1960,
        "COK": None,
        "CRI": 1821,
        "HRV": 1991,
        "CUB": 1902,
        "CYP": 1960,
        "CZE": 1993,
        "DNK": 800,
        "DJI": 1977,
        "DMA": 1978,
        "DOM": 1844,
        "TLS": None,
        "ECU": 1822,
        "EGY": 1922,
        "SLV": 1841,
        "GNQ": 1968,
        "ERI": 1993,
        "EST": 1991,
        "ETH": -1000,
        "FLK": None,
        "FRO": None,
        "FJI": 1970,
        "FIN": 1917,
        "FRA": 843,
        "GUF": None,
        "PYF": None,
        "ATF": None,
        "GAB": 1960,
        "GMB": 1965,
        "GEO": 1991,
        "DEU": 1955,
        "GHA": 1957,
        "GIB": None,
        "GRC": 1830,
        "GRL": None,
        "GRD": 1974,
        "GLP": None,
        "GUM": None,
        "GTM": 1821,
        "GGY": None,
        "GIN": 1958,
        "GNB": 1974,
        "GUY": 1966,
        "HTI": 1804,
        "HMD": None,
        "VAT": 1929,
        "HND": 1838,
        "HKG": None,
        "HUN": 1918,
        "ISL": 1944,
        "IMN": None,
        "IND": 1947,
        "IDN": 1945,
        "IRN": 1906,
        "IRQ": 1932,
        "IRL": 1921,
        "ISR": 1948,
        "ITA": 1861,
        "CIV": 1960,
        "JAM": 1962,
        "JPN": -660,
        "JEY": None,
        "JOR": 1946,
        "KAZ": 1991,
        "KEN": 1963,
        "KIR": 1979,
        "KWT": 1961,
        "KGZ": 1991,
        "LAO": 1953,
        "LVA": 1991,
        "LBN": 1941,
        "LSO": 1966,
        "LBR": 1847,
        "LBY": 1951,
        "LIE": 1806,
        "LTU": 1991,
        "LUX": 1867,
        "MAC": None,
        "MAF": None,
        "MKD": 1991,
        "MDG": 1960,
        "MWI": 1964,
        "MYS": 1957,
        "MDV": 1965,
        "MLI": 1960,
        "MLT": 1964,
        "MHL": 1990,
        "MTQ": None,
        "MRT": 1960,
        "MUS": 1968,
        "MYT": None,
        "MEX": 1810,
        "FSM": 1990,
        "MDA": 1991,
        "MCO": 1861,
        "MNG": 1921,
        "MNE": 2006,
        "MSR": None,
        "MAR": 1956,
        "MOZ": 1975,
        "MMR": 1948,
        "NAM": 1990,
        "NRU": 1968,
        "NPL": 1769,
        "NLD": 1581,
        "NCL": None,
        "NZL": 1907,
        "NIC": 1838,
        "NER": 1960,
        "NGA": 1960,
        "NIU": None,
        "NFK": None,
        "PRK": 1948,
        "MNP": None,
        "NOR": 1905,
        "OMN": 1951,
        "PAK": 1947,
        "PLW": 1994,
        "PSE": None,
        "PAN": 1903,
        "PNG": 1975,
        "PRY": 1811,
        "PER": 1821,
        "PHL": 1946,
        "PCN": None,
        "POL": 1918,
        "PRT": 1143,
        "PRI": None,
        "QAT": 1971,
        "REU": None,
        "ROU": 1878,
        "RUS": 1991,
        "RWA": 1962,
        "SHN": None,
        "SXM": None,
        "KNA": 1983,
        "LCA": 1979,
        "SPM": None,
        "VCT": 1979,
        "WSM": 1962,
        "SMR": 885,
        "STP": 1975,
        "SAU": 1932,
        "SEN": 1960,
        "SRB": 2006,
        "SYC": 1976,
        "SLE": 1961,
        "SGP": 1965,
        "SVK": 1993,
        "SVN": 1991,
        "SLB": 1978,
        "SOM": 1960,
        "ZAF": 1910,
        "SGS": None,
        "KOR": 1948,
        "SSD": 2011,
        "ESP": 1492,
        "LKA": None,
        "SDN": 1956,
        "SUR": 1975,
        "SJM": None,
        "SWZ": 1968,
        "SWE": 836,
        "CHE": 1499,
        "SYR": 1941,
        "TJK": 1991,
        "TZA": 1961,
        "THA": 1350,
        "COD": 1960,
        "TGO": 1960,
        "TKL": None,
        "TON": 1970,
        "TTO": 1962,
        "TUN": 1956,
        "TUR": 1923,
        "TWN": 1912,
        "TKM": 1991,
        "TCA": None,
        "TUV": 1978,
        "UGA": 1962,
        "UKR": 1991,
        "ARE": 1971,
        "GBR": 1066,
        "USA": 1776,
        "UMI": None,
        "URY": 1828,
        "UZB": 1991,
        "VUT": 1980,
        "VEN": 1811,
        "VNM": 1945,
        "VGB": None,
        "VIR": None,
        "WLF": None,
        "YEM": 1918,
        "ZMB": 1964,
        "ZWE": 1980
    }
    alpha3ToLandlocked = {
        "AFG": True,
        "ALB": False,
        "DZA": False,
        "ASM": False,
        "AND": True,
        "AGO": False,
        "ALA": False,
        "AIA": False,
        "ATA": False,
        "ATG": False,
        "ARG": False,
        "ARM": True,
        "ABW": False,
        "AUS": False,
        "AUT": True,
        "AZE": True,
        "BHS": False,
        "BHR": False,
        "BGD": False,
        "BRB": False,
        "BLR": True,
        "BEL": False,
        "BLZ": False,
        "BES": False,
        "BEN": False,
        "BMU": False,
        "BTN": True,
        "BLM": False,
        "BOL": True,
        "BIH": False,
        "BWA": True,
        "BRA": False,
        "IOT": False,
        "BRN": False,
        "BGR": False,
        "BFA": True,
        "BDI": True,
        "KHM": False,
        "CMR": False,
        "CAN": False,
        "CPV": False,
        "CYM": False,
        "CAF": True,
        "TCD": True,
        "CHL": False,
        "CHN": False,
        "CXR": False,
        "CCK": False,
        "CUW": False,
        "COL": False,
        "COM": False,
        "COG": False,
        "COK": False,
        "CRI": False,
        "HRV": False,
        "CUB": False,
        "CYP": False,
        "CZE": True,
        "DNK": False,
        "DJI": False,
        "DMA": False,
        "DOM": False,
        "TLS": False,
        "ECU": False,
        "EGY": False,
        "SLV": False,
        "GNQ": False,
        "ERI": False,
        "EST": False,
        "ETH": True,
        "FLK": False,
        "FRO": False,
        "FJI": False,
        "FIN": False,
        "FRA": False,
        "GUF": False,
        "PYF": False,
        "ATF": False,
        "GAB": False,
        "GMB": False,
        "GEO": False,
        "DEU": False,
        "GHA": False,
        "GIB": False,
        "GRC": False,
        "GRL": False,
        "GRD": False,
        "GLP": False,
        "GUM": False,
        "GGY": False,
        "GTM": False,
        "GIN": False,
        "GNB": False,
        "GUY": False,
        "HTI": False,
        "HMD": False,
        "VAT": True,
        "HND": False,
        "HKG": False,
        "HUN": True,
        "ISL": False,
        "IND": False,
        "IDN": False,
        "IRN": False,
        "IRQ": False,
        "IRL": False,
        "ISR": False,
        "IMN": False,
        "ITA": False,
        "CIV": False,
        "JAM": False,
        "JEY": False,
        "JPN": False,
        "JOR": False,
        "KAZ": True,
        "KEN": False,
        "KIR": False,
        "KWT": False,
        "KGZ": True,
        "LAO": True,
        "LVA": False,
        "LBN": False,
        "LSO": True,
        "LBR": False,
        "LBY": False,
        "LIE": True,
        "LTU": False,
        "LUX": True,
        "MAC": False,
        "MAF": False,
        "MKD": True,
        "MDG": False,
        "MWI": True,
        "MYS": False,
        "MDV": False,
        "MLI": True,
        "MLT": False,
        "MNE": False,
        "MHL": False,
        "MTQ": False,
        "MRT": False,
        "MUS": False,
        "MYT": False,
        "MEX": False,
        "FSM": False,
        "MDA": True,
        "MCO": False,
        "MNG": True,
        "MSR": False,
        "MAR": False,
        "MOZ": False,
        "MMR": False,
        "NAM": False,
        "NRU": False,
        "NPL": True,
        "NLD": False,
        "NCL": False,
        "NZL": False,
        "NIC": False,
        "NER": True,
        "NGA": False,
        "NIU": False,
        "NFK": False,
        "PRK": False,
        "MNP": False,
        "NOR": False,
        "OMN": False,
        "PAK": False,
        "PLW": False,
        "PSE": False,
        "PAN": False,
        "PNG": False,
        "PRY": True,
        "PER": False,
        "PHL": False,
        "PCN": False,
        "POL": False,
        "PRT": False,
        "PRI": False,
        "QAT": False,
        "REU": False,
        "ROU": False,
        "RUS": False,
        "RWA": True,
        "SHN": False,
        "KNA": False,
        "LCA": False,
        "SPM": False,
        "VCT": False,
        "WSM": False,
        "SMR": True,
        "STP": False,
        "SAU": False,
        "SEN": False,
        "SRB": True,
        "SYC": False,
        "SLE": False,
        "SGP": False,
        "SVK": True,
        "SVN": False,
        "SLB": False,
        "SOM": False,
        "SXM": False,
        "ZAF": False,
        "SGS": False,
        "KOR": False,
        "SSD": True,
        "ESP": False,
        "LKA": False,
        "SDN": False,
        "SUR": False,
        "SJM": False,
        "SWZ": True,
        "SWE": False,
        "CHE": True,
        "SYR": False,
        "TJK": True,
        "TZA": False,
        "THA": False,
        "COD": None,
        "TGO": False,
        "TKL": False,
        "TON": False,
        "TTO": False,
        "TUN": False,
        "TUR": False,
        "TKM": True,
        "TCA": False,
        "TWN": False,
        "TUV": False,
        "UGA": True,
        "UKR": False,
        "ARE": False,
        "GBR": False,
        "USA": False,
        "UMI": False,
        "URY": False,
        "UZB": True,
        "VUT": False,
        "VEN": False,
        "VNM": False,
        "VGB": False,
        "VIR": False,
        "WLF": False,
        "YEM": False,
        "ZMB": True,
        "ZWE": True
    }
    alpha3ToLanguages = {'ABW': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'},
                                 {'iso639_1': 'pa',
                                  'iso639_2': 'pan',
                                  'name': '(Eastern) Punjabi',
                                  'nativeName': 'ਪੰਜਾਬੀ'}],
                         'AFG': [{'iso639_1': 'ps',
                                  'iso639_2': 'pus',
                                  'name': 'Pashto',
                                  'nativeName': 'پښتو'},
                                 {'iso639_1': 'uz',
                                  'iso639_2': 'uzb',
                                  'name': 'Uzbek',
                                  'nativeName': 'Oʻzbek'},
                                 {'iso639_1': 'tk',
                                  'iso639_2': 'tuk',
                                  'name': 'Turkmen',
                                  'nativeName': 'Türkmen'}],
                         'AGO': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'AIA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'ALA': [{'iso639_1': 'sv',
                                  'iso639_2': 'swe',
                                  'name': 'Swedish',
                                  'nativeName': 'svenska'}],
                         'ALB': [{'iso639_1': 'sq',
                                  'iso639_2': 'sqi',
                                  'name': 'Albanian',
                                  'nativeName': 'Shqip'}],
                         'AND': [{'iso639_1': 'ca',
                                  'iso639_2': 'cat',
                                  'name': 'Catalan',
                                  'nativeName': 'català'}],
                         'ARE': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'ARG': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'},
                                 {'iso639_1': 'gn',
                                  'iso639_2': 'grn',
                                  'name': 'Guaraní',
                                  'nativeName': "Avañe'ẽ"}],
                         'ARM': [{'iso639_1': 'hy',
                                  'iso639_2': 'hye',
                                  'name': 'Armenian',
                                  'nativeName': 'Հայերեն'}],
                         'ASM': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'sm',
                                  'iso639_2': 'smo',
                                  'name': 'Samoan',
                                  'nativeName': "gagana fa'a Samoa"}],
                         'ATF': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'ATG': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'AUS': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'AUT': [{'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'}],
                         'AZE': [{'iso639_1': 'az',
                                  'iso639_2': 'aze',
                                  'name': 'Azerbaijani',
                                  'nativeName': 'azərbaycan dili'}],
                         'BDI': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'rn',
                                  'iso639_2': 'run',
                                  'name': 'Kirundi',
                                  'nativeName': 'Ikirundi'}],
                         'BEL': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'}],
                         'BEN': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'BES': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'}],
                         'BFA': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ff',
                                  'iso639_2': 'ful',
                                  'name': 'Fula',
                                  'nativeName': 'Fulfulde'}],
                         'BGD': [{'iso639_1': 'bn',
                                  'iso639_2': 'ben',
                                  'name': 'Bengali',
                                  'nativeName': 'বাংলা'}],
                         'BGR': [{'iso639_1': 'bg',
                                  'iso639_2': 'bul',
                                  'name': 'Bulgarian',
                                  'nativeName': 'български език'}],
                         'BHR': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'BHS': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'BIH': [{'iso639_1': 'bs',
                                  'iso639_2': 'bos',
                                  'name': 'Bosnian',
                                  'nativeName': 'bosanski jezik'},
                                 {'iso639_1': 'hr',
                                  'iso639_2': 'hrv',
                                  'name': 'Croatian',
                                  'nativeName': 'hrvatski jezik'},
                                 {'iso639_1': 'sr',
                                  'iso639_2': 'srp',
                                  'name': 'Serbian',
                                  'nativeName': 'српски језик'}],
                         'BLM': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'BLR': [{'iso639_1': 'be',
                                  'iso639_2': 'bel',
                                  'name': 'Belarusian',
                                  'nativeName': 'беларуская мова'},
                                 {'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'BLZ': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'BMU': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'BOL': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'},
                                 {'iso639_1': 'ay',
                                  'iso639_2': 'aym',
                                  'name': 'Aymara',
                                  'nativeName': 'aymar aru'},
                                 {'iso639_1': 'qu',
                                  'iso639_2': 'que',
                                  'name': 'Quechua',
                                  'nativeName': 'Runa Simi'}],
                         'BRA': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'BRB': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'BRN': [{'iso639_1': 'ms',
                                  'iso639_2': 'msa',
                                  'name': 'Malay',
                                  'nativeName': 'bahasa Melayu'}],
                         'BTN': [{'iso639_1': 'dz',
                                  'iso639_2': 'dzo',
                                  'name': 'Dzongkha',
                                  'nativeName': 'རྫོང་ཁ'}],
                         'BWA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'tn',
                                  'iso639_2': 'tsn',
                                  'name': 'Tswana',
                                  'nativeName': 'Setswana'}],
                         'CAF': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'sg',
                                  'iso639_2': 'sag',
                                  'name': 'Sango',
                                  'nativeName': 'yângâ tî sängö'}],
                         'CAN': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'CCK': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'CHE': [{'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'it',
                                  'iso639_2': 'ita',
                                  'name': 'Italian',
                                  'nativeName': 'Italiano'},
                                 {'iso639_2': 'roh', 'name': 'Romansh'}],
                         'CHL': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'CHN': [{'iso639_1': 'zh',
                                  'iso639_2': 'zho',
                                  'name': 'Chinese',
                                  'nativeName': '中文 (Zhōngwén)'}],
                         'CIV': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'CMR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'COD': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ln',
                                  'iso639_2': 'lin',
                                  'name': 'Lingala',
                                  'nativeName': 'Lingála'},
                                 {'iso639_1': 'kg',
                                  'iso639_2': 'kon',
                                  'name': 'Kongo',
                                  'nativeName': 'Kikongo'},
                                 {'iso639_1': 'sw',
                                  'iso639_2': 'swa',
                                  'name': 'Swahili',
                                  'nativeName': 'Kiswahili'},
                                 {'iso639_1': 'lu',
                                  'iso639_2': 'lub',
                                  'name': 'Luba-Katanga',
                                  'nativeName': 'Tshiluba'}],
                         'COG': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ln',
                                  'iso639_2': 'lin',
                                  'name': 'Lingala',
                                  'nativeName': 'Lingála'}],
                         'COK': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_2': 'rar',
                                  'name': 'Cook Islands Māori',
                                  'nativeName': 'Māori'}],
                         'COL': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'COM': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'CPV': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'CRI': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'CUB': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'CUW': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'},
                                 {'iso639_1': 'pa',
                                  'iso639_2': 'pan',
                                  'name': '(Eastern) Punjabi',
                                  'nativeName': 'ਪੰਜਾਬੀ'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'CXR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'CYM': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'CYP': [{'iso639_1': 'el',
                                  'iso639_2': 'ell',
                                  'name': 'Greek (modern)',
                                  'nativeName': 'ελληνικά'},
                                 {'iso639_1': 'tr',
                                  'iso639_2': 'tur',
                                  'name': 'Turkish',
                                  'nativeName': 'Türkçe'},
                                 {'iso639_1': 'hy',
                                  'iso639_2': 'hye',
                                  'name': 'Armenian',
                                  'nativeName': 'Հայերեն'}],
                         'CZE': [{'iso639_1': 'cs',
                                  'iso639_2': 'ces',
                                  'name': 'Czech',
                                  'nativeName': 'čeština'},
                                 {'iso639_1': 'sk',
                                  'iso639_2': 'slk',
                                  'name': 'Slovak',
                                  'nativeName': 'slovenčina'}],
                         'DEU': [{'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'}],
                         'DJI': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'DMA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'DNK': [{'iso639_1': 'da',
                                  'iso639_2': 'dan',
                                  'name': 'Danish',
                                  'nativeName': 'dansk'}],
                         'DOM': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'DZA': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'ECU': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'EGY': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'ERI': [{'iso639_1': 'ti',
                                  'iso639_2': 'tir',
                                  'name': 'Tigrinya',
                                  'nativeName': 'ትግርኛ'},
                                 {'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_2': 'tig', 'name': 'Tigre', 'nativeName': 'ትግረ'},
                                 {'iso639_2': 'kun', 'name': 'Kunama', 'nativeName': 'Kunama'},
                                 {'iso639_2': 'ssy', 'name': 'Saho', 'nativeName': 'Saho'},
                                 {'iso639_2': 'byn', 'name': 'Bilen', 'nativeName': 'ብሊና'},
                                 {'iso639_2': 'nrb', 'name': 'Nara', 'nativeName': 'Nara'},
                                 {'iso639_1': 'aa',
                                  'iso639_2': 'aar',
                                  'name': 'Afar',
                                  'nativeName': 'Afar'}],
                         'ESP': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'EST': [{'iso639_1': 'et',
                                  'iso639_2': 'est',
                                  'name': 'Estonian',
                                  'nativeName': 'eesti'}],
                         'ETH': [{'iso639_1': 'am',
                                  'iso639_2': 'amh',
                                  'name': 'Amharic',
                                  'nativeName': 'አማርኛ'}],
                         'FIN': [{'iso639_1': 'fi',
                                  'iso639_2': 'fin',
                                  'name': 'Finnish',
                                  'nativeName': 'suomi'},
                                 {'iso639_1': 'sv',
                                  'iso639_2': 'swe',
                                  'name': 'Swedish',
                                  'nativeName': 'svenska'}],
                         'FJI': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fj',
                                  'iso639_2': 'fij',
                                  'name': 'Fijian',
                                  'nativeName': 'vosa Vakaviti'},
                                 {'iso639_2': 'hif', 'name': 'Fiji Hindi', 'nativeName': 'फ़िजी बात'},
                                 {'iso639_2': 'rtm', 'name': 'Rotuman', 'nativeName': 'Fäeag Rotuma'}],
                         'FLK': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'FRA': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'FRO': [{'iso639_1': 'fo',
                                  'iso639_2': 'fao',
                                  'name': 'Faroese',
                                  'nativeName': 'føroyskt'}],
                         'FSM': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'GAB': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'GBR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'GEO': [{'iso639_1': 'ka',
                                  'iso639_2': 'kat',
                                  'name': 'Georgian',
                                  'nativeName': 'ქართული'}],
                         'GGY': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'GHA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'GIB': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'GIN': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ff',
                                  'iso639_2': 'ful',
                                  'name': 'Fula',
                                  'nativeName': 'Fulfulde'}],
                         'GLP': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'GMB': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'GNB': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'GNQ': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'},
                                 {'iso639_2': 'fan', 'name': 'Fang', 'nativeName': 'Fang'}],
                         'GRC': [{'iso639_1': 'el',
                                  'iso639_2': 'ell',
                                  'name': 'Greek (modern)',
                                  'nativeName': 'ελληνικά'}],
                         'GRD': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'GRL': [{'iso639_1': 'kl',
                                  'iso639_2': 'kal',
                                  'name': 'Kalaallisut',
                                  'nativeName': 'kalaallisut'}],
                         'GTM': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'GUF': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'GUM': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'ch',
                                  'iso639_2': 'cha',
                                  'name': 'Chamorro',
                                  'nativeName': 'Chamoru'},
                                 {'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'GUY': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'HKG': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'zh',
                                  'iso639_2': 'zho',
                                  'name': 'Chinese',
                                  'nativeName': '中文 (Zhōngwén)'}],
                         'HMD': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'HND': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'HRV': [{'iso639_1': 'hr',
                                  'iso639_2': 'hrv',
                                  'name': 'Croatian',
                                  'nativeName': 'hrvatski jezik'}],
                         'HTI': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ht',
                                  'iso639_2': 'hat',
                                  'name': 'Haitian',
                                  'nativeName': 'Kreyòl ayisyen'}],
                         'HUN': [{'iso639_1': 'hu',
                                  'iso639_2': 'hun',
                                  'name': 'Hungarian',
                                  'nativeName': 'magyar'}],
                         'IDN': [{'iso639_1': 'id',
                                  'iso639_2': 'ind',
                                  'name': 'Indonesian',
                                  'nativeName': 'Bahasa Indonesia'}],
                         'IMN': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'gv',
                                  'iso639_2': 'glv',
                                  'name': 'Manx',
                                  'nativeName': 'Gaelg'}],
                         'IND': [{'iso639_1': 'hi',
                                  'iso639_2': 'hin',
                                  'name': 'Hindi',
                                  'nativeName': 'हिन्दी'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'IOT': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'IRL': [{'iso639_1': 'ga',
                                  'iso639_2': 'gle',
                                  'name': 'Irish',
                                  'nativeName': 'Gaeilge'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'IRN': [{'iso639_1': 'fa',
                                  'iso639_2': 'fas',
                                  'name': 'Persian (Farsi)',
                                  'nativeName': 'فارسی'}],
                         'IRQ': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'},
                                 {'iso639_1': 'ku',
                                  'iso639_2': 'kur',
                                  'name': 'Kurdish',
                                  'nativeName': 'Kurdî'}],
                         'ISL': [{'iso639_1': 'is',
                                  'iso639_2': 'isl',
                                  'name': 'Icelandic',
                                  'nativeName': 'Íslenska'}],
                         'ISR': [{'iso639_1': 'he',
                                  'iso639_2': 'heb',
                                  'name': 'Hebrew (modern)',
                                  'nativeName': 'עברית'},
                                 {'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'ITA': [{'iso639_1': 'it',
                                  'iso639_2': 'ita',
                                  'name': 'Italian',
                                  'nativeName': 'Italiano'}],
                         'JAM': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'JEY': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'JOR': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'JPN': [{'iso639_1': 'ja',
                                  'iso639_2': 'jpn',
                                  'name': 'Japanese',
                                  'nativeName': '日本語 (にほんご)'}],
                         'KAZ': [{'iso639_1': 'kk',
                                  'iso639_2': 'kaz',
                                  'name': 'Kazakh',
                                  'nativeName': 'қазақ тілі'},
                                 {'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'KEN': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'sw',
                                  'iso639_2': 'swa',
                                  'name': 'Swahili',
                                  'nativeName': 'Kiswahili'}],
                         'KGZ': [{'iso639_1': 'ky',
                                  'iso639_2': 'kir',
                                  'name': 'Kyrgyz',
                                  'nativeName': 'Кыргызча'},
                                 {'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'KHM': [{'iso639_1': 'km',
                                  'iso639_2': 'khm',
                                  'name': 'Khmer',
                                  'nativeName': 'ខ្មែរ'}],
                         'KIR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'KNA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'KOR': [{'iso639_1': 'ko',
                                  'iso639_2': 'kor',
                                  'name': 'Korean',
                                  'nativeName': '한국어'}],
                         'KWT': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'LAO': [{'iso639_1': 'lo',
                                  'iso639_2': 'lao',
                                  'name': 'Lao',
                                  'nativeName': 'ພາສາລາວ'}],
                         'LBN': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'LBR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'LBY': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'LCA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'LIE': [{'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'}],
                         'LKA': [{'iso639_1': 'si',
                                  'iso639_2': 'sin',
                                  'name': 'Sinhalese',
                                  'nativeName': 'සිංහල'},
                                 {'iso639_1': 'ta',
                                  'iso639_2': 'tam',
                                  'name': 'Tamil',
                                  'nativeName': 'தமிழ்'}],
                         'LSO': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'st',
                                  'iso639_2': 'sot',
                                  'name': 'Southern Sotho',
                                  'nativeName': 'Sesotho'}],
                         'LTU': [{'iso639_1': 'lt',
                                  'iso639_2': 'lit',
                                  'name': 'Lithuanian',
                                  'nativeName': 'lietuvių kalba'}],
                         'LUX': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'},
                                 {'iso639_1': 'lb',
                                  'iso639_2': 'ltz',
                                  'name': 'Luxembourgish',
                                  'nativeName': 'Lëtzebuergesch'}],
                         'LVA': [{'iso639_1': 'lv',
                                  'iso639_2': 'lav',
                                  'name': 'Latvian',
                                  'nativeName': 'latviešu valoda'}],
                         'MAC': [{'iso639_1': 'zh',
                                  'iso639_2': 'zho',
                                  'name': 'Chinese',
                                  'nativeName': '中文 (Zhōngwén)'},
                                 {'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'MAF': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'}],
                         'MAR': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'MCO': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'MDA': [{'iso639_1': 'ro',
                                  'iso639_2': 'ron',
                                  'name': 'Romanian',
                                  'nativeName': 'Română'}],
                         'MDG': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'mg',
                                  'iso639_2': 'mlg',
                                  'name': 'Malagasy',
                                  'nativeName': 'fiteny malagasy'}],
                         'MDV': [{'iso639_1': 'dv',
                                  'iso639_2': 'div',
                                  'name': 'Divehi',
                                  'nativeName': 'ދިވެހި'}],
                         'MEX': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'MHL': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'mh',
                                  'iso639_2': 'mah',
                                  'name': 'Marshallese',
                                  'nativeName': 'Kajin M̧ajeļ'}],
                         'MKD': [{'iso639_1': 'mk',
                                  'iso639_2': 'mkd',
                                  'name': 'Macedonian',
                                  'nativeName': 'македонски јазик'}],
                         'MLI': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'MLT': [{'iso639_1': 'mt',
                                  'iso639_2': 'mlt',
                                  'name': 'Maltese',
                                  'nativeName': 'Malti'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'MMR': [{'iso639_1': 'my',
                                  'iso639_2': 'mya',
                                  'name': 'Burmese',
                                  'nativeName': 'ဗမာစာ'}],
                         'MNE': [{'iso639_1': 'sr',
                                  'iso639_2': 'srp',
                                  'name': 'Serbian',
                                  'nativeName': 'српски језик'},
                                 {'iso639_1': 'bs',
                                  'iso639_2': 'bos',
                                  'name': 'Bosnian',
                                  'nativeName': 'bosanski jezik'},
                                 {'iso639_1': 'sq',
                                  'iso639_2': 'sqi',
                                  'name': 'Albanian',
                                  'nativeName': 'Shqip'},
                                 {'iso639_1': 'hr',
                                  'iso639_2': 'hrv',
                                  'name': 'Croatian',
                                  'nativeName': 'hrvatski jezik'}],
                         'MNG': [{'iso639_1': 'mn',
                                  'iso639_2': 'mon',
                                  'name': 'Mongolian',
                                  'nativeName': 'Монгол хэл'}],
                         'MNP': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'ch',
                                  'iso639_2': 'cha',
                                  'name': 'Chamorro',
                                  'nativeName': 'Chamoru'}],
                         'MOZ': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'MRT': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'MSR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'MTQ': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'MUS': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'MWI': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'ny',
                                  'iso639_2': 'nya',
                                  'name': 'Chichewa',
                                  'nativeName': 'chiCheŵa'}],
                         'MYS': [{'iso639_1': 'ms',
                                  'iso639_2': 'zsm',
                                  'name': 'Malaysian',
                                  'nativeName': 'بهاس مليسيا'}],
                         'MYT': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'NAM': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'af',
                                  'iso639_2': 'afr',
                                  'name': 'Afrikaans',
                                  'nativeName': 'Afrikaans'}],
                         'NCL': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'NER': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'NFK': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'NGA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'NIC': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'NIU': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'NLD': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'}],
                         'NOR': [{'iso639_1': 'no',
                                  'iso639_2': 'nor',
                                  'name': 'Norwegian',
                                  'nativeName': 'Norsk'},
                                 {'iso639_1': 'nb',
                                  'iso639_2': 'nob',
                                  'name': 'Norwegian Bokmål',
                                  'nativeName': 'Norsk bokmål'},
                                 {'iso639_1': 'nn',
                                  'iso639_2': 'nno',
                                  'name': 'Norwegian Nynorsk',
                                  'nativeName': 'Norsk nynorsk'}],
                         'NPL': [{'iso639_1': 'ne',
                                  'iso639_2': 'nep',
                                  'name': 'Nepali',
                                  'nativeName': 'नेपाली'}],
                         'NRU': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'na',
                                  'iso639_2': 'nau',
                                  'name': 'Nauruan',
                                  'nativeName': 'Dorerin Naoero'}],
                         'NZL': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'mi',
                                  'iso639_2': 'mri',
                                  'name': 'Māori',
                                  'nativeName': 'te reo Māori'}],
                         'OMN': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'PAK': [{'iso639_1': 'ur',
                                  'iso639_2': 'urd',
                                  'name': 'Urdu',
                                  'nativeName': 'اردو'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'PAN': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'PCN': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'PER': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'PHL': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'PLW': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'PNG': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'POL': [{'iso639_1': 'pl',
                                  'iso639_2': 'pol',
                                  'name': 'Polish',
                                  'nativeName': 'język polski'}],
                         'PRI': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'PRK': [{'iso639_1': 'ko',
                                  'iso639_2': 'kor',
                                  'name': 'Korean',
                                  'nativeName': '한국어'}],
                         'PRT': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'PRY': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'},
                                 {'iso639_1': 'gn',
                                  'iso639_2': 'grn',
                                  'name': 'Guaraní',
                                  'nativeName': "Avañe'ẽ"}],
                         'PSE': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'PYF': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'QAT': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'REU': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'ROU': [{'iso639_1': 'ro',
                                  'iso639_2': 'ron',
                                  'name': 'Romanian',
                                  'nativeName': 'Română'}],
                         'RUS': [{'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'RWA': [{'iso639_1': 'rw',
                                  'iso639_2': 'kin',
                                  'name': 'Kinyarwanda',
                                  'nativeName': 'Ikinyarwanda'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'SAU': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'SDN': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SEN': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'SGP': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'ms',
                                  'iso639_2': 'msa',
                                  'name': 'Malay',
                                  'nativeName': 'bahasa Melayu'},
                                 {'iso639_1': 'ta',
                                  'iso639_2': 'tam',
                                  'name': 'Tamil',
                                  'nativeName': 'தமிழ்'},
                                 {'iso639_1': 'zh',
                                  'iso639_2': 'zho',
                                  'name': 'Chinese',
                                  'nativeName': '中文 (Zhōngwén)'}],
                         'SGS': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SHN': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SJM': [{'iso639_1': 'no',
                                  'iso639_2': 'nor',
                                  'name': 'Norwegian',
                                  'nativeName': 'Norsk'}],
                         'SLB': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SLE': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SLV': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'SMR': [{'iso639_1': 'it',
                                  'iso639_2': 'ita',
                                  'name': 'Italian',
                                  'nativeName': 'Italiano'}],
                         'SOM': [{'iso639_1': 'so',
                                  'iso639_2': 'som',
                                  'name': 'Somali',
                                  'nativeName': 'Soomaaliga'},
                                 {'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'SPM': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'SRB': [{'iso639_1': 'sr',
                                  'iso639_2': 'srp',
                                  'name': 'Serbian',
                                  'nativeName': 'српски језик'}],
                         'SSD': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'STP': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'SUR': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'}],
                         'SVK': [{'iso639_1': 'sk',
                                  'iso639_2': 'slk',
                                  'name': 'Slovak',
                                  'nativeName': 'slovenčina'}],
                         'SVN': [{'iso639_1': 'sl',
                                  'iso639_2': 'slv',
                                  'name': 'Slovene',
                                  'nativeName': 'slovenski jezik'}],
                         'SWE': [{'iso639_1': 'sv',
                                  'iso639_2': 'swe',
                                  'name': 'Swedish',
                                  'nativeName': 'svenska'}],
                         'SWZ': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'ss',
                                  'iso639_2': 'ssw',
                                  'name': 'Swati',
                                  'nativeName': 'SiSwati'}],
                         'SXM': [{'iso639_1': 'nl',
                                  'iso639_2': 'nld',
                                  'name': 'Dutch',
                                  'nativeName': 'Nederlands'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SYC': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'SYR': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'TCA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'TCD': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'},
                                 {'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'TGO': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'THA': [{'iso639_1': 'th',
                                  'iso639_2': 'tha',
                                  'name': 'Thai',
                                  'nativeName': 'ไทย'}],
                         'TJK': [{'iso639_1': 'tg',
                                  'iso639_2': 'tgk',
                                  'name': 'Tajik',
                                  'nativeName': 'тоҷикӣ'},
                                 {'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'TKL': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'TKM': [{'iso639_1': 'tk',
                                  'iso639_2': 'tuk',
                                  'name': 'Turkmen',
                                  'nativeName': 'Türkmen'},
                                 {'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'TLS': [{'iso639_1': 'pt',
                                  'iso639_2': 'por',
                                  'name': 'Portuguese',
                                  'nativeName': 'Português'}],
                         'TON': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'to',
                                  'iso639_2': 'ton',
                                  'name': 'Tonga (Tonga Islands)',
                                  'nativeName': 'faka Tonga'}],
                         'TTO': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'TUN': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'TUR': [{'iso639_1': 'tr',
                                  'iso639_2': 'tur',
                                  'name': 'Turkish',
                                  'nativeName': 'Türkçe'}],
                         'TUV': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'TWN': [{'iso639_1': 'zh',
                                  'iso639_2': 'zho',
                                  'name': 'Chinese',
                                  'nativeName': '中文 (Zhōngwén)'}],
                         'TZA': [{'iso639_1': 'sw',
                                  'iso639_2': 'swa',
                                  'name': 'Swahili',
                                  'nativeName': 'Kiswahili'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'UGA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'sw',
                                  'iso639_2': 'swa',
                                  'name': 'Swahili',
                                  'nativeName': 'Kiswahili'}],
                         'UKR': [{'iso639_1': 'uk',
                                  'iso639_2': 'ukr',
                                  'name': 'Ukrainian',
                                  'nativeName': 'Українська'}],
                         'UMI': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'URY': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'USA': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'UZB': [{'iso639_1': 'uz',
                                  'iso639_2': 'uzb',
                                  'name': 'Uzbek',
                                  'nativeName': 'Oʻzbek'},
                                 {'iso639_1': 'ru',
                                  'iso639_2': 'rus',
                                  'name': 'Russian',
                                  'nativeName': 'Русский'}],
                         'VAT': [{'iso639_1': 'la',
                                  'iso639_2': 'lat',
                                  'name': 'Latin',
                                  'nativeName': 'latine'},
                                 {'iso639_1': 'it',
                                  'iso639_2': 'ita',
                                  'name': 'Italian',
                                  'nativeName': 'Italiano'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'Français'},
                                 {'iso639_1': 'de',
                                  'iso639_2': 'deu',
                                  'name': 'German',
                                  'nativeName': 'Deutsch'}],
                         'VCT': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'VEN': [{'iso639_1': 'es',
                                  'iso639_2': 'spa',
                                  'name': 'Spanish',
                                  'nativeName': 'Español'}],
                         'VGB': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'VIR': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'VNM': [{'iso639_1': 'vi',
                                  'iso639_2': 'vie',
                                  'name': 'Vietnamese',
                                  'nativeName': 'Tiếng Việt'}],
                         'VUT': [{'iso639_1': 'bi',
                                  'iso639_2': 'bis',
                                  'name': 'Bislama',
                                  'nativeName': 'Bislama'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'WLF': [{'iso639_1': 'fr',
                                  'iso639_2': 'fra',
                                  'name': 'French',
                                  'nativeName': 'français'}],
                         'WSM': [{'iso639_1': 'sm',
                                  'iso639_2': 'smo',
                                  'name': 'Samoan',
                                  'nativeName': "gagana fa'a Samoa"},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'YEM': [{'iso639_1': 'ar',
                                  'iso639_2': 'ara',
                                  'name': 'Arabic',
                                  'nativeName': 'العربية'}],
                         'ZAF': [{'iso639_1': 'af',
                                  'iso639_2': 'afr',
                                  'name': 'Afrikaans',
                                  'nativeName': 'Afrikaans'},
                                 {'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'nr',
                                  'iso639_2': 'nbl',
                                  'name': 'Southern Ndebele',
                                  'nativeName': 'isiNdebele'},
                                 {'iso639_1': 'st',
                                  'iso639_2': 'sot',
                                  'name': 'Southern Sotho',
                                  'nativeName': 'Sesotho'},
                                 {'iso639_1': 'ss',
                                  'iso639_2': 'ssw',
                                  'name': 'Swati',
                                  'nativeName': 'SiSwati'},
                                 {'iso639_1': 'tn',
                                  'iso639_2': 'tsn',
                                  'name': 'Tswana',
                                  'nativeName': 'Setswana'},
                                 {'iso639_1': 'ts',
                                  'iso639_2': 'tso',
                                  'name': 'Tsonga',
                                  'nativeName': 'Xitsonga'},
                                 {'iso639_1': 've',
                                  'iso639_2': 'ven',
                                  'name': 'Venda',
                                  'nativeName': 'Tshivenḓa'},
                                 {'iso639_1': 'xh',
                                  'iso639_2': 'xho',
                                  'name': 'Xhosa',
                                  'nativeName': 'isiXhosa'},
                                 {'iso639_1': 'zu',
                                  'iso639_2': 'zul',
                                  'name': 'Zulu',
                                  'nativeName': 'isiZulu'}],
                         'ZMB': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'}],
                         'ZWE': [{'iso639_1': 'en',
                                  'iso639_2': 'eng',
                                  'name': 'English',
                                  'nativeName': 'English'},
                                 {'iso639_1': 'sn',
                                  'iso639_2': 'sna',
                                  'name': 'Shona',
                                  'nativeName': 'chiShona'},
                                 {'iso639_1': 'nd',
                                  'iso639_2': 'nde',
                                  'name': 'Northern Ndebele',
                                  'nativeName': 'isiNdebele'}]
                         }
    alpha3ToLargestCity = {
        "ABW": "Oranjestad",
        "AFG": "Kabul",
        "AGO": "Luanda",
        "AIA": "The Valley",
        "ALA": "Mariehamn",
        "ALB": "Tirana",
        "AND": "Andorra la Vella",
        "ARE": "Dubai",
        "ARG": "Buenos Aires",
        "ARM": "Yerevan",
        "ASM": "Tāfuna",
        "ATA": "McMurdo Station",
        "ATF": "Port-aux-Français",
        "ATG": "St. John's",
        "AUS": "Sydney",
        "AUT": "Vienna",
        "AZE": "Baku",
        "BDI": "Bujumbura",
        "BEL": "Brussels",
        "BEN": "Cotonou",
        "BES": "Kralendijk",
        "BFA": "Ouagadougou",
        "BGD": "Dhaka",
        "BGR": "Sofia",
        "BHR": "Manama",
        "BHS": "Nassaug",
        "BIH": "Sarajevo",
        "BLM": "Gustavia",
        "BLR": "Minsk",
        "BLZ": "Belize City",
        "BMU": "Hamilton",
        "BOL": "Santa Cruz de la Sierra",
        "BRA": "São Paulo",
        "BRB": "Bridgetown",
        "BRN": "Bandar Seri Begawan",
        "BTN": "Thimphu",
        "BVT": None,
        "BWA": "Gaborone",
        "CAF": "Bangui",
        "CAN": "Toronto",
        "CCK": "Bantam",
        "CHE": "Zürich",
        "CHL": "Santiago",
        "CHN": "Shanghai",
        "CIV": "Abidjan",
        "CMR": "Yaoundé",
        "COD": "Kinshasa",
        "COG": "Brazzaville",
        "COK": "Avarua",
        "COL": "Bogotá",
        "COM": "Moroni",
        "CPV": "Praia",
        "CRI": "San José",
        "CUB": "Havana",
        "CUW": "Willemstad",
        "CXR": "Flying Fish Cove",
        "CYM": "George Town",
        "CYP": "Nicosia",
        "CZE": "Prague",
        "DEU": "Berlin",
        "DJI": "Djibouti",
        "DMA": "Roseau",
        "DNK": "Copenhagen",
        "DOM": "Santo Domingo",
        "DZA": "Algiers",
        "ECU": "Quito",
        "EGY": "Cairo",
        "ERI": "Asmara",
        "ESP": "Madrid",
        "EST": "Tallinn",
        "ETH": "Addis Ababa",
        "FIN": "Helsinki",
        "FJI": "Suva",
        "FLK": "Stanley",
        "FRA": "Paris",
        "FRO": "Tórshavn",
        "FSM": "Weno",
        "GAB": "Libreville",
        "GBR": "London",
        "GEO": "Tbilisi",
        "GGY": "Saint Peter Port",
        "GHA": "Accra",
        "GIB": "Westside",
        "GIN": "Conakry",
        "GLP": "Pointe-à-Pitre",
        "GMB": "Banjul",
        "GNB": "Bissau",
        "GNQ": "Bata",
        "GRC": "Athens",
        "GRD": "St. George's",
        "GRL": "Nuuk",
        "GTM": "Guatemala City",
        "GUF": "Cayenne",
        "GUM": "Dededo",
        "GUY": "Georgetown",
        "HKG": "Hong Kong",
        "HMD": None,
        "HND": "Tegucigalpa",
        "HRV": "Zagreb",
        "HTI": "Port-au-Prince",
        "HUN": "Budapest",
        "IDN": "Jakarta",
        "IMN": "Douglas",
        "IND": "Mumbai",
        "IOT": "Diego Garcia",
        "IRL": "Dublin",
        "IRN": "Tehran",
        "IRQ": "Baghdad",
        "ISL": "Reykjavík",
        "ISR": "Jerusalem (Disputed)",
        "ITA": "Rome",
        "JAM": "Kingston",
        "JEY": "Saint Helier",
        "JOR": "Amman",
        "JPN": "Tokyo",
        "KAZ": "Almaty",
        "KEN": "Nairobi",
        "KGZ": "Bishkek",
        "KHM": "Phnom Penh",
        "KIR": "South Tarawa",
        "KNA": "Basseterre",
        "KOR": "Seoul",
        "KOS": "Pristina",
        "KWT": "Kuwait City",
        "LAO": "Vientiane",
        "LBN": "Beirut",
        "LBR": "Monrovia",
        "LBY": "Tripoli",
        "LCA": "Castries",
        "LIE": "Schaan",
        "LKA": "Colombo",
        "LSO": "Maseru",
        "LTU": "Vilnius",
        "LUX": "Luxembourg City",
        "LVA": "Riga",
        "MAC": "Macao",
        "MAF": "Marigot",
        "MAR": "Casablanca",
        "MCO": "Larvotto",
        "MDA": "Chișinău",
        "MDG": "Antananarivo",
        "MDV": "Malé",
        "MEX": "Mexico City",
        "MHL": "Majuro",
        "MKD": "Skopje",
        "MLI": "Bamako",
        "MLT": "St. Paul's Bay",
        "MMR": "Yangon",
        "MNE": "Podgorica",
        "MNG": "Ulaanbaatar",
        "MNP": "Saipan",
        "MOZ": "Maputo",
        "MRT": "Nouakchott",
        "MSR": "Brades",
        "MTQ": "Fort-de-France",
        "MUS": "Port Louis",
        "MWI": "Lilongwe",
        "MYS": "Kuala Lumpur",
        "MYT": "Mamoudzou",
        "NAM": "Ho Chi Minh City",
        "NCL": "Nouméa",
        "NER": "Niamey",
        "NFK": "Burnt Pine",
        "NGA": "Lagos",
        "NIC": "Managua",
        "NIU": "Alofi",
        "NLD": "Amsterdam",
        "NOR": "Oslo",
        "NPL": "Kathmandu",
        "NRU": "Denigomodu District",
        "NZL": "Auckland",
        "OMN": "Muscat",
        "PAK": "Karachi",
        "PAN": "Panama City",
        "PCN": "Adamstown",
        "PER": "Lima",
        "PHL": "Quezon City",
        "PLW": "Koror",
        "PNG": "Port Moresby",
        "POL": "Warsaw",
        "PRI": "San Juan",
        "PRK": "Pyongyang",
        "PRT": "Lisbon",
        "PRY": "Asunción",
        "PSE": "Gaza City",
        "PYF": "Fa'a'ā",
        "QAT": "Doha",
        "REU": "Saint-Denis",
        "ROU": "Bucharest",
        "RUS": "Moscow",
        "RWA": "Kigali",
        "SAU": "Riyadh",
        "SDN": "Omdurman",
        "SEN": "Dakar",
        "SGP": "Singapore",
        "SGS": "King Edward Point",
        "SHN": "Half Tree Hollow",
        "SJM": "Longyearbyen",
        "SLB": "Honiara",
        "SLE": "Freetown",
        "SLV": "San Salvador",
        "SMR": "Dogana",
        "SOM": "Mogadishu",
        "SPM": "Saint-Pierre",
        "SRB": "Belgrade",
        "SSD": "Juba",
        "STP": "São Tomé",
        "SUR": "Paramaribo",
        "SVK": "Bratislava",
        "SVN": "Ljubljana",
        "SWE": "Stockholm",
        "SWZ": "Manzini",
        "SXM": "Lower Prince's Quarter",
        "SYC": "Victoria",
        "SYR": "Damascus",
        "TCA": "Providenciales",
        "TCD": "N'Djamena",
        "TGO": "Lomé",
        "THA": "Bangkok",
        "TJK": "Dushanbe",
        "TKL": "Atafu",
        "TKM": "Ashgabat",
        "TLS": "Dili",
        "TON": "Nukuʻalofa",
        "TTO": "San Fernando",
        "TUN": "Tunis",
        "TUR": "Istanbul",
        "TUV": "Funafuti",
        "TWN": "New Taipei",
        "TZA": "Dar es Salaam",
        "UGA": "Kampala",
        "UKR": "Kyiv",
        "UMI": "New York City",
        "URY": "Montevideo",
        "USA": "New York City",
        "UZB": "Tashkent",
        "VAT": "Vatican City",
        "VCT": "Kingstown",
        "VEN": "Caracas",
        "VGB": "Road Town",
        "VIR": "Charlotte Amalie",
        "VNM": "Ho Chi Minh City",
        "VUT": "Port Vila",
        "WLF": "Matā'Utu",
        "WSM": "Apia",
        "YEM": "Sana'a",
        "ZAF": "Johannesburg",
        "ZMB": "Lusaka",
        "ZWE": "Harare"
    }
    alpha3ToName = {
        "ABW": "Aruba",
        "AFG": "Afghanistan",
        "AGO": "Angola",
        "AIA": "Anguilla",
        "ALA": "Åland Islands",
        "ALB": "Albania",
        "AND": "Andorra",
        "ARE": "United Arab Emirates",
        "ARG": "Argentina",
        "ARM": "Armenia",
        "ASM": "American Samoa",
        "ATA": "Antarctica",
        "ATF": "French Southern Territories",
        "ATG": "Antigua and Barbuda",
        "AUS": "Australia",
        "AUT": "Austria",
        "AZE": "Azerbaijan",
        "BDI": "Burundi",
        "BEL": "Belgium",
        "BEN": "Benin",
        "BES": "Caribbean Netherlands",
        "BFA": "Burkina Faso",
        "BGD": "Bangladesh",
        "BGR": "Bulgaria",
        "BHR": "Bahrain",
        "BHS": "Bahamas",
        "BIH": "Bosnia and Herzegovina",
        "BLM": "Saint Barthélemy",
        "BLR": "Belarus",
        "BLZ": "Belize",
        "BMU": "Bermuda",
        "BOL": "Bolivia",
        "BRA": "Brazil",
        "BRB": "Barbados",
        "BRN": "Brunei",
        "BTN": "Bhutan",
        "BWA": "Botswana",
        "CAF": "Central African Republic",
        "CAN": "Canada",
        "CCK": "Cocos (Keeling) Islands",
        "CHE": "Switzerland",
        "CHL": "Chile",
        "CHN": "China",
        "CIV": "Côte d'Ivoire",
        "CMR": "Cameroon",
        "COD": "Democratic Republic of the Congo",
        "COG": "Republic of the Congo",
        "COK": "Cook Islands",
        "COL": "Colombia",
        "COM": "Comoros",
        "CPV": "Cabo Verde",
        "CRI": "Costa Rica",
        "CUB": "Cuba",
        "CUW": "Curaçao",
        "CXR": "Christmas Island",
        "CYM": "Cayman Islands",
        "CYP": "Cyprus",
        "CZE": "Czech Republic",
        "DEU": "Germany",
        "DJI": "Djibouti",
        "DMA": "Dominica",
        "DNK": "Denmark",
        "DOM": "Dominican Republic",
        "DZA": "Algeria",
        "ECU": "Ecuador",
        "EGY": "Egypt",
        "ERI": "Eritrea",
        "ESP": "Spain",
        "EST": "Estonia",
        "ETH": "Ethiopia",
        "FIN": "Finland",
        "FJI": "Fiji",
        "FLK": "Falkland Islands",
        "FRA": "France",
        "FRO": "Faroe Islands",
        "FSM": "Micronesia",
        "GAB": "Gabon",
        "GBR": "United Kingdom",
        "GEO": "Georgia",
        "GGY": "Guernsey",
        "GHA": "Ghana",
        "GIB": "Gibraltar",
        "GIN": "Guinea",
        "GLP": "Guadeloupe",
        "GMB": "Gambia",
        "GNB": "Guinea-Bissau",
        "GNQ": "Equatorial Guinea",
        "GRC": "Greece",
        "GRD": "Grenada",
        "GRL": "Greenland",
        "GTM": "Guatemala",
        "GUF": "French Guiana",
        "GUM": "Guam",
        "GUY": "Guyana",
        "HKG": "Hong Kong",
        "HMD": "Heard Island and McDonald Islands",
        "HND": "Honduras",
        "HRV": "Croatia",
        "HTI": "Haiti",
        "HUN": "Hungary",
        "IDN": "Indonesia",
        "IMN": "Isle of Man",
        "IND": "India",
        "IOT": "British Indian Ocean Territory",
        "IRL": "Ireland",
        "IRN": "Iran",
        "IRQ": "Iraq",
        "ISL": "Iceland",
        "ISR": "Israel",
        "ITA": "Italy",
        "JAM": "Jamaica",
        "JEY": "Jersey",
        "JOR": "Jordan",
        "JPN": "Japan",
        "KAZ": "Kazakhstan",
        "KEN": "Kenya",
        "KGZ": "Kyrgyzstan",
        "KHM": "Cambodia",
        "KIR": "Kiribati",
        "KNA": "Saint Kitts and Nevis",
        "KOR": "South Korea",
        "KOS": "Kosovo",
        "KWT": "Kuwait",
        "LAO": "Laos",
        "LBN": "Lebanon",
        "LBR": "Liberia",
        "LBY": "Libya",
        "LCA": "Saint Lucia",
        "LIE": "Liechtenstein",
        "LKA": "Sri Lanka",
        "LSO": "Lesotho",
        "LTU": "Lithuania",
        "LUX": "Luxembourg",
        "LVA": "Latvia",
        "MAC": "Macao",
        "MAF": "Saint Martin",
        "MAR": "Morocco",
        "MCO": "Monaco",
        "MDA": "Moldova",
        "MDG": "Madagascar",
        "MDV": "Maldives",
        "MEX": "Mexico",
        "MHL": "Marshall Islands",
        "MKD": "North Macedonia",
        "MLI": "Mali",
        "MLT": "Malta",
        "MMR": "Myanmar",
        "MNE": "Montenegro",
        "MNG": "Mongolia",
        "MNP": "Northern Mariana Islands",
        "MOZ": "Mozambique",
        "MRT": "Mauritania",
        "MSR": "Montserrat",
        "MTQ": "Martinique",
        "MUS": "Mauritius",
        "MWI": "Malawi",
        "MYS": "Malaysia",
        "MYT": "Mayotte",
        "NAM": "Namibia",
        "NCL": "New Caledonia",
        "NER": "Niger",
        "NFK": "Norfolk Island",
        "NGA": "Nigeria",
        "NIC": "Nicaragua",
        "NIU": "Niue",
        "NLD": "Netherlands",
        "NOR": "Norway",
        "NPL": "Nepal",
        "NRU": "Nauru",
        "NZL": "New Zealand",
        "OMN": "Oman",
        "PAK": "Pakistan",
        "PAN": "Panama",
        "PCN": "Pitcairn",
        "PER": "Peru",
        "PHL": "Philippines",
        "PLW": "Palau",
        "PNG": "Papua New Guinea",
        "POL": "Poland",
        "PRI": "Puerto Rico",
        "PRK": "North Korea",
        "PRT": "Portugal",
        "PRY": "Paraguay",
        "PSE": "Palestine",
        "PYF": "French Polynesia",
        "QAT": "Qatar",
        "REU": "Réunion",
        "ROU": "Romania",
        "RUS": "Russia",
        "RWA": "Rwanda",
        "SAU": "Saudi Arabia",
        "SDN": "Sudan",
        "SEN": "Senegal",
        "SGP": "Singapore",
        "SGS": "South Georgia and the South Sandwich Islands",
        "SHN": "Saint Helena, Ascension and Tristan da Cunha",
        "SJM": "Svalbard and Jan Mayen",
        "SLB": "Solomon Islands",
        "SLE": "Sierra Leone",
        "SLV": "El Salvador",
        "SMR": "San Marino",
        "SOM": "Somalia",
        "SPM": "Saint Pierre and Miquelon",
        "SRB": "Serbia",
        "SSD": "South Sudan",
        "STP": "Sao Tome and Principe",
        "SUR": "Suriname",
        "SVK": "Slovakia",
        "SVN": "Slovenia",
        "SWE": "Sweden",
        "SWZ": "Eswatini",
        "SXM": "Sint Maarten",
        "SYC": "Seychelles",
        "SYR": "Syria",
        "TCA": "Turks and Caicos Islands",
        "TCD": "Chad",
        "TGO": "Togo",
        "THA": "Thailand",
        "TJK": "Tajikistan",
        "TKL": "Tokelau",
        "TKM": "Turkmenistan",
        "TLS": "Timor-Leste",
        "TON": "Tonga",
        "TTO": "Trinidad and Tobago",
        "TUN": "Tunisia",
        "TUR": "Turkey",
        "TUV": "Tuvalu",
        "TWN": "Taiwan",
        "TZA": "Tanzania",
        "UGA": "Uganda",
        "UKR": "Ukraine",
        "UMI": "United States Minor Outlying Islands",
        "URY": "Uruguay",
        "USA": "United States",
        "UZB": "Uzbekistan",
        "VAT": "Vatican City",
        "VCT": "Saint Vincent and the Grenadines",
        "VEN": "Venezuela",
        "VGB": "British Virgin Islands",
        "VIR": "U.S. Virgin Islands",
        "VNM": "Vietnam",
        "VUT": "Vanuatu",
        "WLF": "Wallis and Futuna",
        "WSM": "Samoa",
        "YEM": "Yemen",
        "ZAF": "South Africa",
        "ZMB": "Zambia",
        "ZWE": "Zimbabwe"
    }
    alpha3ToNumericCode = {'ABW': '533',
                           'AFG': '004',
                           'AGO': '024',
                           'AIA': '660',
                           'ALA': '248',
                           'ALB': '008',
                           'AND': '020',
                           'ARE': '784',
                           'ARG': '032',
                           'ARM': '051',
                           'ASM': '016',
                           'ATF': '260',
                           'ATG': '028',
                           'AUS': '036',
                           'AUT': '040',
                           'AZE': '031',
                           'BDI': '108',
                           'BEL': '056',
                           'BEN': '204',
                           'BES': '535',
                           'BFA': '854',
                           'BGD': '050',
                           'BGR': '100',
                           'BHR': '048',
                           'BHS': '044',
                           'BIH': '070',
                           'BLM': '652',
                           'BLR': '112',
                           'BLZ': '084',
                           'BMU': '060',
                           'BOL': '068',
                           'BRA': '076',
                           'BRB': '052',
                           'BRN': '096',
                           'BTN': '064',
                           'BWA': '072',
                           'CAF': '140',
                           'CAN': '124',
                           'CCK': '166',
                           'CHE': '756',
                           'CHL': '152',
                           'CHN': '156',
                           'CIV': '384',
                           'CMR': '120',
                           'COD': '180',
                           'COG': '178',
                           'COK': '184',
                           'COL': '170',
                           'COM': '174',
                           'CPV': '132',
                           'CRI': '188',
                           'CUB': '192',
                           'CUW': '531',
                           'CXR': '162',
                           'CYM': '136',
                           'CYP': '196',
                           'CZE': '203',
                           'DEU': '276',
                           'DJI': '262',
                           'DMA': '212',
                           'DNK': '208',
                           'DOM': '214',
                           'DZA': '012',
                           'ECU': '218',
                           'EGY': '818',
                           'ERI': '232',
                           'ESP': '724',
                           'EST': '233',
                           'ETH': '231',
                           'FIN': '246',
                           'FJI': '242',
                           'FLK': '238',
                           'FRA': '250',
                           'FRO': '234',
                           'FSM': '583',
                           'GAB': '266',
                           'GBR': '826',
                           'GEO': '268',
                           'GGY': '831',
                           'GHA': '288',
                           'GIB': '292',
                           'GIN': '324',
                           'GLP': '312',
                           'GMB': '270',
                           'GNB': '624',
                           'GNQ': '226',
                           'GRC': '300',
                           'GRD': '308',
                           'GRL': '304',
                           'GTM': '320',
                           'GUF': '254',
                           'GUM': '316',
                           'GUY': '328',
                           'HKG': '344',
                           'HMD': '334',
                           'HND': '340',
                           'HRV': '191',
                           'HTI': '332',
                           'HUN': '348',
                           'IDN': '360',
                           'IMN': '833',
                           'IND': '356',
                           'IOT': '086',
                           'IRL': '372',
                           'IRN': '364',
                           'IRQ': '368',
                           'ISL': '352',
                           'ISR': '376',
                           'ITA': '380',
                           'JAM': '388',
                           'JEY': '832',
                           'JOR': '400',
                           'JPN': '392',
                           'KAZ': '398',
                           'KEN': '404',
                           'KGZ': '417',
                           'KHM': '116',
                           'KIR': '296',
                           'KNA': '659',
                           'KOR': '410',
                           'KWT': '414',
                           'LAO': '418',
                           'LBN': '422',
                           'LBR': '430',
                           'LBY': '434',
                           'LCA': '662',
                           'LIE': '438',
                           'LKA': '144',
                           'LSO': '426',
                           'LTU': '440',
                           'LUX': '442',
                           'LVA': '428',
                           'MAC': '446',
                           'MAF': '663',
                           'MAR': '504',
                           'MCO': '492',
                           'MDA': '498',
                           'MDG': '450',
                           'MDV': '462',
                           'MEX': '484',
                           'MHL': '584',
                           'MKD': '807',
                           'MLI': '466',
                           'MLT': '470',
                           'MMR': '104',
                           'MNE': '499',
                           'MNG': '496',
                           'MNP': '580',
                           'MOZ': '508',
                           'MRT': '478',
                           'MSR': '500',
                           'MTQ': '474',
                           'MUS': '480',
                           'MWI': '454',
                           'MYS': '458',
                           'MYT': '175',
                           'NAM': '516',
                           'NCL': '540',
                           'NER': '562',
                           'NFK': '574',
                           'NGA': '566',
                           'NIC': '558',
                           'NIU': '570',
                           'NLD': '528',
                           'NOR': '578',
                           'NPL': '524',
                           'NRU': '520',
                           'NZL': '554',
                           'OMN': '512',
                           'PAK': '586',
                           'PAN': '591',
                           'PCN': '612',
                           'PER': '604',
                           'PHL': '608',
                           'PLW': '585',
                           'PNG': '598',
                           'POL': '616',
                           'PRI': '630',
                           'PRK': '408',
                           'PRT': '620',
                           'PRY': '600',
                           'PSE': '275',
                           'PYF': '258',
                           'QAT': '634',
                           'REU': '638',
                           'ROU': '642',
                           'RUS': '643',
                           'RWA': '646',
                           'SAU': '682',
                           'SDN': '729',
                           'SEN': '686',
                           'SGP': '702',
                           'SGS': '239',
                           'SHN': '654',
                           'SJM': '744',
                           'SLB': '090',
                           'SLE': '694',
                           'SLV': '222',
                           'SMR': '674',
                           'SOM': '706',
                           'SPM': '666',
                           'SRB': '688',
                           'SSD': '728',
                           'STP': '678',
                           'SUR': '740',
                           'SVK': '703',
                           'SVN': '705',
                           'SWE': '752',
                           'SWZ': '748',
                           'SXM': '534',
                           'SYC': '690',
                           'SYR': '760',
                           'TCA': '796',
                           'TCD': '148',
                           'TGO': '768',
                           'THA': '764',
                           'TJK': '762',
                           'TKL': '772',
                           'TKM': '795',
                           'TLS': '626',
                           'TON': '776',
                           'TTO': '780',
                           'TUN': '788',
                           'TUR': '792',
                           'TUV': '798',
                           'TWN': '158',
                           'TZA': '834',
                           'UGA': '800',
                           'UKR': '804',
                           'UMI': '581',
                           'URY': '858',
                           'USA': '840',
                           'UZB': '860',
                           'VAT': '336',
                           'VCT': '670',
                           'VEN': '862',
                           'VGB': '092',
                           'VIR': '850',
                           'VNM': '704',
                           'VUT': '548',
                           'WLF': '876',
                           'WSM': '882',
                           'YEM': '887',
                           'ZAF': '710',
                           'ZMB': '894',
                           'ZWE': '716'
                           }
    alpha3ToOfficialName = {'ABW': None,
                            'AFG': 'Islamic Republic of Afghanistan',
                            'AGO': 'Republic of Angola',
                            'AIA': None,
                            'ALA': None,
                            'ALB': 'Republic of Albania',
                            'AND': 'Principality of Andorra',
                            'ARE': None,
                            'ARG': 'Argentine Republic',
                            'ARM': 'Republic of Armenia',
                            'ASM': None,
                            'ATF': None,
                            'ATG': None,
                            'AUS': None,
                            'AUT': 'Republic of Austria',
                            'AZE': 'Republic of Azerbaijan',
                            'BDI': 'Republic of Burundi',
                            'BEL': 'Kingdom of Belgium',
                            'BEN': 'Republic of Benin',
                            'BES': 'Bonaire, Sint Eustatius and Saba',
                            'BFA': None,
                            'BGD': "People's Republic of Bangladesh",
                            'BGR': 'Republic of Bulgaria',
                            'BHR': 'Kingdom of Bahrain',
                            'BHS': 'Commonwealth of the Bahamas',
                            'BIH': 'Republic of Bosnia and Herzegovina',
                            'BLM': None,
                            'BLR': 'Republic of Belarus',
                            'BLZ': None,
                            'BMU': None,
                            'BOL': 'Plurinational State of Bolivia',
                            'BRA': 'Federative Republic of Brazil',
                            'BRB': None,
                            'BRN': None,
                            'BTN': 'Kingdom of Bhutan',
                            'BWA': 'Republic of Botswana',
                            'CAF': None,
                            'CAN': None,
                            'CCK': None,
                            'CHE': 'Swiss Confederation',
                            'CHL': 'Republic of Chile',
                            'CHN': "People's Republic of China",
                            'CIV': "Republic of Côte d'Ivoire",
                            'CMR': 'Republic of Cameroon',
                            'COD': None,
                            'COG': 'Republic of the Congo',
                            'COK': None,
                            'COL': 'Republic of Colombia',
                            'COM': 'Union of the Comoros',
                            'CPV': 'Republic of Cabo Verde',
                            'CRI': 'Republic of Costa Rica',
                            'CUB': 'Republic of Cuba',
                            'CUW': 'Curaçao',
                            'CXR': None,
                            'CYM': None,
                            'CYP': 'Republic of Cyprus',
                            'CZE': 'Czech Republic',
                            'DEU': 'Federal Republic of Germany',
                            'DJI': 'Republic of Djibouti',
                            'DMA': 'Commonwealth of Dominica',
                            'DNK': 'Kingdom of Denmark',
                            'DOM': None,
                            'DZA': "People's Democratic Republic of Algeria",
                            'ECU': 'Republic of Ecuador',
                            'EGY': 'Arab Republic of Egypt',
                            'ERI': 'the State of Eritrea',
                            'ESP': 'Kingdom of Spain',
                            'EST': 'Republic of Estonia',
                            'ETH': 'Federal Democratic Republic of Ethiopia',
                            'FIN': 'Republic of Finland',
                            'FJI': 'Republic of Fiji',
                            'FLK': None,
                            'FRA': 'French Republic',
                            'FRO': None,
                            'FSM': 'Federated States of Micronesia',
                            'GAB': 'Gabonese Republic',
                            'GBR': 'United Kingdom of Great Britain and Northern Ireland',
                            'GEO': None,
                            'GGY': None,
                            'GHA': 'Republic of Ghana',
                            'GIB': None,
                            'GIN': 'Republic of Guinea',
                            'GLP': None,
                            'GMB': 'Republic of the Gambia',
                            'GNB': 'Republic of Guinea-Bissau',
                            'GNQ': 'Republic of Equatorial Guinea',
                            'GRC': 'Hellenic Republic',
                            'GRD': None,
                            'GRL': None,
                            'GTM': 'Republic of Guatemala',
                            'GUF': None,
                            'GUM': None,
                            'GUY': 'Republic of Guyana',
                            'HKG': 'Hong Kong Special Administrative Region of China',
                            'HMD': None,
                            'HND': 'Republic of Honduras',
                            'HRV': 'Republic of Croatia',
                            'HTI': 'Republic of Haiti',
                            'HUN': 'Hungary',
                            'IDN': 'Republic of Indonesia',
                            'IMN': None,
                            'IND': 'Republic of India',
                            'IOT': None,
                            'IRL': None,
                            'IRN': 'Islamic Republic of Iran',
                            'IRQ': 'Republic of Iraq',
                            'ISL': 'Republic of Iceland',
                            'ISR': 'State of Israel',
                            'ITA': 'Italian Republic',
                            'JAM': None,
                            'JEY': None,
                            'JOR': 'Hashemite Kingdom of Jordan',
                            'JPN': None,
                            'KAZ': 'Republic of Kazakhstan',
                            'KEN': 'Republic of Kenya',
                            'KGZ': 'Kyrgyz Republic',
                            'KHM': 'Kingdom of Cambodia',
                            'KIR': 'Republic of Kiribati',
                            'KNA': None,
                            'KOR': None,
                            'KWT': 'State of Kuwait',
                            'LAO': None,
                            'LBN': 'Lebanese Republic',
                            'LBR': 'Republic of Liberia',
                            'LBY': 'Libya',
                            'LCA': None,
                            'LIE': 'Principality of Liechtenstein',
                            'LKA': 'Democratic Socialist Republic of Sri Lanka',
                            'LSO': 'Kingdom of Lesotho',
                            'LTU': 'Republic of Lithuania',
                            'LUX': 'Grand Duchy of Luxembourg',
                            'LVA': 'Republic of Latvia',
                            'MAC': 'Macao Special Administrative Region of China',
                            'MAF': None,
                            'MAR': 'Kingdom of Morocco',
                            'MCO': 'Principality of Monaco',
                            'MDA': 'Republic of Moldova',
                            'MDG': 'Republic of Madagascar',
                            'MDV': 'Republic of Maldives',
                            'MEX': 'United Mexican States',
                            'MHL': 'Republic of the Marshall Islands',
                            'MKD': 'Republic of North Macedonia',
                            'MLI': 'Republic of Mali',
                            'MLT': 'Republic of Malta',
                            'MMR': 'Republic of Myanmar',
                            'MNE': 'Montenegro',
                            'MNG': None,
                            'MNP': 'Commonwealth of the Northern Mariana Islands',
                            'MOZ': 'Republic of Mozambique',
                            'MRT': 'Islamic Republic of Mauritania',
                            'MSR': None,
                            'MTQ': None,
                            'MUS': 'Republic of Mauritius',
                            'MWI': 'Republic of Malawi',
                            'MYS': None,
                            'MYT': None,
                            'NAM': 'Republic of Namibia',
                            'NCL': None,
                            'NER': 'Republic of the Niger',
                            'NFK': None,
                            'NGA': 'Federal Republic of Nigeria',
                            'NIC': 'Republic of Nicaragua',
                            'NIU': 'Niue',
                            'NLD': 'Kingdom of the Netherlands',
                            'NOR': 'Kingdom of Norway',
                            'NPL': 'Federal Democratic Republic of Nepal',
                            'NRU': 'Republic of Nauru',
                            'NZL': None,
                            'OMN': 'Sultanate of Oman',
                            'PAK': 'Islamic Republic of Pakistan',
                            'PAN': 'Republic of Panama',
                            'PCN': None,
                            'PER': 'Republic of Peru',
                            'PHL': 'Republic of the Philippines',
                            'PLW': 'Republic of Palau',
                            'PNG': 'Independent State of Papua New Guinea',
                            'POL': 'Republic of Poland',
                            'PRI': None,
                            'PRK': "Democratic People's Republic of Korea",
                            'PRT': 'Portuguese Republic',
                            'PRY': 'Republic of Paraguay',
                            'PSE': 'the State of Palestine',
                            'PYF': None,
                            'QAT': 'State of Qatar',
                            'REU': None,
                            'ROU': None,
                            'RUS': None,
                            'RWA': 'Rwandese Republic',
                            'SAU': 'Kingdom of Saudi Arabia',
                            'SDN': 'Republic of the Sudan',
                            'SEN': 'Republic of Senegal',
                            'SGP': 'Republic of Singapore',
                            'SGS': None,
                            'SHN': None,
                            'SJM': None,
                            'SLB': None,
                            'SLE': 'Republic of Sierra Leone',
                            'SLV': 'Republic of El Salvador',
                            'SMR': 'Republic of San Marino',
                            'SOM': 'Federal Republic of Somalia',
                            'SPM': None,
                            'SRB': 'Republic of Serbia',
                            'SSD': 'Republic of South Sudan',
                            'STP': 'Democratic Republic of Sao Tome and Principe',
                            'SUR': 'Republic of Suriname',
                            'SVK': 'Slovak Republic',
                            'SVN': 'Republic of Slovenia',
                            'SWE': 'Kingdom of Sweden',
                            'SWZ': 'Kingdom of Eswatini',
                            'SXM': 'Sint Maarten (Dutch part)',
                            'SYC': 'Republic of Seychelles',
                            'SYR': None,
                            'TCA': None,
                            'TCD': 'Republic of Chad',
                            'TGO': 'Togolese Republic',
                            'THA': 'Kingdom of Thailand',
                            'TJK': 'Republic of Tajikistan',
                            'TKL': None,
                            'TKM': None,
                            'TLS': 'Democratic Republic of Timor-Leste',
                            'TON': 'Kingdom of Tonga',
                            'TTO': 'Republic of Trinidad and Tobago',
                            'TUN': 'Republic of Tunisia',
                            'TUR': 'Republic of Turkey',
                            'TUV': None,
                            'TWN': 'Taiwan, Province of China',
                            'TZA': 'United Republic of Tanzania',
                            'UGA': 'Republic of Uganda',
                            'UKR': None,
                            'UMI': None,
                            'URY': 'Eastern Republic of Uruguay',
                            'USA': 'United States of America',
                            'UZB': 'Republic of Uzbekistan',
                            'VAT': None,
                            'VCT': None,
                            'VEN': 'Bolivarian Republic of Venezuela',
                            'VGB': 'British Virgin Islands',
                            'VIR': 'Virgin Islands of the United States',
                            'VNM': 'Socialist Republic of Viet Nam',
                            'VUT': 'Republic of Vanuatu',
                            'WLF': None,
                            'WSM': 'Independent State of Samoa',
                            'YEM': 'Republic of Yemen',
                            'ZAF': 'Republic of South Africa',
                            'ZMB': 'Republic of Zambia',
                            'ZWE': 'Republic of Zimbabwe'
                            }
    alpha3ToRegionalBlocs = {'ABW': None,
                             'AFG': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'AGO': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'AIA': None,
                             'ALA': [{'acronym': 'EU', 'name': 'European Union'}],
                             'ALB': [{'acronym': 'CEFTA', 'name': 'Central European Free Trade Agreement'}],
                             'AND': None,
                             'ARE': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'ARG': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'ARM': [{'acronym': 'EEU',
                                      'name': 'Eurasian Economic Union',
                                      'otherAcronyms': ['EAEU']}],
                             'ASM': None,
                             'ATF': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'ATG': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'AUS': None,
                             'AUT': [{'acronym': 'EU', 'name': 'European Union'}],
                             'AZE': None,
                             'BDI': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'BEL': [{'acronym': 'EU', 'name': 'European Union'}],
                             'BEN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'BES': None,
                             'BFA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'BGD': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'BGR': [{'acronym': 'EU', 'name': 'European Union'}],
                             'BHR': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'BHS': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'BIH': [{'acronym': 'CEFTA', 'name': 'Central European Free Trade Agreement'}],
                             'BLM': None,
                             'BLR': [{'acronym': 'EEU',
                                      'name': 'Eurasian Economic Union',
                                      'otherAcronyms': ['EAEU']}],
                             'BLZ': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']},
                                     {'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'BMU': None,
                             'BOL': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'BRA': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'BRB': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'BRN': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'BTN': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'BWA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'CAF': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'CAN': [{'acronym': 'NAFTA',
                                      'name': 'North American Free Trade Agreement',
                                      'otherNames': ['Tratado de Libre Comercio de América del Norte',
                                                     'Accord de Libre-échange Nord-Américain']}],
                             'CCK': None,
                             'CHE': [{'acronym': 'EFTA', 'name': 'European Free Trade Association'}],
                             'CHL': [{'acronym': 'PA',
                                      'name': 'Pacific Alliance',
                                      'otherNames': ['Alianza del Pacífico']},
                                     {'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'CHN': None,
                             'CIV': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'CMR': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'COD': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'COG': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'COK': None,
                             'COL': [{'acronym': 'PA',
                                      'name': 'Pacific Alliance',
                                      'otherNames': ['Alianza del Pacífico']},
                                     {'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'COM': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'CPV': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'CRI': [{'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'CUB': None,
                             'CUW': None,
                             'CXR': None,
                             'CYM': None,
                             'CYP': [{'acronym': 'EU', 'name': 'European Union'}],
                             'CZE': [{'acronym': 'EU', 'name': 'European Union'}],
                             'DEU': [{'acronym': 'EU', 'name': 'European Union'}],
                             'DJI': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'DMA': None,
                             'DNK': [{'acronym': 'EU', 'name': 'European Union'}],
                             'DOM': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']},
                                     {'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'DZA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'ECU': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'EGY': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'ERI': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'ESP': [{'acronym': 'EU', 'name': 'European Union'}],
                             'EST': [{'acronym': 'EU', 'name': 'European Union'}],
                             'ETH': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'FIN': [{'acronym': 'EU', 'name': 'European Union'}],
                             'FJI': None,
                             'FLK': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'FRA': [{'acronym': 'EU', 'name': 'European Union'}],
                             'FRO': None,
                             'FSM': None,
                             'GAB': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'GBR': None,
                             'GEO': None,
                             'GGY': None,
                             'GHA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'GIB': [{'acronym': 'EU', 'name': 'European Union'}],
                             'GIN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'GLP': None,
                             'GMB': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'GNB': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'GNQ': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'GRC': [{'acronym': 'EU', 'name': 'European Union'}],
                             'GRD': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'GRL': None,
                             'GTM': [{'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'GUF': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']},
                                     {'acronym': 'EU', 'name': 'European Union'}],
                             'GUM': None,
                             'GUY': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']},
                                     {'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'HKG': None,
                             'HMD': None,
                             'HND': [{'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'HRV': [{'acronym': 'EU', 'name': 'European Union'}],
                             'HTI': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'HUN': [{'acronym': 'EU', 'name': 'European Union'}],
                             'IDN': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'IMN': [{'acronym': 'EU', 'name': 'European Union'}],
                             'IND': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'IOT': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'IRL': [{'acronym': 'EU', 'name': 'European Union'}],
                             'IRN': None,
                             'IRQ': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'ISL': [{'acronym': 'EFTA', 'name': 'European Free Trade Association'}],
                             'ISR': None,
                             'ITA': [{'acronym': 'EU', 'name': 'European Union'}],
                             'JAM': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'JEY': None,
                             'JOR': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'JPN': None,
                             'KAZ': [{'acronym': 'EEU',
                                      'name': 'Eurasian Economic Union',
                                      'otherAcronyms': ['EAEU']}],
                             'KEN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'KGZ': [{'acronym': 'EEU',
                                      'name': 'Eurasian Economic Union',
                                      'otherAcronyms': ['EAEU']}],
                             'KHM': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'KIR': None,
                             'KNA': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'KOR': None,
                             'KWT': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'LAO': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'LBN': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'LBR': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'LBY': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'LCA': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'LIE': [{'acronym': 'EFTA', 'name': 'European Free Trade Association'}],
                             'LKA': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'LSO': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'LTU': [{'acronym': 'EU', 'name': 'European Union'}],
                             'LUX': [{'acronym': 'EU', 'name': 'European Union'}],
                             'LVA': [{'acronym': 'EU', 'name': 'European Union'}],
                             'MAC': None,
                             'MAF': None,
                             'MAR': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'MCO': None,
                             'MDA': [{'acronym': 'CEFTA', 'name': 'Central European Free Trade Agreement'}],
                             'MDG': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'MDV': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'MEX': [{'acronym': 'PA',
                                      'name': 'Pacific Alliance',
                                      'otherNames': ['Alianza del Pacífico']},
                                     {'acronym': 'NAFTA',
                                      'name': 'North American Free Trade Agreement',
                                      'otherNames': ['Tratado de Libre Comercio de América del Norte',
                                                     'Accord de Libre-échange Nord-Américain']}],
                             'MHL': None,
                             'MKD': [{'acronym': 'CEFTA', 'name': 'Central European Free Trade Agreement'}],
                             'MLI': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'MLT': [{'acronym': 'EU', 'name': 'European Union'}],
                             'MMR': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'MNE': [{'acronym': 'CEFTA', 'name': 'Central European Free Trade Agreement'}],
                             'MNG': None,
                             'MNP': None,
                             'MOZ': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'MRT': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'MSR': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'MTQ': None,
                             'MUS': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'MWI': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'MYS': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'MYT': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'NAM': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'NCL': None,
                             'NER': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'NFK': None,
                             'NGA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'NIC': [{'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'NIU': None,
                             'NLD': [{'acronym': 'EU', 'name': 'European Union'}],
                             'NOR': [{'acronym': 'EFTA', 'name': 'European Free Trade Association'}],
                             'NPL': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'NRU': None,
                             'NZL': None,
                             'OMN': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'PAK': [{'acronym': 'SAARC',
                                      'name': 'South Asian Association for Regional Cooperation'}],
                             'PAN': [{'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'PCN': None,
                             'PER': [{'acronym': 'PA',
                                      'name': 'Pacific Alliance',
                                      'otherNames': ['Alianza del Pacífico']},
                                     {'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'PHL': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'PLW': None,
                             'PNG': None,
                             'POL': [{'acronym': 'EU', 'name': 'European Union'}],
                             'PRI': None,
                             'PRK': None,
                             'PRT': [{'acronym': 'EU', 'name': 'European Union'}],
                             'PRY': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'PSE': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'PYF': None,
                             'QAT': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'REU': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'ROU': [{'acronym': 'EU', 'name': 'European Union'}],
                             'RUS': [{'acronym': 'EEU',
                                      'name': 'Eurasian Economic Union',
                                      'otherAcronyms': ['EAEU']}],
                             'RWA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SAU': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'SDN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'SEN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SGP': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'SGS': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'SHN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SJM': None,
                             'SLB': None,
                             'SLE': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SLV': [{'acronym': 'CAIS',
                                      'name': 'Central American Integration System',
                                      'otherAcronyms': ['SICA'],
                                      'otherNames': ['Sistema de la Integración Centroamericana,']}],
                             'SMR': None,
                             'SOM': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'SPM': None,
                             'SRB': [{'acronym': 'CEFTA', 'name': 'Central European Free Trade Agreement'}],
                             'SSD': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'STP': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SUR': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']},
                                     {'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'SVK': [{'acronym': 'EU', 'name': 'European Union'}],
                             'SVN': [{'acronym': 'EU', 'name': 'European Union'}],
                             'SWE': [{'acronym': 'EU', 'name': 'European Union'}],
                             'SWZ': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SXM': None,
                             'SYC': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'SYR': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'TCA': None,
                             'TCD': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'TGO': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'THA': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'TJK': None,
                             'TKL': None,
                             'TKM': None,
                             'TLS': None,
                             'TON': None,
                             'TTO': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'TUN': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']},
                                     {'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'TUR': None,
                             'TUV': None,
                             'TWN': None,
                             'TZA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'UGA': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'UKR': None,
                             'UMI': None,
                             'URY': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'USA': [{'acronym': 'NAFTA',
                                      'name': 'North American Free Trade Agreement',
                                      'otherNames': ['Tratado de Libre Comercio de América del Norte',
                                                     'Accord de Libre-échange Nord-Américain']}],
                             'UZB': None,
                             'VAT': None,
                             'VCT': [{'acronym': 'CARICOM',
                                      'name': 'Caribbean Community',
                                      'otherNames': ['Comunidad del Caribe',
                                                     'Communauté Caribéenne',
                                                     'Caribische Gemeenschap']}],
                             'VEN': [{'acronym': 'USAN',
                                      'name': 'Union of South American Nations',
                                      'otherAcronyms': ['UNASUR', 'UNASUL', 'UZAN'],
                                      'otherNames': ['Unión de Naciones Suramericanas',
                                                     'União de Nações Sul-Americanas',
                                                     'Unie van Zuid-Amerikaanse Naties',
                                                     'South American Union']}],
                             'VGB': None,
                             'VIR': None,
                             'VNM': [{'acronym': 'ASEAN',
                                      'name': 'Association of Southeast Asian Nations'}],
                             'VUT': None,
                             'WLF': None,
                             'WSM': None,
                             'YEM': [{'acronym': 'AL',
                                      'name': 'Arab League',
                                      'otherNames': ['جامعة الدول العربية',
                                                     'Jāmiʻat ad-Duwal al-ʻArabīyah',
                                                     'League of Arab States']}],
                             'ZAF': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'ZMB': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}],
                             'ZWE': [{'acronym': 'AU',
                                      'name': 'African Union',
                                      'otherNames': ['الاتحاد الأفريقي',
                                                     'Union africaine',
                                                     'União Africana',
                                                     'Unión Africana',
                                                     'Umoja wa Afrika']}]
                             }
    alpha3ToPopulation = {
        "ABW": 107394,
        "AFG": 27657145,
        "AGO": 25868000,
        "AIA": 13452,
        "ALA": 28875,
        "ALB": 2886026,
        "AND": 78014,
        "ARE": 9856000,
        "ARG": 43590400,
        "ARM": 2994400,
        "ASM": 57100,
        "ATA": 1000,
        "ATF": 140,
        "ATG": 86295,
        "AUS": 24117360,
        "AUT": 8725931,
        "AZE": 9730500,
        "BDI": 10114505,
        "BEL": 11319511,
        "BEN": 10653654,
        "BES": 17408,
        "BFA": 19034397,
        "BGD": 161006790,
        "BGR": 7153784,
        "BHR": 1404900,
        "BHS": 378040,
        "BIH": 3531159,
        "BLM": 9417,
        "BLR": 9498700,
        "BLZ": 370300,
        "BMU": 61954,
        "BOL": 10985059,
        "BRA": 206135893,
        "BRB": 285000,
        "BRN": 411900,
        "BTN": 775620,
        "BWA": 2141206,
        "CAF": 4998000,
        "CAN": 36155487,
        "CCK": 550,
        "CHE": 8341600,
        "CHL": 18191900,
        "CHN": 1377422166,
        "CIV": 22671331,
        "CMR": 22709892,
        "COD": 85026000,
        "COG": 4741000,
        "COK": 18100,
        "COL": 48759958,
        "COM": 806153,
        "CPV": 531239,
        "CRI": 4890379,
        "CUB": 11239004,
        "CUW": 154843,
        "CXR": 2072,
        "CYM": 58238,
        "CYP": 847000,
        "CZE": 10558524,
        "DEU": 81770900,
        "DJI": 900000,
        "DMA": 71293,
        "DNK": 5717014,
        "DOM": 10075045,
        "DZA": 40400000,
        "ECU": 16545799,
        "EGY": 91290000,
        "ERI": 5352000,
        "ESH": 510713,
        "ESP": 46438422,
        "EST": 1315944,
        "ETH": 92206005,
        "FIN": 5491817,
        "FJI": 867000,
        "FLK": 2563,
        "FRA": 66710000,
        "FRO": 49376,
        "FSM": 102800,
        "GAB": 1802278,
        "GBR": 65110000,
        "GEO": 3720400,
        "GGY": 62999,
        "GHA": 27670174,
        "GIB": 33140,
        "GIN": 1222442,
        "GLP": 400132,
        "GMB": 1882450,
        "GNB": 1547777,
        "GNQ": 1222442,
        "GRC": 10858018,
        "GRD": 103328,
        "GRL": 55847,
        "GTM": 16176133,
        "GUF": 254541,
        "GUM": 184200,
        "GUY": 746900,
        "HKG": 7324300,
        "HMD": 0,
        "HND": 8576532,
        "HRV": 4190669,
        "HTI": 11078033,
        "HUN": 9823000,
        "IDN": 258705000,
        "IMN": 84497,
        "IND": 1366000000,
        "IOT": 3000,
        "IRL": 6378000,
        "IRN": 79369900,
        "IRQ": 37883543,
        "ISL": 334300,
        "ISR": 8527400,
        "ITA": 60665551,
        "JAM": 2723246,
        "JEY": 100800,
        "JOR": 9531712,
        "JPN": 126960000,
        "KAZ": 17753200,
        "KEN": 47251000,
        "KGZ": 6047800,
        "KHM": 15626444,
        "KIR": 113400,
        "KNA": 46204,
        "KOR": 50801405,
        "KOS": 1935259,
        "KWT": 4183658,
        "LAO": 6492400,
        "LBN": 5988000,
        "LBR": 4615000,
        "LBY": 6385000,
        "LCA": 186000,
        "LIE": 37623,
        "LKA": 20966000,
        "LSO": 1894194,
        "LTU": 2872294,
        "LUX": 576200,
        "LVA": 1961600,
        "MAC": 649100,
        "MAF": 36979,
        "MAR": 33337529,
        "MCO": 38400,
        "MDA": 3553100,
        "MDG": 22434363,
        "MDV": 344023,
        "MEX": 122273473,
        "MHL": 54880,
        "MKD": 2058539,
        "MLI": 18135000,
        "MLT": 425384,
        "MMR": 51419420,
        "MNE": 621810,
        "MNG": 3093100,
        "MNP": 56940,
        "MOZ": 26423700,
        "MRT": 3718678,
        "MSR": 4922,
        "MTQ": 378243,
        "MUS": 1262879,
        "MWI": 16832910,
        "MYS": 31405416,
        "MYT": 226915,
        "NAM": 2324388,
        "NCL": 268767,
        "NER": 20715000,
        "NFK": 2302,
        "NGA": 186988000,
        "NIC": 6262703,
        "NIU": 1470,
        "NLD": 17019800,
        "NOR": 5223256,
        "NPL": 28431500,
        "NRU": 10084,
        "NZL": 4697854,
        "OMN": 4420133,
        "PAK": 194125062,
        "PAN": 3814672,
        "PCN": 56,
        "PER": 31488700,
        "PHL": 103279800,
        "PLW": 17950,
        "PNG": 8083700,
        "POL": 38437239,
        "PRI": 3474182,
        "PRK": 25281000,
        "PRT": 10374822,
        "PRY": 6854536,
        "PSE": 4682467,
        "PYF": 271800,
        "QAT": 2587564,
        "REU": 840974,
        "ROU": 19861408,
        "RUS": 146599183,
        "RWA": 11553188,
        "SAU": 32248200,
        "SDN": 12131000,
        "SEN": 14799859,
        "SGP": 5535000,
        "SGS": 30,
        "SHN": 4255,
        "SJM": 2562,
        "SLB": 642000,
        "SLE": 7075641,
        "SLV": 6520675,
        "SMR": 33005,
        "SOM": 11079000,
        "SPM": 6069,
        "SRB": 7076372,
        "SSD": 12131000,
        "STP": 187356,
        "SUR": 541638,
        "SVK": 5426252,
        "SVN": 2064188,
        "SWE": 9894888,
        "SWZ": 1132657,
        "SXM": 38247,
        "SYC": 91400,
        "SYR": 18564000,
        "TCA": 31458,
        "TCD": 14497000,
        "TGO": 7143000,
        "THA": 65327652,
        "TJK": 8593600,
        "TKL": 1411,
        "TKM": 4751120,
        "TLS": 1167242,
        "TON": 103252,
        "TTO": 1349667,
        "TUN": 11154400,
        "TUR": 78741053,
        "TUV": 10640,
        "TWN": 23503349,
        "TZA": 55155000,
        "UGA": 33860700,
        "UKR": 42692393,
        "UMI": 300,
        "URY": 3480222,
        "USA": 323947000,
        "UZB": 31576400,
        "VAT": 451,
        "VCT": 109991,
        "VEN": 31028700,
        "VGB": 28514,
        "VIR": 114743,
        "VNM": 92700000,
        "VUT": 277500,
        "WLF": 11750,
        "WSM": 57100,
        "YEM": 27478000,
        "ZAF": 55653654,
        "ZMB": 15933883,
        "ZWE": 14240168
    }
    alpha3ToSubregion = {'ABW': 'Caribbean',
                         'AFG': 'Southern Asia',
                         'AGO': 'Middle Africa',
                         'AIA': 'Caribbean',
                         'ALA': 'Northern Europe',
                         'ALB': 'Southern Europe',
                         'AND': 'Southern Europe',
                         'ARE': 'Western Asia',
                         'ARG': 'South America',
                         'ARM': 'Western Asia',
                         'ASM': 'Polynesia',
                         'ATF': 'Southern Africa',
                         'ATG': 'Caribbean',
                         'AUS': 'Australia and New Zealand',
                         'AUT': 'Central Europe',
                         'AZE': 'Western Asia',
                         'BDI': 'Eastern Africa',
                         'BEL': 'Western Europe',
                         'BEN': 'Western Africa',
                         'BES': 'Caribbean',
                         'BFA': 'Western Africa',
                         'BGD': 'Southern Asia',
                         'BGR': 'Eastern Europe',
                         'BHR': 'Western Asia',
                         'BHS': 'Caribbean',
                         'BIH': 'Southern Europe',
                         'BLM': 'Caribbean',
                         'BLR': 'Eastern Europe',
                         'BLZ': 'Central America',
                         'BMU': 'Northern America',
                         'BOL': 'South America',
                         'BRA': 'South America',
                         'BRB': 'Caribbean',
                         'BRN': 'South-Eastern Asia',
                         'BTN': 'Southern Asia',
                         'BWA': 'Southern Africa',
                         'CAF': 'Middle Africa',
                         'CAN': 'Northern America',
                         'CCK': 'Australia and New Zealand',
                         'CHE': 'Central Europe',
                         'CHL': 'South America',
                         'CHN': 'Eastern Asia',
                         'CIV': 'Western Africa',
                         'CMR': 'Middle Africa',
                         'COD': 'Middle Africa',
                         'COG': 'Middle Africa',
                         'COK': 'Polynesia',
                         'COL': 'South America',
                         'COM': 'Eastern Africa',
                         'CPV': 'Western Africa',
                         'CRI': 'Central America',
                         'CUB': 'Caribbean',
                         'CUW': 'Caribbean',
                         'CXR': 'Australia and New Zealand',
                         'CYM': 'Caribbean',
                         'CYP': 'Southern Europe',
                         'CZE': 'Central Europe',
                         'DEU': 'Central Europe',
                         'DJI': 'Eastern Africa',
                         'DMA': 'Caribbean',
                         'DNK': 'Northern Europe',
                         'DOM': 'Caribbean',
                         'DZA': 'Northern Africa',
                         'ECU': 'South America',
                         'EGY': 'Northern Africa',
                         'ERI': 'Eastern Africa',
                         'ESP': 'Southern Europe',
                         'EST': 'Northern Europe',
                         'ETH': 'Eastern Africa',
                         'FIN': 'Northern Europe',
                         'FJI': 'Melanesia',
                         'FLK': 'South America',
                         'FRA': 'Western Europe',
                         'FRO': 'Northern Europe',
                         'FSM': 'Micronesia',
                         'GAB': 'Middle Africa',
                         'GBR': 'Northern Europe',
                         'GEO': 'Western Asia',
                         'GGY': 'Northern Europe',
                         'GHA': 'Western Africa',
                         'GIB': 'Southern Europe',
                         'GIN': 'Western Africa',
                         'GLP': 'Caribbean',
                         'GMB': 'Western Africa',
                         'GNB': 'Western Africa',
                         'GNQ': 'Middle Africa',
                         'GRC': 'Southern Europe',
                         'GRD': 'Caribbean',
                         'GRL': 'Northern America',
                         'GTM': 'Central America',
                         'GUF': 'South America',
                         'GUM': 'Micronesia',
                         'GUY': 'South America',
                         'HKG': 'Eastern Asia',
                         'HMD': 'Antarctic',
                         'HND': 'Central America',
                         'HRV': 'Southern Europe',
                         'HTI': 'Caribbean',
                         'HUN': 'Central Europe',
                         'IDN': 'South-Eastern Asia',
                         'IMN': 'Northern Europe',
                         'IND': 'Southern Asia',
                         'IOT': 'Eastern Africa',
                         'IRL': 'Northern Europe',
                         'IRN': 'Southern Asia',
                         'IRQ': 'Western Asia',
                         'ISL': 'Northern Europe',
                         'ISR': 'Western Asia',
                         'ITA': 'Southern Europe',
                         'JAM': 'Caribbean',
                         'JEY': 'Northern Europe',
                         'JOR': 'Western Asia',
                         'JPN': 'Eastern Asia',
                         'KAZ': 'Central Asia',
                         'KEN': 'Eastern Africa',
                         'KGZ': 'Central Asia',
                         'KHM': 'South-Eastern Asia',
                         'KIR': 'Micronesia',
                         'KNA': 'Caribbean',
                         'KOR': 'Eastern Asia',
                         'KWT': 'Western Asia',
                         'LAO': 'South-Eastern Asia',
                         'LBN': 'Western Asia',
                         'LBR': 'Western Africa',
                         'LBY': 'Northern Africa',
                         'LCA': 'Caribbean',
                         'LIE': 'Central Europe',
                         'LKA': 'Southern Asia',
                         'LSO': 'Southern Africa',
                         'LTU': 'Northern Europe',
                         'LUX': 'Western Europe',
                         'LVA': 'Northern Europe',
                         'MAC': 'Eastern Asia',
                         'MAF': 'Caribbean',
                         'MAR': 'Northern Africa',
                         'MCO': 'Western Europe',
                         'MDA': 'Eastern Europe',
                         'MDG': 'Eastern Africa',
                         'MDV': 'Southern Asia',
                         'MEX': 'North America',
                         'MHL': 'Micronesia',
                         'MKD': 'Southern Europe',
                         'MLI': 'Western Africa',
                         'MLT': 'Southern Europe',
                         'MMR': 'South-Eastern Asia',
                         'MNE': 'Southern Europe',
                         'MNG': 'Eastern Asia',
                         'MNP': 'Micronesia',
                         'MOZ': 'Eastern Africa',
                         'MRT': 'Western Africa',
                         'MSR': 'Caribbean',
                         'MTQ': 'Caribbean',
                         'MUS': 'Eastern Africa',
                         'MWI': 'Eastern Africa',
                         'MYS': 'South-Eastern Asia',
                         'MYT': 'Eastern Africa',
                         'NAM': 'Southern Africa',
                         'NCL': 'Melanesia',
                         'NER': 'Western Africa',
                         'NFK': 'Australia and New Zealand',
                         'NGA': 'Western Africa',
                         'NIC': 'Central America',
                         'NIU': 'Polynesia',
                         'NLD': 'Western Europe',
                         'NOR': 'Northern Europe',
                         'NPL': 'Southern Asia',
                         'NRU': 'Micronesia',
                         'NZL': 'Australia and New Zealand',
                         'OMN': 'Western Asia',
                         'PAK': 'Southern Asia',
                         'PAN': 'Central America',
                         'PCN': 'Polynesia',
                         'PER': 'South America',
                         'PHL': 'South-Eastern Asia',
                         'PLW': 'Micronesia',
                         'PNG': 'Melanesia',
                         'POL': 'Central Europe',
                         'PRI': 'Caribbean',
                         'PRK': 'Eastern Asia',
                         'PRT': 'Southern Europe',
                         'PRY': 'South America',
                         'PSE': 'Western Asia',
                         'PYF': 'Polynesia',
                         'QAT': 'Western Asia',
                         'REU': 'Eastern Africa',
                         'ROU': 'Eastern Europe',
                         'RUS': 'Eastern Europe',
                         'RWA': 'Eastern Africa',
                         'SAU': 'Western Asia',
                         'SDN': 'Northern Africa',
                         'SEN': 'Western Africa',
                         'SGP': 'South-Eastern Asia',
                         'SGS': 'South America',
                         'SHN': 'Western Africa',
                         'SJM': 'Northern Europe',
                         'SLB': 'Melanesia',
                         'SLE': 'Western Africa',
                         'SLV': 'Central America',
                         'SMR': 'Southern Europe',
                         'SOM': 'Eastern Africa',
                         'SPM': 'Northern America',
                         'SRB': 'Southern Europe',
                         'SSD': 'Middle Africa',
                         'STP': 'Middle Africa',
                         'SUR': 'South America',
                         'SVK': 'Central Europe',
                         'SVN': 'Southern Europe',
                         'SWE': 'Northern Europe',
                         'SWZ': 'Southern Africa',
                         'SXM': 'Caribbean',
                         'SYC': 'Eastern Africa',
                         'SYR': 'Western Asia',
                         'TCA': 'Caribbean',
                         'TCD': 'Middle Africa',
                         'TGO': 'Western Africa',
                         'THA': 'South-Eastern Asia',
                         'TJK': 'Central Asia',
                         'TKL': 'Polynesia',
                         'TKM': 'Central Asia',
                         'TLS': 'South-Eastern Asia',
                         'TON': 'Polynesia',
                         'TTO': 'Caribbean',
                         'TUN': 'Northern Africa',
                         'TUR': 'Western Asia',
                         'TUV': 'Polynesia',
                         'TWN': 'Eastern Asia',
                         'TZA': 'Eastern Africa',
                         'UGA': 'Eastern Africa',
                         'UKR': 'Eastern Europe',
                         'UMI': 'Northern America',
                         'URY': 'South America',
                         'USA': 'Northern America',
                         'UZB': 'Central Asia',
                         'VAT': 'Southern Europe',
                         'VCT': 'Caribbean',
                         'VEN': 'South America',
                         'VGB': 'Caribbean',
                         'VIR': 'Caribbean',
                         'VNM': 'South-Eastern Asia',
                         'VUT': 'Melanesia',
                         'WLF': 'Polynesia',
                         'WSM': 'Polynesia',
                         'YEM': 'Western Asia',
                         'ZAF': 'Southern Africa',
                         'ZMB': 'Eastern Africa',
                         'ZWE': 'Eastern Africa'
                         }
    alpha3ToTimezones = {'ABW': ['UTC-04:00'],
                         'AFG': ['UTC+04:30'],
                         'AGO': ['UTC+01:00'],
                         'AIA': ['UTC-04:00'],
                         'ALA': ['UTC+02:00'],
                         'ALB': ['UTC+01:00'],
                         'AND': ['UTC+01:00'],
                         'ARE': ['UTC+04'],
                         'ARG': ['UTC-03:00'],
                         'ARM': ['UTC+04:00'],
                         'ASM': ['UTC-11:00'],
                         'ATF': ['UTC+05:00'],
                         'ATG': ['UTC-04:00'],
                         'AUS': ['UTC+05:00',
                                 'UTC+06:30',
                                 'UTC+07:00',
                                 'UTC+08:00',
                                 'UTC+09:30',
                                 'UTC+10:00',
                                 'UTC+10:30',
                                 'UTC+11:30'],
                         'AUT': ['UTC+01:00'],
                         'AZE': ['UTC+04:00'],
                         'BDI': ['UTC+02:00'],
                         'BEL': ['UTC+01:00'],
                         'BEN': ['UTC+01:00'],
                         'BES': ['UTC-04:00'],
                         'BFA': ['UTC'],
                         'BGD': ['UTC+06:00'],
                         'BGR': ['UTC+02:00'],
                         'BHR': ['UTC+03:00'],
                         'BHS': ['UTC-05:00'],
                         'BIH': ['UTC+01:00'],
                         'BLM': ['UTC-04:00'],
                         'BLR': ['UTC+03:00'],
                         'BLZ': ['UTC-06:00'],
                         'BMU': ['UTC-04:00'],
                         'BOL': ['UTC-04:00'],
                         'BRA': ['UTC-05:00', 'UTC-04:00', 'UTC-03:00', 'UTC-02:00'],
                         'BRB': ['UTC-04:00'],
                         'BRN': ['UTC+08:00'],
                         'BTN': ['UTC+06:00'],
                         'BWA': ['UTC+02:00'],
                         'CAF': ['UTC+01:00'],
                         'CAN': ['UTC-08:00',
                                 'UTC-07:00',
                                 'UTC-06:00',
                                 'UTC-05:00',
                                 'UTC-04:00',
                                 'UTC-03:30'],
                         'CCK': ['UTC+06:30'],
                         'CHE': ['UTC+01:00'],
                         'CHL': ['UTC-06:00', 'UTC-04:00'],
                         'CHN': ['UTC+08:00'],
                         'CIV': ['UTC'],
                         'CMR': ['UTC+01:00'],
                         'COD': ['UTC+01:00', 'UTC+02:00'],
                         'COG': ['UTC+01:00'],
                         'COK': ['UTC-10:00'],
                         'COL': ['UTC-05:00'],
                         'COM': ['UTC+03:00'],
                         'CPV': ['UTC-01:00'],
                         'CRI': ['UTC-06:00'],
                         'CUB': ['UTC-05:00'],
                         'CUW': ['UTC-04:00'],
                         'CXR': ['UTC+07:00'],
                         'CYM': ['UTC-05:00'],
                         'CYP': ['UTC+02:00'],
                         'CZE': ['UTC+01:00'],
                         'DEU': ['UTC+01:00'],
                         'DJI': ['UTC+03:00'],
                         'DMA': ['UTC-04:00'],
                         'DNK': ['UTC-04:00', 'UTC-03:00', 'UTC-01:00', 'UTC', 'UTC+01:00'],
                         'DOM': ['UTC-04:00'],
                         'DZA': ['UTC+01:00'],
                         'ECU': ['UTC-06:00', 'UTC-05:00'],
                         'EGY': ['UTC+02:00'],
                         'ERI': ['UTC+03:00'],
                         'ESP': ['UTC', 'UTC+01:00'],
                         'EST': ['UTC+02:00'],
                         'ETH': ['UTC+03:00'],
                         'FIN': ['UTC+02:00'],
                         'FJI': ['UTC+12:00'],
                         'FLK': ['UTC-04:00'],
                         'FRA': ['UTC-10:00',
                                 'UTC-09:30',
                                 'UTC-09:00',
                                 'UTC-08:00',
                                 'UTC-04:00',
                                 'UTC-03:00',
                                 'UTC+01:00',
                                 'UTC+02:00',
                                 'UTC+03:00',
                                 'UTC+04:00',
                                 'UTC+05:00',
                                 'UTC+10:00',
                                 'UTC+11:00',
                                 'UTC+12:00'],
                         'FRO': ['UTC+00:00'],
                         'FSM': ['UTC+10:00', 'UTC+11'],
                         'GAB': ['UTC+01:00'],
                         'GBR': ['UTC-08:00',
                                 'UTC-05:00',
                                 'UTC-04:00',
                                 'UTC-03:00',
                                 'UTC-02:00',
                                 'UTC',
                                 'UTC+01:00',
                                 'UTC+02:00',
                                 'UTC+06:00'],
                         'GEO': ['UTC-04:00'],
                         'GGY': ['UTC+00:00'],
                         'GHA': ['UTC'],
                         'GIB': ['UTC+01:00'],
                         'GIN': ['UTC'],
                         'GLP': ['UTC-04:00'],
                         'GMB': ['UTC+00:00'],
                         'GNB': ['UTC'],
                         'GNQ': ['UTC+01:00'],
                         'GRC': ['UTC+02:00'],
                         'GRD': ['UTC-04:00'],
                         'GRL': ['UTC-04:00', 'UTC-03:00', 'UTC-01:00', 'UTC+00:00'],
                         'GTM': ['UTC-06:00'],
                         'GUF': ['UTC-03:00'],
                         'GUM': ['UTC+10:00'],
                         'GUY': ['UTC-04:00'],
                         'HKG': ['UTC+08:00'],
                         'HMD': ['UTC+05:00'],
                         'HND': ['UTC-06:00'],
                         'HRV': ['UTC+01:00'],
                         'HTI': ['UTC-05:00'],
                         'HUN': ['UTC+01:00'],
                         'IDN': ['UTC+07:00', 'UTC+08:00', 'UTC+09:00'],
                         'IMN': ['UTC+00:00'],
                         'IND': ['UTC+05:30'],
                         'IOT': ['UTC+06:00'],
                         'IRL': ['UTC'],
                         'IRN': ['UTC+03:30'],
                         'IRQ': ['UTC+03:00'],
                         'ISL': ['UTC'],
                         'ISR': ['UTC+02:00'],
                         'ITA': ['UTC+01:00'],
                         'JAM': ['UTC-05:00'],
                         'JEY': ['UTC+01:00'],
                         'JOR': ['UTC+03:00'],
                         'JPN': ['UTC+09:00'],
                         'KAZ': ['UTC+05:00', 'UTC+06:00'],
                         'KEN': ['UTC+03:00'],
                         'KGZ': ['UTC+06:00'],
                         'KHM': ['UTC+07:00'],
                         'KIR': ['UTC+12:00', 'UTC+13:00', 'UTC+14:00'],
                         'KNA': ['UTC-04:00'],
                         'KOR': ['UTC+09:00'],
                         'KWT': ['UTC+03:00'],
                         'LAO': ['UTC+07:00'],
                         'LBN': ['UTC+02:00'],
                         'LBR': ['UTC'],
                         'LBY': ['UTC+01:00'],
                         'LCA': ['UTC-04:00'],
                         'LIE': ['UTC+01:00'],
                         'LKA': ['UTC+05:30'],
                         'LSO': ['UTC+02:00'],
                         'LTU': ['UTC+02:00'],
                         'LUX': ['UTC+01:00'],
                         'LVA': ['UTC+02:00'],
                         'MAC': ['UTC+08:00'],
                         'MAF': ['UTC-04:00'],
                         'MAR': ['UTC'],
                         'MCO': ['UTC+01:00'],
                         'MDA': ['UTC+02:00'],
                         'MDG': ['UTC+03:00'],
                         'MDV': ['UTC+05:00'],
                         'MEX': ['UTC-08:00', 'UTC-07:00', 'UTC-06:00'],
                         'MHL': ['UTC+12:00'],
                         'MKD': ['UTC+01:00'],
                         'MLI': ['UTC'],
                         'MLT': ['UTC+01:00'],
                         'MMR': ['UTC+06:30'],
                         'MNE': ['UTC+01:00'],
                         'MNG': ['UTC+07:00', 'UTC+08:00'],
                         'MNP': ['UTC+10:00'],
                         'MOZ': ['UTC+02:00'],
                         'MRT': ['UTC'],
                         'MSR': ['UTC-04:00'],
                         'MTQ': ['UTC-04:00'],
                         'MUS': ['UTC+04:00'],
                         'MWI': ['UTC+02:00'],
                         'MYS': ['UTC+08:00'],
                         'MYT': ['UTC+03:00'],
                         'NAM': ['UTC+01:00'],
                         'NCL': ['UTC+11:00'],
                         'NER': ['UTC+01:00'],
                         'NFK': ['UTC+11:30'],
                         'NGA': ['UTC+01:00'],
                         'NIC': ['UTC-06:00'],
                         'NIU': ['UTC-11:00'],
                         'NLD': ['UTC-04:00', 'UTC+01:00'],
                         'NOR': ['UTC+01:00'],
                         'NPL': ['UTC+05:45'],
                         'NRU': ['UTC+12:00'],
                         'NZL': ['UTC-11:00', 'UTC-10:00', 'UTC+12:00', 'UTC+12:45', 'UTC+13:00'],
                         'OMN': ['UTC+04:00'],
                         'PAK': ['UTC+05:00'],
                         'PAN': ['UTC-05:00'],
                         'PCN': ['UTC-08:00'],
                         'PER': ['UTC-05:00'],
                         'PHL': ['UTC+08:00'],
                         'PLW': ['UTC+09:00'],
                         'PNG': ['UTC+10:00'],
                         'POL': ['UTC+01:00'],
                         'PRI': ['UTC-04:00'],
                         'PRK': ['UTC+09:00'],
                         'PRT': ['UTC-01:00', 'UTC'],
                         'PRY': ['UTC-04:00'],
                         'PSE': ['UTC+02:00'],
                         'PYF': ['UTC-10:00', 'UTC-09:30', 'UTC-09:00'],
                         'QAT': ['UTC+03:00'],
                         'REU': ['UTC+04:00'],
                         'ROU': ['UTC+02:00'],
                         'RUS': ['UTC+03:00',
                                 'UTC+04:00',
                                 'UTC+06:00',
                                 'UTC+07:00',
                                 'UTC+08:00',
                                 'UTC+09:00',
                                 'UTC+10:00',
                                 'UTC+11:00',
                                 'UTC+12:00'],
                         'RWA': ['UTC+02:00'],
                         'SAU': ['UTC+03:00'],
                         'SDN': ['UTC+03:00'],
                         'SEN': ['UTC'],
                         'SGP': ['UTC+08:00'],
                         'SGS': ['UTC-02:00'],
                         'SHN': ['UTC+00:00'],
                         'SJM': ['UTC+01:00'],
                         'SLB': ['UTC+11:00'],
                         'SLE': ['UTC'],
                         'SLV': ['UTC-06:00'],
                         'SMR': ['UTC+01:00'],
                         'SOM': ['UTC+03:00'],
                         'SPM': ['UTC-03:00'],
                         'SRB': ['UTC+01:00'],
                         'SSD': ['UTC+03:00'],
                         'STP': ['UTC'],
                         'SUR': ['UTC-03:00'],
                         'SVK': ['UTC+01:00'],
                         'SVN': ['UTC+01:00'],
                         'SWE': ['UTC+01:00'],
                         'SWZ': ['UTC+02:00'],
                         'SXM': ['UTC-04:00'],
                         'SYC': ['UTC+04:00'],
                         'SYR': ['UTC+02:00'],
                         'TCA': ['UTC-04:00'],
                         'TCD': ['UTC+01:00'],
                         'TGO': ['UTC'],
                         'THA': ['UTC+07:00'],
                         'TJK': ['UTC+05:00'],
                         'TKL': ['UTC+13:00'],
                         'TKM': ['UTC+05:00'],
                         'TLS': ['UTC+09:00'],
                         'TON': ['UTC+13:00'],
                         'TTO': ['UTC-04:00'],
                         'TUN': ['UTC+01:00'],
                         'TUR': ['UTC+03:00'],
                         'TUV': ['UTC+12:00'],
                         'TWN': ['UTC+08:00'],
                         'TZA': ['UTC+03:00'],
                         'UGA': ['UTC+03:00'],
                         'UKR': ['UTC+02:00'],
                         'UMI': ['UTC-11:00', 'UTC-10:00', 'UTC+12:00'],
                         'URY': ['UTC-03:00'],
                         'USA': ['UTC-12:00',
                                 'UTC-11:00',
                                 'UTC-10:00',
                                 'UTC-09:00',
                                 'UTC-08:00',
                                 'UTC-07:00',
                                 'UTC-06:00',
                                 'UTC-05:00',
                                 'UTC-04:00',
                                 'UTC+10:00',
                                 'UTC+12:00'],
                         'UZB': ['UTC+05:00'],
                         'VAT': ['UTC+01:00'],
                         'VCT': ['UTC-04:00'],
                         'VEN': ['UTC-04:00'],
                         'VGB': ['UTC-04:00'],
                         'VIR': ['UTC-04:00'],
                         'VNM': ['UTC+07:00'],
                         'VUT': ['UTC+11:00'],
                         'WLF': ['UTC+12:00'],
                         'WSM': ['UTC+13:00'],
                         'YEM': ['UTC+03:00'],
                         'ZAF': ['UTC+02:00'],
                         'ZMB': ['UTC+02:00'],
                         'ZWE': ['UTC+02:00']
                         }
    alpha3ToTopLevelDomain = {'ABW': '.aw',
                              'AFG': '.af',
                              'AGO': '.ao',
                              'AIA': '.ai',
                              'ALA': '.ax',
                              'ALB': '.al',
                              'AND': '.ad',
                              'ARE': '.ae',
                              'ARG': '.ar',
                              'ARM': '.am',
                              'ASM': '.as',
                              'ATF': '.tf',
                              'ATG': '.ag',
                              'AUS': '.au',
                              'AUT': '.at',
                              'AZE': '.az',
                              'BDI': '.bi',
                              'BEL': '.be',
                              'BEN': '.bj',
                              'BES': '.an',
                              'BFA': '.bf',
                              'BGD': '.bd',
                              'BGR': '.bg',
                              'BHR': '.bh',
                              'BHS': '.bs',
                              'BIH': '.ba',
                              'BLM': '.bl',
                              'BLR': '.by',
                              'BLZ': '.bz',
                              'BMU': '.bm',
                              'BOL': '.bo',
                              'BRA': '.br',
                              'BRB': '.bb',
                              'BRN': '.bn',
                              'BTN': '.bt',
                              'BWA': '.bw',
                              'CAF': '.cf',
                              'CAN': '.ca',
                              'CCK': '.cc',
                              'CHE': '.ch',
                              'CHL': '.cl',
                              'CHN': '.cn',
                              'CIV': '.ci',
                              'CMR': '.cm',
                              'COD': '.cd',
                              'COG': '.cg',
                              'COK': '.ck',
                              'COL': '.co',
                              'COM': '.km',
                              'CPV': '.cv',
                              'CRI': '.cr',
                              'CUB': '.cu',
                              'CUW': '.cw',
                              'CXR': '.cx',
                              'CYM': '.ky',
                              'CYP': '.cy',
                              'CZE': '.cz',
                              'DEU': '.de',
                              'DJI': '.dj',
                              'DMA': '.dm',
                              'DNK': '.dk',
                              'DOM': '.do',
                              'DZA': '.dz',
                              'ECU': '.ec',
                              'EGY': '.eg',
                              'ERI': '.er',
                              'ESP': '.es',
                              'EST': '.ee',
                              'ETH': '.et',
                              'FIN': '.fi',
                              'FJI': '.fj',
                              'FLK': '.fk',
                              'FRA': '.fr',
                              'FRO': '.fo',
                              'FSM': '.fm',
                              'GAB': '.ga',
                              'GBR': '.uk',
                              'GEO': '.ge',
                              'GGY': '.gg',
                              'GHA': '.gh',
                              'GIB': '.gi',
                              'GIN': '.gn',
                              'GLP': '.gp',
                              'GMB': '.gm',
                              'GNB': '.gw',
                              'GNQ': '.gq',
                              'GRC': '.gr',
                              'GRD': '.gd',
                              'GRL': '.gl',
                              'GTM': '.gt',
                              'GUF': '.gf',
                              'GUM': '.gu',
                              'GUY': '.gy',
                              'HKG': '.hk',
                              'HMD': '.hm',
                              'HND': '.hn',
                              'HRV': '.hr',
                              'HTI': '.ht',
                              'HUN': '.hu',
                              'IDN': '.id',
                              'IMN': '.im',
                              'IND': '.in',
                              'IOT': '.io',
                              'IRL': '.ie',
                              'IRN': '.ir',
                              'IRQ': '.iq',
                              'ISL': '.is',
                              'ISR': '.il',
                              'ITA': '.it',
                              'JAM': '.jm',
                              'JEY': '.je',
                              'JOR': '.jo',
                              'JPN': '.jp',
                              'KAZ': '.kz',
                              'KEN': '.ke',
                              'KGZ': '.kg',
                              'KHM': '.kh',
                              'KIR': '.ki',
                              'KNA': '.kn',
                              'KOR': '.kr',
                              'KWT': '.kw',
                              'LAO': '.la',
                              'LBN': '.lb',
                              'LBR': '.lr',
                              'LBY': '.ly',
                              'LCA': '.lc',
                              'LIE': '.li',
                              'LKA': '.lk',
                              'LSO': '.ls',
                              'LTU': '.lt',
                              'LUX': '.lu',
                              'LVA': '.lv',
                              'MAC': '.mo',
                              'MAF': '.mf',
                              'MAR': '.ma',
                              'MCO': '.mc',
                              'MDA': '.md',
                              'MDG': '.mg',
                              'MDV': '.mv',
                              'MEX': '.mx',
                              'MHL': '.mh',
                              'MKD': '.mk',
                              'MLI': '.ml',
                              'MLT': '.mt',
                              'MMR': '.mm',
                              'MNE': '.me',
                              'MNG': '.mn',
                              'MNP': '.mp',
                              'MOZ': '.mz',
                              'MRT': '.mr',
                              'MSR': '.ms',
                              'MTQ': '.mq',
                              'MUS': '.mu',
                              'MWI': '.mw',
                              'MYS': '.my',
                              'MYT': '.yt',
                              'NAM': '.na',
                              'NCL': '.nc',
                              'NER': '.ne',
                              'NFK': '.nf',
                              'NGA': '.ng',
                              'NIC': '.ni',
                              'NIU': '.nu',
                              'NLD': '.nl',
                              'NOR': '.no',
                              'NPL': '.np',
                              'NRU': '.nr',
                              'NZL': '.nz',
                              'OMN': '.om',
                              'PAK': '.pk',
                              'PAN': '.pa',
                              'PCN': '.pn',
                              'PER': '.pe',
                              'PHL': '.ph',
                              'PLW': '.pw',
                              'PNG': '.pg',
                              'POL': '.pl',
                              'PRI': '.pr',
                              'PRK': '.kp',
                              'PRT': '.pt',
                              'PRY': '.py',
                              'PSE': '.ps',
                              'PYF': '.pf',
                              'QAT': '.qa',
                              'REU': '.re',
                              'ROU': '.ro',
                              'RUS': '.ru',
                              'RWA': '.rw',
                              'SAU': '.sa',
                              'SDN': '.sd',
                              'SEN': '.sn',
                              'SGP': '.sg',
                              'SGS': '.gs',
                              'SHN': '.sh',
                              'SJM': '.sj',
                              'SLB': '.sb',
                              'SLE': '.sl',
                              'SLV': '.sv',
                              'SMR': '.sm',
                              'SOM': '.so',
                              'SPM': '.pm',
                              'SRB': '.rs',
                              'SSD': '.ss',
                              'STP': '.st',
                              'SUR': '.sr',
                              'SVK': '.sk',
                              'SVN': '.si',
                              'SWE': '.se',
                              'SWZ': '.sz',
                              'SXM': '.sx',
                              'SYC': '.sc',
                              'SYR': '.sy',
                              'TCA': '.tc',
                              'TCD': '.td',
                              'TGO': '.tg',
                              'THA': '.th',
                              'TJK': '.tj',
                              'TKL': '.tk',
                              'TKM': '.tm',
                              'TLS': '.tl',
                              'TON': '.to',
                              'TTO': '.tt',
                              'TUN': '.tn',
                              'TUR': '.tr',
                              'TUV': '.tv',
                              'TWN': '.tw',
                              'TZA': '.tz',
                              'UGA': '.ug',
                              'UKR': '.ua',
                              'UMI': '.us',
                              'URY': '.uy',
                              'USA': '.us',
                              'UZB': '.uz',
                              'VAT': '.va',
                              'VCT': '.vc',
                              'VEN': '.ve',
                              'VGB': '.vg',
                              'VIR': '.vi',
                              'VNM': '.vn',
                              'VUT': '.vu',
                              'WLF': '.wf',
                              'WSM': '.ws',
                              'YEM': '.ye',
                              'ZAF': '.za',
                              'ZMB': '.zm',
                              'ZWE': '.zw'
                              }
    alpha3ToWikipedia = {'ABW': 'https://en.wikipedia.org/wiki/aruba',
                         'AFG': 'https://en.wikipedia.org/wiki/afghanistan',
                         'AGO': 'https://en.wikipedia.org/wiki/angola',
                         'AIA': 'https://en.wikipedia.org/wiki/anguilla',
                         'ALA': 'https://en.wikipedia.org/wiki/%C3%85land_Islands',
                         'ALB': 'https://en.wikipedia.org/wiki/albania',
                         'AND': 'https://en.wikipedia.org/wiki/Andorra',
                         'ARE': 'https://en.wikipedia.org/wiki/united_arab_emirates',
                         'ARG': 'https://en.wikipedia.org/wiki/argentina',
                         'ARM': 'https://en.wikipedia.org/wiki/armenia',
                         'ASM': 'https://en.wikipedia.org/wiki/american_samoa',
                         'ATF': 'https://en.wikipedia.org/wiki/French_Southern_and_Antarctic_Lands',
                         'ATG': 'https://en.wikipedia.org/wiki/antigua_and_barbuda',
                         'AUS': 'https://en.wikipedia.org/wiki/australia',
                         'AUT': 'https://en.wikipedia.org/wiki/austria',
                         'AZE': 'https://en.wikipedia.org/wiki/azerbaijan',
                         'BDI': 'https://en.wikipedia.org/wiki/burundi',
                         'BEL': 'https://en.wikipedia.org/wiki/belgium',
                         'BEN': 'https://en.wikipedia.org/wiki/benin',
                         'BES': 'https://en.wikipedia.org/wiki/Caribbean_Netherlands',
                         'BFA': 'https://en.wikipedia.org/wiki/burkina_faso',
                         'BGD': 'https://en.wikipedia.org/wiki/bangladesh',
                         'BGR': 'https://en.wikipedia.org/wiki/bulgaria',
                         'BHR': 'https://en.wikipedia.org/wiki/bahrain',
                         'BHS': 'https://en.wikipedia.org/wiki/The_Bahamas',
                         'BIH': 'https://en.wikipedia.org/wiki/bosnia_and_herzegovina',
                         'BLM': 'https://en.wikipedia.org/wiki/Saint_Barth%C3%A9lemy',
                         'BLR': 'https://en.wikipedia.org/wiki/belarus',
                         'BLZ': 'https://en.wikipedia.org/wiki/belize',
                         'BMU': 'https://en.wikipedia.org/wiki/bermuda',
                         'BOL': 'https://en.wikipedia.org/wiki/bolivia',
                         'BRA': 'https://en.wikipedia.org/wiki/brazil',
                         'BRB': 'https://en.wikipedia.org/wiki/barbados',
                         'BRN': 'https://en.wikipedia.org/wiki/brunei',
                         'BTN': 'https://en.wikipedia.org/wiki/bhutan',
                         'BWA': 'https://en.wikipedia.org/wiki/botswana',
                         'CAF': 'https://en.wikipedia.org/wiki/central_african_republic',
                         'CAN': 'https://en.wikipedia.org/wiki/canada',
                         'CCK': 'https://en.wikipedia.org/wiki/cocos_keeling_islands',
                         'CHE': 'https://en.wikipedia.org/wiki/switzerland',
                         'CHL': 'https://en.wikipedia.org/wiki/chile',
                         'CHN': 'https://en.wikipedia.org/wiki/china',
                         'CIV': 'https://en.wikipedia.org/wiki/Ivory_Coast',
                         'CMR': 'https://en.wikipedia.org/wiki/cameroon',
                         'COD': 'https://en.wikipedia.org/wiki/congo_republic_of_the',
                         'COG': 'https://en.wikipedia.org/wiki/congo_democratic_republic_of_the',
                         'COK': 'https://en.wikipedia.org/wiki/cook_islands',
                         'COL': 'https://en.wikipedia.org/wiki/colombia',
                         'COM': 'https://en.wikipedia.org/wiki/comoros',
                         'CPV': 'https://en.wikipedia.org/wiki/Cape_Verde',
                         'CRI': 'https://en.wikipedia.org/wiki/costa_rica',
                         'CUB': 'https://en.wikipedia.org/wiki/cuba',
                         'CUW': 'https://en.wikipedia.org/wiki/Cura%C3%A7ao',
                         'CXR': 'https://en.wikipedia.org/wiki/christmas_island',
                         'CYM': 'https://en.wikipedia.org/wiki/cayman_islands',
                         'CYP': 'https://en.wikipedia.org/wiki/cyprus',
                         'CZE': 'https://en.wikipedia.org/wiki/czeck_republic',
                         'DEU': 'https://en.wikipedia.org/wiki/germany',
                         'DJI': 'https://en.wikipedia.org/wiki/djibouti',
                         'DMA': 'https://en.wikipedia.org/wiki/dominica',
                         'DNK': 'https://en.wikipedia.org/wiki/denmark',
                         'DOM': 'https://en.wikipedia.org/wiki/dominican_republic',
                         'DZA': 'https://en.wikipedia.org/wiki/algeria',
                         'ECU': 'https://en.wikipedia.org/wiki/ecuador',
                         'EGY': 'https://en.wikipedia.org/wiki/egypt',
                         'ERI': 'https://en.wikipedia.org/wiki/eritrea',
                         'ESP': 'https://en.wikipedia.org/wiki/spratly_islands',
                         'EST': 'https://en.wikipedia.org/wiki/estonia',
                         'ETH': 'https://en.wikipedia.org/wiki/ethiopia',
                         'FIN': 'https://en.wikipedia.org/wiki/finland',
                         'FJI': 'https://en.wikipedia.org/wiki/fiji',
                         'FLK': 'https://en.wikipedia.org/wiki/falkland_islands_islas_malvinas',
                         'FRA': 'https://en.wikipedia.org/wiki/france',
                         'FRO': 'https://en.wikipedia.org/wiki/faroe_islands',
                         'FSM': 'https://en.wikipedia.org/wiki/Federated_States_of_Micronesia',
                         'GAB': 'https://en.wikipedia.org/wiki/gabon',
                         'GBR': 'https://en.wikipedia.org/wiki/united_kingdom',
                         'GEO': 'https://en.wikipedia.org/wiki/georgia',
                         'GGY': 'https://en.wikipedia.org/wiki/guernsey',
                         'GHA': 'https://en.wikipedia.org/wiki/ghana',
                         'GIB': 'https://en.wikipedia.org/wiki/gibraltar',
                         'GIN': 'https://en.wikipedia.org/wiki/guinea',
                         'GLP': 'https://en.wikipedia.org/wiki/guadeloupe',
                         'GMB': 'https://en.wikipedia.org/wiki/The_Gambia',
                         'GNB': 'https://en.wikipedia.org/wiki/guinea_bissau',
                         'GNQ': 'https://en.wikipedia.org/wiki/equatorial_guinea',
                         'GRC': 'https://en.wikipedia.org/wiki/greece',
                         'GRD': 'https://en.wikipedia.org/wiki/grenada',
                         'GRL': 'https://en.wikipedia.org/wiki/greenland',
                         'GTM': 'https://en.wikipedia.org/wiki/guatemala',
                         'GUF': 'https://en.wikipedia.org/wiki/french_guiana',
                         'GUM': 'https://en.wikipedia.org/wiki/guam',
                         'GUY': 'https://en.wikipedia.org/wiki/guyana',
                         'HKG': 'https://en.wikipedia.org/wiki/hong_kong',
                         'HMD': 'https://en.wikipedia.org/wiki/heard_island_and_mc_donald_islands',
                         'HND': 'https://en.wikipedia.org/wiki/honduras',
                         'HRV': 'https://en.wikipedia.org/wiki/croatia',
                         'HTI': 'https://en.wikipedia.org/wiki/haiti',
                         'HUN': 'https://en.wikipedia.org/wiki/howland_island',
                         'IDN': 'https://en.wikipedia.org/wiki/indonesia',
                         'IMN': 'https://en.wikipedia.org/wiki/man_isle_of',
                         'IND': 'https://en.wikipedia.org/wiki/india',
                         'IOT': 'https://en.wikipedia.org/wiki/british_virgin_islands',
                         'IRL': 'https://en.wikipedia.org/wiki/ireland',
                         'IRN': 'https://en.wikipedia.org/wiki/iran',
                         'IRQ': 'https://en.wikipedia.org/wiki/iraq',
                         'ISL': 'https://en.wikipedia.org/wiki/iceland',
                         'ISR': 'https://en.wikipedia.org/wiki/israel',
                         'ITA': 'https://en.wikipedia.org/wiki/italy',
                         'JAM': 'https://en.wikipedia.org/wiki/jamaica',
                         'JEY': 'https://en.wikipedia.org/wiki/jersey',
                         'JOR': 'https://en.wikipedia.org/wiki/jordan',
                         'JPN': 'https://en.wikipedia.org/wiki/japan',
                         'KAZ': 'https://en.wikipedia.org/wiki/kazakhstan',
                         'KEN': 'https://en.wikipedia.org/wiki/kenya',
                         'KGZ': 'https://en.wikipedia.org/wiki/kyrgyzstan',
                         'KHM': 'https://en.wikipedia.org/wiki/cambodia',
                         'KIR': 'https://en.wikipedia.org/wiki/kiribati',
                         'KNA': 'https://en.wikipedia.org/wiki/saint_kitts_and_nevis',
                         'KOR': 'https://en.wikipedia.org/wiki/korea_south',
                         'KWT': 'https://en.wikipedia.org/wiki/kuwait',
                         'LAO': 'https://en.wikipedia.org/wiki/laos',
                         'LBN': 'https://en.wikipedia.org/wiki/lebanon',
                         'LBR': 'https://en.wikipedia.org/wiki/liberia',
                         'LBY': 'https://en.wikipedia.org/wiki/libya',
                         'LCA': 'https://en.wikipedia.org/wiki/saint_lucia',
                         'LIE': 'https://en.wikipedia.org/wiki/liechtenstein',
                         'LKA': 'https://en.wikipedia.org/wiki/sri_lanka',
                         'LSO': 'https://en.wikipedia.org/wiki/lesotho',
                         'LTU': 'https://en.wikipedia.org/wiki/lithuania',
                         'LUX': 'https://en.wikipedia.org/wiki/luxembourg',
                         'LVA': 'https://en.wikipedia.org/wiki/latvia',
                         'MAC': 'https://en.wikipedia.org/wiki/Macau',
                         'MAF': 'https://en.wikipedia.org/wiki/Collectivity_of_Saint_Martin',
                         'MAR': 'https://en.wikipedia.org/wiki/morocco',
                         'MCO': 'https://en.wikipedia.org/wiki/monaco',
                         'MDA': 'https://en.wikipedia.org/wiki/moldova',
                         'MDG': 'https://en.wikipedia.org/wiki/madagascar',
                         'MDV': 'https://en.wikipedia.org/wiki/maldives',
                         'MEX': 'https://en.wikipedia.org/wiki/mexico',
                         'MHL': 'https://en.wikipedia.org/wiki/marshall_islands',
                         'MKD': 'https://en.wikipedia.org/wiki/North_Macedonia',
                         'MLI': 'https://en.wikipedia.org/wiki/mali',
                         'MLT': 'https://en.wikipedia.org/wiki/malta',
                         'MMR': 'https://en.wikipedia.org/wiki/Myanmar',
                         'MNE': 'https://en.wikipedia.org/wiki/Montenegro',
                         'MNG': 'https://en.wikipedia.org/wiki/mongolia',
                         'MNP': 'https://en.wikipedia.org/wiki/northern_mariana_islands',
                         'MOZ': 'https://en.wikipedia.org/wiki/mozambique',
                         'MRT': 'https://en.wikipedia.org/wiki/mauritania',
                         'MSR': 'https://en.wikipedia.org/wiki/montserrat',
                         'MTQ': 'https://en.wikipedia.org/wiki/martinique',
                         'MUS': 'https://en.wikipedia.org/wiki/mauritius',
                         'MWI': 'https://en.wikipedia.org/wiki/malawi',
                         'MYS': 'https://en.wikipedia.org/wiki/malaysia',
                         'MYT': 'https://en.wikipedia.org/wiki/mayotte',
                         'NAM': 'https://en.wikipedia.org/wiki/namibia',
                         'NCL': 'https://en.wikipedia.org/wiki/new_caledonia',
                         'NER': 'https://en.wikipedia.org/wiki/niger',
                         'NFK': 'https://en.wikipedia.org/wiki/norfolk_island',
                         'NGA': 'https://en.wikipedia.org/wiki/nigeria',
                         'NIC': 'https://en.wikipedia.org/wiki/nicaragua',
                         'NIU': 'https://en.wikipedia.org/wiki/niue',
                         'NLD': 'https://en.wikipedia.org/wiki/netherlands',
                         'NOR': 'https://en.wikipedia.org/wiki/norway',
                         'NPL': 'https://en.wikipedia.org/wiki/nepal',
                         'NRU': 'https://en.wikipedia.org/wiki/nauru',
                         'NZL': 'https://en.wikipedia.org/wiki/new_zealand',
                         'OMN': 'https://en.wikipedia.org/wiki/oman',
                         'PAK': 'https://en.wikipedia.org/wiki/pakistan',
                         'PAN': 'https://en.wikipedia.org/wiki/panama',
                         'PCN': 'https://en.wikipedia.org/wiki/Pitcairn_Islands',
                         'PER': 'https://en.wikipedia.org/wiki/peru',
                         'PHL': 'https://en.wikipedia.org/wiki/philippines',
                         'PLW': 'https://en.wikipedia.org/wiki/palau',
                         'PNG': 'https://en.wikipedia.org/wiki/papua_new_guinea',
                         'POL': 'https://en.wikipedia.org/wiki/poland',
                         'PRI': 'https://en.wikipedia.org/wiki/puerto_rico',
                         'PRK': 'https://en.wikipedia.org/wiki/korea_north',
                         'PRT': 'https://en.wikipedia.org/wiki/portugal',
                         'PRY': 'https://en.wikipedia.org/wiki/paraguay',
                         'PSE': 'https://en.wikipedia.org/wiki/State_of_Palestine',
                         'PYF': 'https://en.wikipedia.org/wiki/french_polynesia',
                         'QAT': 'https://en.wikipedia.org/wiki/qatar',
                         'REU': 'https://en.wikipedia.org/wiki/reunion',
                         'ROU': 'https://en.wikipedia.org/wiki/romainia',
                         'RUS': 'https://en.wikipedia.org/wiki/russia',
                         'RWA': 'https://en.wikipedia.org/wiki/rwanda',
                         'SAU': 'https://en.wikipedia.org/wiki/saudi_arabia',
                         'SDN': 'https://en.wikipedia.org/wiki/sudan',
                         'SEN': 'https://en.wikipedia.org/wiki/senegal',
                         'SGP': 'https://en.wikipedia.org/wiki/singapore',
                         'SGS': 'https://en.wikipedia.org/wiki/south_georgia_and_south_sandwich_islands',
                         'SHN': 'https://en.wikipedia.org/wiki/Saint_Helena',
                         'SJM': 'https://en.wikipedia.org/wiki/svalbard',
                         'SLB': 'https://en.wikipedia.org/wiki/solomon_islands',
                         'SLE': 'https://en.wikipedia.org/wiki/sierra_leone',
                         'SLV': 'https://en.wikipedia.org/wiki/el_salvador',
                         'SMR': 'https://en.wikipedia.org/wiki/san_marino',
                         'SOM': 'https://en.wikipedia.org/wiki/somalia',
                         'SPM': 'https://en.wikipedia.org/wiki/saint_pierre_and_miquelon',
                         'SRB': 'https://en.wikipedia.org/wiki/serbia',
                         'SSD': 'https://en.wikipedia.org/wiki/spain',
                         'STP': 'https://en.wikipedia.org/wiki/S%C3%A3o_Tom%C3%A9_and_Pr%C3%ADncipe',
                         'SUR': 'https://en.wikipedia.org/wiki/suriname',
                         'SVK': 'https://en.wikipedia.org/wiki/slovakia',
                         'SVN': 'https://en.wikipedia.org/wiki/slovenia',
                         'SWE': 'https://en.wikipedia.org/wiki/sweden',
                         'SWZ': 'https://en.wikipedia.org/wiki/Eswatini',
                         'SXM': 'https://en.wikipedia.org/wiki/Sint_Maarten',
                         'SYC': 'https://en.wikipedia.org/wiki/seychelles',
                         'SYR': 'https://en.wikipedia.org/wiki/syria',
                         'TCA': 'https://en.wikipedia.org/wiki/Turks_and_Caicos_Islands',
                         'TCD': 'https://en.wikipedia.org/wiki/chad',
                         'TGO': 'https://en.wikipedia.org/wiki/toga',
                         'THA': 'https://en.wikipedia.org/wiki/thailand',
                         'TJK': 'https://en.wikipedia.org/wiki/tajikistan',
                         'TKL': 'https://en.wikipedia.org/wiki/tokelau',
                         'TKM': 'https://en.wikipedia.org/wiki/turkmenistan',
                         'TLS': 'https://en.wikipedia.org/wiki/East_Timor',
                         'TON': 'https://en.wikipedia.org/wiki/tonga',
                         'TTO': 'https://en.wikipedia.org/wiki/trinidad',
                         'TUN': 'https://en.wikipedia.org/wiki/tunisia',
                         'TUR': 'https://en.wikipedia.org/wiki/turkey',
                         'TUV': 'https://en.wikipedia.org/wiki/tuvalu',
                         'TWN': 'https://en.wikipedia.org/wiki/taiwan',
                         'TZA': 'https://en.wikipedia.org/wiki/tanzania',
                         'UGA': 'https://en.wikipedia.org/wiki/uganda',
                         'UKR': 'https://en.wikipedia.org/wiki/ukraine',
                         'UMI': 'https://en.wikipedia.org/wiki/United_States_Minor_Outlying_Islands',
                         'URY': 'https://en.wikipedia.org/wiki/uruguay',
                         'USA': 'https://en.wikipedia.org/wiki/united_states_of_america',
                         'UZB': 'https://en.wikipedia.org/wiki/uzbekistan',
                         'VAT': 'https://en.wikipedia.org/wiki/Vatican_City',
                         'VCT': 'https://en.wikipedia.org/wiki/saint_vincent_and_the_grenadines',
                         'VEN': 'https://en.wikipedia.org/wiki/venezuela',
                         'VGB': 'https://en.wikipedia.org/wiki/British_Virgin_Islands',
                         'VIR': 'https://en.wikipedia.org/wiki/United_States_Virgin_Islands',
                         'VNM': 'https://en.wikipedia.org/wiki/vietnam',
                         'VUT': 'https://en.wikipedia.org/wiki/vanuatu',
                         'WLF': 'https://en.wikipedia.org/wiki/wallis_and_futuna',
                         'WSM': 'https://en.wikipedia.org/wiki/samoa',
                         'YEM': 'https://en.wikipedia.org/wiki/yemen',
                         'ZAF': 'https://en.wikipedia.org/wiki/south_africa',
                         'ZMB': 'https://en.wikipedia.org/wiki/zambia',
                         'ZWE': 'https://en.wikipedia.org/wiki/zimbabwe'}
    australianStateAlphaList = [
        "AU-ACT",
        "AU-AQ",
        "AU-CC",
        "AU-CX",
        "AU-HM",
        "AU-JBT",
        "AU-NF",
        "AU-NSW",
        "AU-NT",
        "AU-QLD",
        "AU-SA",
        "AU-TAS",
        "AU-VIC",
        "AU-WA"
    ]
    australianStateAlphaToAreaKM = {
        "AU-ACT": 2358,
        "AU-AQ": 5896500,
        "AU-CC": 14,
        "AU-CX": 135,
        "AU-HM": 372,
        "AU-JBT": 67,
        "AU-NF": 35,
        "AU-NSW": 809952,
        "AU-NT": 1419630,
        "AU-QLD": 1851736,
        "AU-SA": 1044353,
        "AU-TAS": 90758,
        "AU-VIC": 237657,
        "AU-WA": 2642753
    }
    australianStateAlphaToCapital = {
        "AU-ACT": "Canberra",
        "AU-AQ": None,
        "AU-CC": "West Island",
        "AU-CX": "Flying Fish Cove",
        "AU-HM": None,
        "AU-JBT": None,
        "AU-NF": "Kingston",
        "AU-NSW": "Sydney",
        "AU-NT": "Darwin",
        "AU-QLD": "Bribane",
        "AU-SA": "Adelaide",
        "AU-TAS": "Hobart",
        "AU-VIC": "Melbourne",
        "AU-WA": "Perth"
    }
    australianStateAlphaToLargestCity = {
        "AU-ACT": "Canberra",
        "AU-AQ": None,
        "AU-CC": "Bantam",
        "AU-CX": "Flying Fish Cove",
        "AU-HM": None,
        "AU-JBT": None,
        "AU-NF": "Burnt Pine",
        "AU-NSW": "Sydney",
        "AU-NT": "Darwin",
        "AU-QLD": "Brisbane",
        "AU-SA": "Adelaide",
        "AU-TAS": "Hobart",
        "AU-VIC": "Melbourne",
        "AU-WA": "Perth"
    }
    australianStateAlphaToFlagURL = {
        "AU-ACT": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Flag_of_the_Australian_Capital_Territory.svg/2560px-Flag_of_the_Australian_Capital_Territory.svg.png",
        "AU-AQ": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/88/Flag_of_Australia_%28converted%29.svg/2560px-Flag_of_Australia_%28converted%29.svg.png",
        "AU-CC": "https://upload.wikimedia.org/wikipedia/commons/thumb/7/74/Flag_of_the_Cocos_%28Keeling%29_Islands.svg/2560px-Flag_of_the_Cocos_%28Keeling%29_Islands.svg.png",
        "AU-CX": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/67/Flag_of_Christmas_Island.svg/2560px-Flag_of_Christmas_Island.svg.png",
        "AU-HM": None,
        "AU-JBT": None,
        "AU-NF": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/48/Flag_of_Norfolk_Island.svg/2560px-Flag_of_Norfolk_Island.svg.png",
        "AU-NSW": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/00/Flag_of_New_South_Wales.svg/2560px-Flag_of_New_South_Wales.svg.png",
        "AU-NT": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b7/Flag_of_the_Northern_Territory.svg/2560px-Flag_of_the_Northern_Territory.svg.png",
        "AU-QLD": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/04/Flag_of_Queensland.svg/2560px-Flag_of_Queensland.svg.png",
        "AU-SA": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fd/Flag_of_South_Australia.svg/2560px-Flag_of_South_Australia.svg.png",
        "AU-TAS": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/46/Flag_of_Tasmania.svg/2560px-Flag_of_Tasmania.svg.png",
        "AU-VIC": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/08/Flag_of_Victoria_%28Australia%29.svg/2560px-Flag_of_Victoria_%28Australia%29.svg.png",
        "AU-WA": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a5/Flag_of_Western_Australia.svg/2560px-Flag_of_Western_Australia.svg.png"
    }
    australianStateAlphaToGDP = {
        "AU-ACT": 30071150400,
        "AU-AQ": 0,
        "AU-CC": 11012550,
        "AU-CX": 52177900,
        "AU-HM": 0,
        "AU-JBT": 0,
        "AU-NF": 60209320,
        "AU-NSW": 459505881900,
        "AU-NT": 19227685600,
        "AU-QLD": 267262844800,
        "AU-SA": 79647156800,
        "AU-TAS": 23601390400,
        "AU-VIC": 337379604000,
        "AU-WA": 214887196800
    }
    australianStateNameToAlpha = {
        "AUSTRALIAN_CAPITAL_TERRITORY": "AU-ACT",
        "CAPITAL_TERRITORY": "AU-ACT",
        "AUSTRALIAN_ANTARCTIC_TERRITORY": "AU-AQ",
        "ANTARCTIC_TERRITORY": "AU-AQ",
        "COCOS_(KEELING)_ISLANDS": "AU-CC",
        "COCOS_KEELING_ISLANDS": "AU-CC",
        "KEELING_ISLANDS": "AU-CC",
        "COCOS_ISLANDS": "AU-CC",
        "CHRISTMAS_ISLAND": "AU-CX",
        "HEARD_ISLAND_AND_MCDONALD_ISLANDS": "AU-HM",
        "HEARD_ISLAND": "AU-HM",
        "MCDONALD_ISLAND": "AU-HM",
        "MCDONALD_ISLANDS": "AU-HM",
        "JERVIS_BAY_TERRITORY": "AU-JBT",
        "JERVIS_BAY": "AU-JBT",
        "NORFOLK_ISLAND": "AU-NF",
        "NEW_SOUTH_WALES": "AU-NSW",
        "NSW": "AU-NSW",
        "NORTHERN_TERRITORY": "AU-NT",
        "QUEENSLAND": "AU-QLD",
        "SOUTH_AUSTRALIA": "AU-SA",
        "TASMANIA": "AU-TAS",
        "WESTERN_AUSTRALIA": "AU-WA"
    }
    australianStateAlphaToName = {
        "AU-ACT": "Australian Capital Territory",
        "AU-AQ": "Australian Antarctic Territory",
        "AU-CC": "Cocos (Keeling) Islands",
        "AU-CX": "Christmas Island",
        "AU-HM": "Heard Island and McDonald Islands",
        "AU-JBT": "Jervis Bay Territory",
        "AU-NF": "Norfolk Island",
        "AU-NSW": "New South Wales",
        "AU-NT": "Northern Territory",
        "AU-QLD": "Queensland",
        "AU-SA": "South Australia",
        "AU-TAS": "Tasmania",
        "AU-VIC": "Victoria",
        "AU-WA": "Western Australia"
    }
    australianStateNameList = [
        "AUSTRALIAN_CAPITAL_TERRITORY",
        "CAPITAL_TERRITORY",
        "AUSTRALIAN_ANTARCTIC_TERRITORY",
        "ANTARCTIC_TERRITORY",
        "COCOS_(KEELING)_ISLANDS",
        "COCOS_KEELING_ISLANDS",
        "KEELING_ISLANDS",
        "COCOS_ISLANDS",
        "CHRISTMAS_ISLAND",
        "HEARD_ISLAND_AND_MCDONALD_ISLANDS",
        "HEARD_ISLAND",
        "MCDONALD_ISLAND",
        "MCDONALD_ISLANDS",
        "JERVIS_BAY_TERRITORY",
        "JERVIS_BAY",
        "NORFOLK_ISLAND",
        "NEW_SOUTH_WALES",
        "NSW",
        "NORTHERN_TERRITORY",
        "QUEENSLAND",
        "SOUTH_AUSTRALIA",
        "TASMANIA",
        "WESTERN_AUSTRALIA"
    ]
    australianStateAlphaToPopulation = {
        "AU-ACT": 431826,
        "AU-AQ": 60,
        "AU-CC": 547,
        "AU-CX": 1938,
        "AU-HM": 0,
        "AU-JBT": 405,
        "AU-NF": 1758,
        "AU-NSW": 8176368,
        "AU-NT": 247023,
        "AU-QLD": 5206400,
        "AU-SA": 1771703,
        "AU-TAS": 541965,
        "AU-VIC": 6648564,
        "AU-WA": 2675797
    }
    australianStateAlphaToType = {
        "AU-ACT": "INTERNAL_TERRITORY",
        "AU-AQ": "EXTERNAL_TERRITORY",
        "AU-CC": "EXTERNAL_TERRITORY",
        "AU-CX": "EXTERNAL_TERRITORY",
        "AU-HM": "EXTERNAL_TERRITORY",
        "AU-JBT": "INTERNAL_TERRITORY",
        "AU-NF": "EXTERNAL_TERRITORY",
        "AU-NSW": "STATE",
        "AU-NT": "INTERNAL_TERRITORY",
        "AU-QLD": "STATE",
        "AU-SA": "STATE",
        "AU-TAS": "STATE",
        "AU-VIC": "STATE",
        "AU-WA": "STATE"
    }
    canadianProvinceAlphaList = [
        "CA-AB",
        "CA-BC",
        "CA-MB",
        "CA-NB",
        "CA-NL",
        "CA-NS",
        "CA-NT",
        "CA-NU",
        "CA-ON",
        "CA-PE",
        "CA-QC",
        "CA-SK",
        "CA-YT"
    ]
    canadianProvinceAlphaToAreaKM = {
        "CA-AB": 661848,
        "CA-BC": 944735,
        "CA-MB": 647797,
        "CA-NB": 72908,
        "CA-NL": 405212,
        "CA-NS": 55284,
        "CA-NT": 1346106,
        "CA-NU": 2093190,
        "CA-ON": 1076395,
        "CA-PE": 5660,
        "CA-QC": 1542056,
        "CA-SK": 651036,
        "CA-YT": 482443
    }
    canadianProvinceAlphaToCapital = {
        "CA-AB": "Edmonton",
        "CA-BC": "Victoria",
        "CA-MB": "Winnipeg",
        "CA-NB": "Fredericton",
        "CA-NL": "St. John's",
        "CA-NS": "Halifax",
        "CA-NT": "Yellowknife",
        "CA-NU": "Iqaluit",
        "CA-ON": "Toronto",
        "CA-PE": "Charlottetown",
        "CA-QC": "Quebec City",
        "CA-SK": "Regina",
        "CA-YT": "Whitehorse"
    }
    canadianProvinceAlphaToLargestCity = {
        "CA-AB": "Calgary",
        "CA-BC": "Vancouver",
        "CA-MB": "Winnipeg",
        "CA-NB": "Moncton",
        "CA-NL": "St. John's",
        "CA-NS": "Halifax",
        "CA-NT": "Yellowknife",
        "CA-NU": "Iqaluit",
        "CA-ON": "Toronto",
        "CA-PE": "Charlottetown",
        "CA-QC": "Montreal",
        "CA-SK": "Saskatoon",
        "CA-YT": "Whitehorse"
    }
    canadianProvinceAlphaToFlagURL = {
        "CA-AB": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f5/Flag_of_Alberta.svg/2560px-Flag_of_Alberta.svg.png",
        "CA-BC": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b8/Flag_of_British_Columbia.svg/1920px-Flag_of_British_Columbia.svg.png",
        "CA-MB": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c4/Flag_of_Manitoba.svg/2560px-Flag_of_Manitoba.svg.png",
        "CA-NB": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/fb/Flag_of_New_Brunswick.svg/1920px-Flag_of_New_Brunswick.svg.png",
        "CA-NL": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/dd/Flag_of_Newfoundland_and_Labrador.svg/2560px-Flag_of_Newfoundland_and_Labrador.svg.png",
        "CA-NS": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c0/Flag_of_Nova_Scotia.svg/2560px-Flag_of_Nova_Scotia.svg.png",
        "CA-NT": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c1/Flag_of_the_Northwest_Territories.svg/2560px-Flag_of_the_Northwest_Territories.svg.png",
        "CA-NU": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/90/Flag_of_Nunavut.svg/2560px-Flag_of_Nunavut.svg.png",
        "CA-ON": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/88/Flag_of_Ontario.svg/2560px-Flag_of_Ontario.svg.png",
        "CA-PE": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d7/Flag_of_Prince_Edward_Island.svg/1920px-Flag_of_Prince_Edward_Island.svg.png",
        "CA-QC": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5f/Flag_of_Quebec.svg/1920px-Flag_of_Quebec.svg.png",
        "CA-SK": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Flag_of_Saskatchewan.svg/2560px-Flag_of_Saskatchewan.svg.png",
        "CA-YT": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/69/Flag_of_Yukon.svg/2560px-Flag_of_Yukon.svg.png"
    }
    canadianProvinceAlphaToGDP = {
        "CA-AB": 282060000000,
        "CA-BC": 247030000000,
        "CA-MB": 58984000000,
        "CA-NB": 30554000000,
        "CA-NL": 28247000000,
        "CA-NS": 37236000000,
        "CA-NT": 3630000000,
        "CA-NU": 2948000000,
        "CA-ON": 712556000000,
        "CA-PE": 6010000000,
        "CA-QC": 367733000000,
        "CA-SK": 66234000000,
        "CA-YT": 2521000000
    }
    canadianProvinceNameToAlpha = {
        "ALBERTA": "CA-AB",
        "BRITISH_COLUMBIA": "CA-AB",
        "MANITOBA": "CA-MB",
        "NEWFOUNDLAND_AND_LABRADOR": "CA-NL",
        "NEW_BRUNSWICK": "CA-NB",
        "NORTHWEST_TERRITORIES": "CA-NT",
        "NOVA_SCOTIA": "CA-NS",
        "NUNAVUT": "CA-NU",
        "ONTARIO": "CA-ON",
        "PRINCE_EDWARD_ISLAND": "CA-PE",
        "PEI": "CA-PE",
        "QUEBEC": "CA-QC",
        "SASKATCHEWAN": "CA-SK",
        "YUKON_TERRITORIES": "CA-YT",
        "YUKON": "CA-YT"
    }
    canadianProvinceAlphaToName = {
        "CA-AB": "Alberta",
        "CA-BC": "British Columbia",
        "CA-MB": "Manitoba",
        "CA-NB": "New Brunswick",
        "CA-NL": "Newfoundland and Labrador",
        "CA-NS": "Nova Scotia",
        "CA-NT": "Northwest Territories",
        "CA-NU": "Nunavut",
        "CA-ON": "Ontario",
        "CA-PE": "Prince Edward Island",
        "CA-QC": "Quebec",
        "CA-SK": "Saskatchewan",
        "CA-YT": "Yukon Territories"
    }
    canadianProvinceNameList = [
        "ALBERTA",
        "BRITISH_COLUMBIA",
        "MANITOBA",
        "NEWFOUNDLAND_AND_LABRADOR",
        "NEW_BRUNSWICK",
        "NORTHWEST_TERRITORIES",
        "NOVA_SCOTIA",
        "NUNAVUT",
        "ONTARIO",
        "PRINCE_EDWARD_ISLAND",
        "PEI",
        "QUEBEC",
        "SASKATCHEWAN",
        "YUKON_TERRITORIES",
        "YUKON"
    ]
    canadianProvinceAlphaToPopulation = {
        "CA-AB": 4067175,
        "CA-BC": 4648055,
        "CA-MB": 1278365,
        "CA-NB": 747101,
        "CA-NL": 519716,
        "CA-NS": 923598,
        "CA-NT": 41786,
        "CA-NU": 35944,
        "CA-ON": 13448494,
        "CA-PE": 142907,
        "CA-QC": 8164361,
        "CA-SK": 1098352,
        "CA-YT": 35874
    }
    canadianProvinceAlphaToType = {
        "CA-AB": "PROVINCE",
        "CA-BC": "PROVINCE",
        "CA-MB": "PROVINCE",
        "CA-NB": "PROVINCE",
        "CA-NL": "PROVINCE",
        "CA-NS": "PROVINCE",
        "CA-NT": "TERRITORY",
        "CA-NU": "TERRITORY",
        "CA-ON": "PROVINCE",
        "CA-PE": "PROVINCE",
        "CA-QC": "PROVINCE",
        "CA-SK": "PROVINCE",
        "CA-YT": "TERRITORY"
    }
    continents = ["NORTH_AMERICA", "SOUTH_AMERICA", "EUROPE", "AFRICA", "ASIA", "OCEANIA", "ANTARCTICA"]
    continentToAlpha = {
        'AFRICA': ['AGO', 'BDI', 'BEN', 'BFA', 'BWA', 'CAF', 'CIV', 'COD', 'COG', 'COM', 'CPV', 'DJI', 'DZA', 'EGY',
                   'ERI', 'ETH', 'GAB', 'GHA', 'GIN', 'GMB', 'GNB', 'GNQ', 'KEN', 'LBR', 'LBY', 'LSO', 'MAR', 'MDG',
                   'MLI', 'MOZ', 'MRT', 'MUS', 'MWI', 'MYT', 'NAM', 'NER', 'NGA', 'REU', 'RWA', 'SDN', 'SEN', 'SHN',
                   'SLE', 'SOM', 'SSD', 'STP', 'SWZ', 'SYC', 'TCD', 'TGO', 'TUN', 'TZA', 'UGA', 'ZAF', 'ZMB', 'ZWE'],
        'ANTARCTICA': ['ATF', 'HMD', 'SGS'],
        'ASIA': ['AFG', 'ARE', 'ARM', 'AZE', 'BGD', 'BHR', 'BRN', 'BTN', 'CHN', 'CMR', 'CYP', 'GEO', 'HKG', 'IND',
                 'IOT', 'IRN', 'IRQ', 'ISR', 'JOR', 'JPN', 'KAZ', 'KGZ', 'KHM', 'KWT', 'LAO', 'LBN', 'LKA', 'MAC',
                 'MDV', 'MMR', 'MNG', 'MYS', 'NPL', 'OMN', 'PAK', 'PHL', 'PRK', 'PSE', 'QAT', 'RUS', 'SAU', 'SGP',
                 'SYR', 'THA', 'TJK', 'TKM', 'TWN', 'UZB', 'VNM', 'YEM'],
        'EUROPE': ['ALA', 'ALB', 'AND', 'AUT', 'BEL', 'BGR', 'BIH', 'BLR', 'CHE', 'CZE', 'DEU', 'DNK', 'ESP', 'EST',
                   'FIN', 'FRA', 'FRO', 'GBR', 'GGY', 'GIB', 'GRC', 'HRV', 'HUN', 'IMN', 'IRL', 'ISL', 'ITA', 'JEY',
                   'LIE', 'LTU', 'LUX', 'LVA', 'MCO', 'MDA', 'MKD', 'MLT', 'MNE', 'NLD', 'NOR', 'POL', 'PRT', 'ROU',
                   'SJM', 'SMR', 'SRB', 'SVK', 'SVN', 'SWE', 'TUR', 'UKR', 'VAT'],
        'NORTH_AMERICA': ['AIA', 'ATG', 'BES', 'BHS', 'BLM', 'BLZ', 'BMU', 'BRB', 'CAN', 'CRI', 'CUB', 'CYM', 'DMA',
                          'DOM', 'GLP', 'GRD', 'GRL', 'GTM', 'HND', 'HTI', 'JAM', 'KNA', 'LCA', 'MAF', 'MEX', 'MSR',
                          'MTQ', 'NIC', 'PAN', 'PRI', 'SLV', 'SPM', 'SXM', 'TTO', 'USA', 'VCT', 'VGB', 'VIR'],
        'OCEANIA': ['ASM', 'AUS', 'COK', 'CXR', 'FJI', 'FSM', 'GUM', 'IDN', 'KIR', 'MHL', 'MNP', 'NCL', 'NFK', 'NIU',
                    'NRU', 'NZL', 'PCN', 'PLW', 'PNG', 'PYF', 'SLB', 'TKL', 'TLS', 'TON', 'TUV', 'UMI', 'VUT', 'WLF',
                    'WSM'],
        'SOUTH_AMERICA': ['ABW', 'ARG', 'BOL', 'BRA', 'CHL', 'COL', 'CUW', 'ECU', 'FLK', 'GUF', 'GUY', 'PER', 'PRY',
                          'SUR', 'URY', 'VEN']}
    continentToLargestCity = {
        "NORTH_AMERICA": {"CITY": "Mexico City", "COUNTRY": "MEX"},
        "SOUTH_AMERICA": {"CITY": "Sao Paulo", "COUNTRY": "BRA"},
        "EUROPE": {"CITY": "Istanbul", "COUNTRY": "TUR"},
        "AFRICA": {"CITY": "Kinhasa", "COUNTRY": "COD"},
        "ASIA": {"CITY": "Tokyo", "COUNTRY": "JPN"},
        "OCEANIA": {"CITY": "Jakarta", "COUNTRY": "IDN"},
        "ANTARCTICA": {"CITY": "McMurdo Station", "COUNTRY": "ATA"}
    }
    countryNameList = [
        "Aruba",
        "Afghanistan",
        "Angola",
        "Anguilla",
        "Åland Islands",
        "Albania",
        "Andorra",
        "United Arab Emirates",
        "Argentina",
        "Armenia",
        "American Samoa",
        "Antarctica",
        "French Southern Territories",
        "Antigua and Barbuda",
        "Australia",
        "Austria",
        "Azerbaijan",
        "Burundi",
        "Belgium",
        "Benin",
        "Bonaire, Sint Eustatius and Saba",
        "Burkina Faso",
        "Bangladesh",
        "Bulgaria",
        "Bahrain",
        "Bahamas",
        "Bosnia and Herzegovina",
        "Saint Barthélemy",
        "Belarus",
        "Belize",
        "Bermuda",
        "Bolivia (Plurinational State of)",
        "Brazil",
        "Barbados",
        "Brunei Darussalam",
        "Brunei",
        "Bhutan",
        "Bouvet Island",
        "Botswana",
        "Central African Republic",
        "Canada",
        "Cocos (Keeling) Islands",
        "Switzerland",
        "Chile",
        "China",
        "Côte d'Ivoire",
        "Cameroon",
        "Congo (Democratic Republic of the)",
        "Congo",
        "Cook Islands",
        "Colombia",
        "Comoros",
        "Cabo Verde",
        "Costa Rica",
        "Cuba",
        "Curaçao",
        "Christmas Island",
        "Cayman Islands",
        "Cyprus",
        "Czech Republic",
        "Germany",
        "Djibouti",
        "Dominica",
        "Denmark",
        "Dominican Republic",
        "Algeria",
        "Ecuador",
        "Egypt",
        "Eritrea",
        "Western Sahara",
        "Spain",
        "Estonia",
        "Ethiopia",
        "Finland",
        "Fiji",
        "Falkland Islands (Malvinas)",
        "France",
        "Faroe Islands",
        "Micronesia (Federated States of)",
        "Gabon",
        "United Kingdom of Great Britain and Northern Ireland",
        "Georgia",
        "Guernsey",
        "Ghana",
        "Gibraltar",
        "Guinea",
        "Guadeloupe",
        "Gambia",
        "Guinea-Bissau",
        "Equatorial Guinea",
        "Greece",
        "Grenada",
        "Greenland",
        "Guatemala",
        "French Guiana",
        "Guam",
        "Guyana",
        "Hong Kong",
        "Heard Island and McDonald Islands",
        "Honduras",
        "Croatia",
        "Haiti",
        "Hungary",
        "Indonesia",
        "Isle of Man",
        "India",
        "British Indian Ocean Territory",
        "Ireland",
        "Iran (Islamic Republic of)",
        "Iraq",
        "Iceland",
        "Israel",
        "Italy",
        "Jamaica",
        "Jersey",
        "Jordan",
        "Japan",
        "Kazakhstan",
        "Kenya",
        "Kyrgyzstan",
        "Cambodia",
        "Kiribati",
        "Saint Kitts and Nevis",
        "Korea (Republic of)",
        "Kuwait",
        "Lao People's Democratic Republic",
        "Lebanon",
        "Liberia",
        "Libya",
        "Saint Lucia",
        "Liechtenstein",
        "Sri Lanka",
        "Lesotho",
        "Lithuania",
        "Luxembourg",
        "Latvia",
        "Macao",
        "Saint Martin (French part)",
        "Morocco",
        "Monaco",
        "Moldova (Republic of)",
        "Madagascar",
        "Maldives",
        "Mexico",
        "Marshall Islands",
        "Macedonia (the former Yugoslav Republic of)",
        "Mali",
        "Malta",
        "Myanmar",
        "Montenegro",
        "Mongolia",
        "Northern Mariana Islands",
        "Mozambique",
        "Mauritania",
        "Montserrat",
        "Martinique",
        "Mauritius",
        "Malawi",
        "Malaysia",
        "Mayotte",
        "Namibia",
        "New Caledonia",
        "Niger",
        "Norfolk Island",
        "Nigeria",
        "Nicaragua",
        "Niue",
        "Netherlands",
        "Norway",
        "Nepal",
        "Nauru",
        "New Zealand",
        "Oman",
        "Pakistan",
        "Panama",
        "Pitcairn",
        "Peru",
        "Philippines",
        "Palau",
        "Papua New Guinea",
        "Poland",
        "Puerto Rico",
        "Korea (Democratic People's Republic of)",
        "Portugal",
        "Paraguay",
        "Palestine",
        "Palestine, State of",
        "French Polynesia",
        "Qatar",
        "Réunion",
        "Romania",
        "Russian Federation",
        "Rwanda",
        "Saudi Arabia",
        "Sudan",
        "Senegal",
        "Singapore",
        "South Georgia and the South Sandwich Islands",
        "Saint Helena, Ascension and Tristan da Cunha",
        "Svalbard and Jan Mayen",
        "Solomon Islands",
        "Sierra Leone",
        "El Salvador",
        "San Marino",
        "Somalia",
        "Saint Pierre and Miquelon",
        "Serbia",
        "South Sudan",
        "Sao Tome and Principe",
        "Suriname",
        "Slovakia",
        "Slovenia",
        "Sweden",
        "Swaziland",
        "Sint Maarten (Dutch part)",
        "Seychelles",
        "Syrian Arab Republic",
        "Turks and Caicos Islands",
        "Chad",
        "Togo",
        "Thailand",
        "Tajikistan",
        "Tokelau",
        "Turkmenistan",
        "Timor-Leste",
        "Tonga",
        "Trinidad and Tobago",
        "Tunisia",
        "Turkey",
        "Tuvalu",
        "Taiwan",
        "Tanzania, United Republic of",
        "Uganda",
        "Ukraine",
        "United States Minor Outlying Islands",
        "Uruguay",
        "United States Of America",
        "United States",
        "Uzbekistan",
        "Holy See",
        "Saint Vincent and the Grenadines",
        "Venezuela (Bolivarian Republic of)",
        "Virgin Islands (British)",
        "Virgin Islands (U.S.)",
        "Viet Nam",
        "Vanuatu",
        "Wallis and Futuna",
        "Samoa",
        "Yemen",
        "South Africa",
        "Zambia",
        "Zimbabwe"
    ]
    nameToAlpha3 = {
        "AFGHANISTAN": "AFG",
        "ALAND_ISLANDS": "ALA",
        "ALBANIA": "ALB",
        "ALGERIA": "DZA",
        "AMERICAN_SAMOA": "ASM",
        "ANDORRA": "AND",
        "ANGOLA": "AGO",
        "ANGUILLA": "AIA",
        "ANTARCTICA": "ATA",
        "ANTIGUA_AND_BARBUDA": "ATG",
        "ARGENTINA": "ARG",
        "ARMENIA": "ARM",
        "ARUBA": "ABW",
        "AUSTRALIA": "AUS",
        "AUSTRIA": "AUT",
        "AZERBAIJAN": "AZE",
        "BAHAMAS": "BHS",
        "BAHRAIN": "BHR",
        "BANGLADESH": "BGD",
        "BARBADOS": "BRB",
        "BELARUS": "BLR",
        "BELGIUM": "BEL",
        "BELIZE": "BLZ",
        "BENIN": "BEN",
        "BERMUDA": "BMU",
        "BHUTAN": "BTN",
        "BOLIVARIAN_REPUBLIC_OF_VENEZUELA": "VEN",
        "BOLIVIA": "BOL",
        "BONAIRE,_SINT_EUSTATIUS_AND_SABA": "BES",
        "BONAIRE_SINT_EUSTATIUS_AND_SABA": "BES",
        "BONAIRE": "BES",
        "BOSNIA_AND_HERZEGOVINA": "BIH",
        "BOTSWANA": "BWA",
        "BRAZIL": "BRA",
        "BRITISH_INDIAN_OCEAN_TERRITORY": "IOT",
        "BRITISH_VIRGIN_ISLANDS": "VGB",
        "BRUNEI": "BRN",
        "BULGARIA": "BGR",
        "BURKINA_FASO": "BFA",
        "BURUNDI": "BDI",
        "CABO_VERDE": "CPV",
        "CAPE_VERDE": "CPV",
        "CAMBODIA": "KHM",
        "CAMEROON": "CMR",
        "CANADA": "CAN",
        "CAYMAN_ISLANDS": "CYM",
        "CENTRAL_AFRICAN_REPUBLIC": "CAF",
        "CHAD": "TCD",
        "CHILE": "CHL",
        "CHINA": "CHN",
        "CHRISTMAS_ISLAND": "CXR",
        "COCOS_(KEELING)_ISLANDS": "CCK",
        "COLOMBIA": "COL",
        "COMOROS": "COM",
        "CONGO": "COG",
        "CONGO_(DEMOCRATIC_REPUBLIC_OF_THE)": "COD",
        "THE_DEMOCRATIC_REPUBLIC_OF_CONGO": "COD",
        "COOK_ISLANDS": "COK",
        "COSTA_RICA": "CRI",
        "CROATIA": "HRV",
        "CUBA": "CUB",
        "CURACAO": "CUW",
        "CYPRUS": "CYP",
        "CZECH_REPUBLIC": "CZE",
        "CÔTE_D'IVOIRE": "CIV",
        "DEMOCRATIC_PEOPLE'S_REPUBLIC_OF_KOREA": "PRK",
        "DEMOCRATIC_REPUBLIC_OF_THE_CONGO": "COD",
        "DEMOCRATIC_REPUBLIC_OF_CONGO": "COD",
        "DRC": "COD",
        "DENMARK": "DNK",
        "DJIBOUTI": "DJI",
        "DOMINICA": "DMA",
        "DOMINICAN_REPUBLIC": "DOM",
        "ECUADOR": "ECU",
        "EGYPT": "EGY",
        "EL_SALVADOR": "SLV",
        "EQUATORIAL_GUINEA": "GNQ",
        "ERITREA": "ERI",
        "ESTONIA": "EST",
        "ETHIOPIA": "ETH",
        "EAST_TIMOR": "TLS",
        "FALKLAND_ISLANDS": "FLK",
        "FALKLAND_ISLANDS_(MALVINAS)": "FLK",
        "FAROE_ISLANDS": "FRO",
        "FEDERATED_STATES_OF_MICRONESIA": "FSM",
        "FIJI": "FJI",
        "FIJI_ISLANDS": "FJI",
        "FINLAND": "FIN",
        "FRANCE": "FRA",
        "FRENCH_GUIANA": "GUF",
        "FRENCH_POLYNESIA": "PYF",
        "FRENCH_SOUTHERN_TERRITORIES": "ATF",
        "GABON": "GAB",
        "GAMBIA": "GMB",
        "GAZA": "PSE",
        "GAZA_STRIP": "PSE",
        "GEORGIA": "GEO",
        "GERMANY": "DEU",
        "GHANA": "GHA",
        "GIBRALTAR": "GIB",
        "GREECE": "GRC",
        "GREENLAND": "GRL",
        "GRENADA": "GRD",
        "GUADELOUPE": "GLP",
        "GUAM": "GUM",
        "GUATEMALA": "GTM",
        "GUERNSEY": "GGY",
        "GUINEA": "GIN",
        "GUINEA-BISSAU": "GNB",
        "GUYANA": "GUY",
        "HAITI": "HTI",
        "HEARD_ISLAND_AND_MCDONALD_ISLANDS": "HMD",
        "HOLY_SEE": "VAT",
        "HONDURAS": "HND",
        "HONG_KONG": "HKG",
        "HUNGARY": "HUN",
        "ICELAND": "ISL",
        "INDIA": "IND",
        "INDONESIA": "IDN",
        "IRAN": "IRN",
        "IRAN_(ISLAMIC_REPUBLIC_OF)": "IRN",
        "IRAQ": "IRQ",
        "IRELAND": "IRL",
        "ISLAMIC_REPUBLIC_OF_IRAN": "IRN",
        "ISLE_OF_MAN": "IMN",
        "ISRAEL": "ISR",
        "ITALY": "ITA",
        "IVORY_COAST": "CIV",
        "JAMAICA": "JAM",
        "JAPAN": "JPN",
        "JERSEY": "JEY",
        "JORDAN": "JOR",
        "KAZAKHSTAN": "KAZ",
        "KENYA": "KEN",
        "KIRIBATI": "KIR",
        "KOSOVO": "KOS",
        "KOREA_(DEMOCRATIC_PEOPLE'S_REPUBLIC_OF)": "PRK",
        "KOREA_(REPUBLIC_OF)": "KOR",
        "KUWAIT": "KWT",
        "KYRGYZSTAN": "KGZ",
        "LAOS": "LAO",
        "LAO_PEOPLE'S_DEMOCRATIC_REPUBLIC": "LAO",
        "LAS_MALVINAS": "FLK",
        "LATVIA": "LVA",
        "LEBANON": "LBN",
        "LESOTHO": "LSO",
        "LIBERIA": "LBR",
        "LIBYA": "LBY",
        "LIBYAN_ARAB_JAMAHIRIYA": "LBY",
        "LIECHTENSTEIN": "LIE",
        "LITHUANIA": "LTU",
        "LUXEMBOURG": "LUX",
        "MACAO": "MAC",
        "MACEDONIA": "MKD",
        "MACEDONIA_(THE_FORMER_YUGOSLAV_REPUBLIC_OF)": "MKD",
        "MADAGASCAR": "MDG",
        "MALAWI": "MWI",
        "MALAYSIA": "MYS",
        "MALDIVES": "MDV",
        "MALI": "MLI",
        "MALTA": "MLT",
        "MALVINAS": "FLK",
        "MARSHALL_ISLANDS": "MHL",
        "MARTINIQUE": "MTQ",
        "MAURITANIA": "MRT",
        "MAURITIUS": "MUS",
        "MAYOTTE": "MYT",
        "MOLDOVA": "MDA",
        "MEXICO": "MEX",
        "MICRONESIA_(FEDERATED_STATES_OF)": "FSM",
        "MICRONESIA,_FEDERATED_STATES_OF": "FSM",
        "MICRONESIA": "FSM",
        "MOLDOVA_(REPUBLIC_OF)": "MDA",
        "MONACO": "MCO",
        "MONGOLIA": "MNG",
        "MONTENEGRO": "MNE",
        "MONTSERRAT": "MSR",
        "MOROCCO": "MAR",
        "MOZAMBIQUE": "MOZ",
        "MYANMAR": "MMR",
        "NAMIBIA": "NAM",
        "NAURU": "NRU",
        "NEPAL": "NPL",
        "NETHERLANDS": "NLD",
        "NEW_CALEDONIA": "NCL",
        "NEW_ZEALAND": "NZL",
        "NICARAGUA": "NIC",
        "NIGER": "NER",
        "NIGERIA": "NGA",
        "NIUE": "NIU",
        "NORFOLK_ISLAND": "NFK",
        "NORTHERN_MARIANA_ISLANDS": "MNP",
        "NORTH_KOREA": "PRK",
        "NORTH_MACEDONIA": "MKD",
        "NORWAY": "NOR",
        "OMAN": "OMN",
        "PAKISTAN": "PAK",
        "PALAU": "PLW",
        "PALESTINE": "PSE",
        "PALESTINE,_STATE_OF": "PSE",
        "PANAMA": "PAN",
        "PAPUA_NEW_GUINEA": "PNG",
        "PARAGUAY": "PRY",
        "PERU": "PER",
        "PHILIPPINES": "PHL",
        "PITCAIRN": "PCN",
        "POLAND": "POL",
        "PORTUGAL": "PRT",
        "PUERTO_RICO": "PRI",
        "QATAR": "QAT",
        "REPUBLIC_OF_KOREA": "KOR",
        "REPUBLIC_OF_MOLDOVA": "MDA",
        "REUNION": "REU",
        "ROMANIA": "ROU",
        "RUSSIA": "RUS",
        "RUSSIAN_FEDERATION": "RUS",
        "RWANDA": "RWA",
        "RÃ©UNION": "REU",
        "SAINT_BARTHELEMY": "BLM",
        "SAINT_BARTHÃ©LEMY": "BLM",
        "SAINT_HELENA,_ASCENSION_AND_TRISTAN_DA_CUNHA": "SHN",
        "SAINT_HELENA": "SHN",
        "SAINT_KITTS_AND_NEVIS": "KNA",
        "SAINT_LUCIA": "LCA",
        "SAINT_MARTIN": "MAF",
        "SAINT_MARTIN_(FRENCH_PART)": "MAF",
        "SAINT_PIERRE_AND_MIQUELON": "SPM",
        "SAINT_VINCENT_AND_THE_GRENADINES": "VCT",
        "SAMOA": "WSM",
        "SAN_MARINO": "SMR",
        "SAO_TOME_AND_PRINCIPE": "STP",
        "SAUDI_ARABIA": "SAU",
        "SENEGAL": "SEN",
        "SERBIA": "SRB",
        "SEYCHELLES": "SYC",
        "SIERRA_LEONE": "SLE",
        "SINGAPORE": "SGP",
        "SINT_MAARTEN": "SXM",
        "SINT_MAARTEN_(DUTCH_PART)": "SXM",
        "SLOVAKIA": "SVK",
        "SLOVENIA": "SVN",
        "SOLOMON_ISLANDS": "SLB",
        "SOMALIA": "SOM",
        "SOUTH_AFRICA": "ZAF",
        "SOUTH_GEORGIA_AND_THE_SOUTH_SANDWICH_ISLANDS": "SGS",
        "SOUTH_KOREA": "KOR",
        "SOUTH_SUDAN": "SSD",
        "SPAIN": "ESP",
        "SRI_LANKA": "LKA",
        "STATE_OF_PALESTINE": "PSE",
        "SUDAN": "SDN",
        "SURINAME": "SUR",
        "SVALBARD_AND_JAN_MAYEN": "SJM",
        "SWAZILAND": "SWZ",
        "SWEDEN": "SWE",
        "SWITZERLAND": "CHE",
        "SYRIA": "SYR",
        "SYRIAN_ARAB_REPUBLIC": "SYR",
        "TAIWAN": "TWN",
        "TAJIKISTAN": "TJK",
        "TANZANIA": "TZA",
        "TANZANIA,_UNITED_REPUBLIC_OF": "TZA",
        "THAILAND": "THA",
        "THE_FORMER_YUGOSLAV_REPUBLIC_OF_MACEDONIA": "MKD",
        "THE_VATICAN": "VAT",
        "TIMOR-LESTE": "TLS",
        "TOGO": "TGO",
        "TOKELAU": "TKL",
        "TONGA": "TON",
        "TRINIDAD_AND_TOBAGO": "TTO",
        "TUNISIA": "TUN",
        "TURKEY": "TUR",
        "TURKMENISTAN": "TKM",
        "TURKS_AND_CAICOS_ISLANDS": "TCA",
        "TUVALU": "TUV",
        "U.S._VIRGIN_ISLANDS": "VIR",
        "UGANDA": "UGA",
        "UKRAINE": "UKR",
        "UNITED_ARAB_EMIRATES": "ARE",
        "UNITED_KINGDOM": "GBR",
        "UNITED_KINGDOM_OF_GREAT_BRITAIN_AND_NORTHERN_IRELAND": "GBR",
        "UNITED_KINGDOM_OF_GREAT_BRITAIN": "GBR",
        "UNITED_REPUBLIC_OF_TANZANIA": "TZA",
        "UNITED_STATES": "USA",
        "UNITED_STATES_MINOR_OUTLYING_ISLANDS": "UMI",
        "UNITED_STATES_OF_AMERICA": "USA",
        "UNITED_STATES_VIRGIN_ISLANDS": "VIR",
        "URUGUAY": "URY",
        "US_VIRGIN_ISLANDS": "VIR",
        "UZBEKISTAN": "UZB",
        "VANUATU": "VUT",
        "VATICAN": "VAT",
        "VATICAN_CITY": "VAT",
        "HOLY_SEE_(VATICAN_CITY_STATE)": "VAT",
        "HOLY_SEE_VATICAN_CITY_STATE": "VAT",
        "HOLY_SEE_(VATICAN_CITY)": "VAT",
        "HOLY_SEE_VATICAN_CITY": "VAT",
        "VENEZUELA": "VEN",
        "VENEZUELA_(BOLIVARIAN_REPUBLIC_OF)": "VEN",
        "VIETNAM": "VNM",
        "VIET_NAM": "VNM",
        "VIRGIN_ISLANDS_(BRITISH)": "VGB",
        "VIRGIN_ISLANDS,_BRITISH": "VGB",
        "VIRGIN_ISLANDS_(U.S.)": "VIR",
        "VIRGIN_ISLANDS,_U.S.": "VIR",
        "WALLIS_AND_FUTUNA": "WLF",
        "WESTERN_SAHARA": "ESH",
        "WEST_BANK": "PSE",
        "YEMEN": "YEM",
        "ZAMBIA": "ZMB",
        "ZIMBABWE": "ZWE",
        "Ã…LAND_ISLANDS": "ALA"
    }
    southAfricanProvinceAlphaList = [
        "ZA-EC",
        "ZA-FS",
        "ZA-GP",
        "ZA-KZN",
        "ZA-LP",
        "ZA-MP",
        "ZA-NC",
        "ZA-NW",
        "ZA-WC"
    ]
    southAfricanProvinceAlphaToAreaKM = {
        "ZA-EC": 168966,
        "ZA-FS": 129825,
        "ZA-GP": 18178,
        "ZA-KZN": 94361,
        "ZA-LP": 125754,
        "ZA-MP": 76495,
        "ZA-NC": 372889,
        "ZA-NW": 104882,
        "ZA-WC": 129462
    }
    southAfricanProvinceAlphaToCapital = {
        "ZA-EC": "Bhisho",
        "ZA-FS": "Bloemfontein",
        "ZA-GP": "Johannesburg",
        "ZA-KZN": "Pietermaritzburg",
        "ZA-LP": "Polokwane",
        "ZA-MP": "Mbombela",
        "ZA-NC": "Kimberley",
        "ZA-NW": "Mahikeng",
        "ZA-WC": "Cape Town"
    }
    southAfricanProvinceAlphaToLargestCity = {
        "ZA-EC": "Gqeberha",
        "ZA-FS": "Bloemfontein",
        "ZA-GP": "Johannesburg",
        "ZA-KZN": "Durban",
        "ZA-LP": "Polokwane",
        "ZA-MP": "Mbombela",
        "ZA-NC": "Kimberley",
        "ZA-NW": "Rustenburg",
        "ZA-WC": "Cape Town"
    }
    southAfricanProvinceAlphaToFlagURL = {
        "ZA-EC": "https://upload.wikimedia.org/wikipedia/en/thumb/1/1a/Eastern_Cape_arms.svg/1920px-Eastern_Cape_arms.svg.png",
        "ZA-FS": "https://upload.wikimedia.org/wikipedia/en/thumb/d/d7/Coat_of_arms_of_the_Free_State.svg/1920px-Coat_of_arms_of_the_Free_State.svg.png",
        "ZA-GP": "https://upload.wikimedia.org/wikipedia/en/thumb/5/54/Gauteng_arms.svg/1920px-Gauteng_arms.svg.png",
        "ZA-KZN": "https://upload.wikimedia.org/wikipedia/en/thumb/7/79/KwaZulu-Natal_coat_of_arms.svg/1280px-KwaZulu-Natal_coat_of_arms.svg.png",
        "ZA-LP": "https://upload.wikimedia.org/wikipedia/en/thumb/9/99/Limpopo_arms.svg/1280px-Limpopo_arms.svg.png",
        "ZA-MP": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/93/Flag_of_Mpumalanga_Province.svg/1920px-Flag_of_Mpumalanga_Province.svg.png",
        "ZA-NC": "https://upload.wikimedia.org/wikipedia/en/thumb/a/a2/Northern_Cape_coat_of_arms.svg/1920px-Northern_Cape_coat_of_arms.svg.png",
        "ZA-NW": "https://upload.wikimedia.org/wikipedia/en/thumb/4/49/North_West_arms.svg/1280px-North_West_arms.svg.png",
        "ZA-WC": "https://upload.wikimedia.org/wikipedia/en/thumb/d/dd/Coat_of_arms_of_the_Western_Cape.svg/1920px-Coat_of_arms_of_the_Western_Cape.svg.png"
    }
    southAfricanProvinceAlphaToGDP = {
        "ZA-EC": 17944581200,
        "ZA-FS": 11829260800,
        "ZA-GP": 78574412000,
        "ZA-KZN": 37191870800,
        "ZA-LP": 16903756800,
        "ZA-MP": 17756985400,
        "ZA-NC": 4681143600,
        "ZA-NW": 15727516000,
        "ZA-WC": 31948861000
    }
    southAfricanProvinceNameToAlpha = {
        "EASTERN_CAPE": "ZA-EC",
        "FREE_STATE": "ZA-FS",
        "GAUTENG": "ZA-GP",
        "KWAZULU-NATAL": "ZA-KZN",
        "KWAZULU_NATAL": "ZA-KZN",
        "LIMPOPO": "ZA-LP",
        "MPUMALANGA": "ZA-MP",
        "NORTH_WEST": "ZA-NW",
        "NORTHWEST": "ZA-NW",
        "NORTHERN_CAPE": "ZA-NC",
        "WESTERN_CAPE": "ZA-WC"
    }
    southAfricanProvinceAlphaToName = {
        "ZA-EC": "Eastern Cape",
        "ZA-FS": "Free State",
        "ZA-GP": "Gauteng",
        "ZA-KZN": "KwaZulu-Natal",
        "ZA-LP": "Limpopo",
        "ZA-MP": "Mpumalanga",
        "ZA-NC": "Northern Cape",
        "ZA-NW": "North West",
        "ZA-WC": "Western Cape"
    }
    southAfricanProvinceNameList = [
        "EASTERN_CAPE",
        "FREE_STATE",
        "GAUTENG",
        "KWAZULU-NATAL",
        "KWAZULU_NATAL",
        "LIMPOPO",
        "MPUMALANGA",
        "NORTH_WEST",
        "NORTHWEST",
        "NORTHERN_CAPE",
        "WESTERN_CAPE"
    ]
    southAfricanProvinceAlphaToPopulation = {
        "ZA-EC": 6562053,
        "ZA-FS": 2745590,
        "ZA-GP": 12272263,
        "ZA-KZN": 10267300,
        "ZA-LP": 5404868,
        "ZA-MP": 4039939,
        "ZA-NC": 1145861,
        "ZA-NW": 3509953,
        "ZA-WC": 5822734
    }
    southAfricanProvinceAlphaToType = {
        "ZA-EC": "PROVINCE",
        "ZA-FS": "PROVINCE",
        "ZA-GP": "PROVINCE",
        "ZA-KZN": "PROVINCE",
        "ZA-LP": "PROVINCE",
        "ZA-MP": "PROVINCE",
        "ZA-NC": "PROVINCE",
        "ZA-NW": "PROVINCE",
        "ZA-WC": "PROVINCE"
    }
    usaStateAlphaList = [
        "US-AL",
        "US-AK",
        "US-AZ",
        "US-AR",
        "US-AS",
        "US-CA",
        "US-CO",
        "US-CT",
        "US-DC",
        "US-DE",
        "US-FL",
        "US-GA",
        "US-GU",
        "US-HI",
        "US-ID",
        "US-IL",
        "US-IN",
        "US-IA",
        "US-KS",
        "US-KY",
        "US-LA",
        "US-ME",
        "US-MD",
        "US-MA",
        "US-MI",
        "US-MN",
        "US-MS",
        "US-MO",
        "US-MT",
        "US-MP",
        "US-NE",
        "US-NV",
        "US-NH",
        "US-NJ",
        "US-NM",
        "US-NY",
        "US-NC",
        "US-ND",
        "US-OH",
        "US-OK",
        "US-OR",
        "US-PA",
        "US-PR",
        "US-RI",
        "US-SC",
        "US-SD",
        "US-TN",
        "US-TX",
        "US-UT",
        "US-VT",
        "US-VA",
        "US-VI",
        "US-WA",
        "US-WV",
        "US-WI",
        "US-WY"
    ]
    usaStateAlphaToAreaKM = {
        "US-AL": 135767,
        "US-AK": 1723337,
        "US-AZ": 295234,
        "US-AR": 137732,
        "US-AS": 1505,
        "US-CA": 423967,
        "US-CO": 269601,
        "US-CT": 14357,
        "US-DC": 177,
        "US-DE": 6446,
        "US-FL": 170312,
        "US-GA": 153910,
        "US-GU": 1478,
        "US-HI": 28313,
        "US-ID": 216443,
        "US-IL": 149995,
        "US-IN": 94326,
        "US-IA": 145746,
        "US-KS": 213100,
        "US-KY": 104656,
        "US-LA": 135659,
        "US-ME": 91633,
        "US-MD": 32131,
        "US-MA": 27336,
        "US-MI": 250487,
        "US-MN": 225163,
        "US-MS": 125438,
        "US-MO": 180540,
        "US-MT": 380831,
        "US-MP": 5117,
        "US-NE": 200330,
        "US-NV": 286380,
        "US-NH": 24214,
        "US-NJ": 22591,
        "US-NM": 314917,
        "US-NY": 141297,
        "US-NC": 139391,
        "US-ND": 183108,
        "US-OH": 116098,
        "US-OK": 181037,
        "US-OR": 254799,
        "US-PA": 119280,
        "US-PR": 13791,
        "US-RI": 4001,
        "US-SC": 82933,
        "US-SD": 199729,
        "US-TN": 109153,
        "US-TX": 695662,
        "US-UT": 219882,
        "US-VT": 24906,
        "US-VA": 110787,
        "US-VI": 1898,
        "US-WA": 184661,
        "US-WV": 62756,
        "US-WI": 169635,
        "US-WY": 253335
    }
    usaStateAlphaToCapital = {
        "US-AL": "Montgomery",
        "US-AK": "Juneau",
        "US-AZ": "Phoenix",
        "US-AR": "Little Rock",
        "US-AS": "Pago Pago",
        "US-CA": "Sacramento",
        "US-CO": "Denver",
        "US-CT": "Hartford",
        "US-DC": "Washington",
        "US-DE": "Dover",
        "US-FL": "Tallahassee",
        "US-GA": "Atlanta",
        "US-GU": "Hagatna",
        "US-HI": "Honolulu",
        "US-ID": "Boise",
        "US-IL": "Springfield",
        "US-IN": "Indianapolis",
        "US-IA": "Des Moines",
        "US-KS": "Topeka",
        "US-KY": "Frankfort",
        "US-LA": "Baton Rogue",
        "US-ME": "Augusta",
        "US-MD": "Annapolis",
        "US-MA": "Boston",
        "US-MI": "Lansing",
        "US-MN": "St. Paul",
        "US-MS": "Jackson",
        "US-MO": "Jefferson City",
        "US-MT": "Helena",
        "US-MP": "Saipan",
        "US-NE": "Lincoln",
        "US-NV": "Carson City",
        "US-NH": "Concord",
        "US-NJ": "Trenton",
        "US-NM": "Santa Fe",
        "US-NY": "Albany",
        "US-NC": "Raleigh",
        "US-ND": "Bismarck",
        "US-OH": "Columbus",
        "US-OK": "Oklahoma City",
        "US-OR": "Salem",
        "US-PA": "Harrisburg",
        "US-PR": "San Juan",
        "US-RI": "Providence",
        "US-SC": "Columbia",
        "US-SD": "Pierre",
        "US-TN": "Nashville",
        "US-TX": "Austin",
        "US-UT": "Salt Lake City",
        "US-VT": "Montpelier",
        "US-VA": "Richmond",
        "US-VI": "Charlotte Amalie",
        "US-WA": "Olympia",
        "US-WV": "Charleston",
        "US-WI": "Madison",
        "US-WY": "Cheyenne"
    }
    usaStateAlphaToLargestCity = {
        "US-AL": "Huntsville",
        "US-AK": "Anchorage",
        "US-AZ": "Phoenix",
        "US-AR": "Little Rock",
        "US-AS": "Tafuna",
        "US-CA": "Los Angeles",
        "US-CO": "Denver",
        "US-CT": "Bridgeport",
        "US-DC": "Washington",
        "US-DE": "Wilmington",
        "US-FL": "Jacksonville",
        "US-GA": "Atlanta",
        "US-GU": "Dededo",
        "US-HI": "Honolulu",
        "US-ID": "Boise",
        "US-IL": "Chicago",
        "US-IN": "Indianapolis",
        "US-IA": "Des Moines",
        "US-KS": "Wichita",
        "US-KY": "Louisville",
        "US-LA": "New Orleans",
        "US-ME": "Portland",
        "US-MD": "Baltimore",
        "US-MA": "Boston",
        "US-MI": "Detroit",
        "US-MN": "Minneapolis",
        "US-MS": "Jackson",
        "US-MO": "Kansas City",
        "US-MT": "Billings",
        "US-MP": "Saipan",
        "US-NE": "Omaha",
        "US-NV": "Las Vegas",
        "US-NH": "Manchester",
        "US-NJ": "Newark",
        "US-NM": "Albuquerque",
        "US-NY": "New York City",
        "US-NC": "Charlotte",
        "US-ND": "Fargo",
        "US-OH": "Columbus",
        "US-OK": "Oklahoma City",
        "US-OR": "Portland",
        "US-PA": "Philadelphia",
        "US-PR": "San Juan",
        "US-RI": "Providence",
        "US-SC": "Charleston",
        "US-SD": "Sioux Falls",
        "US-TN": "Nashville",
        "US-TX": "Houston",
        "US-UT": "Salt Lake City",
        "US-VT": "Burlington",
        "US-VA": "Virginia Beach",
        "US-VI": "Charlotte Amalie",
        "US-WA": "Seattle",
        "US-WV": "Charleston",
        "US-WI": "Milwaukee",
        "US-WY": "Cheyenne"
    }
    usaStateAlphaToFlagURL = {
        "US-AL": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5c/Flag_of_Alabama.svg/1920px-Flag_of_Alabama.svg.png",
        "US-AK": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e6/Flag_of_Alaska.svg/1920px-Flag_of_Alaska.svg.png",
        "US-AZ": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Flag_of_Arizona.svg/1920px-Flag_of_Arizona.svg.png",
        "US-AR": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9d/Flag_of_Arkansas.svg/1920px-Flag_of_Arkansas.svg.png",
        "US-AS": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/87/Flag_of_American_Samoa.svg/2560px-Flag_of_American_Samoa.svg.png",
        "US-CA": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/01/Flag_of_California.svg/1920px-Flag_of_California.svg.png",
        "US-CO": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/46/Flag_of_Colorado.svg/1920px-Flag_of_Colorado.svg.png",
        "US-CT": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/96/Flag_of_Connecticut.svg/1920px-Flag_of_Connecticut.svg.png",
        "US-DC": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/d4/Flag_of_the_District_of_Columbia.svg/2560px-Flag_of_the_District_of_Columbia.svg.png",
        "US-DE": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c6/Flag_of_Delaware.svg/1920px-Flag_of_Delaware.svg.png",
        "US-FL": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Flag_of_Florida.svg/1920px-Flag_of_Florida.svg.png",
        "US-GA": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/54/Flag_of_Georgia_%28U.S._state%29.svg/1920px-Flag_of_Georgia_%28U.S._state%29.svg.png",
        "US-GU": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/07/Flag_of_Guam.svg/2560px-Flag_of_Guam.svg.png",
        "US-HI": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Flag_of_Hawaii.svg/2560px-Flag_of_Hawaii.svg.png",
        "US-ID": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a4/Flag_of_Idaho.svg/1920px-Flag_of_Idaho.svg.png",
        "US-IL": "https://upload.wikimedia.org/wikipedia/commons/thumb/0/01/Flag_of_Illinois.svg/1920px-Flag_of_Illinois.svg.png",
        "US-IN": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/ac/Flag_of_Indiana.svg/1920px-Flag_of_Indiana.svg.png",
        "US-IA": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/aa/Flag_of_Iowa.svg/1920px-Flag_of_Iowa.svg.png",
        "US-KS": "https://upload.wikimedia.org/wikipedia/commons/thumb/d/da/Flag_of_Kansas.svg/1920px-Flag_of_Kansas.svg.png",
        "US-KY": "https://upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Flag_of_Kentucky.svg/2560px-Flag_of_Kentucky.svg.png",
        "US-LA": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e0/Flag_of_Louisiana.svg/1920px-Flag_of_Louisiana.svg.png",
        "US-ME": "https://upload.wikimedia.org/wikipedia/commons/thumb/3/35/Flag_of_Maine.svg/1920px-Flag_of_Maine.svg.png",
        "US-MD": "https://upload.wikimedia.org/wikipedia/commons/thumb/a/a0/Flag_of_Maryland.svg/1920px-Flag_of_Maryland.svg.png",
        "US-MA": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f2/Flag_of_Massachusetts.svg/1920px-Flag_of_Massachusetts.svg.png",
        "US-MI": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b5/Flag_of_Michigan.svg/1920px-Flag_of_Michigan.svg.png",
        "US-MN": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Flag_of_Minnesota.svg/1920px-Flag_of_Minnesota.svg.png",
        "US-MS": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/42/Flag_of_Mississippi.svg/1920px-Flag_of_Mississippi.svg.png",
        "US-MO": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/5a/Flag_of_Missouri.svg/2560px-Flag_of_Missouri.svg.png",
        "US-MT": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/cb/Flag_of_Montana.svg/1920px-Flag_of_Montana.svg.png",
        "US-MP": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/e0/Flag_of_the_Northern_Mariana_Islands.svg/2560px-Flag_of_the_Northern_Mariana_Islands.svg.png",
        "US-NE": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4d/Flag_of_Nebraska.svg/1920px-Flag_of_Nebraska.svg.png",
        "US-NV": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f1/Flag_of_Nevada.svg/1920px-Flag_of_Nevada.svg.png",
        "US-NH": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/28/Flag_of_New_Hampshire.svg/1920px-Flag_of_New_Hampshire.svg.png",
        "US-NJ": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/92/Flag_of_New_Jersey.svg/1920px-Flag_of_New_Jersey.svg.png",
        "US-NM": "https://upload.wikimedia.org/wikipedia/commons/thumb/c/c3/Flag_of_New_Mexico.svg/1920px-Flag_of_New_Mexico.svg.png",
        "US-NY": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Flag_of_New_York.svg/2560px-Flag_of_New_York.svg.png",
        "US-NC": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bb/Flag_of_North_Carolina.svg/1920px-Flag_of_North_Carolina.svg.png",
        "US-ND": "https://upload.wikimedia.org/wikipedia/commons/thumb/e/ee/Flag_of_North_Dakota.svg/1920px-Flag_of_North_Dakota.svg.png",
        "US-OH": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/4c/Flag_of_Ohio.svg/1920px-Flag_of_Ohio.svg.png",
        "US-OK": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Flag_of_Oklahoma.svg/1920px-Flag_of_Oklahoma.svg.png",
        "US-OR": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/b9/Flag_of_Oregon.svg/1920px-Flag_of_Oregon.svg.png",
        "US-PA": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Flag_of_Pennsylvania.svg/1920px-Flag_of_Pennsylvania.svg.png",
        "US-PR": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/28/Flag_of_Puerto_Rico.svg/1920px-Flag_of_Puerto_Rico.svg.png",
        "US-RI": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f3/Flag_of_Rhode_Island.svg/1920px-Flag_of_Rhode_Island.svg.png",
        "US-SC": "https://upload.wikimedia.org/wikipedia/commons/thumb/6/69/Flag_of_South_Carolina.svg/1920px-Flag_of_South_Carolina.svg.png",
        "US-SD": "https://upload.wikimedia.org/wikipedia/commons/thumb/1/1a/Flag_of_South_Dakota.svg/1920px-Flag_of_South_Dakota.svg.png",
        "US-TN": "https://upload.wikimedia.org/wikipedia/commons/thumb/9/9e/Flag_of_Tennessee.svg/1920px-Flag_of_Tennessee.svg.png",
        "US-TX": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f7/Flag_of_Texas.svg/1920px-Flag_of_Texas.svg.png",
        "US-UT": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f6/Flag_of_Utah.svg/1920px-Flag_of_Utah.svg.png",
        "US-VT": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/49/Flag_of_Vermont.svg/1920px-Flag_of_Vermont.svg.png",
        "US-VA": "https://upload.wikimedia.org/wikipedia/commons/thumb/4/47/Flag_of_Virginia.svg/1920px-Flag_of_Virginia.svg.png",
        "US-VI": "https://upload.wikimedia.org/wikipedia/commons/thumb/f/f8/Flag_of_the_United_States_Virgin_Islands.svg/1920px-Flag_of_the_United_States_Virgin_Islands.svg.png",
        "US-WA": "https://upload.wikimedia.org/wikipedia/commons/thumb/5/54/Flag_of_Washington.svg/1920px-Flag_of_Washington.svg.png",
        "US-WV": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/22/Flag_of_West_Virginia.svg/2560px-Flag_of_West_Virginia.svg.png",
        "US-WI": "https://upload.wikimedia.org/wikipedia/commons/thumb/2/22/Flag_of_Wisconsin.svg/1920px-Flag_of_Wisconsin.svg.png",
        "US-WY": "https://upload.wikimedia.org/wikipedia/commons/thumb/b/bc/Flag_of_Wyoming.svg/1920px-Flag_of_Wyoming.svg.png"
    }
    usaStateAlphaToGDP = {
        "US-AL": 243555000000,
        "US-AK": 54020000000,
        "US-AZ": 400156000000,
        "US-AR": 143438000000,
        "US-AS": 638000000,
        "US-CA": 3290170000000,
        "US-CO": 416937000000,
        "US-CT": 294649000000,
        "US-DC": 151390000000,
        "US-DE": 79282000000,
        "US-FL": 1198913000000,
        "US-GA": 673072000000,
        "US-GU": 6311000000,
        "US-HI": 89661000000,
        "US-ID": 92300000000,
        "US-IL": 938216000000,
        "US-IN": 415344000000,
        "US-IA": 220929000000,
        "US-KS": 193139000000,
        "US-KY": 234311000000,
        "US-LA": 253315000000,
        "US-ME": 74604000000,
        "US-MD": 443729000000,
        "US-MA": 625113000000,
        "US-MI": 559479000000,
        "US-MN": 407395000000,
        "US-MS": 123781000000,
        "US-MO": 359034000000,
        "US-MT": 57919000000,
        "US-MP": 1182000000,
        "US-NE": 150507000000,
        "US-NV": 187394000000,
        "US-NH": 93891000000,
        "US-NJ": 671483000000,
        "US-NM": 108241000000,
        "US-NY": 1868224000000,
        "US-NC": 646207000000,
        "US-ND": 64978000000,
        "US-OH": 732117000000,
        "US-OK": 205559000000,
        "US-OR": 264113000000,
        "US-PA": 832704000000,
        "US-PR": 103138000000,
        "US-RI": 64170000000,
        "US-SC": 266079000000,
        "US-SD": 60810000000,
        "US-TN": 411689000000,
        "US-TX": 1950359000000,
        "US-UT": 212855000000,
        "US-VT": 36089000000,
        "US-VA": 586250000000,
        "US-VI": 4068000000,
        "US-WA": 661520000000,
        "US-WV": 85799000000,
        "US-WI": 363586000000,
        "US-WY": 41199000000
    }
    usaStateNameToAlpha = {
        "ALABAMA": "US-AL",
        "ALASKA": "US-AK",
        "ARIZONA": "US-AZ",
        "ARKANSAS": "US-AR",
        "AMERICAN_SAMOA": "US-AS",
        "CALIFORNIA": "US-CA",
        "COLORADO": "US-CO",
        "CONNECTICUT": "US-CT",
        "DISTRICT_OF_COLUMBIA": "US-DC",
        "DC": "US-DC",
        "WASHINGTON_DC": "US-DC",
        "DELAWARE": "US-DE",
        "FLORIDA": "US-FL",
        "GEORGIA": "US-GA",
        "GUAM": "US-GU",
        "HAWAII": "US-HI",
        "IDAHO": "US-ID",
        "ILLINOIS": "US-IL",
        "INDIANA": "US-IN",
        "IOWA": "US-IA",
        "KANSAS": "US-KS",
        "KENTUCKY": "US-KY",
        "LOUISIANA": "US-LA",
        "MAINE": "US-ME",
        "MARYLAND": "US-MD",
        "MASSACHUSETTS": "US-MA",
        "MICHIGAN": "US-MI",
        "MINNESOTA": "US-MN",
        "MISSISSIPPI": "US-MS",
        "MISSOURI": "US-MO",
        "MONTANA": "US-MT",
        "NORTHERN_MARIANA_ISLANDS": "US-MP",
        "NEBRASKA": "US-NE",
        "NEVADA": "US-NV",
        "NEW_HAMPSHIRE": "US-NH",
        "NEW_JERSEY": "US-NJ",
        "NEW_MEXICO": "US-NM",
        "NEW_YORK": "US-NY",
        "NORTH_CAROLINA": "US-NC",
        "NORTH_DAKOTA": "US-ND",
        "OHIO": "US-OH",
        "OKLAHOMA": "US-OK",
        "OREGON": "US-OR",
        "PENNSYLVANIA": "US-PA",
        "PUERTO_RICO": "US-PR",
        "RHODE_ISLAND": "US-RI",
        "SOUTH_CAROLINA": "US-SC",
        "SOUTH_DAKOTA": "US-SD",
        "TENNESSEE": "US-TN",
        "TEXAS": "US-TX",
        "UTAH": "US-UT",
        "VERMONT": "US-VT",
        "VIRGINIA": "US-VA",
        "US_VIRGIN_ISLANDS": "US-VI",
        "U.S._VIRGIN_ISLANDS": "US-VI",
        "VIRGIN_ISLANDS": "US-VI",
        "WASHINGTON": "US-WA",
        "WEST_VIRGINIA": "US-WV",
        "WISCONSIN": "US-WI",
        "WYOMING": "US-WY"
    }
    usaStateAlphaToName = {
        "US-AL": "Alabama",
        "US-AK": "Alaska",
        "US-AZ": "Arizona",
        "US-AR": "Arkansas",
        "US-AS": "American Samoa",
        "US-CA": "California",
        "US-CO": "Colorado",
        "US-CT": "Connecticut",
        "US-DC": "District of Columbia",
        "US-DE": "Delaware",
        "US-FL": "Florida",
        "US-GA": "Georgia",
        "US-GU": "Guam",
        "US-HI": "Hawaii",
        "US-ID": "Idaho",
        "US-IL": "Illinois",
        "US-IN": "Indiana",
        "US-IA": "Iowa",
        "US-KS": "Kansas",
        "US-KY": "Kentucky",
        "US-LA": "Louisiana",
        "US-ME": "Maine",
        "US-MD": "Maryland",
        "US-MA": "Massachusetts",
        "US-MI": "Michigan",
        "US-MN": "Minnesota",
        "US-MS": "Mississippi",
        "US-MO": "Missouri",
        "US-MT": "Montana",
        "US-MP": "Northern Mariana Islands",
        "US-NE": "Nebraska",
        "US-NV": "Nevada",
        "US-NH": "New Hampshire",
        "US-NJ": "New Jersey",
        "US-NM": "New Mexico",
        "US-NY": "New York",
        "US-NC": "North Carolina",
        "US-ND": "North Dakota",
        "US-OH": "Ohio",
        "US-OK": "Oklahoma",
        "US-OR": "Oregon",
        "US-PA": "Pennsylvania",
        "US-PR": "Puerto Rico",
        "US-RI": "Rhode Island",
        "US-SC": "South Carolina",
        "US-SD": "South Dakota",
        "US-TN": "Tennessee",
        "US-TX": "Texas",
        "US-UT": "Utah",
        "US-VT": "Vermont",
        "US-VA": "Virginia",
        "US-VI": "US Virgin Islands",
        "US-WA": "Washington",
        "US-WV": "West Virginia",
        "US-WI": "Wisconsin",
        "US-WY": "Wyoming"
    }
    usaStateNameList = [
        "ALABAMA",
        "ALASKA",
        "ARIZONA",
        "ARKANSAS",
        "AMERICAN_SAMOA",
        "CALIFORNIA",
        "COLORADO",
        "CONNECTICUT",
        "DISTRICT_OF_COLUMBIA",
        "DC",
        "WASHINGTON_DC",
        "DELAWARE",
        "FLORIDA",
        "GEORGIA",
        "GUAM",
        "HAWAII",
        "IDAHO",
        "ILLINOIS",
        "INDIANA",
        "IOWA",
        "KANSAS",
        "KENTUCKY",
        "LOUISIANA",
        "MAINE",
        "MARYLAND",
        "MASSACHUSETTS",
        "MICHIGAN",
        "MINNESOTA",
        "MISSISSIPPI",
        "MISSOURI",
        "MONTANA",
        "NORTHERN_MARIANA_ISLANDS",
        "NEBRASKA",
        "NEVADA",
        "NEW_HAMPSHIRE",
        "NEW_JERSEY",
        "NEW_MEXICO",
        "NEW_YORK",
        "NORTH_CAROLINA",
        "NORTH_DAKOTA",
        "OHIO",
        "OKLAHOMA",
        "OREGON",
        "PENNSYLVANIA",
        "PUERTO_RICO",
        "RHODE_ISLAND",
        "SOUTH_CAROLINA",
        "SOUTH_DAKOTA",
        "TENNESSEE",
        "TEXAS",
        "UTAH",
        "VERMONT",
        "VIRGINIA",
        "US_VIRGIN_ISLANDS",
        "U.S._VIRGIN_ISLANDS",
        "VIRGIN_ISLANDS",
        "WASHINGTON",
        "WEST_VIRGINIA",
        "WISCONSIN",
        "WYOMING"
    ]
    usaStateAlphaToPopulation = {
        "US-AL": 5024279,
        "US-AK": 733391,
        "US-AZ": 7151502,
        "US-AR": 3011524,
        "US-AS": 49437,
        "US-CA": 39538223,
        "US-CO": 5773714,
        "US-CT": 3605944,
        "US-DC": 689545,
        "US-DE": 989948,
        "US-FL": 21538187,
        "US-GA": 10711908,
        "US-GU": 168485,
        "US-HI": 1455271,
        "US-ID": 1839106,
        "US-IL": 12812508,
        "US-IN": 6785528,
        "US-IA": 3190369,
        "US-KS": 2937880,
        "US-KY": 4505836,
        "US-LA": 4657757,
        "US-ME": 1362359,
        "US-MD": 6177224,
        "US-MA": 7029917,
        "US-MI": 10077331,
        "US-MN": 5706494,
        "US-MS": 2961279,
        "US-MO": 6154913,
        "US-MT": 1084225,
        "US-MP": 51433,
        "US-NE": 1961504,
        "US-NV": 3104614,
        "US-NH": 1377529,
        "US-NJ": 9288994,
        "US-NM": 2117552,
        "US-NY": 20201249,
        "US-NC": 10439388,
        "US-ND": 779094,
        "US-OH": 11799448,
        "US-OK": 3959353,
        "US-OR": 4237256,
        "US-PA": 13002700,
        "US-PR": 3285874,
        "US-RI": 1097379,
        "US-SC": 5118425,
        "US-SD": 886667,
        "US-TN": 6910840,
        "US-TX": 29145505,
        "US-UT": 3271616,
        "US-VT": 643077,
        "US-VA": 8631393,
        "US-VI": 106235,
        "US-WA": 7705281,
        "US-WV": 1793716,
        "US-WI": 5893718,
        "US-WY": 576851
    }
    usaStateAlphaToRegion = {
        "US-AL": "South East",
        "US-AK": "Alaska",
        "US-AZ": "South West",
        "US-AR": "South East",
        "US-AS": "Pacific Islands",
        "US-CA": "West",
        "US-CO": "South West",
        "US-CT": "North East",
        "US-DC": "Mid Atlantic",
        "US-DE": "Mid Atlantic",
        "US-FL": "South East",
        "US-GA": "South East",
        "US-GU": "Pacific Islands",
        "US-HI": "Pacific Islands",
        "US-ID": "North West",
        "US-IL": "Mid-West",
        "US-IN": "Mid-West",
        "US-IA": "Mid-West",
        "US-KS": "Mid-West",
        "US-KY": "Mid-West",
        "US-LA": "South East",
        "US-ME": "North East",
        "US-MD": "Mid Atlantic",
        "US-MA": "North East",
        "US-MI": "Mid-West",
        "US-MN": "Mid-West",
        "US-MS": "South East",
        "US-MO": "Mid-West",
        "US-MT": "North West",
        "US-MP": "Pacific Islands",
        "US-NE": "Mid-West",
        "US-NV": "West",
        "US-NH": "North East",
        "US-NJ": "Mid Atlantic",
        "US-NM": "South West",
        "US-NY": "Mid Atlantic",
        "US-NC": "South East",
        "US-ND": "Mid-West",
        "US-OH": "Mid-West",
        "US-OK": "South West",
        "US-OR": "North West",
        "US-PA": "Mid Atlantic",
        "US-PR": "Caribbean Islands",
        "US-RI": "North East",
        "US-SC": "South East",
        "US-SD": "Mid-West",
        "US-TN": "South East",
        "US-TX": "South West",
        "US-UT": "South West",
        "US-VT": "North East",
        "US-VA": "Mid Atlantic",
        "US-VI": "Caribbean Islands",
        "US-WA": "North West",
        "US-WV": "Mid Atlantic",
        "US-WI": "Mid-West",
        "US-WY": "North West"
    }
    usaStateRegionToAlpha = {
        "ALASKA": ["US-AK"],
        "CARIBBEAN_ISLANDS": ["US-PR", "US-VI"],
        "MID_ATLANTIC": ["US-DC", "US-DE", "US-MD", "US-NJ", "US-NY", "US-PA", "US-VA", "US-WV"],
        "MID-WEST": ["US-IL", "US-IN", "US-IA", "US-KS", "US-KY", "US-MI", "US-MN", "US-MO", "US-NE", "US-ND", "US-OH",
                     "US-SD", "US-WI"],
        "NORTH_EAST": ["US-CT", "US-ME", "US-MA", "US-NH", "US-RI", "US-VT"],
        "NORTH_WEST": ["US-ID", "US-MT", "US-OR", "US-WA", "US-WY"],
        "PACIFIC_ISLANDS": ["US-AS", "US-GU", "US-HI", "US-MP"],
        "SOUTH_EAST": ["US-AL", "US-AR", "US-FL", "US-GA", "US-LA", "US-MS", "US-NC", "US-SC", "US-TN"],
        "SOUTH_WEST": ["US-AZ", "US-CO", "US-NM", "US-OK", "US-TX", "US-UT"],
        "WEST": ["US-CA", "US-NV"]
    }
    usaRegionToLargestCity = {
        "ALASKA": {"CITY": "Anchorage", "STATE": "US-AK"},
        "CARIBBEAN_ISLANDS": {"CITY": "San Juan", "STATE": "US-PR"},
        "MID_ATLANTIC": {"CITY": "New York City", "STATE": "US-NY"},
        "MID-WEST": {"CITY": "Chicago", "STATE": "US-IL"},
        "NORTH_EAST": {"CITY": "Boston", "STATE": "US-MA"},
        "NORTH_WEST": {"CITY": "Seattle", "STATE": "US-WA"},
        "PACIFIC_ISLANDS": {"CITY": "Honolulu", "STATE": "US-HI"},
        "SOUTH_EAST": {"CITY": "Jacksonville", "STATE": "US-FL"},
        "SOUTH_WEST": {"CITY": "Houston", "STATE": "US-TX"},
        "WEST": {"CITY": "Los Angeles", "STATE": "US-CA"}
    }
    usaStateType = {
        "US-AL": "STATE",
        "US-AK": "STATE",
        "US-AZ": "STATE",
        "US-AR": "STATE",
        "US-AS": "TERRITORY",
        "US-CA": "STATE",
        "US-CO": "STATE",
        "US-CT": "STATE",
        "US-DC": "FEDERAL_DISTRICT",
        "US-DE": "STATE",
        "US-FL": "STATE",
        "US-GA": "STATE",
        "US-GU": "TERRITORY",
        "US-HI": "STATE",
        "US-ID": "STATE",
        "US-IL": "STATE",
        "US-IN": "STATE",
        "US-IA": "STATE",
        "US-KS": "STATE",
        "US-KY": "COMMONWEALTH",
        "US-LA": "STATE",
        "US-ME": "STATE",
        "US-MD": "STATE",
        "US-MA": "COMMONWEALTH",
        "US-MI": "STATE",
        "US-MN": "STATE",
        "US-MS": "STATE",
        "US-MO": "STATE",
        "US-MT": "STATE",
        "US-MP": "TERRITORY",
        "US-NE": "STATE",
        "US-NV": "STATE",
        "US-NH": "STATE",
        "US-NJ": "STATE",
        "US-NM": "STATE",
        "US-NY": "STATE",
        "US-NC": "STATE",
        "US-ND": "STATE",
        "US-OH": "STATE",
        "US-OK": "STATE",
        "US-OR": "STATE",
        "US-PA": "COMMONWEALTH",
        "US-PR": "TERRITORY",
        "US-RI": "STATE",
        "US-SC": "STATE",
        "US-SD": "STATE",
        "US-TN": "STATE",
        "US-TX": "STATE",
        "US-UT": "STATE",
        "US-VT": "STATE",
        "US-VA": "COMMONWEALTH",
        "US-VI": "TERRITORY",
        "US-WA": "STATE",
        "US-WV": "STATE",
        "US-WI": "STATE",
        "US-WY": "STATE"
    }


class AustralianStates:

    @classmethod
    def doesStateExist(cls, australianStateAlpha: str):
        if AustralianStates.getRedirectedNameToAlpha(australianStateAlpha) in Data.australianStateAlphaList:
            return True
        else:
            return False

    @classmethod
    def getAreaKM(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToAreaKM[AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]

    @classmethod
    def getAreaMiles(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return math.ceil(int(Data.australianStateAlphaToAreaKM[
                                     AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]) / 2.59)

    @classmethod
    def getAreaRanking(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            areaDict = {}
            for item in Data.australianStateAlphaList:
                if AustralianStates.getAreaKM(item) is None:
                    areaDict[item] = 0
                else:
                    areaDict[item] = AustralianStates.getAreaKM(item)
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == AustralianStates.getRedirectedNameToAlpha(australianStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        return dict(sorted(Data.australianStateAlphaToAreaKM.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getCapital(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToCapital[AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]

    @classmethod
    def getFlagURL(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToFlagURL[AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]

    @classmethod
    def getGDP(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return int(Data.australianStateAlphaToGDP[AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)])

    @classmethod
    def getGDPRanking(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            gdpDict = {}
            for count, item in enumerate(Data.australianStateAlphaList):
                if AustralianStates.getGDP(item) is None:
                    pass
                else:
                    gdpDict[item] = AustralianStates.getGDP(item)
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == AustralianStates.getRedirectedNameToAlpha(australianStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        return dict(sorted(Data.australianStateAlphaToGDP.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGdpPerCapita(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            if AustralianStates.getGDP(AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)) == 0:
                return 0
            elif AustralianStates.getPopulation(AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)) == 0:
                return 0
            else:
                return int(AustralianStates.getGDP(
                    AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)) / AustralianStates.getPopulation(
                    AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)))

    @classmethod
    def getGdpPerCapitaRanking(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for count, item in enumerate(Data.australianStateAlphaList):
                if AustralianStates.getGdpPerCapita(item) is None:
                    pass
                else:
                    gdpPerCapitaDict[item] = AustralianStates.getGdpPerCapita(item)
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == AustralianStates.getRedirectedNameToAlpha(australianStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.australianStateAlphaList):
            if AustralianStates.getGdpPerCapita(item) is None:
                pass
            else:
                gdpPerCapitaDict[item] = AustralianStates.getGdpPerCapita(item)
        return dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getLargestCity(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToLargestCity[
                AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]

    @classmethod
    def getName(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToName[AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]

    @classmethod
    def getPopulation(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToPopulation[
                AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]

    @classmethod
    def getPopulationRanking(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            newSorted = dict(sorted(Data.australianStateAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == AustralianStates.getRedirectedNameToAlpha(australianStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        return dict(sorted(Data.australianStateAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            population = AustralianStates.getPopulation(australianStateAlpha)
            areaKM = AustralianStates.getAreaKM(australianStateAlpha)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            population = AustralianStates.getPopulation(australianStateAlpha)
            areaMiles = AustralianStates.getAreaMiles(australianStateAlpha)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.australianStateAlphaList):
                if AustralianStates.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = AustralianStates.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == AustralianStates.getRedirectedNameToAlpha(australianStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.australianStateAlphaList):
            if AustralianStates.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = AustralianStates.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getRedirectedNameToAlpha(cls, name: str):
        if name is None:
            return None
        elif name.upper() in Data.australianStateAlphaList:
            return name.upper()
        elif name.upper().replace(" ", "_") in Data.australianStateNameList:
            return Data.australianStateNameToAlpha[name.upper().replace(" ", "_")]
        else:
            return None

    @classmethod
    def getStateType(cls, australianStateAlpha: str):
        if AustralianStates.doesStateExist(australianStateAlpha) is False:
            return None
        else:
            return Data.australianStateAlphaToType[AustralianStates.getRedirectedNameToAlpha(australianStateAlpha)]


class CanadianProvinces:

    @classmethod
    def doesProvinceExist(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha) in Data.canadianProvinceAlphaList:
            return True
        else:
            return False

    @classmethod
    def getAreaKM(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToAreaKM[CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]

    @classmethod
    def getAreaMiles(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return math.ceil(int(Data.canadianProvinceAlphaToAreaKM[
                                     CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]) / 2.59)

    @classmethod
    def getAreaRanking(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            areaDict = {}
            for item in Data.canadianProvinceAlphaList:
                if CanadianProvinces.getAreaKM(item) is None:
                    areaDict[item] = 0
                else:
                    areaDict[item] = CanadianProvinces.getAreaKM(item)
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        return dict(sorted(Data.canadianProvinceAlphaToAreaKM.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getCapital(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToCapital[
                CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]

    @classmethod
    def getFlagURL(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToFlagURL[
                CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]

    @classmethod
    def getGDP(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return int(
                Data.canadianProvinceAlphaToGDP[CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)])

    @classmethod
    def getGDPRanking(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            gdpDict = {}
            for count, item in enumerate(Data.canadianProvinceAlphaList):
                if CanadianProvinces.getGDP(item) is None:
                    pass
                else:
                    gdpDict[item] = CanadianProvinces.getGDP(item)
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        return dict(sorted(Data.canadianProvinceAlphaToGDP.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGdpPerCapita(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return int(CanadianProvinces.getGDP(
                CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)) / CanadianProvinces.getPopulation(
                CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)))

    @classmethod
    def getGdpPerCapitaRanking(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for count, item in enumerate(Data.canadianProvinceAlphaList):
                if CanadianProvinces.getGdpPerCapita(item) is None:
                    pass
                else:
                    gdpPerCapitaDict[item] = CanadianProvinces.getGdpPerCapita(item)
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.canadianProvinceAlphaList):
            if CanadianProvinces.getGdpPerCapita(item) is None:
                pass
            else:
                gdpPerCapitaDict[item] = CanadianProvinces.getGdpPerCapita(item)
        return dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getLargestCity(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToLargestCity[
                CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]

    @classmethod
    def getName(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToName[CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]

    @classmethod
    def getPopulation(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToPopulation[
                CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]

    @classmethod
    def getPopulationRanking(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            newSorted = dict(sorted(Data.canadianProvinceAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        return dict(sorted(Data.canadianProvinceAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            population = CanadianProvinces.getPopulation(canadianProvinceAlpha)
            areaKM = CanadianProvinces.getAreaKM(canadianProvinceAlpha)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            population = CanadianProvinces.getPopulation(canadianProvinceAlpha)
            areaMiles = CanadianProvinces.getAreaMiles(canadianProvinceAlpha)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.canadianProvinceAlphaList):
                if CanadianProvinces.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = CanadianProvinces.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.canadianProvinceAlphaList):
            if CanadianProvinces.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = CanadianProvinces.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getRedirectedNameToAlpha(cls, name: str):
        if name is None:
            return None
        elif name.upper() in Data.canadianProvinceAlphaList:
            return name.upper()
        elif name.upper().replace(" ", "_") in Data.canadianProvinceNameList:
            return Data.canadianProvinceNameToAlpha[name.upper().replace(" ", "_")]
        else:
            return None

    @classmethod
    def getProvinceType(cls, canadianProvinceAlpha: str):
        if CanadianProvinces.doesProvinceExist(canadianProvinceAlpha) is False:
            return None
        else:
            return Data.canadianProvinceAlphaToType[CanadianProvinces.getRedirectedNameToAlpha(canadianProvinceAlpha)]


class Continents:

    @classmethod
    def doesContinentExist(cls, continent: str):
        if continent.upper().replace(" ", "_") in Data.continents:
            return True
        else:
            return False

    @classmethod
    def getAreaInKM(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            areaTotal = 0
            for country in Data.continentToAlpha[continent.upper().replace(" ", "_")]:
                areaTotal += Countries.getAreaInKM(country)
            return areaTotal

    @classmethod
    def getAreaInMiles(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            areaTotal = 0
            for country in Data.continentToAlpha[continent.upper().replace(" ", "_")]:
                areaTotal += Countries.getAreaInKM(country)
            return math.ceil(int(areaTotal) / 2.59)

    @classmethod
    def getAreaRanking(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            areaDict = {}
            for continent2 in Data.continents:
                areaTotal = 0
                for country in Data.continentToAlpha[continent2]:
                    areaTotal += Countries.getAreaInKM(country)
                areaDict[continent2] = areaTotal
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == continent.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        areaDict = {}
        for continent2 in Data.continents:
            areaTotal = 0
            for country in Data.continentToAlpha[continent2]:
                if Countries.getAreaInKM(country) == 0:
                    pass
                else:
                    areaTotal += Countries.getAreaInKM(country)
            areaDict[continent2] = areaTotal
        return dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGDP(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            gdpTotal = 0
            for country in Data.continentToAlpha[continent.upper().replace(" ", "_")]:
                if Countries.getGDP(country) is None:
                    pass
                else:
                    gdpTotal += Countries.getGDP(country)
            return gdpTotal

    @classmethod
    def getGDPRanking(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            gdpDict = {}
            for region in Data.continents:
                gdpTotal = 0
                for country in Data.continentToAlpha[region]:
                    if Countries.getGDP(country) is None:
                        pass
                    else:
                        gdpTotal += Countries.getGDP(country)
                gdpDict[region] = gdpTotal
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == continent.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        gdpDict = {}
        for continent in Data.continents:
            if Continents.getGDP(continent) is None:
                pass
            elif Continents.getGDP(continent) == 0:
                pass
            else:
                gdpDict[continent] = Continents.getGDP(continent)
        newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
        rank = 0
        rankingDict = {}
        for count, item in enumerate(newSorted):
            rankingDict[count + 1] = item
        return rankingDict

    @classmethod
    def getGdpPerCapita(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            return int(Continents.getGDP(continent) / Continents.getPopulation(continent))

    @classmethod
    def getGdpPerCapitaRanking(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for continent2 in Data.continents:
                if Continents.getGdpPerCapita(continent2) == 0:
                    pass
                else:
                    gdpPerCapitaDict[continent2] = Continents.getGdpPerCapita(continent2)
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == continent.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.continents):
            if Continents.getGdpPerCapita(item) is None:
                pass
            elif Continents.getGdpPerCapita(item) == 0:
                pass
            else:
                gdpPerCapitaDict[item] = Continents.getGdpPerCapita(item)
        newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
        rank = 0
        rankingDict = {}
        for count, item in enumerate(newSorted):
            rankingDict[count + 1] = item
        return rankingDict

    @classmethod
    def getLargestCity(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            return Data.continentToLargestCity[continent.upper().replace(" ", "_")]

    @classmethod
    def getPopulation(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            populationTotal = 0
            for country in Data.continentToAlpha[continent.upper().replace(" ", "_")]:
                if Countries.getPopulation(country) is None:
                    pass
                else:
                    populationTotal += Countries.getPopulation(country)
            return populationTotal

    @classmethod
    def getPopulationRanking(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            populationDict = {}
            for continent2 in Data.continents:
                populationTotal = 0
                for continent3 in Data.continentToAlpha[continent2]:
                    if Continents.getPopulation(continent3) is None:
                        pass
                    else:
                        populationTotal += Continents.getPopulation(continent3)
                populationDict[continent2] = populationTotal
            newSorted = dict(sorted(populationDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == continent.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        populationDict = {}
        for continent2 in Data.continents:
            populationTotal = 0
            for country in Data.continentToAlpha[continent2]:
                if Countries.getPopulation(country) is None:
                    pass
                else:
                    populationTotal += Countries.getPopulation(country)
            populationDict[continent2] = populationTotal
        return dict(sorted(populationDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            population = Continents.getPopulation(continent)
            areaKM = Continents.getAreaInKM(continent)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            population = Continents.getPopulation(continent)
            areaMiles = Continents.getAreaInMiles(continent)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.continents):
                if Continents.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = Continents.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == continent.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.continents):
            if Continents.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = Continents.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getCountries(cls, continent: str):
        if Continents.doesContinentExist(continent) is False:
            return None
        else:
            return Data.continentToAlpha[continent.upper().replace(" ", "_")]


class Countries:

    @classmethod
    def doesCountryExist(cls, alpha3: str):
        if Countries.getRedirectedNameToAlpha3(alpha3) in Data.alpha3List:
            return True
        else:
            return False

    @classmethod
    def getAreaInKM(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToAreaKMm[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getAreaInMiles(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return math.ceil(int(Data.alpha3ToAreaKMm[Countries.getRedirectedNameToAlpha3(alpha3)]) / 2.59)

    @classmethod
    def getAreaRanking(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            areaDict = {}
            for count, item in enumerate(Data.alpha3List):
                if Countries.getAreaInKM(item) is None:
                    pass
                else:
                    areaDict[item] = Countries.getAreaInKM(item)
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == Countries.getRedirectedNameToAlpha3(alpha3):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        areaDict = {}
        for country in Data.alpha3List:
            if Countries.getAreaInKM(country) is None:
                pass
            else:
                areaDict[country] = Countries.getAreaInKM(country)
        return dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getCapital(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToCapital[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getContinent(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToContinent[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getFlagURL(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToFlagURL[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getGDP(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToGDP[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getGDPRanking(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            gdpDict = {}
            for count, item in enumerate(Data.alpha3List):
                try:
                    if Countries.getGDP(item) is None:
                        pass
                    else:
                        gdpDict[item] = Countries.getGDP(item)
                except KeyError:
                    pass
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == Countries.getRedirectedNameToAlpha3(alpha3):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        return dict(sorted(Data.alpha3ToGDP.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGdpPerCapita(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            try:
                return int(Data.alpha3ToGDP[Countries.getRedirectedNameToAlpha3(alpha3)] / Data.alpha3ToPopulation[
                    Countries.getRedirectedNameToAlpha3(alpha3)])
            except ZeroDivisionError:
                return 0
            except TypeError:
                return None

    @classmethod
    def getGdpPerCapitaRanking(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for count, item in enumerate(Data.alpha3List):
                try:
                    if Countries.getGdpPerCapita(item) is None:
                        pass
                    else:
                        gdpPerCapitaDict[item] = Countries.getGdpPerCapita(item)
                except KeyError:
                    pass
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == Countries.getRedirectedNameToAlpha3(alpha3):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.alpha3List):
            try:
                if Countries.getGdpPerCapita(item) is None:
                    pass
                else:
                    gdpPerCapitaDict[item] = Countries.getGdpPerCapita(item)
            except KeyError:
                pass
        newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
        return newSorted

    @classmethod
    def getLargestCity(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToLargestCity[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getLeaders(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            name = Countries.getName(alpha3)
            if alpha3 == "ABW":
                # Aruba
                pass

    @classmethod
    def getName(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            return Data.alpha3ToName[Countries.getRedirectedNameToAlpha3(alpha3)]

    @classmethod
    def getPopulation(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            try:
                return Data.alpha3ToPopulation[Countries.getRedirectedNameToAlpha3(alpha3)]
            except KeyError:
                return None

    @classmethod
    def getPopulationRanking(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            newSorted = dict(sorted(Data.alpha3ToPopulation.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == Countries.getRedirectedNameToAlpha3(alpha3):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        return dict(sorted(Data.alpha3ToPopulation.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            population = Countries.getPopulation(alpha3)
            areaKM = Countries.getAreaInKM(alpha3)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            population = Countries.getPopulation(alpha3)
            areaMiles = Countries.getAreaInMiles(alpha3)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, alpha3: str):
        if Countries.doesCountryExist(alpha3) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.alpha3List):
                if Countries.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = Countries.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == Countries.getRedirectedNameToAlpha3(alpha3):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.alpha3List):
            if Countries.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = Countries.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getRedirectedNameToAlpha3(cls, name: str):
        if name is None:
            return None
        elif name.upper() in Data.alpha3List:
            return name.upper()
        elif name.upper() in Data.alpha2List:
            return Data.alpha2ToAlpha3[name.upper()]
        elif name.upper().replace(" ", "_") in Data.nameToAlpha3.keys():
            return Data.nameToAlpha3[name.upper().replace(" ", "_")]
        else:
            return None

    @classmethod
    def getRedirectedNameToAlpha2(cls, name: str):
        if name is None:
            return None
        elif name.upper() in Data.alpha3List:
            return Data.alpha3ToAlpha2[name.upper()]
        elif name.upper() in Data.alpha2List:
            return name.upper()
        elif name.title().replace("_", " ") in Data.countryNameList:
            alpha3 = Data.nameToAlpha3[name.upper().replace(" ", "_")]
            return Data.alpha3ToAlpha2[alpha3]
        else:
            return None


class SouthAfricanProvinces:

    @classmethod
    def doesProvinceExist(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.getRedirectedNameToAlpha(
                southAfricanProvinceAlpha) in Data.southAfricanProvinceAlphaList:
            return True
        else:
            return False

    @classmethod
    def getAreaKM(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToAreaKM[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]

    @classmethod
    def getAreaMiles(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return math.ceil(int(Data.southAfricanProvinceAlphaToAreaKM[
                                     SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]) / 2.59)

    @classmethod
    def getAreaRanking(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            areaDict = {}
            for item in Data.southAfricanProvinceAlphaList:
                if SouthAfricanProvinces.getAreaKM(item) is None:
                    areaDict[item] = 0
                else:
                    areaDict[item] = SouthAfricanProvinces.getAreaKM(item)
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        return dict(sorted(Data.southAfricanProvinceAlphaToAreaKM.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getCapital(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToCapital[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]

    @classmethod
    def getFlagURL(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToFlagURL[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]

    @classmethod
    def getGDP(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return int(Data.southAfricanProvinceAlphaToGDP[
                           SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)])

    @classmethod
    def getGDPRanking(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            gdpDict = {}
            for count, item in enumerate(Data.southAfricanProvinceAlphaList):
                if SouthAfricanProvinces.getGDP(item) is None:
                    pass
                else:
                    gdpDict[item] = SouthAfricanProvinces.getGDP(item)
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        return dict(sorted(Data.southAfricanProvinceAlphaToGDP.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGdpPerCapita(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return int(SouthAfricanProvinces.getGDP(SouthAfricanProvinces.getRedirectedNameToAlpha(
                southAfricanProvinceAlpha)) / SouthAfricanProvinces.getPopulation(
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)))

    @classmethod
    def getGdpPerCapitaRanking(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for count, item in enumerate(Data.southAfricanProvinceAlphaList):
                if SouthAfricanProvinces.getGdpPerCapita(item) is None:
                    pass
                else:
                    gdpPerCapitaDict[item] = SouthAfricanProvinces.getGdpPerCapita(item)
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.southAfricanProvinceAlphaList):
            if SouthAfricanProvinces.getGdpPerCapita(item) is None:
                pass
            else:
                gdpPerCapitaDict[item] = SouthAfricanProvinces.getGdpPerCapita(item)
        return dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getLargestCity(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToLargestCity[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]

    @classmethod
    def getName(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToName[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]

    @classmethod
    def getPopulation(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToPopulation[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]

    @classmethod
    def getPopulationRanking(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            newSorted = dict(
                sorted(Data.southAfricanProvinceAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        return dict(sorted(Data.southAfricanProvinceAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            population = SouthAfricanProvinces.getPopulation(southAfricanProvinceAlpha)
            areaKM = SouthAfricanProvinces.getAreaKM(southAfricanProvinceAlpha)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            population = SouthAfricanProvinces.getPopulation(southAfricanProvinceAlpha)
            areaMiles = SouthAfricanProvinces.getAreaMiles(southAfricanProvinceAlpha)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.southAfricanProvinceAlphaList):
                if SouthAfricanProvinces.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = SouthAfricanProvinces.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.southAfricanProvinceAlphaList):
            if SouthAfricanProvinces.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = SouthAfricanProvinces.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getRedirectedNameToAlpha(cls, name: str):
        if name is None:
            return None
        elif name.upper() in Data.southAfricanProvinceAlphaList:
            return name.upper()
        elif name.upper().replace(" ", "_") in Data.southAfricanProvinceNameList:
            return Data.southAfricanProvinceNameToAlpha[name.upper().replace(" ", "_")]
        else:
            return None

    @classmethod
    def getProvinceType(cls, southAfricanProvinceAlpha: str):
        if SouthAfricanProvinces.doesProvinceExist(southAfricanProvinceAlpha) is False:
            return None
        else:
            return Data.southAfricanProvinceAlphaToType[
                SouthAfricanProvinces.getRedirectedNameToAlpha(southAfricanProvinceAlpha)]


class UsaStates:

    @classmethod
    def doesStateExist(cls, usStateAlpha: str):
        if UsaStates.getRedirectedNameToAlpha(usStateAlpha) in Data.usaStateAlphaList:
            return True
        else:
            return False

    @classmethod
    def getAreaKM(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToAreaKM[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getAreaMiles(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return math.ceil(int(Data.usaStateAlphaToAreaKM[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]) / 2.59)

    @classmethod
    def getAreaRanking(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            areaDict = {}
            for item in Data.usaStateAlphaList:
                if UsaStates.getAreaKM(item) is None:
                    areaDict[item] = 0
                else:
                    areaDict[item] = UsaStates.getAreaKM(item)
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == UsaStates.getRedirectedNameToAlpha(usStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        return dict(sorted(Data.usaStateAlphaToAreaKM.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getCapital(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToCapital[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getFlagURL(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToFlagURL[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getGDP(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return int(Data.usaStateAlphaToGDP[UsaStates.getRedirectedNameToAlpha(usStateAlpha)])

    @classmethod
    def getGDPRanking(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            gdpDict = {}
            for count, item in enumerate(Data.usaStateAlphaList):
                if UsaStates.getGDP(item) is None:
                    pass
                else:
                    gdpDict[item] = UsaStates.getGDP(item)
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == UsaStates.getRedirectedNameToAlpha(usStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        return dict(sorted(Data.usaStateAlphaToGDP.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGdpPerCapita(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return int(UsaStates.getGDP(UsaStates.getRedirectedNameToAlpha(usStateAlpha)) / UsaStates.getPopulation(
                UsaStates.getRedirectedNameToAlpha(usStateAlpha)))

    @classmethod
    def getGdpPerCapitaRanking(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for count, item in enumerate(Data.usaStateAlphaList):
                if UsaStates.getGdpPerCapita(item) is None:
                    pass
                else:
                    gdpPerCapitaDict[item] = UsaStates.getGdpPerCapita(item)
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == UsaStates.getRedirectedNameToAlpha(usStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.usaStateAlphaList):
            if UsaStates.getGdpPerCapita(item) is None:
                pass
            else:
                gdpPerCapitaDict[item] = UsaStates.getGdpPerCapita(item)
        return dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getLargestCity(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToLargestCity[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getName(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToName[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getPopulation(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToPopulation[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getPopulationRanking(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            newSorted = dict(sorted(Data.usaStateAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == UsaStates.getRedirectedNameToAlpha(usStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        return dict(sorted(Data.usaStateAlphaToPopulation.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, usaStateAlpha: str):
        if UsaStates.doesStateExist(usaStateAlpha) is False:
            return None
        else:
            population = UsaStates.getPopulation(usaStateAlpha)
            areaKM = UsaStates.getAreaKM(usaStateAlpha)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, usaStateAlpha: str):
        if UsaStates.doesStateExist(usaStateAlpha) is False:
            return None
        else:
            population = UsaStates.getPopulation(usaStateAlpha)
            areaMiles = UsaStates.getAreaMiles(usaStateAlpha)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, usaStateAlpha: str):
        if UsaStates.doesStateExist(usaStateAlpha) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.usaStateAlphaList):
                if UsaStates.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = UsaStates.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == UsaStates.getRedirectedNameToAlpha(usaStateAlpha):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.usaStateAlphaList):
            if UsaStates.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = UsaStates.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getRedirectedNameToAlpha(cls, name: str):
        if name is None:
            return None
        elif name.upper() in Data.usaStateAlphaList:
            return name.upper()
        elif name.upper().replace(" ", "_") in Data.usaStateNameList:
            return Data.usaStateNameToAlpha[name.upper().replace(" ", "_")]
        else:
            return None

    @classmethod
    def getRegion(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateAlphaToRegion[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]

    @classmethod
    def getStateType(cls, usStateAlpha: str):
        if UsaStates.doesStateExist(usStateAlpha) is False:
            return None
        else:
            return Data.usaStateType[UsaStates.getRedirectedNameToAlpha(usStateAlpha)]


class UsaRegions:

    @classmethod
    def doesRegionExist(cls, usRegion: str):
        if usRegion.upper().replace(" ", "_") in Data.usaStateRegionToAlpha.keys():
            return True
        else:
            return False

    @classmethod
    def getAreaInKM(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            areaTotal = 0
            for state in Data.usaStateRegionToAlpha[usRegion.upper().replace(" ", "_")]:
                areaTotal += UsaStates.getAreaKM(state)
            return areaTotal

    @classmethod
    def getAreaInMiles(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            areaTotal = 0
            for state in Data.usaStateRegionToAlpha[usRegion.upper().replace(" ", "_")]:
                areaTotal += UsaStates.getAreaKM(state)
            return math.ceil(int(areaTotal) / 2.59)

    @classmethod
    def getAreaRanking(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            areaDict = {}
            for region in Data.usaStateRegionToAlpha.keys():
                areaTotal = 0
                for state in Data.usaStateRegionToAlpha[region]:
                    areaTotal += UsaStates.getAreaKM(state)
                areaDict[region] = areaTotal
            newSorted = dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == usRegion.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getAreaRankingDict(cls):
        areaDict = {}
        for region in Data.usaStateRegionToAlpha.keys():
            areaTotal = 0
            for state in Data.usaStateRegionToAlpha[region]:
                areaTotal += UsaStates.getAreaKM(state)
            areaDict[region] = areaTotal
        return dict(sorted(areaDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGDP(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            gdpTotal = 0
            for state in Data.usaStateRegionToAlpha[usRegion.upper().replace(" ", "_")]:
                gdpTotal += UsaStates.getGDP(state)
            return gdpTotal

    @classmethod
    def getGDPRanking(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            gdpDict = {}
            for region in Data.usaStateRegionToAlpha.keys():
                gdpTotal = 0
                for state in Data.usaStateRegionToAlpha[region]:
                    gdpTotal += UsaStates.getGDP(state)
                gdpDict[region] = gdpTotal
            newSorted = dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == usRegion.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGDPRankingDict(cls):
        gdpDict = {}
        for region in Data.usaStateRegionToAlpha.keys():
            gdpTotal = 0
            for state in Data.usaStateRegionToAlpha[region]:
                gdpTotal += UsaStates.getGDP(state)
            gdpDict[region] = gdpTotal
        return dict(sorted(gdpDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getGdpPerCapita(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            return int(UsaRegions.getGDP(usRegion) / UsaRegions.getPopulation(usRegion))

    @classmethod
    def getGdpPerCapitaRanking(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            gdpPerCapitaDict = {}
            for region in Data.usaStateRegionToAlpha.keys():
                gdpPerCapitaDict[region] = float(UsaRegions.getGDP(region) / UsaRegions.getPopulation(region))
            newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == usRegion.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getGdpPerCapitaRankingDict(cls):
        gdpPerCapitaDict = {}
        for count, item in enumerate(Data.usaStateRegionToAlpha.keys()):
            if UsaRegions.getGdpPerCapita(item) is None:
                pass
            else:
                gdpPerCapitaDict[item] = UsaRegions.getGdpPerCapita(item)
        newSorted = dict(sorted(gdpPerCapitaDict.items(), key=lambda kv: kv[1], reverse=True))
        rank = 0
        rankingDict = {}
        for count, item in enumerate(newSorted):
            rankingDict[count + 1] = item
        return rankingDict

    @classmethod
    def getLargestCity(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            return Data.usaRegionToLargestCity[usRegion.upper().replace(" ", "_")]

    @classmethod
    def getPopulation(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            populationTotal = 0
            for state in Data.usaStateRegionToAlpha[usRegion.upper().replace(" ", "_")]:
                populationTotal += UsaStates.getPopulation(state)
            return populationTotal

    @classmethod
    def getPopulationRanking(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            populationDict = {}
            for region in Data.usaStateRegionToAlpha.keys():
                populationTotal = 0
                for state in Data.usaStateRegionToAlpha[region]:
                    populationTotal += UsaStates.getPopulation(state)
                populationDict[region] = populationTotal
            newSorted = dict(sorted(populationDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == usRegion.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationRankingDict(cls):
        populationDict = {}
        for region in Data.usaStateRegionToAlpha.keys():
            populationTotal = 0
            for state in Data.usaStateRegionToAlpha[region]:
                populationTotal += UsaStates.getPopulation(state)
            populationDict[region] = populationTotal
        return dict(sorted(populationDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getPopulationDensityInKM(cls, usaRegion: str):
        if UsaRegions.doesRegionExist(usaRegion) is False:
            return None
        else:
            population = UsaRegions.getPopulation(usaRegion)
            areaKM = UsaRegions.getAreaInKM(usaRegion)
            return float(round(population / areaKM, 2))

    @classmethod
    def getPopulationDensityInMiles(cls, usaRegion: str):
        if UsaRegions.doesRegionExist(usaRegion) is False:
            return None
        else:
            population = UsaRegions.getPopulation(usaRegion)
            areaMiles = UsaRegions.getAreaInMiles(usaRegion)
            return float(round(population / areaMiles, 2))

    @classmethod
    def getPopulationDensityRanking(cls, usaRegion: str):
        if UsaRegions.doesRegionExist(usaRegion) is False:
            return None
        else:
            populationDensityDict = {}
            for count, item in enumerate(Data.usaStateRegionToAlpha.keys()):
                if UsaRegions.getPopulationDensityInKM(item) is None:
                    pass
                else:
                    populationDensityDict[item] = UsaRegions.getPopulationDensityInKM(item)
            newSorted = dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))
            rank = 0
            for count, item in enumerate(newSorted):
                if str(item) == usaRegion.upper().replace(" ", "_"):
                    rank = count + 1
                    break
            return rank

    @classmethod
    def getPopulationDensityRankingDict(cls):
        populationDensityDict = {}
        for count, item in enumerate(Data.usaStateRegionToAlpha.keys()):
            if UsaRegions.getPopulationDensityInKM(item) is None:
                pass
            else:
                populationDensityDict[item] = UsaRegions.getPopulationDensityInKM(item)
        return dict(sorted(populationDensityDict.items(), key=lambda kv: kv[1], reverse=True))

    @classmethod
    def getStates(cls, usRegion: str):
        if UsaRegions.doesRegionExist(usRegion) is False:
            return None
        else:
            return Data.usaStateRegionToAlpha[usRegion.upper().replace(" ", "_")]
